title: This Page is Designed to Last
url: https://css-tricks.com/this-page-is-designed-to-last/
hash_url: 89f1e446e1597e148c32886b5400118f

<p>Jeff Huang, while going through his collection of bookmarks, sadly finds a lot of old pages gone from the internet. Bit rot. It’s pretty bad. <em>Most</em> of what gets published on the web disappears. Thankfully, the <strong>Internet Archive</strong> gets a lot of it. Jeff has seven things that he thinks will help make a page last.</p>
<span id="more-302005"/>
<blockquote class="wp-block-quote"><p>1) Return to vanilla HTML/CSS<br/>2) Don’t minimize that HTML<br/>3) Prefer one page over several<br/>4) End all forms of hotlinking<br/>5) Stick with the 13 web safe fonts +2<br/>6) Obsessively compress your images<br/>7) Eliminate the broken URL risk</p></blockquote>
<p>I don’t take issue with any of that advice in general, but to me, they don’t all feel like things that have much to do with whether a site will last or not. Of them, #4 seems like the biggest deal, and #5 is… strange. (Fonts fall back on the web; what fonts you use should have no bearing on a site’s ability to last.)</p>
<p>I sort of agree with #1 and #2, but not on the surface. Both of them imply a <em>build process</em>. Build processes get old, they stop working, and they become a brick of <a href="https://css-tricks.com/defining-and-dealing-with-technical-debt/">technical debt</a>. I still love them and can’t imagine day-to-day work without them, but they are things that stands in the way of people wanting to deal with an old site. Highly relevant: <a href="https://css-tricks.com/simplicity/">Simplicity</a>, from Bastian Allgeier.</p>
<p>Everything listed is <em>technological</em>. If we’re talking technological advice to keeping a site online for the long haul, I’d say jamstack is the obvious answer. Prerender everything into static files. Rely on no third-party stuff anything, except a host. (Disclosure: Netlify is a current sponsor of this site, but I’m tellin’ ya, toss a simple static site without a complex build process up on Netlify, which has a generous free tier, and that site will absolutely be there for the long haul. )</p>
<p>Don’t diddle with your URLs either. Gosh darn it if I don’t see a lot of 404s because someone up and changed up all their URLs. </p>
<p>But I feel there is something <strong>beyond the technological</strong> that is the real trick to a site that lasts: <em>you need to have some stake in the game</em>. You don’t let your URLs die because you don’t <em>want</em> them to. They matter to you. You’ll tend to them if you have to. They benefit you in some way, so you’re incentivized to keep them around. That’s what makes a page last.</p>
