title: Towards carbon negativity
url: https://m.signalvnoise.com/towards-carbon-negativity/
hash_url: 8ecfc6fbf4a4d3293144458db9c8a57d

<p>Humans have been pumping greenhouse gases into Earth’s atmosphere at an unsustainable rate. It’s on us to reverse course as quickly as possible to stay below the <a href="https://www.ipcc.ch/sr15/" target="_blank" rel="noreferrer noopener">tipping point of 1.5℃</a> global warming. Without action, the future is beyond bleak.</p>



<p><strong>At Basecamp, we’re committing to becoming carbon negative for our cumulative history and moving forward.<br/><br/></strong>The first step of that commitment is understanding the size of our carbon footprint. We’ve just completed our first carbon footprinting exercise as a company and are publishing our results. By sharing our approach, we hope to make it easier for other companies to also join the collective mission to carbon negativity. </p>


<p><strong>In 2019, Basecamp’s estimated carbon footprint was ~820 t</strong><a href="https://www.theguardian.com/environment/2011/apr/27/co2e-global-warming-potential" target="_blank" rel="noreferrer noopener"><strong>CO2e</strong></a><strong>.</strong> Here’s how that breaks down:</p>



<p>🏘  <strong>Remote offices: ~5 tCO2e</strong><br/>Basecamp is a remote company which means even in the pre-COVID era, we mostly <a href="https://m.signalvnoise.com/remote-working-the-home-office-desks-of-basecamp/" target="_blank" rel="noreferrer noopener">work from home</a>. The power drawn to run our work computers and monitors are attributable to Basecamp. We roughly estimated power drawn for 50 Basecampers whose homes are not powered by renewable energy, a laptop + monitor/person for 40 hours/week/Basecamper, 47 work weeks/year, and a CO2e/kWH emissions factor from the US electricity supply average.</p>



<p>🛌  <strong>Event lodging and meals: ~20 tCO2e<br/></strong>As a company, we typically hold two in-person gatherings a year. We also occasionally travel to attend conferences for professional development or train new team members. The majority of the non-transportation emissions from these gatherings are tied to hotel stays, using emission factors from the <a href="https://www.hotelfootprints.org/footprinting" target="_blank" rel="noreferrer noopener">Cornell Hotel Sustainability Benchmarking Index</a>.</p>



<p>💻  <strong>Hardware manufacturing + end-of-life: ~25 tCO2e<br/></strong>There are emissions associated with the production and disposal of each laptop, monitor, on-prem server, etc. we use as a company. Those emissions can be prorated by the hardware’s expected lifespan for each year. Several manufacturers helpfully publish their own carbon footprint estimates for their devices so we used those specs to calculate the emissions associated with 56 laptops and monitors and 55 on-prem databases.</p>



<p>✈️  <strong>Transportation: ~75 tCO2e<br/></strong>Basecampers flew nearly 400k miles (644k km) and traveled roughly 35k miles (56k km) over ground combined in 2019 for meetups, conferences, and trainings. Those travels translate into roughly 63 tCO2e for flights and 12 tCO2e for ground transport based on <a href="https://www.epa.gov/sites/production/files/2020-01/documents/egrid2018_summary_tables.pdf" target="_blank" rel="noreferrer noopener">EPA emissions data</a>.</p>



<p><strong>🗄 On-prem hosting: ~80 tCO2e<br/></strong>We run several of our applications in on-prem data centers. It takes energy to host the apps, to the tune of roughly 330,000 kWH in 2019. One of our on-prem data centers is powered via an emission-free energy supply contract. After excluding the power from that data center, we translated the power consumption from our remaining on-prem data servers using emissions factors from the <a href="https://www.eia.gov/electricity/state/" target="_blank" rel="noreferrer noopener">US Energy Information Administration</a> and global warming potentials from the <a href="https://www.epa.gov/ghgemissions/overview-greenhouse-gases" target="_blank" rel="noreferrer noopener">US Environmental Protection Agency</a>.</p>



<p>🏢 <strong> Company office: ~120 tCO2e<br/></strong>For the last ten years, Basecamp has <a href="https://basecamp.com/about/office" target="_blank" rel="noreferrer noopener">had a headquarters office</a> in Chicago. It’s a beautiful space that was the gathering grounds for our company meetups. Turns out, that office is also heated by electricity and we used a whopping 261,130 kWH in 2019. In Illinois, 60% of power is generated from fossil fuels so that consumption translates into more emissions than all of our company transportation in 2019. This realization was one of the most shocking findings from our carbon footprint. We’re <a href="https://rework.fm/office-space/" target="_blank" rel="noreferrer noopener">saying goodbye to the office in July</a>. </p>



<p>📚  <strong>Printed books: ~135 tCO2e<br/></strong>Basecamp’s founders have written several <a href="https://basecamp.com/books" target="_blank" rel="noreferrer noopener">books</a> including <em>REMOTE</em>, <em>REWORK</em>, and <em>It Doesn’t Have to be Crazy at Work</em>. Approximately 45k copies sold in 2019 combined. Using a <a href="https://onlinelibrary.wiley.com/doi/abs/10.1111/j.1530-9290.2011.00414.x" target="_blank" rel="noreferrer noopener">benchmark</a> of 3 kg CO2e/book puts the footprint of these books in the same ballpark as the company office emissions.</p>



<p><strong>☁️  Cloud hosting (including data transfers and storage): ~285 tCO2e<br/></strong>We also use Amazon Web Services to run our apps, with a few supporting infrastructure on Google Cloud Platform. Cloud data centers use a lot of electricity, though there are efficiencies gained by scale. However, not all cloud services are equal from a climate change perspective. Since 2017, GCP has <a href="https://cloud.google.com/sustainability/" target="_blank" rel="noreferrer noopener">added enough additional renewable energy</a>sources to the grids its data centers are on to be considered carbon neutral. AWS <a href="https://aws.amazon.com/about-aws/sustainability/" target="_blank" rel="noreferrer noopener">can’t say the same thing</a>. </p>



<p>It’s tough to estimate the carbon footprint of AWS service usage as they do not share power consumption as a metric. So to estimate, we broke down data we do have — server hours used, GB data transferred, and GB stored — and converted to energy consumed and carbon emissions from there. We assumed a 30% discount in power usage for AWS’ servers, based on their own <a href="https://d39w7f4ix9f5s9.cloudfront.net/e3/79/42bf75c94c279c67d777f002051f/carbon-reduction-opportunity-of-moving-to-aws.pdf" target="_blank" rel="noreferrer noopener">commissioned report</a> on how much savings typically comes from facility efficiency and renewable energy usage. We then used an extrapolated <a href="https://3.basecamp.com/2914079/buckets/13688293/uploads/2691570270">research estimate</a> of kWh/GB used to transfer data over the Internet. Overall, this method led to an estimated 580,000 kWH for cloud compute, 633,000 kWH for data transfer, and 140,000 kWH for data storage in regions that aren’t fully carbon offset in 2019.</p>



<p>There is a lot of uncertainty in this estimate, in both directions:</p>



<ul><li>On one hand, AWS could merit a higher discount on emissions. Their current stated goal is to get to 100% energy offset by 2030 and a significant portion of the renewable energy projects they have invested in appear to be going into the grids that power our apps. We just don’t know for sure and so erred on the environmentally conservative side.</li><li>On the other hand, the extrapolated energy intensity we used for data transfer emissions could have been too generous. If there are any informed experts on the carbon footprint of data transfer out there, we’d love to learn from your work.</li></ul>



<p><strong>🐛  Wiggle room: 75 tCO2e<br/></strong>Since this is our first time doing a carbon footprinting, we assume we’ve missed something decently substantial. For instance, we have not gone through to footprint the upstream indirect emissions from other software vendors, many of which are also hosted on AWS. In an attempt to account for these unknowns, this wiggle room category is an additional 10% of associated emissions.</p>



<p><strong>So in total, this puts us at ~820 tCO2e for 2019. </strong>We’ve also projected a footprint of ~770 tCO2e for 2020 and estimated a very rough historical cumulative carbon footprint of 6,000 tCO2e for 1999-2018.</p>



<p>But there’s one more unaccounted for unknown worth mentioning:</p>



<p>💰  <strong>Banking: ??? tCO2e<br/></strong>Money makes the world run and we’re cognizant that our banking partner could easily be the largest source of indirect emissions. In the course of our research, we found a <a href="https://www.ran.org/wp-content/uploads/2018/06/financing_global_warming_(1).pdf" target="_blank" rel="noreferrer noopener">2008 report from the Rainforest Action Network</a> that was very eye-opening on the potential footprint. We’re looking for more recent research or data that could help us factor in the indirect emissions from our deposit accounts.</p>



<hr class="wp-block-separator"/>



<p>In the next few weeks, Basecamp will purchase enough certified carbon credits to offset our estimated cumulative carbon footprint and make us carbon neutral. To get to carbon negative, we further invest at least a further $100,000 each year starting this year (2020) to sponsor new carbon offsetting projects. </p>



<p>We will also place even more emphasis internally on the <em>reduction </em>of our own emissions: through our choice of vendors, our company events, and our software design. The environmental benefit of not emitting is more certain and immediate than the eventual carbon sequestration from reforestation projects and emerging technologies. We can emit less and we’re going to do the work to do so.</p>
