title: Transmission de COVID-19 par aérosol, les implications pour la santé publique 
url: https://www.lejournaldumedecin.com/actualite/transmission-de-covid-19-par-aerosol-les-implications-pour-la-sante-publique/article-opinion-47087.html
hash_url: a9155966aed8a47ec727d156bf8b5458

Nous sommes un groupe pluridisciplinaire et international d'experts qui concluent que la négligence de la transmission du COVID 19 par aérosol est à l'origine de la différence entre les pays qui contrôlent ou ne contrôlent pas la propagation du nouveau coronavirus. La distanciation sociale de 1 m est largement insuffisante. Soyons adultes et acceptons la réalité du risque de transmission par aérosol, limitons toutes activités non essentielles, utilisons tous les moyens de protection de nos voies respiratoires, du FFP2 à l'humble châle, en attendant de développer les outils pour retourner à la pleine activité, à savoir une capacité de dépistage nucléique et sérologique massive de ce virus associé a un confinement des personnes infectées, et une capacité de production locale de masques de FFP2 pour toute la population.

Quand une personne est infectée, sa toux, ses éternuements, mais aussi sa conversation ou ses chants vont produire un nuage de gouttelettes depuis sa bouche ou son nez.

Les modes de contamination des maladies virales respiratoires peuvent alors être classés en trois catégories suivant la taille de ces gouttelettes :

- Pour les grosses gouttelettes si vous êtes à faible distance (inférieure au fameux 1 m) elles peuvent être directement projetées sur vous (la personne saine).

- Ces mêmes gouttes peuvent tomber sur une surface et la contaminer. Si vous la touchez et portez les mains à votre visage le risque est fort d'être contaminé.

- Mais pour les gouttelettes de très petites tailles, elles sont susceptibles d'être aéroportées et de se propager sur des distances bien supérieures à 1 m et de produire ainsi un aérosol contaminant pour celui qui le respire.

Les recommandations données actuellement à la population pour ralentir l'épidémie sont exclusivement basée sur les deux premiers modes transmission du COVID-19 décrite ci-dessus et excluent la troisième possibilité.

Qu'est-ce qu'un aérosol

Un aérosol consiste en microgouttelettes qui restent en suspension dans l'air. En effet plus la goutte est petite plus la force de résistance de l'air est grande par rapport à son poids et plus la goutte tombe doucement, éventuellement à vitesse quasi nulle. De plus ces microparticules peuvent par évaporation d'eau diminuer en taille, ce qui leur permet de se maintenir presque indéfiniment en suspension.

Le mouvement de gouttelettes de différentes tailles produites lors d'une conversation normale, ou d'une toux ou d'un éternuement, peuvent être visualisés par illumination laser comme montré dans la figure ci-dessous, adaptée d'un article publié par un des auteurs de cette tribune dans le Journal of Fluid mechanics en 2014. Dans cet article il est montré que le nuage d'aérosols peut se propager beaucoup plus loin que des gouttelettes isolées grâce aux interactions entre les gouttelettes et la phase gazeuse du nuage. Ainsi un éternuement peut envoyer des gouttelettes jusqu'à 6 mètres de distances.
null © dr

Une vidéo récente réalisée par des scientifiques japonais montre aussi très bien comment ces microgouttelettes peuvent rester en suspension dans l'air et voyager très loin, voir https://www.ccn.com/japan-scientists-find-new-transmission-route-of-coronavirus-in-breakthrough-study/

Quand une personne est infectée, qu'elle soit symptomatique ou non, les microgouttelettes peuvent contenir du virus qui reste infectieux pendant longtemps (la stabilité du virus se mesure en heures), et elles sont donc capables d'infecter les personnes qui les respirent.

Dans un air immobile, les plus petites particules vont atteindre, après émission, des distances de plusieurs mètres sur des temps de l'ordre de la minute mais les mouvements globaux (convection) de l'air sont susceptibles de les transporter sur des distances bien plus grandes en un temps très court et très inférieur à l'heure.

    Nos mesures de distanciation sociale ne sont pas adéquates à la réalité du mode de transmission par aérosol de ce nouveau coronavirus

.

L'importance et l'utilité des différents masques.

Outre la détection des personnes infectées associé au confinement, la meilleure manière de prévenir la transmission par aérosol au niveau de l'individu est bien connue, l'utilisation de matériel de protection personnelle, en particulier les masques de types N95 ou FFP2 qui protègent efficacement contre la transmission par aérosol. Même si les masques chirurgicaux sont beaucoup moins efficaces contre les aérosols que les FFP2, mais ils sont néanmoins d'une efficacité scientifiquement démontrée, aussi bien pour limiter la transmission par des individus infectés que pour limiter la contagion des personnes non infectées.

De fait, les villes et les pays qui ont le mieux contrôlé la propagation du virus sont Taiwan, Singapour et Hong Kong (malgré leur proximité à l'épicentre de la pandémie) suivi par la Chine et la Corée du Sud. Ils ont été capables d'aplatir la courbe et d'ainsi atténuer, puis contrôler la propagation du virus. Ces pays reconnaissent l'importance de minimiser tous les modes de transmission, y compris la transmission par gouttelettes et par aérosol, où le rôle d'un masque est déterminant pour la protection des l'individu.

Les chiffres qui nous viennent de Chine démontrent l'importance de la transmission par aérosol et le rôle protecteur indispensable des masques, FFP2. En effet, plus de 3.000 personnes du corps médical ont été infectés à Wuhan cette année lors de la première vague de COVID-19 et toutes les images nous montrent le personnel avec de simples masques d'isolation (type chirurgical) et non des FFP2. Par contre, 42.000 professionnels de la santé ont été envoyés en renfort, mais équipés de FFP2 pour la seconde vague, et pas une seule infection n'a été déplorée parmi eux !

Le port du masque par tous les citoyens.

Dans les pays d'Asie, le port d'un masque chirurgical est le minimum requis pour les citoyens en public et l'efficacité de ces masques pour réduire la transmission des maladies respiratoires est largement démontrée. Il est donc particulièrement troublant d'entendre des autorités publiques en France et en Belgique répéter depuis le début de cette crise que les masques sont inutiles pour le public et qu'ils donneraient un faux sentiment de sécurité. Ces autorités publiques insistent que la transmission par aérosol ne serait pas un élément important pour le COVID-19, mais ces assertions sont sans fondement scientifique et nous éloignent des actions que nous pouvons tous prendre pour aplatir la courbe de progression du virus et juguler l'infection. Les masques devraient jouer un rôle clef pour nous permettre une sortie de crise.

Ces propos semblent être motivés par la pénurie des masques FFP2 en particulier qui doivent bien sûr être réservés en priorité pour le personnel soignant et autre personnel de première ligne, ce que tout adulte comprend parfaitement, et il n'est donc pas nécessaire de cacher la réalité de la situation. Cela n'engendre que de la confusion et un sentiment d'impuissance dans le grand public. Au contraire, informer le public de la réalité de la situation lui permettrait de s'adapter du mieux qu'il peut au danger auquel nous faisons face.

Alors que l'OMS continue dans sa recommandation absurde de dire que les masques ne sont pas nécessaires pour le grand public, la France persiste et signe dans le même sens, les CDC (Centers for Disease Control and Prevention) aux États-Unis reconsidèrent cette position : "Jusqu'à 25% des personnes infectées par le nouveau coronavirus peuvent ne pas présenter de symptômes", prévient M. Redfield, le directeur des CDC. L'agence avait déclaré à plusieurs reprises que les citoyens ordinaires n'ont pas besoin de porter de masques à moins qu'ils ne se sentent malades. Mais sachant que les personnes peuvent être infectées et contagieuses sans se sentir malades, M. Redfield a déclaré que ces conseils étaient "en train d'être revus de manière critique".

    Les masques devraient jouer un rôle clef pour nous permettre une sortie de crise

Par contre, la position du gouvernement chinois, représentée par George Gao, le directeur général du Centre chinois de contrôle et de préventions des maladies, ne pourrait pas être plus claire: Ne pas porter de masque pour se protéger du coronavirus est une " grande erreur ".

Le port d'un masque est obligatoire en public dans plusieurs pays d'Asie dans la situation actuelle, pays qui contrôlent le mieux la propagation du virus sur leur territoire. En Europe, la ville de Prague est la seule à avoir mandaté le port d'un masque ou d'une écharpe en public depuis le 18 mars, pourquoi ?

La ville de Prague, un exemple à suivre.

Petr Ludwig, avait réalisé une vidéo éducative sur l'importance de porter des masques, non pas comme protection pour soi-même, mais pour protéger les autres au cas où on serait contagieux sans le savoir. La vidéo cite une étude menée par des chercheurs de l'Université de Cambridge qui conclut que les masques chirurgicaux sont 3 fois plus efficaces que les masques faits maison, néanmoins ils recommandent les masques faits maison en dernier recours lorsque les masques chirurgicaux ne sont pas disponibles.

Alors que la pénurie de masques fournis par le gouvernement tchèque se poursuivait, les hôpitaux ont utilisé les médias sociaux pour demander si les gens pouvaient coudre des masques pour eux. Lors d'une manifestation de soutien sans précédent, de nombreuses personnes ont commencé à fabriquer des masques, non seulement pour les hôpitaux mais pour tout le monde. L'effort était à la fois individuel et organisationnel - les théâtres, les organisations à but non lucratif, les petites entreprises et les usines qui produisent normalement des vêtements, du linge de maison et des accessoires ont réorienté leurs efforts vers la couture à temps plein. Les entreprises locales cousaient en vrac, approvisionnaient les hôpitaux, les résidences pour personnes âgées, la police ou les pompiers. Les masques ont été livrés aux hôpitaux ou à des amis et voisins qui les trouvaient souvent dans leurs boîtes aux lettres. Dans certaines régions, les gens ont créé des "arbres à masques" pour y mettre des masques supplémentaires à la disposition d'autres personnes.

Bien sûr, les FFP2 mal portés et les masques chirurgicaux n'offrent pas une protection parfaite. Mais l'objectif affiché est "d'aplatir la courbe" et nous devons adopter toutes les mesures réduisant les contaminations, y compris les masques fait maison qui offrent une protection non négligeable quand on fait ses courses. Il faut arrêter de prétendre que les masques ne sont pas efficaces, même s'ils sont imparfaits ; le mieux ne doit pas être l'ennemi du bien.

Au-delà de l'aplatissement nécessaire de la courbe, c'est la production en masse de masques aux normes FFP2 pour le public qui permettra le retour le plus rapide à une activité économique quasi normale.

Les implications organisationnelles de la transmission par aérosol

Les espaces confinés favorisent la transmission par aérosol et peuvent être le lieu d'épisodes de super-contagion, comme ce fut le cas dans des rassemblements évangéliques en France (Mulhouse) et en Corée du Sud (Daegu). En effet, le phénomène peut être exacerbé par un système de chauffage aérotherme ou de la climatisation, où l'air est remis en circulation à l'intérieur des locaux par souci d'économie de chauffage (ou de froid). Il est donc recommandé d'arrêter tout dispositif de ce type, qui contribue à faire circuler l'air ambiant. Par contre, l'aération massive et fréquente par l'air extérieur dans les locaux encore fréquentés par le public, les pharmacies, la poste, les petits magasins d'alimentation et les supermarchés, contribue par dilution à une réduction du nombre de particules infectieuses auxquelles le public est exposé.

Les systèmes de chauffage aérotherme de nombreux bâtiments comprennent bien évidemment une admission d'air frais pour maintenir la qualité de l'air intérieur, mais ils n'ont été prévus que pour des polluants ordinaires et maintenir un taux d'humidité acceptable. Encore beaucoup plus grave, des systèmes aérothermes autonomes, essentiellement constitués d'un simple échangeur de chaleur muni d'un ventilateur sont largement utilisés pour le chauffage d'ateliers, garages, magasins alimentaires etc. Leurs utilisateurs (artisans, petits industriels, commerçants etc.) doivent prendre conscience du danger qu'ils présentent et de la nécessité d'une mise à l'arrêt immédiate.

La distance de sécurité.

Enfin, les travaux menés par des chercheurs au Japon, et par un signataire de cette tribune aux États-Unis montrent que la distance de sécurité de 1 m est largement insuffisante, la communication sur les " mesures barrières " laisse à penser à la population que cette distance est suffisante pour diminuer fortement le risque de contamination. Il n'en est rien en l'absence de masque et cette communication pousse la population à la confusion et à ne pas comprendre l'intérêt de la distanciation sociale !

Les dangers de la continuation d'activités économiques non essentielles

Les mesures de confinement en Italie, en Belgique et dans d'autres pays montrent leurs effets, avec un allongement du temps de doublement visible après un certain délai depuis l'implémentation du confinement. L'aplatissement de la courbe, conjugué avec un temps d'hospitalisation raccourci par les traitements disponibles, nous permettra peut-être d'éviter la saturation des hôpitaux, mais il nous faut éviter une deuxième vague de propagation dans la population qui reste active.

    En l'absence de masques de type FFP2, le virus continuera à se propager dans nos institutions et nos entreprises

C'est pourquoi nous recommandons que toutes les organisations gouvernementales et privées suspendent toutes les activités qui ne sont pas absolument essentielles ou réalisées en télétravail, car en l'absence de masques de type FFP2, le virus continuera à se propager dans nos institutions et nos entreprises. Plus la taille de cette population est grande, plus la deuxième vague sera grande, et plus grand sera le risque d'engorgement de nos hôpitaux.

Nous avons plaidé pour le respect du principe de réalité, pour l'application des mesures nécessaires de santé publique et du principe de précaution en médecine, qui nous enjoignent d'agir en nous protégeant par tous les moyens possible de tous les modes possible de transmission de COVID-19. Au lieu de nous couvrir les yeux pour ne pas voir cette réalité, considérée à tort comme anxiogène, prenons notre destin en main en nous couvrant la bouche et le nez aussi efficacement que possible.

En résumé, soyons adultes et acceptons la réalité du risque de transmission par aérosol, limitons toutes activités non essentielles, utilisons tous les moyens de protection de nos voies respiratoires, du FFP2 à l'humble châle, en attendant de développer les outils pour retourner à la pleine activité, à savoir une capacité de dépistage nucléique et sérologique massive de ce virus associé a un confinement des personnes infectées, et une capacité de production locale de masques de FFP2 pour toute la population.

Signataires :

Giovanna Borsellino, M.D., Ph.D., Neuroimmunology Unit, Santa Lucia Foundation IRCCS, Rome, Italie.

Lydia Bourouiba, Ph.D., Associate Professor, directrice du laboratoire " Fluid Dynamics of Disease Transmission Laboratory " au MIT (Massachussets Institute of Technology)

Etienne Decroly, Docteur habilité, Directeur de recherche CNRS, Laboratoire AFMB, Membre du conseil scientifique de la société française de virologie.

Nathanael Goldman, médecin pédiatre, MSc Public Health, MSc Clinical Trials (LSHTM).

Philippe Koch, M.D., Ph.D., ophtalmologue, Professeur à l'Université Orsay-Paris Sud.

Bertrand Rowe, docteur ès sciences, Directeur de Recherche CNRS retraité, consultant, lauréat du prix Descartes 2000 de la recherche européenne.

Marc Wathelet, Ph.D. (docteur en sciences) virologiste, spécialiste des coronavirus.

Yang Zhao, Ph.D., Assistant Professor, Department of Agricultural and Biological Engineering, Mississippi State University

Nora Zekhnini, Docteur en Médecine, Médecin Généraliste
