title: Pollution numérique
url: https://www.hydroquebec.com/a/decarboner.html
hash_url: 75c2f55c5321a0afe4352f53da5e0b89

<div role="main">
<div class="accueil-image"></div>
<section class="hq-section hq-bloc-bleu">
<div class="row">
<div class="columns medium-12">
<header>
<h1>Diminuer la pollution numérique, c’est&nbsp;possible</h1>
<p>
La pollution numérique causée par le téléchargement, le stockage et le partage des données est en grande partie due à l’utilisation de serveurs très énergivores. Invisible, elle génère pourtant 4&nbsp;%<sup>1</sup> des émissions mondiales de gaz à effet de serre (GES). Ensemble, nous pouvons contribuer à la&nbsp;réduire.
</p>
</header>
</div>
</div>
</section>
</div>

<section id="donnees-ges" class="hq-section">
<div class="row">
<div class="columns small-12 marginbottom-30">
<h2>Ces données génératrices de&nbsp;GES</h2>
<p>La circulation d’information sur Internet a un impact environnemental important. Son empreinte carbone est, entre autres, gonflée par les grandes quantités d’énergies fossiles utilisées pour alimenter les centres de données qui assurent cette circulation. Et ce trafic croît à une vitesse fulgurante. Encore plus depuis le début de la pandémie de&nbsp;COVID&#8209;19. </p>
<p>Au cours des derniers mois, partout sur la planète, les gens se sont en effet davantage tournés vers leur connexion Internet pour le travail, les divertissements et autres activités. Cette hausse de la circulation Web a fait bondir la consommation d’énergie qui y est&nbsp;associée.</p>
<p>Selon différents scénarios, cette consommation pourrait représenter de 8 % à 21 % des besoins mondiaux en électricité d’ici 2030. La lecture en continu de vidéos, par exemple, compte à elle seule pour 60&nbsp;%<sup>2</sup> du trafic Web et génère près de 1 % des émissions mondiales de gaz carbonique<sup>3</sup>. Sachant qu’actuellement, 64 % de la production d’électricité provient de sources fossiles, principales émettrices de GES, cela a de quoi&nbsp;inquiéter.</p>

<ul>
<li class="no-bullet note"><sup>1</sup> Agence de la transition écologique, France, mars 2020</li>
<li class="no-bullet note"><sup>2</sup> Agence de la transition écologique, France, mars 2020</li>
<li class="no-bullet note"><sup>3</sup> Groupe de réflexion The Shift Project</li>
</ul>

</div>
</div>

<div class="row ">
<div class="columns small-12">
<div class="graph graph1">
<div class="marginbottom-30">
<h3 class="title-h5">Prévisions de la demande en&nbsp;énergie</h3>
<p>Des prévisions largement diffusées suggèrent que la demande totale en électricité imputable aux technologies de l’information et des communications (TIC) s’accélérera dans les années 2020, et que la part des centres de données&nbsp;augmentera.</p>
<figure class="centrer">
<img src="https://www.hydroquebec.com/themes/landing/images/eec/HQ-Decarboner-Graph1-EnergiePrevision@2x.png" alt="Graphique démontrant que la demande en energie entre 2010 et 2030 augmentera dans tous les secteurs des TIC. L'augmentation la plus importante sera pour les réseaux cablés et sans fil qui compterons pour 20,9% de la demande totale projetté en 2030.">
</figure>
</div>
<div>
<h3 class="title-h5">Sources de production de l’électricité dans le&nbsp;monde</h3>
<figure class="centrer">
<img  width="400" src="https://www.hydroquebec.com/themes/landing/images/eec/HQ-Decarboner-Graph2-Energieproduction@2x.png" alt="Graphiqhe circulaire des sources de production d'electricité dans le monde: 25 % Renouvelable, 10 % Nucléaire et 64 % Fossile. ">
</figure>
<p class="note centrer">Sources : Sites Internet de la U.S. Energy and Information Administration et de Ressources naturelles&nbsp;Canada</p>
</div>
</div>
</div>
</div>
</section>

<section id="centre-donnees" class="hq-section hq-bloc-bleu">
<div class="row">
<div class="columns small-12">
<h2>Des centres de données au Québec : bon pour la&nbsp;planète</h2>
</div>
<div class="columns small-12 medium-8">
<p>La bonne nouvelle ? Nous pouvons tous jouer un rôle pour réduire l’empreinte environnementale du trafic Internet, notamment en adoptant au quotidien des habitudes qui font preuve d’une certaine sobriété&nbsp;numérique.</p>
<p>Hydro-Québec fait, elle aussi, partie de la solution. En incitant des centres de traitement de données à s’installer ici pour profiter de notre énergie propre, nous pouvons en effet contribuer à rendre le trafic Internet plus&nbsp;vert.</p>
<p>Notre électricité provient à plus de 99,8 % de sources renouvelables. De plus, nos tarifs sont parmi les plus bas d’Amérique du Nord. Ajoutons à cela que le climat québécois et l’abondance d’eau fraîche facilitent le refroidissement des serveurs, ce qui se traduit par d’importantes économies d’énergie pour les exploitants de centres de&nbsp;données.</p>

<h3>Chaque année, un centre de données de 100 GWh déployé au Québec évite l’émission&nbsp;de</h3>

<div class="row hq-donnees-row">
<div class="columns small-12 medium-4 hq-donnees border-white">
<p><span class="big-block">41&nbsp;000 tonnes</span><span class="med-block">de&nbsp;GES</span><span class="small-block">comparativement à une installation semblable en&nbsp;Virginie</span></p>
</div>
<div class="columns small-12 medium-4 hq-donnees no-pad border-white">
<p><span class="big-block">42&nbsp;000 tonnes</span> <span class="med-block">de&nbsp;GES</span><span class="small-block">comparativement à une installation semblable en Caroline du&nbsp;Nord</span></p>
</div>
<div class="columns small-12 medium-4 hq-donnees no-border">
<p><span class="big-block">40&nbsp;000 tonnes</span><span class="med-block">de&nbsp;GES</span><span class="small-block">comparativement à une installation semblable à&nbsp;Toronto</span></p>
</div>
<div class="columns small-12">
<p class="note">*Source: Energy Information Administration, 2015</p>
</div>
</div>

</div>

<div class="columns small-12 medium-4">
<div class="hq-bloc-gris">
<div class="row marginbottom-10 ">
<div class="columns small-6 medium-8 text-box">
<h4>Une appli d’ici pour favoriser la sobriété&nbsp;numérique </h4>
</div>
<div class="columns small-6 medium-4 logo-box">
<figure class="centrer">
<img width="150" src="https://www.hydroquebec.com/themes/landing/images/eec/poisson.png" alt="" >
</figure>
</div>
</div>

<p>Recherches Web, visioconférence, visionnement en continu, courriels : nous pouvons tous mieux consommer l’énergie utilisée pour alimenter nos activités numériques&nbsp;quotidiennes.</p>
<p>Afin de nous aider à prendre conscience de nos habitudes, une application pour téléphones intelligents propose une expérience de sobriété numérique. Ce parcours ludique de 30 jours systématise chacun des gestes pro-environnementaux que nous faisons et il en mesure&nbsp;l’impact.</p>
<p>Cette application a été conçue par <a href="http://ecoistclub.com/">Ecoist Club</a>. Cette jeune entreprise québécoise est la gagnante du défi Hydro-Québec <em>Comment mettre à profit notre énergie propre et notre énergie humaine pour rendre notre société encore plus résiliente ?</em>, lancé dans le cadre du <a href="https://cooperathon.ca/">Coopérathon 2020</a>.</p>
</div>
</div>

</div>
<div class="row marginbottom-40">
<div class="columns small-12 medium-8">
<p>Le Québec a également l’avantage d’être situé à un temps de latence* de cinq à dix millisecondes de la plupart des grandes villes du nord-est des États-Unis, une région où circule jusqu’à 80 % du trafic Internet mondial. Notre province est donc une destination de rechange intéressante pour des entreprises possédant des serveurs dans des villes comme Ashburn en Virginie, par exemple, où l’électricité provient à 52 % de combustibles fossiles fortement émetteurs de&nbsp;GES.</p>
<p>Déjà, des géants du Web reconnaissent notre province comme un emplacement de choix pour entreprendre ici leur virage écologique : notamment Google, OVH et Amazon Web Services, qui y ont des&nbsp;installations. </p>
<p>En faisant du Québec le pôle Internet propre du Nord-Est américain, nous contribuons à transformer ce secteur de l’économie afin qu’il soit plus&nbsp;propre.</p>
<p class="margintop-20 marginbottom-20"><a href="https://www.hydroquebec.com/centre-donnees/">Pour en apprendre davantage sur les centres de données au Québec</a></p>

<p class="note">*Temps nécessaire à un paquet de données pour qu’il passe de la source à la destination en empruntant un&nbsp;réseau.</p>
</div>
<div class="columns small-12 medium-4">
<div class="hq-bloc-gris">
<h4>Le Québec mondialement&nbsp;reconnu</h4>
<p>En plus d’avoir été nommée <a href="https://www.realwire.com/releases/12th-Datacloud-Global-Awards-winners-announced"><em>2019 Data Center Location of the Year</em></a> par les <em>Datacloud Global Awards</em> et d’avoir reçu le <a href="https://www.fdiintelligence.com/article/76409"><em>2019 Data Centres AI Specialism Award</em></a> des <em>Financial Times</em> fDi Strategy Awards, la grande région de Montréal a obtenu la première place dans le palmarès <a href="https://www.fdiintelligence.com/article/78347"><em>Tier 2 Cities of the Future 2020/21 Foreign Direct Investment (FDI) Strategy category of&nbsp;fDi’s</em></a>.</p>

</div>
</div>
</div>

<div class="row">
<div class="columns small-12">
<div class="graph graph2">
<h3 class="title-h5 marginbottom-40">L’électricité d’Hydro&#8209;Québec&nbsp;: <br>l’une des plus faiblement émettrices de carbone du&nbsp;monde</h3>
<figure>
<img src="https://www.hydroquebec.com/themes/landing/images/eec/HQ-Decarboner-Graph3-ProduitCarbone@2x.png" alt="
Graphique démontrant que le Québec fait parti des plus bas emetteurs de GES au monde et la meilleure province au Canada.">
</figure>
</div>
</div>
</div>

</section>

<section id="astuces" class="hq-section">
<div class="row">
<div class="columns small-12">
<h2>Réduire votre pollution numérique&nbsp;: le&nbsp;saviez-vous&nbsp;?</h2>
</div>

<div class="columns small-12 medium-4 tuile">
<figure>
<img alt="" src="https://www.hydroquebec.com/themes/landing/images/eec/HQ-Decarboner-Icon-Courriel-bleu@2x.png">
</figure>
<h3 class="title-h6">Correspondance</h3>
<p>La messagerie instantanée consomme moins que les&nbsp;courriels.</p>
</div>
<div class="columns small-12 medium-4 tuile">
<figure>
<img alt="" src="https://www.hydroquebec.com/themes/landing/images/eec/HQ-Decarboner-Icon-RechercheWeb-bleu@2x.png">
</figure>
<h3 class="title-h6">Recherches&nbsp;Web</h3>
<p>La recherche sur le Web émet quatre fois plus de GES que l’accès direct à un site : il est donc préférable de taper le nom du site dans la barre d’adresse ou d’utiliser les favoris et l’historique pour s’y&nbsp;rendre.</p>
</div>
<div class="columns small-12 medium-4 tuile">
<figure>
<img alt="" src="https://www.hydroquebec.com/themes/landing/images/eec/HQ-Decarboner-Icon-Reunions-bleu@2x.png">
</figure>
<h3 class="title-h6">Réunions</h3>
<p>Les audioconférences consomment 1 000 fois moins de bande passante que les&nbsp;visioconférences.</p>
</div>
</div>

<div class="row">
<div class="columns small-12 medium-4 tuile">
<figure>
<img alt="" src="https://www.hydroquebec.com/themes/landing/images/eec/HQ-Decarboner-Icon-Films-bleu@2x.png">
</figure>
<h3 class="title-h6">Divertissement</h3>
<p>L’écoute de séries télévisées et de films sur un ordinateur portable est beaucoup moins énergivore que sur un téléviseur intelligent ou un téléviseur combiné à une console de&nbsp;jeu.</p>
</div>
<div class="columns small-12 medium-4 tuile">
<figure>
<img alt="" src="https://www.hydroquebec.com/themes/landing/images/eec/HQ-Decarboner-Icon-Connexion-bleu@2x.png">
</figure>
<h3 class="title-h6">Connexion</h3>
<p>Le Wifi ou une connexion filaire consomme tout simplement moins que le réseau&nbsp;cellulaire.</p>
</div>
<div class="columns small-12 medium-4 tuile">
<figure>
<img alt="" src="https://www.hydroquebec.com/themes/landing/images/eec/HQ-Decarboner-Icon-Nuage-bleu@2x.png">
</figure>
<h3 class="title-h6">Nuage</h3>
<p>Il est bon de stocker uniquement le nécessaire sur les sites infonuagiques, et encore mieux d’utiliser le disque de l’ordinateur ou un disque&nbsp;externe.</p>
</div>
</div>
<div class="row">
<div class="columns small-12">
<p class="note centrer">
Source&nbsp;: Agence de la transition écologique, France, mars&nbsp;2020
</p>
<p class="centrer margintop-40"><a class="lien" href="https://www.hydroquebec.com/developpement-durable/">Pour en apprendre plus sur le développement durable au cœur de nos activités</a></p>
</div>
</div>
</section>
