title: All My Blogs Are Dead
url: http://www.theawl.com/2015/02/all-my-blogs-are-dead
hash_url: 5e06ee2c484fe8856d1500c372d2371e

<p>A couple of months ago, I pitched a feature on the music
industry that I was totally qualified to write. But the editor
questioned my experience: What exactly had I published about the
music industry? By my count, over two thousand blogposts since
2009. But the links to my author pages bounced back because the
websites had disappeared. Five of years work apparently evaporated
from server racks somewhere in New Jersey, as if I had never
written anything at all. Come to think of it, had I?</p>
<p>Despite the pervasive assumption that everything online lasts
forever, the internet is inherently unstable. Jill Lepore’s
<a href="http://www.newyorker.com/magazine/2015/01/26/cobweb">recent
<i>New Yorker</i> story</a> on archive.org’s Wayback Machine notes
the average lifespan of a website is “about a hundred days.” Sites
vanish with no explanation, or get overwritten without any
traceable history. Media outlets, even those with salaried
employees and editorial budgets can and do suffer the same
fate.</p>
<p>When a website dies, it’s usually the editorial that goes first:
writers, both freelance and staff, then editors. Marketing and ad
sales go next. Unlike print, where archive editions get filed away
or become recycling, a website can be scrubbed out of existence
because a company pulls it down or simply stops paying for hosting
or domain rights. <i>Modern Farmer</i> went from National Magazine
Award to pasture in a year. (Despite some <a href="http://www.capitalnewyork.com/article/media/2015/01/8561264/emmodern-farmerem-lives">
assurances</a> it will still be around, check back in six months.)
Hipster Runoff owner Carles, rather than pull his dormant site
down, just <a href="https://flippa.com/3477214-famous-niche-hipster-pr-5-site-w-168-648-uniques-mo-making-1-300-mo-w-no-work">
sold it</a> to an Australian investor for over twenty thousand
dollars. Remember The Daily? <a href="http://thedaily.com/">The
internet doesn’t</a>.</p>
<p>Most of the media outlets I’ve written for have folded and then
were flat-out deleted. In 2009, I had started blogging for AOL
Music’s Spinner and The BoomBox, averaging three posts per day
about indie rock and hip-hop. By 2010, I was writing approximately
two print features and twenty blogposts per month on local music
acts for New York <i>Press</i>. After that, in 2011, I joined the
boutique MP3 blog RCRD LBL as the site’s lead editor/writer,
publishing five posts per day. None of these outlets exist in 2014
beyond stray citations, rotten links and Facebook apparitions.</p>
<p>
  <span id="more-208257"/>
</p>
<p>Freelance writing for AOL Music in 2009 felt like a con. For two
hundred words of music blogging, I earned fifty dollars per post.
It was my only job, even though I was self-employed. I pitched my
posts at Spinner, AOL Music’s rock and indie vertical, and The
BoomBox; interviewed Ghostface a few times; and earned a relatively
decent living without ever going to the office. In February 2011,
AOL purchased The Huffington Post, which already had its own
successful music section. Budgets were slashed and, in April,
almost every <a href="http://www.theawl.com/2011/04/im-permalance-no-more-%25E2%2580%259Cthank-you-very-much-for-your-contributions-to-aol%25E2%2580%259D">
permalancer writing for AOL Music</a>, including myself, was laid
off and replaced by in-house editors who were tasked with
publishing five to ten stories per day. The salaried model, despite
hitting twenty-five million monthly visitors in 2012 and apparently
costing less than paying dozens of freelancers on a per-post basis,
did not generate enough ad revenue, and a 2013 hiring freeze
foreshadowed the ultimate closure of all AOL Music properties on
April 26, 2013. Spinner was its most-read music blog. But after
shuttering AOL Music, the site, which averaged six million monthly
visitors, was deleted entirely in August 2013. Spinner.com now
redirects you to an AOL Radio homepage that won’t even load in my
browser. And its Twitter account had been silent for so long enough
that, in 2014, it was reset and claimed by a Japanese person named
Sora, who has six followers.</p>
<p>When I talked to Dan Reilly, former editor of Spinner, about the
disappearance, he told me, âI assume that Spinner’s archives exist
somewhere, but they’re definitely not readily accessible online
anymore. AOL never gave us any explanation, but it seems obvious
that they wanted to wash away any trace of AOL Music and promote
AOL Radio instead. I’m not sure what the pros and cons are, but
it’s definitely a shame that all that content is lost, even just
for reference purposes. There have been times when I’ve needed to
find a quote or information from one of our pieces, but they’re
just not there anymore. “AOL continues to” <a href="http://www.theverge.com/2015/1/30/7949485/aol-shutting-down-tuaw-apple">simplify
its portfolio of brands</a>. “Tomorrow, it will shut down both
TUAW, the well-known Apple site and Joystiq, its pioneering
videogame blog. For now, the company says it will archive the sites
as channels under its Engadget umbrella” one of AOL’s few remaining
flagship properties, but arguably its most precarious.</p>
<p>As my AOL income evaporated in early 2011, I focused on
freelance work for New York <i>Press</i>, which, in turn, suffered
the fate of most alt-weeklies: Shrinking ad revenue lead to a
smaller paper with smaller budgets and eventually, total collapse.
With no meaningful online footprint, Manhattan Media, its
publisher, had started focusing on growing its under-read blogs.
I’d been writing sporadic music features for the paper since 2008,
but this new online focus earned me and a few freelance writers
promotions to associate editors and a weekly paycheck of a hundred
dollars. I interviewed local bands and wrote about homophobia in
rap. In July 2011, my longtime editor took a better job and they
stopped paying me for months. Six weeks later, a new
twenty-two-year-old “executive” was hired. She offered me a hundred
dollars per month for the same amount of work.</p>
<p>The paper, whose circulation peaked at a hundred thousand in
2006, published its last edition in September 2011 to a circulation
just twenty thousand. That’s when I quit. The online archive stayed
up until a redesign went live in February 2012. Developers must
have forgotten about the blogs, as all of New York <i>Press</i>’s
online articles disappeared and large swaths of the paper’s history
either got lost or were migrated into the new CMS with broken copy
and unreadable line breaks. Somehow, in January 2013, Nypress.com
was sold to Straus News. The URL now redirects to Straus’s
community newspaper site, which has nothing to do with the storied
alt-weekly besides owning its domain name. The music blog, along
with over three hundred posts from my nine months on the job, is
offline.</p>
<p>In June 2011, as I sensed the New York <i>Press</i> was
crashing, RCRD LBL offered me a full-time editor position
publishing blog posts that featured MP3 downloads and a few
sentences of copy. I was tasked with leading a staff of four
freelance writers. RCRD LBLâand MP3 blogs generallyâbegan
shriveling that same year as fans transitioned from downloading
tracks to streaming them. Why deal with downloading and managing
files when you can just click a link to play nearly any song in
existence? Why bother wading through wordy recommendations from a
dude who secretly just wants to listen to Pavement all day when
your real friends constantly share music you actually like on
Spotify and Soundcloud? With operating costs around three hundred
thousand dollars per year on top of hosting for fifty thousand
songs, RCRD LBL’s business model quickly became untenable. In
September 2012, freelance budgets were cut, and in October, the
entire staff, other than me, was laid off. I reduced the posting
schedule to one piece per day, and revenue from the site’s ad
network, SpinMedia, flatlined.</p>
<p>On May 14, 2013, I published an interview with Austin, TX
haze-rock trio Pure X and an MP3 by French post-punkers Le Femme,
knowing those would be the blog’s final posts. They stayed at the
top of the site for five months. Even though I felt an obligation
to the readers, funding had dried up, so I just stopped. Hardly
anyone noticed until October 2013, when the entire six-year
archive, including my roughly eleven hundred posts, disappeared
from the internet altogether. Facebook and Twitter provide the last
evidence of blogs like RCRD LBL. Like profiles of dead friends, fan
pages and reader messages sometimes float into my feed as ghostly
reminders that my work once existed.</p>
<p>We assume everything we publish online will be preserved. But
websites that pay for writing are businesses. They get sold,
forgotten and broken. Eventually, someone flips the switch and
pulls it all down. Hosting charges are eliminated, and domain names
slip quietly back into the pool. What’s left behind once the cache
clears? As I found with that pitch at the end of 2014, my writing
resume is now oddly incomplete and unverifiable. Ex-editors can
provide references, but I have surprisingly few examples of
published work to show beyond scanned print features from my early
days, so I’ve started backing up my work.</p>
<p>For media companies deleting their sites, legacy doesn’t matter;
the work carries no intrinsic value if there is no business
remaining to capitalize on it. I asked if RCRD LBL still existed on
a server somewhere. It apparently does; I was invited to purchase
it for next to nothing. I could pay for the hosting, flip the
switch on, and all my work would return. But I’d never really look
at it. Then, eventually, I would stop paying the bills, too.</p>
