title: Proposal: Addressing the term “meritocracy” in the governance statement
url: https://groups.google.com/forum/#!msg/mozilla.governance/OQlS6-gUBLQ/u0Em5XKjCAAJ
hash_url: 8322131f44f453460494b9a24850300b

Hello Governance folks,

As part of the our work on diversity and inclusion within Mozilla
communities, Emma Irwin and I have a proposal to rearticulate the main
principle of Mozilla’s governance statement. This proposal does not seek
to change how Mozilla is governed, only how we talk about how Mozilla is
governed, which may be reasonably be regarded as contentious.


Issue

The first line of Mozilla’s governance[0] states, “Mozilla is an open
source project governed as a meritocracy.”

The use of the term “meritocracy” to describe communities that suffer
from a lack of diverse representation is increasingly seen as
problematic: it proceeds from an assumption of equality of opportunity.
There is now quite substantial evidence [1] as well as opinion [2] that
we should challenge this usage.

At the same time, I believe that the rest of the articulation of how the
project functions (“authority is distributed to both volunteer and
employed community members as they show their abilities through
contributions to the project.”) remains a reasonable description of how
we aspire to work.  It asserts that people’s contributions are what
counts, not their employment affiliation or the personal relationships
they may have.  I believe we are able to acknowledge that this approach
remains imperfect.  Mozilla does support other measures (through
outreach and recruiting, policies and process improvements and tooling)
that can help address the biases inherent in a system where people gain
authority based on their past delivery.

To sum up:
-Declaring Mozilla to be a de facto “meritocracy” fails to acknowledge
evident bias in representation in the project.
-The word “meritocracy” itself has become a bone of contention which is
unhelpful to us.
-Meritocractic principles remain highly desirable and should be explicit.
-We should also acknowledge the importance of measures we take to debias
how authority is distributed.



Proposal

I seek to avoid making this an unnecessarily complex (or indeed
contentious) change, and after discussing with a number of interested
people, I would like to suggest this as the new summary of our
governance principle.

"Mozilla is an open source project.  Our community is structured as a
virtual organization. Authority is primarily distributed to both
volunteer and employed community members as they show their ability
through contributions to the project. The project also seeks to debias
this system of distributing authority through active interventions that
engage and encourage participation from diverse communities."

I believe that this is a change that minimises disruption and reflects
how the leadership of the project seek to govern it.




It’s customary to gain consensus among the main stakeholders for any
change before it is proposed on Governance.  In this case, however, I
feel that the number of stakeholders is potentially vast.  I believe
that there should be a period of review in the governance forum (a
week?), and would welcome guidance from moderators on what they believe
would be appropriate.

Many thanks,

Patrick

0. https://www.mozilla.org/en-US/about/governance/
1.
https://www.zdnet.com/article/think-open-source-is-a-meritocracy-it-is-but-only-if-no-one-knows-youre-a-woman/

2.
https://mfbt.ca/some-garbage-i-used-to-believe-about-equality-e7c771784f26?gi=c64efee22070
