title: Medium is not a publishing tool
url: https://medium.com/the-story/medium-is-not-a-publishing-tool-4c3c63fa41d2
hash_url: a4835f74ab58eeaed1999370e274fb21

<p name="3f3b" id="3f3b" class="graf--p">Twelve years ago, I was heading <a href="http://blogger.com" data-href="http://blogger.com" class="markup--anchor markup--p-anchor" rel="nofollow">Blogger</a> at Google and frustrated we kept losing users to our competitors, like <a href="https://movabletype.org/" data-href="https://movabletype.org/" class="markup--anchor markup--p-anchor" rel="nofollow">Movable Type</a> from <a href="http://en.wikipedia.org/wiki/Six_Apart" data-href="http://en.wikipedia.org/wiki/Six_Apart" class="markup--anchor markup--p-anchor" rel="nofollow">Six Apart</a>. A common phenomenon at the time was that people would start blogging on Blogger — because it was free, popular, and easy to set up — and then “graduate” to more powerful tools.</p><p name="229c" id="229c" class="graf--p">Movable Type, <a href="http://en.wikipedia.org/wiki/Greymatter_%28software%29" data-href="http://en.wikipedia.org/wiki/Greymatter_%28software%29" class="markup--anchor markup--p-anchor" rel="nofollow">Greymatter</a>, and, later, Wordpress, had a much higher barrier to entry (before WP had turnkey hosting). But once someone had discovered the joys of sharing thoughts on the Internet, they were willing to invest the effort in order to get the added features and flexibility that the install-on-your-server software afforded.</p><p name="986d" id="986d" class="graf--p">Understanding Blogger as we did at the time — as a software tool for creating and publishing web sites — we found ourselves in the race many software makers know well: <strong class="markup--strong markup--p-strong">Add features, get more users. Competitor adds more features, lose users. </strong>(Marketing and others factors have some effect, depending on the market. In blogging, that was minimal.)</p><p name="2709" id="2709" class="graf--p">This game was particularly hard to play for us, since Blogger was hosted software (I mean, <em class="markup--em markup--p-em">in the cloud</em>), unlike most of the tools we were competing against. The operational and engineering challenge was that we had to build features that scaled to all our users. And when we wanted to change something, all the users had to accept that change.</p><p name="675d" id="675d" class="graf--p">At the time, scaling centralized systems was a less-solved problem (even at far smaller numbers). More importantly, though it was easier due to this setup, we weren’t creating network effects. Though (I believe) we had more people publishing with Blogger than anything else, that didn’t make Blogger better. In fact, it made it worse, because it got slow and harder to add features to.</p><p name="b97d" id="b97d" class="graf--p">Today, we all understand the Internet business is not the software business. We strive to build networks and platforms. We compete on user experience (and marketing, to some extent). Features and flexibility are far down the list of competitive tactics, at least when you’re dealing in consumer software (make that, <em class="markup--em markup--p-em">services</em>).</p><p name="f8b6" id="f8b6" class="graf--p"><a href="http://twitter.com/" data-href="http://twitter.com/" class="markup--anchor markup--p-anchor" rel="nofollow">My next “blogging” tool</a> had far fewer features — and way more users. No one moves where they tweet because some other tool has better formatting or profile customization. That’s because a tiny percentage of the value Twitter brings comes from the software itself. It’s all about the network — the connection with other users and the content they create.</p><p name="0a86" id="0a86" class="graf--p">Chris Dixon had a great post a while back — <a href="http://cdixon.org/2015/01/31/come-for-the-tool-stay-for-the-network/" data-href="http://cdixon.org/2015/01/31/come-for-the-tool-stay-for-the-network/" class="markup--anchor markup--p-anchor" rel="nofollow">Come for the tool, stay for the network</a> — describing how, unlike Twitter, some platforms started out with tool value and transitioned into network value (which, ultimately, became a much bigger part of the equation, such is the case with Instagram). We had an inkling of this and were just getting started on the network piece of Blogger when I left 10+ years ago. It’s not that Blogger immediately suffered. Its ease-of-use continued to attract users in the tens of millions for many years. (<a href="https://siteanalytics.compete.com/blogspot.com/#.VVzsk5NViko" data-href="https://siteanalytics.compete.com/blogspot.com/#.VVzsk5NViko" class="markup--anchor markup--p-anchor" rel="nofollow">According to Compete, blogspot.com had 63M visitors just this March</a>.) But it was a pretty big missed opportunity for Google. (Don’t worry, they’ve done fine.)</p><p name="5d0b" id="5d0b" class="graf--p graf--last">More importantly, it was a missed opportunity for people and ideas. Well-designed networks reduce friction and help good stuff be found. Connections allow the whole to become greater than the sum of the parts and allow new paths to discover and build meaning.</p>


It will not surprise you that these observations reveal a lot about what we’re trying to do with Medium. We started out by building a great tool for writing. And it’s not even the editor itself that created the main value. It was the fact that you could easily write and share a story without the setup, overhead, or commitment level of starting a blog. It’s clear that there are many more people who occasionally have valuable perspectives to share than there are people who want to be “bloggers.” These people love writing on Medium, even if they see it as just a tool to create a nice page to point people to from Twitter.

However, that’s not the point. Or, at least, that’s not the end. In the last few months, we’ve shifted more of our attention on the product side from creating tool value to creating network value. What does this mean? Obviously, one form of that value is distribution. And there’s no doubt that something published on Medium has a higher likelihood to find an audience than the same thing published on an untrafficked island on the web.

But the more interesting bit of network value we’re starting to see a lot more of is qualitative feedback. Highlights is one of my favorite example of this:

And it’s not just for the writer’s benefit. When I’m reading something and come across a highlight from someone I follow, it immediately makes the passage and, indeed, the whole piece, more meaningful and memorable:

Responses are the other big thing that’s leveraging both the power of the open Medium platform and the growing network tying it together.

When you read a thoughtful piece about micropayments that questions the approach of a company and then the co-founder of that company responds with a thoughtful counter, that’s pretty cool. This sort of thing is possible — and happens — in traditional blog comments, but the ability for Medium responses to live on their own gives both more motivation to invest in them (as a creator) and more likelihood the significant ones will be found. (For old-schoolers: Yes, like Trackbacks.)

Here’s an interesting tidbit from an “initially skeptical” responder about responses that didn’t occur to me before: “I think that having to meet the bar required to hit publish on a piece helped make my words civil to the person who wrote the original article.”

We’re not done figuring all this stuff out. (Multi-part conversations for instance are a bit hard to follow.) But every day we’re seeing growth of this activity and great examples of the network power of Medium being realized.

That’s why I say Medium is not a publishing tool. It’s a network. A network of ideas that build off each other. And people. And GIFs (yeah, we have those, too — not our specialty, though, to be clear).

Let us know what you think by writing a response (short or long) below and/or highlighting your favorite parts, above.
