title: The Grip of Now
url: https://www.offscreenmag.com/blog/the-grip-of-now
hash_url: b53e9d9d0598024ba2524f6dd74f1804

<p><em>This essay by <a href="http://bencallahan.com/">Ben Callahan</a> first appeared in Offscreen <a href="http://archive.offscreenmag.com/issue12/">Issue 12</a> (now sold out).</em></p>
<p>I recently got a chance to visit the famous Notre Dame Cathedral in Paris. Most people know it as a Gothic church covered in gargoyles, the home of Quasimodo, or – for the architecture buffs out there – one of the first buildings in the world to use the flying buttress. While all of these tidbits of information are fascinating, what stuck with me was the history of its construction: it was started in 1163, and completed in 1345. It took almost 200 years to build, and it’s still standing 700 years later. Between five and nine builders are credited with the construction; most of them died before its completion.</p>
<p>What an odd thing, to commit your life to something you know you’ll never see finished. No addiction to the rush of shipping to keep you going, only solidarity with those working alongside you and the vision of something greater than yourself.</p>
<p>In the ’30s, the Empire State Building took just over a year to build. The Willis Tower in Chicago took three. The tallest building in the world, the Burj Khalifa in Dubai, took a ‘seemingly endless’ six years. In our own industry, digital projects are usually measured in weeks or months. Today’s web workers will hold between twelve and fifteen jobs in their lifetime. That averages out to around four years of commitment to each job. And this is all made even more startling when we consider how long our work lasts. Basically, it doesn’t. Apps are outdated almost immediately with the release of new hardware and operating systems. The web is flying by. Our work is fleeting.</p>
<p>Ray Kurzweil wrote about the Law of Accelerating Returns back in 2001, suggesting that the rate of technological evolution grows exponentially. This means we won’t experience 100 years of progress in the 21st century. It will be more like 20,000 years of progress at today’s rate. His work explains why we can build amazing structures faster today than ever before. What it doesn’t explain is how this impacts us as makers: how the immediacy with which we can create changes us.</p>
<p>‘Good things come to those who wait.’ Everything in our industry pushes against this aphorism. From indispensible continuous integration tools to the latest web development frameworks, it’s all presented under the guise of making us more productive and better contributors. None of this is done with malintent, of course, but we’ve lost the long view. And with each push to production comes that shipping high. It’s self-feeding – a roundabout with no exit where we test how fast we can go and still make the turn.</p>
<p>Part of me wishes there were a balance to the formula, that the amount of time it takes to create something would directly impact its longevity. Of course, this is not true. And even if it were, it would be nearly impossible to measure. Miles Davis and his band recorded their album Kind of Blue in a matter of days, and the end result is considered the greatest jazz recording of all time. This was only possible because of the decades of experience each player had gained before they ever set foot in the studio. In a sense, they had been preparing for those sessions their entire lives.</p>
<p>Which makes me wonder, what are we preparing for?</p>
<p>If the things we produce are merely a symptom of who we’re becoming, maybe we should ask ourselves who that is. How do we implore the next generation of makers to take their time, to hone their craft, to see their current accomplishments as foundational to their life’s work? But also, how do we make them recognise that most things worth doing cannot be done alone? Like those who spent their lives building Notre Dame, we need to understand our role in the grand vision. Every product we release is a brick in a new kind of cathedral – one that connects us all, from its foundation to its spire. And it’s this architecture that holds us together, taking its strength from our diversity.</p>
<p>For you and me – for all of us – there is much left to do. Are you willing to commit, knowing that you’ll never see it finished?</p>
<p><em>Enjoyed this essay? <a href="https://www.offscreenmag.com/buy/">Buy available issues</a> of Offscreen for more thought-provoking reading material in beautiful print.</em></p>
