title: Do the Right Thing
url: http://timjwade.com/2018/08/06/do-the-right-thing.html
hash_url: bb4f6a81c146856403184fade90545b7

<p>Some years ago when I was living in an Ashram in rural Virginia, I met
a wise, old man. I knew he was a wise, old man because he embodied
certain stereotypes about wise, old men. First, he was a Gray-Bearded
Yogi. Before this he was a New Yorker and a practicing Freudian
Psychoanalyst. Sometimes he would say a lot of interesting and funny
things, and at other times he would smile and nod and say nothing at
all. I can’t remember if he ever stroked his beard.</p>

<p>One day he said to me, “Asoka,” (the name under which I was going at
the time). “Asoka,” he said, “do you know what is the single driving
force behind all our desires, motives and actions?” I thought about
this for some time. I had my own ideas but, knowing he was a Freudian,
suspected that the answer was going to be something to do with the
libido.</p>

<p>“You probably suspect that the answer is going to be something to do
with the libido,” he said. “But it’s not.” I listened patiently. “It’s
the need … to be right.” I laughed. While I wasn’t totally surprised
not to have got the right answer, this particular one for some reason
blew me away. I wasn’t prepared. I had never framed human nature in
those terms before.</p>

<p>I wouldn’t expect anyone else to have the same reaction. I suspect
others would find this to be either obvious, banal, or plainly wrong,
and if this is you, I don’t intend to convince you otherwise (there
might be a certain irony in trying to do so). What I want to do
instead is document what became for me a personal manifesto, and a
lens through which I began to look at the world. As a lens, you are
free to pick it up, take a look through it, and ultimately discard it
if you wish. But I rather like it a lot.</p>

<p>What happened that day was really only the start of a long
process. Eventually I would see that a preoccupation with being right
was essentially an expression of power and that rectifying (from the
Late Latin <em>rectificare</em> - to “make right”) was about exerting power
over others. I would also see that this preoccupation had perhaps more
to do with the appearance of being right, and that the cost of
maintaining it would be in missed opportunities for learning. And I
would also see that, while the rectification obsession was not a
uniquely male problem, there seemed to be a general movement of
rightness from that direction, and we would do well to examine that
too.</p>

<p>I was the principle subject of my examination, and it has become a
goal to continue to examine and dismantle the ways in which I assert
“rightness” in the world.</p>

<h3 id="a-little-bit-about-myself">A little bit about myself</h3>

<p>Allegedly I come from a long line of <em>know-it-alls</em>. Unsurprisingly,
it’s a behavior that passes down the male side of my family. Of
course, I don’t really believe this is a genetic disposition, and it’s
easy to see how this might work.</p>

<p>As a child I remember my family’s praising me for being ‘brainy’. They
gave me constant positive feedback for being right. As long as I
appeared to be right all the time I felt like I was winning. In
actuality, though, I was losing. I learned to hide my ignorance of
things so as never to appear wrong. I’ve spent most of my life missing
answers to questions I didn’t ask. I became lazy, unconsciously
thinking that my smarts would allow me to coast through life.</p>

<p>Once I left School, and with it a culture principally concerned with
measuring and rewarding rightness, I had a hard time knowing how to
fit in or do well. It would take years of adjustments before I felt
any kind of success. Whenever something became hard, I’d try something
new, and I was always disappointed to find that opportunities were not
handed to me simply because I was ‘smart’. When I didn’t get into the
top colleges I applied to it devastated me. I would later drop out of
a perfectly good college, get by on minimum wage jobs when I was lucky
enough even to have one, fail to understand why I didn’t get any of
the much better jobs I applied for.</p>

<p>I stumbled upon a section in Richard Wiseman’s <em>59 Seconds: Think a
Little, Change a Lot</em> that claimed that children who are praised for
hard work will be more successful than those that are praised for
correctness or cleverness (there is some research that supports
this). It came as a small comfort to learn that I was not alone. More
importantly, it planted in me a seed whose growth I continue to
nurture today.</p>

<p>I still don’t fully grasp the extent to which these early experiences
have shaped my thinking and my behavior, but I have understood it well
enough to have turned things around somewhat, applied myself, and have
some awareness of my rectifying behavior, even if I can’t always
anticipate it.</p>

<p>It is one thing to intervene in your own actions toward others, to
limit your own harmful behavior. It is quite another when dealing with
the dynamics of a group of people all competing for rightness.  What
I’m especially interested in currently is the fact that I don’t
believe I’ve ever seen such a high concentration of people who are
utterly driven by the need to be right <em>all the time</em> as in the tech
industry.</p>

<p>Let’s look at some of the different ways that being right has manifest
itself negatively in the workplace.</p>

<h3 id="on-leadership-and-teamwork">On Leadership and Teamwork</h3>

<p>There is a well-known meme about the experience of being a programmer,
and it looks like this:</p>

<p><img src="/assets/two-states.png" class="img-responsive" alt="The two states of every programmer"/></p>

<p>There is some truth to this illustration of the polarization of
feelings felt through coding. However, it is all too common for
individuals to wholly identify with one or the other. On the one side
we have our rock stars, our 10x developers and brogrammers. On the
other we have people dogged by imposter syndrome.  In reality, the two
abstract states represent a continuous and exaggerated part of us
all. Having said that, I believe that <em>everyone</em> is in the middle, but
much closer to the second state than the first. All of us.</p>

<p>In my personal experience I have felt a strong feeling of camaraderie
when I’m working with people who all humbly admit they don’t <em>really</em>
know what they’re doing. This qualification is important - nobody is
saying they are truly incompetent, just that there are distinct limits
to their knowledge and understanding. There is the sense that we don’t
have all the answers, but we will nonetheless figure it out
together. It promotes a culture of learning and teamwork. When
everyone makes themselves vulnerable in this way great things can
happen. The problem is that it only takes one asshole to fuck all that
up.</p>

<p>When a team loses its collective vulnerability as one person starts to
exert rightness (and therefore power) downwards onto it, we lose all
the positive effects I’ve listed above. I’ve seen people become
competitive and sometimes downright hostile under these
conditions. Ultimately it rewards the loudest individuals who can make
the most convincing semblance of being right to their peers and
stifles all other voices.</p>

<p>This is commonly what we call “leadership”, and while I don’t want to
suggest that leadership and teamwork are antagonistic to each other, I
do want to suggest that a certain style of leadership, one concerned
principally with correctness, is harmful to it. A good leader will
make bold decisions, informed by their team, to move forward in some
direction, even if sometimes that turns out to be the wrong one. It’s
OK to acknowledge this and turn things around.</p>

<h3 id="on-productivity">On Productivity</h3>

<p>A preoccupation with being right can have a directly negative effect
on productivity. One obvious way is what I will call refactoring
hypnosis - a state wherein the programmer forgets the original intent
of their refactoring efforts and continues to rework code into a more
“right” state, often with no tangible benefit while risking
breakages at every step.</p>

<p>Style is another area that is particularly prone to pointless
rectification. It is not unusual for developers to have a preference
for a certain style in whatever language they are using.  It is
interesting that while opposing styles can seem utterly “wrong” to the
developer it seems that this is the area of software development in
which there are the fewest agreements over what we consider to be good
or “right”. In Ruby there have been attempts to unify divergent
opinion in the <a href="https://github.com/rubocop-hq/ruby-style-guide">Ruby Style Guide</a> but it has been known to go back
and forth on some of its specifics (or merely to state that there are
competing styles), and the fact that teams and communities eventually
grow their own style guides (AirBnb, GitHub, thoughtbot, Seattle.rb)
shows that perhaps the only thing we can agree on is that a codebase
be consistent. Where it lacks consistency there lie opportunities to
rectify, but this is almost always a bad idea if done for its own
sake.</p>

<p>Finally, being right simply isn’t agile. One of the core tenets of the
Agile Manifesto is that while there is value in following a plan,
there is more value in responding to change. This seems to suggest
that our plans, while useful, will inevitably be wrong in crucial
ways. An obsession with rightness will inevitably waste time -
accepting that we will be wrong encourages us to move quickly, get
feedback early on and iterate to build the right thing in the shortest
time.</p>

<h3 id="on-culture">On Culture</h3>

<p>As I’ve asserted above, none of us <em>really</em> knows what we are doing
(for different values of “really”), and indeed this sentiment has been
commonly expressed even among some of the most experienced and
celebrated engineers. I think that there is both humor and truth in
this but, while I believe the sentiment is well-intentioned, words are
important and can sometimes undermine what’s being expressed
here. I’ve seen people I look up to utter something of the form, look,
I wrote [some technology you’ve probably heard of], and I still do
[something stupid/dumb] - what an idiot! This doesn’t reassure me at
all. All I think is, wow, if you have such a negative opinion of
yourself, I can’t imagine what you’d think of me.</p>

<p>Perhaps instead of fostering a culture of self-chastisement we can
celebrate our wrongness. We know that failure can sometimes come at
great cost, but it’s almost always because of flaws in the systems we
have in place. A good system will tolerate certain mistakes well, and
simply not let us make other kinds of mistakes. A mistake really is a
cause for celebration because it is also a learning, and celebrating
creates an opportunity to share that learning with others while
simultaneously destigmatizing its discovery. I am happy that my team
has recently formalized this process as part of our weekly
retrospectives - I would encourage everyone to do this.</p>

<p>One of the most harmful ways I’ve seen the rectification obsession
play out is in code reviews. The very medium of the code review
(typically GitHub) is not well set up for managing feelings when
providing close criticism of one’s work. We can exacerbate this with
an obsession with being right, especially when there are multiple
contenders in the conversation.</p>

<p>I have been on teams where this obsession extends into code review to
the point where, in order for one to get one’s code merged, a reviewer
has to deem it “perfect”. Ironically, this seems less an indicator of
high code quality in the codebase and more of the difficulty of ever
making changes to the code subsequently.  Having your work routinely
nitpicked can be a gruelling experience - worse so when review take
place in multiple timezones and discussions go back and forth over
multiple days or even weeks. Personally, I’ve been much happier when
the team’s standard for merging is “good enough”, encouraging
iterative changes and follow up work for anything less crucial.</p>

<p>It is hard to overstate the importance of language when looking at
these interactions. There has been much talk recently about the use of
the word “just” (as in “just do it this way”) in code review, and I am
glad that this is undergoing scrutiny. It seems to suggest that not
only is the recipient wrong, but deeply misguided - the “right” way is
really quite simple. This serves to exert power in a humiliating way,
one that minimizes our effort and intellect along the way. Of course,
there are countless more ways that we can do harm through poorly
chosen words, but I am glad that we have started to examine this.</p>

<h3 id="on-mansplaining">On Mansplaining</h3>

<p>It is telling to me that the standard introduction to any
mansplanation, <em>well, actually….</em>, is almost the ultimate expression
of rectification. It is appropriate that we have identified this
behavior as an expression of masculine insecurity - the man uses sheer
volume and insistence to counter a position he poorly
understands. More innocent mansplanations still work in the same way -
without contradicting a man may simply offer some explanation (I am
right!), believing this to be helpful to the person whose ignorance he
has assumed.</p>

<p>I am aware that there could be some irony in trying to frame the whole
of this phenomenon in terms of my manifesto, but it is not my
intention to do so. It is rather that mansplaining reveals a great
deal about the harm done and intentions behind rectifying behavior.</p>

<h3 id="doing-the-right-thing">Doing the Right Thing</h3>

<p>I do not want to suggest a feeling of smug superiority - just about every
harmful behavior I have described above I have also engaged in at some
point. I know I will continue to do so, too. But I want this to be
better, and I want to work with people who are also committed to these
goals.</p>

<p>Looking back to the start of my journey, I have to question now the
intent of the wise, old man in his original assertion about human
behavior. Was this yet another example of some unsolicited advice from
a person who exploited their maleness and seniority to add more weight
to their pronouncements than perhaps they deserved? Is this all that
wise, old men do? Almost certainly.</p>

<p>As it turned out, I did not wholly embrace it as truth (none of the
above makes any claims to social science or psychology), but neither
rejected it wholesale. I discovered that while it may not be literally
true, I might arrive at smaller truths by entertaining it as an idea
(the contradiction is probably what made me laugh). I’m grateful that
it was shared with me.</p>

<p>That there is nothing <em>wrong</em> with <em>being right</em>. Rather, it is the
<em>desire</em> to be right that colors our judgment, that leads us on the
wrong path. Being right is also not the same thing as <em>doing the right
thing</em>. And I want to focus my efforts now on this, while trying to
free myself from the tyranny of being right.</p>
