title: L’empathie comme moyen de réparation - l’exemple avec un atelier sur la parole et le genre.
url: https://julia-barbelane.github.io/reflexions/chantiers/l-empathie-comme-moyen-de-reparation-l'exemple-avec-un-atelier-sur-la-parole-et-le-genre.html
hash_url: bbf5c593ca91726c0a75d6e97c14429b

<p><img src="https://raw.githubusercontent.com/Julia-barbelane/reflexions/master/photos/l-empathie-comme-moyen-de-reparation.png" alt="Des hommes et des femmes"/></p>

<p><em>J’ai fait cette expérience dans le cadre du Forum Ouvert de SudWeb où j’ai décidé de participer à l’atelier “la parole et le genre” proposé par <a href="https://twitter.com/perafoo">Raphaël Pierquin</a> qui s’est beaucoup appuyé sur <a href="https://ssw.umich.edu/sites/default/files/documents/events/colc/from-safe-spaces-to-brave-spaces.pdf">la littérature du brave space</a> pour imaginer le déroulement de la session.</em></p>

<h2 id="latelier">L’ATELIER</h2>

<h3 id="13h">13h</h3>
<p>Je rejoins le cabanon où a lieu l’atelier. Des chaises, un cercle et quelques hommes sont installés. Je note que Raphaël a l’air content de voir une femme venir participer.</p>

<blockquote>
  <p>Je m’interroge cependant : un homme pour animer un atelier qui parle de la répartition de la parole homme-femme ?</p>
</blockquote>

<p>Je comprends vite que c’est une première fois et qu’il est normalement prévu pour être animé par un homme et une femme. Aussi Raphaël me propose rapidement de prendre le relais pour “<em>gérer</em>” la parole des femmes.</p>

<p>Très vite d’autres hommes nous rejoignent et puis enfin une autre femme. Yess ! Elle s’installe à mes côtés et nous faisons face aux hommes.</p>

<h3 id="13h10">13h10</h3>
<p>Raphaël : <em>Qu’est-ce que vous venez chercher dans cet atelier ?</em></p>

<p>Les réponses sont variées. Certain·e·s sont curieu·x·ses, d’autres s’attendent à trouver des réponses ou à mieux comprendre les mécanismes de répartition de la parole entre hommes et femmes.</p>

<h3 id="13h15">13h15</h3>

<p>Raphaël présente les quelques règles qui vont régir l’atelier. Il précise qu’à la fin de cette présentation, tous les hommes qui rentreront seront invités à ne pas parler et à rester observateurs tandis que les femmes, elles, seront invitées à participer.</p>

<p>Ma curiosité est à son comble. Mais que va-t-il nous faire faire ???</p>

<p><em>“Messieurs, l’idée ici est d’écouter les participantes. Je vous demande de ne pas prendre la parole, sauf pour poser des questions de compréhension ou exprimer vos ressentis.”</em></p>

<p>Hum. J’aime beaucoup cette invitation mais une petite voix me chuchotte qu’il se peut que ce soit difficile pour les participants. Rares sont ceux qui écoutent vraiment et encore plus rares sont ceux qui arrivent à partager leurs sentiments. Ma curiosité est à son comble !</p>

<p><em>“Mesdames, si vous êtes d’accord, je vais vous laisser la parole pour que vous nous racontiez des anecdotes, des histoires, des moments que vous avez mal vécu en lien avec la prise de parole et les hommes.”</em></p>

<p><strong>Précision de l’intention</strong></p>

<p>Il me semble que l’intention de Raphaël est de <strong>créer un espace “d’écoute contrainte et sécurisée” entre une population “oppressée” (ici les femmes) et une population “oppressive” (ici les hommes) pour permettre de libérer la parole de l’une devant l’autre.</strong> Ici en contraignant la prise de parole des hommes Raphaël créé un cadre safe pour les femmes, qui se sentent libres de parler. C’est volontairement beaucoup moins safe pour les hommes. Et ça me semble cohérent car l’idée est de leur offrir une occasion d’écouter et d’apprendre de “celles qu’ils oppressent” chose c’est impossible si ces derniers ne sont pas “contraints” en posture d’écoute et d’empathie.</p>

<p>Trop chouette ! Je réfléchis. J’ai quelques anecdotes. Je prends la parole. La deuxième participante enchaîne.</p>

<h3 id="13h30">13h30</h3>
<p>De nouvelles personnes rejoignent le cercle. Comme annoncé, Raphaël interpelle discrètement les hommes pour leur proposer de rester silencieux et observateurs. Moi je m’occupe d’accueillir les femmes en leur expliquant l’exercice. C’est chouette parcequ’elles ont toutes l’air de répondre avec plaisir et enhousiasme.</p>

<h3 id="13h35">13h35</h3>
<p>Nous sommes finalement 4 femmes, installées côte à côte, et environ 7 hommes (participants et observateurs). Le dialogue continue jusqu’au moment où une des participantes exprime son malaise.</p>

<p><em>“Je trouve la configuration du cercle un peu bizzare. Ce bloc de femmes c’est étrange. Ca vous dirait qu’on se mélange ?”</em></p>

<p>5 secondes plus tard, le cercle était plus homogène. Elle avait raison c’est plus confortable. La discussion reprend.</p>

<h3 id="13h55">13h55</h3>
<p>Raphaël propose de clôturer l’atelier par une petite rétro. La parole est d’abord donnée aux participant·e·s puis aux observateurs. J’ai beaucoup de choses à dire. L’expérience était vraiment stimulante. Et je ne suis pas la seule mais comme il faut libérer la place, on décide de continuer la rétro à l’extérieur.</p>

<p>Je prends alors la mesure de l’enthousiasme partagé et de l’intérêt pour le sujet car la plus grande partie d’entre-nous décide de rester.</p>

<h2 id="la-rétro">LA RÉTRO</h2>

<p>Cet atelier a activé plusieurs parts de moi.</p>

<p><strong>L’Amazone :</strong> je ne m’attendais pas du tout à la rencontrer ici, d’autant que je ne suis pas très à l’aise avec elle. Elle a surtout été activée lorsqu’un des observateurs a dit “<em>j’avais trop envie de parler, mais je ne pouvais pas c’était frustrant !”</em>. Elle a dit un truc du genre “<em>AHAH ! Tant mieux ! Tu vois ce que ça fait hein ?”</em>. Cette part, de nature assez exigente et vindicative, aurait aussi aimé que les participants se saisissent de cette occasion pour poser plus de questions telles que “<em>qu’est-ce que tu as ressenti ? Qu’est-ce que tu me conseillerais pour ne pas reproduire cette situation ? Que peut-on faire dans un cas comme ça pour réparer ?”</em>. Je ne saurais pas dire quelle émotion y été associée exactement, mais c’était en lien avec les besoins de reconnaissance, de compréhension et d’empathie.</p>

<p><strong>La soeur :</strong> au delà de la question du genre, elle a été touchée du “<em>pas fait vers nous</em>”. Ca donne plein d’espoir de sentir cette volonté de comprendre pour agir vers plus de paix et d’équité. Elle s’est sentie en lien avec ses frères qui ont tenté de comprendre et d’accueillir ses expériences dans l’idée d’aller vers du mieux. Je dirais qu’ici c’est la réparation et le lien qui ont été nourris. J’ai ressenti une profonde gratitude pour les hommes en présence.</p>

<p><strong>La mère :</strong> cette part là a peut-être pu se connecter à la difficulté que pouvait représenter un tel exercice pour les hommes. Ca devait être inconfortable pour eux, et elle s’est sentie pleine d’empathie.</p>

<p><strong>L’exploratrice :</strong> celle-ci a été très stimulée ! Et si on rééssayait ? Et si cette fois je faisais partie du groupe des “<em>oppresseu·r·se·s</em>” ? Peut-être pourrais-je apprendre beaucoup ? Peut-être pourrais-je participer à cette “réparation” que j’ai ressentie ?</p>

<h2 id="la-suite">LA SUITE</h2>
<p>Au delà de mon envie de réitérer l’expérience, j’ai aussi décidé d’aller interpeller les autres personnes qui y ont participé. L’idée : avoir plusieurs points de vue avec une curiosité particulière pour celui des hommes.   <br/>
<img src="https://raw.githubusercontent.com/Julia-barbelane/reflexions/master/photos/extrait-du-tweet.png" alt="extrait du tweet"/>. <br/>
Résultat, j’ai commencé à agréger quelques retours.</p>

<p>Merci les ami·e·s !</p>

<ul>
  <li><a href="https://www.julienpradet.fr/reactions/la-parole-et-le-genre/">Julien</a> “<em>En tant qu’oppresseur, je me sens tout de suite beaucoup plus responsable.</em>”</li>
  <li><a href="https://estcequecestdutravail.xyz/2018/06/le-genre-et-la-parole-au-travail.html">Noémie</a> “<em>Tant d’hommes silencieux dans une salle je crois que ça ne m’est jamais arrivé.</em>”</li>
</ul>
