title: Follow the links
url: http://aworkinglibrary.com/writing/follow-the-links/
hash_url: cbbb6529f7412868ba45d5e8b32323a5

<p>Twitter is <a href="http://recode.net/2016/01/05/twitter-considering-10000-character-limit-for-tweets/">contemplating an increase</a> from the heretofore gospel of 140 characters. As has already been capably reported pretty much everywhere, the mechanism for this increase would likely work similarly to the existing Twitter card feature, where a user can click to expand a tweet and see more—a large image, an image with text in it, and, perhaps not surprisingly, now a bunch of words.</p>

<p>Robinson Meyer correctly, I think, <a href="http://www.theatlantic.com/technology/archive/2016/01/dont-fear-the-10ktwitter/423135/">interprets Twitter’s move</a> as paving the cowpaths—adopting a hack that users invented, which is also how hashtags and retweets and replies all became integral parts of the platform. John Herrman locates the move inside his <a href="http://www.theawl.com/2016/01/about-nine-thousand-characters-in-case-you-were-wondering">epic tale</a> of how platforms are eating journalism; that is, how this is a move by Twitter to keep people on Twitter, rather than going somewhere else, which of course is about money. If Twitter keeps people on Twitter, it can grow engagement metrics, learn more about its users, and—theoretically at least—generally make more money, some of which it is even likely to share with publishers, although probably it won’t be enough. “Enough” being a quantity of money that has gradually declined over the decades, not only because of the web, but largely so, and while that should have made it an easier target, it seems we keep missing it.</p>

<p>I don’t want to diminish the money part of this equation—because it’s super interesting and has obviously important ramifications. But I also don’t have any exciting new insights there. We’ve been watching the business model of journalism slowly implode as if captured by a phantom camera for the better part of two decades now, and at this point I think we all know that the bullet is going to emerge from the other side of the watermelon and make a big mess on the floor. At some point, the excitement passes and you start contemplating how best to clean up.</p>

<p>There’s another bit of this shift that I <em>do</em> want to explore, though, which is about storytelling and the nature of the web. Because what Twitter (or Facebook, or Apple, or whomever) is also doing when they bring the web to users’ feeds, rather than letting those feeds serve as maps to elsewhere, is diminish the hyperlink. You remember the hyperlink, right? It’s supposed to take you somewhere, to move you from one place to another. </p>

<p>Ted Nelson, in his infamous <a href="http://www.xanadu.com">Xanadu experiment</a>, imagined the hyperlink as more than a road sign, as the means by which every bit of human knowledge could be versioned and attributed and appropriately enumerated. Which was and is a fascinating idea, but it was never going to be more than that. The hyperlink, with its super simple structure—a direction and some characters of description, which could be as straightforward or as subversive as you wanted—did get off the ground, and it is indeed marvelous. The ability to follow links down and around and through an idea, landing hours later on some random Wikipedia page about fungi you cannot recall how you discovered, is one of the great modes of the web. It is, I’ll go so far to propose, one of the great modes of human thinking. </p>

<p>There’s a very cheeky, very French book that I am ridiculously fond of, called <a href="http://aworkinglibrary.com/reading/how-to-talk-about-books-you-havent-read/"><em>How to Talk About Books You Haven’t Read</em></a> by Pierre Bayard. The title and flap copy (“if you don’t read one book this year, let this be the one”) are brilliant misdirections: this isn’t a self-help book, but a smart little treatise that argues for the library over any individual book, and for your own powers of creation over the passive absorption of others’ work. Bayard’s premise goes like this: for every book you read, you neglect countless others. If you really love books, then, you shouldn’t be so cruel as to <em>read them</em>—rather, you should learn enough about a book that you can locate it in the system, understand its associations and relationships to other books, and appreciate its contributions to the whole. It’s the connections between books that are interesting in Bayard’s vision—that is, the <em>links</em>—not the books themselves.</p>

<p>(There’s a related thread in <em>How to Talk</em> that says it’s more important to make your own contribution to the library than to get to know the books within it, about which more another time.)</p>

<p>Some of what Bayard hints at is a means of living in an age with impossible quantities of information. You can’t know enough of everything, so instead you should know where it all fits. Put another way, understanding a single book may be nice, but if you don’t know what other books it talks to, what political or historical or literary conversations it participates in, you don’t really <em>know it</em>.</p>

<p>Back to feeds. In addition to places to talk (in the Walter Ong <a href="http://aworkinglibrary.com/writing/a-place-to-talk/">secondary orality</a> sense) they have also been places to venture off from—you start in your feed, but you end up in a browser, half a dozen clicks away. If everything comes to your feed instead, will you never leave? Will this be like working in one of those startup buildings with their own coffee houses and cafeterias and laundry services, where the streets outside could flood and you wouldn’t notice for days?</p>

<p>(Did you click any of the links above? Do you have them open in tabs right now? Isn’t that <em>great</em>?)</p>

<p>There’s another part of feeds that’s potentially disconcerting: you don’t quite know how they operate. Facebook’s algorithm decides which items appear in your feed and which do not; its workings are mysterious and constantly being tinkered with. Apple News is predicated on learning your proclivities and creating a personalized feed just for you, but the mechanics are of course hidden. Twitter has traditionally been more transparent: you decide who to follow, and then you see everything they tweet in chronological order. But recent experiments show Twitter <a href="http://motherboard.vice.com/read/twitter-is-testing-timelines-that-arent-in-chronological-order">dabbling in more Facebook-ified feeds</a>, where robots determine which tweets you’re most interested in or most likely to click or some other metric likely to change and certain to remain opaque. Zeynep Tufekci has written about the ways in which it seems Facebook’s <a href="https://medium.com/message/ferguson-is-also-a-net-neutrality-issue-6d2f3db51eb0#.t7x62n6ot">algorithms downplay the Black Lives Matter movement</a>. Invisible algos are obviously disturbing to journalists, who are right to worry that content that is challenging or politically unfavorable will be buried. But it’s similarly disturbing to users, who—like the protesters in Ferguson—may have their own messages to distribute, and who cannot know how the algo is attempting to manipulate them, nor predict how their own identity is transmitted to others.</p>

<p>I don’t want to downplay the very real user experience improvements that staying on a platform can bring: pages will load faster, and in theory at least, platforms will reduce the need for third party ad networks which are the principal reason that much of the web has become heavy and slow. (Most websites are content platforms into which ads are inserted, while these new applications could be seen as ad platforms into which content is inserted; when the whole app is a network for ads, you don’t need a lot of extra JavaScript to report to adjacent ad networks.) And, as Meyer points out, it’s also likely that these new platforms will end up being more accessible—by enforcing strict requirements on the content, platforms can guarantee that the text can be read by speaking browsers, something that, alas, voluntary guidelines from the various web standards organizations have been unable to do.</p>

<p>But accessibility should be a baseline, not the sum of it all. And I want more from a feed than basic accessibility. I want to fucking learn something. I want to challenge my perception of the world. And, yeah, I want to see <a href="https://twitter.com/NationalZoo/status/690915532539838464">pandas rolling in the snow</a>, too, but a panda-only web would be pretty dull. At some point, a feed that you never leave is going to feel like a prison. Platform designers should take heed.</p>
