title: Privacy Policy
url: https://wdrl.info/privacy
hash_url: f5477e30821b38530e76be1cea167dd6

<h2>Generic privacy information</h2>
<p>This website protects your privacy and therefore does not collect any personal information unless you explicitly provide them. This means I don’t collect any usage data, track surfing history or data or share it with third-parties beyond my hosting partners.</p>
<p>On this site and subdomains of this service you can enter your email address to receive a regular newsletter from me. Each email that you receive has an opt-out setting that lets you unsubscribe from the newsletter list any time. The provided email address is used only for sending you the requested newsletter.</p>
<h2>Data transfer</h2>
<p>This website uses HTTPS to transmit data, a state-of-the-art protocol which encrypts your data between the browser and the server. Additionally, this site uses additional security features such as a Content Security Policy, HTTP Strict Transport Security and other measurements to make your browsing experience safe. Note that even with all these encryption methods, some third parties or authorities may still be able to identify the fact that you are interacting with this server. This is a design pattern of the underlying network protocol and not website-specific.</p>
<h2>Hosting services</h2>
<p>This site uses <a href="https://uberspace.de/">Uberspace</a> in Germany to host the website and its content. They value privacy, security and run their servers in a German datacenter using renewable energy. The newsletter management software (<a href="https://github.com/Mailtrain-org/mailtrain">Mailtrain</a>) is run at <a href="https://www.digitalocean.com/">Digital Ocean</a> in Frankfurt, Germany location.</p>
<h2>Scripts and external resources</h2>
<p>This website does not load any resources from other services. You may notice that we make some connections to subdomains; that is due to the fact that the newsletter-service runs on a physically separate service instance.</p>
<h2>Analytics and Log files</h2>
<p>This service collects common access logs that store basic information about your connection, including parts of your IP-addess (stripped by the last part in order to protect your personal identity), hostname, and user agent information. I strictly limit the amount of data gathered here and use it only to ensure the availability, reliability and security of the provided services. I do not run any behavioral tracking or analytics software that could lead to an identification of visitors.</p>
<h2>Cookies and local storage data</h2>
<p>Please note that we may set cookies or similar local storage information using unique identifiers in order to be able to run this service and keep it safe. These techniques are used only if absolutely necessary and do not send information to any third-party or store any sensible data. By entering personal information data on a form on this service, you agree to this data collection.</p>
<h2>Email Newsletter</h2>
<p>The email newsletter offered here is hosted by myself as well and does not track you but I use the <a href="https://aws.amazon.com/">Amazon AWS SES service</a> (in Ireland, the only available location under EU jurisdiction) to send the emails.</p>
<p>By definition, your email address is stored in order to send out emails to you. To ensure that you’re the owner of the provided email address, we send you a confirmation email before subscribing; Unconfirmed email addresses are kept in the database along with the IP address they were signed up from to prevent abuse and keep the servie safe. The following data is stored to comply with the legal obligation to document this “double opt-in” process: the time and IP address of you filling in the form and the time when you click the confirmation link.</p>
<p>Once subscribed, you’ll receive newsletter emails; the opening of the message or clicks on the links are not tracked (though sometimes, the links included may be non-public links, which allows to count overall clicks from the newsletter; such links are the same for all subscribers, hence not connected to your identity).</p>
<p>You can cancel your subscription any time in which case you will not receive further email.</p>
<h2>Data export / deletion</h2>
<p>In case you have any further questions regarding your privacy or personal information, please to contact me at mail@wdrl.info. The same applies for any requests for deletion of your personal information or a data export (which would be your email address only).</p>
