title: Privacy could be the next big thing
url: https://kryogenix.org/code/privacy-could-be-the-next-big-thing-hackference/
hash_url: 6f628fc1d353da4b829c85976fad2059

<p>About privacy, and how people are scared and uneasy about what's being done with their data. And
how we need to stop building new technology and start working out how to explain to everyone that it
is possible to build a world where you don't have to feel exploited and frightened and you still have
all the same internet superpowers that you have today.</p>




<p class="note">This is the text version of the talk; not a transcript, but my working copy.</p>

<div class="words">
<p>Hi, my name's Stuart Langridge, and I'm going to talk about how privacy could be the next big thing. Emphasis on the <em>could</em>.</p>

<p>Who in this room thinks that the amount of data that's collected on all of us is a bit much? Who in this room thinks that the uses to which those data get put are a bit... creepy?</p>

<p>In 2012, Target, the American discount store, put together a list of 25 products that when purchased together indicate that the purchasing woman is likely pregnant. Then they mailed out coupons for baby products to prospective mothers... and one of them's father stormed into his local Target and demanded to see the manager. âMy daughter got this in the mail!â he said. âSheâs still in high school, and youâre sending her coupons for baby clothes and cribs? Are you trying to encourage her to get pregnant?â And then a couple of days later he apologised profusely when it turned out she WAS pregnant.</p>
<p class="url"><a href="http://www.businessinsider.com/the-incredible-story-of-how-target-exposed-a-teen-girls-pregnancy-2012-2">http://www.businessinsider.com/the-incredible-story-of-how-target-exposed-a-teen-girls-pregnancy-2012-2</a></p>

<p>Google's chat app, Allo (well, one of Google's fifty chat apps) includes the Google Assistant, which will âhelpfullyâ add things to conversations you're having with others... such as locations from your personal maps or things from your personal searches, visible to the person you're chatting to. Some of this stuff is apparently a bug and it's been fixed.</p>
<p class="url"><a href="https://www.recode.net/2017/3/13/14912394/google-allo-search-history-privacy-messaging-app">https://www.recode.net/2017/3/13/14912394/google-allo-search-history-privacy-messaging-app</a></p>

<p>Women are less likely to be shown ads for high-paying jobs.</p>
<p class="url"><a href="https://www.theguardian.com/technology/2015/jul/08/women-less-likely-ads-high-paid-jobs-google-study">https://www.theguardian.com/technology/2015/jul/08/women-less-likely-ads-high-paid-jobs-google-study</a></p>

<p>If your social media friends have bad credit ratings, it could be harder for you to get a loan.</p>
<p class="url"><a href="http://money.cnn.com/2015/08/04/technology/facebook-loan-patent/">http://money.cnn.com/2015/08/04/technology/facebook-loan-patent/</a></p>

<p>Uber, who are the Lord High Chancellors of this sort of thing, have tracked drivers who were attending taxi protests and fired them, have built an internal app called âGod Viewâ which continues to track you after you get out of their cars, and mined their dataset to identify âRides of Gloryâ -- rides taken to get home after one-night stands.</p>
<p class="url"><a href="https://motherboard.vice.com/en_us/article/53ddwb/uber-knows-too-much-about-you">https://motherboard.vice.com/en_us/article/53ddwb/uber-knows-too-much-about-you</a></p>

<p>They retracted that one. Because even they were aware that this sort of thing is creepy. Really, really creepy.</p>

<p>Isn't it great to live in the 21st century? Where deleting history has become more important than making it.</p>
<p class="url"><a href="https://twitter.com/aianhangover/status/466813236520964097">https://twitter.com/aianhangover/status/466813236520964097</a></p>

<p>There used to be a saying. If you're not paying for the product, you are the product. Now, this has always been various levels of untrue. Sometimes you're paying for the product <em>and</em> you're the product. If you're getting a thing for free that doesn't mean that you've agreed to be exploited in every single imaginable way.</p>

<p>âThere is no correlation between how much money users pay and how well they're treated.â</p>
<p class="url"><a href="http://powazek.com/posts/3229">http://powazek.com/posts/3229</a></p>

<p>But leave all that aside for now. When people started bandying that expression around, you heard a lot of people saying... cool, I'm OK with being the product, whatever that means, because I'm not really interested enough to pay. And, hey, if you're gonna show me ads, which you are because I'm not gonna pay, then they might as well be ads for stuff I might wanna buy, right? TV ads are rubbish, or at least they were back in the days when anyone watched actual TV, as far as I can tell. What's different now is a word I've used already, and a word we're now hearing a lot. Creepy. From actual people, from media articles, from friends in the pub and people on the train and colleagues in the office. It's creepy. What do they mean?</p>

<p>In Anathem, Fraa Jad describes it as âan intuition of the numenous, combined with a sense of dread.â This is true but nobody knows what it means. Still, the bloke saying it was hundreds of years old, so perhaps we can do better.</p>

<p>The issue here is aggregation. Emergent phenomena. The whole of data science is oriented around taking a big pile of facts about a thing and using them to deduce new facts that you weren't told. It's what Target did. It's what Sherlock Holmes did. Take data you've got and use it to derive new and surprising conclusions. It's a cool trick... when you watch it happening to someone else.</p>

<p class="videoWrapper">

</p>

<p><img src="slides/output-26.png"/>
This is not the face of someone who is pleased and delighted by their user experience. People <em>do not like it</em> when you do this.</p>

<p>Companies. Learn this. Your data collection is creepy when you use it to deduce things you weren't told and shouldn't know.</p>

<p>Doing this is what data science is for. So there's something of a mismatch here. And it's not exactly new. Supermarkets are laid out in an incredibly precise way. Vegetables at the beginning because it communicates freshness. Bakery near the entrance because it smells nice. Stuff everyone buys is at the back so you have to walk through everything else to get it. It's the same reason that the only exit from the airport is through the duty free shop. It's an incredibly powerful technique.</p>
<p>âEvery aspect of a storeâs layout is designed to stimulate shopping serendipityâ</p>
<p class="url"><a href="https://www.realsimple.com/food-recipes/shopping-storing/more-shopping-storing/grocery-store-layout">https://www.realsimple.com/food-recipes/shopping-storing/more-shopping-storing/grocery-store-layout</a></p>

<p>So people find this weird and unpleasant! And the worst thing is that theyâre helpless. Theyâre trapped. Because thereâs nowhere else to go.</p>

<p>There are a bunch of stock answers for what you should do about this. And they're all wrong.</p>

<p>You can't opt out by not using this stuff at all. We're part person and part machine now. And that's OK. You'll never be lost again. Horror films now have to come up with spurious rubbish excuses why everyone's mobile phones don't work otherwise all the suspense is gone. You can listen to any music you want. You can video chat with someone on the other side of the world. Louis XIV couldn't manage any of that. These are superpowers, and we shouldn't have to trade them away.</p>

<p>âIf you leave your phone behind, itâs like missing limb syndromeâ - Elon Musk</p>
<p class="url"><a href="https://waitbutwhy.com/2017/04/neuralink.html">https://waitbutwhy.com/2017/04/neuralink.html</a></p>

<p>You can't regulate this problem away. The EU have done some work on this; India have declared privacy a fundamental human right. Government regulation is needed. But it's too slow, too easy to work around if you can constantly stay one step ahead, too likely to not happen. Fill in your own reasons why.</p>

<p>âThe right to privacy is fundamentalâ - Indian Supreme Court</p>
<p class="url"><a href="https://timesofindia.indiatimes.com/india/right-to-privacy-is-a-fundamental-right-supreme-court/articleshow/60203394.cms">https://timesofindia.indiatimes.com/india/right-to-privacy-is-a-fundamental-right-supreme-court/articleshow/60203394.cms</a></p>

<p>There are worries about what government themselves might do, too. John Stuart Mill was a noted philosopher who wrote a lot about things like freedom of speech. But one of the more important things he said has been kinda forgotten; that âlaws passed by governments are about the ninetieth most important restriction on our freedom of speechâ.</p>
<p class="url"><a href="http://blog.danieldavies.com/2002/10/free-as-bird-im-profound-believer-in.html">http://blog.danieldavies.com/2002/10/free-as-bird-im-profound-believer-in.html</a></p>

<p>Americans make a big deal about their First Amendment, and rightly so; people outside America often make a big deal about the First Amendment and are then rather surprised to discover that they don't have one. Government regulation is at best a part of this answer, and it's not the lead part.</p>

<p>You can't convince people by constantly having a go at them about it. Then you're a whiny person who annoys their friends. The Overton window is not far enough in that direction yet. If you say to someone, use this different messenger! It doesn't matter that your friends aren't there, because you'll be right and they're wrong! then... they will not listen.</p>

<p>âSo....Mozilla knows, right, that âprivacyâ has never been an effective selling point for software? Like ever?â</p>
<p class="url"><a href="https://mobile.twitter.com/sarahmei/status/882008927516463104">https://mobile.twitter.com/sarahmei/status/882008927516463104</a></p>

<p>And you can't get a new public who do care.</p>

<p>âThe children of the revolution were faced with the age-old problem: it wasn't that you had the wrong kind of government, which was obvious, but that you had the wrong kind of people.â - Night Watch, Terry Pratchett</p>
<p>This is the wrong kind of thinking. Which was, obviously, Pratchett's point.</p>

<p>âMore than 70% of people would reveal their computer password in exchange for a bar of chocolate, a survey has found.â</p>
<p class="url"><a href="http://news.bbc.co.uk/1/hi/technology/3639679.stm">http://news.bbc.co.uk/1/hi/technology/3639679.stm</a></p>

<p>Who's prepared to tell me their password? I have a chocolate bar here. </p>

<p>And the fix is not technology. The tech is not the hard bit. There's loads of tech. Signal. Matrix. Purism. Privacy Badger. VPNs by the dozen. Password managers by the dozen. Tor. </p>

<p>What there is here is a chilling effect. People are frightened of what <em>might</em> happen with their data, because they don't know. And they don't like the things they can imagine might happen. This isn't being worried about imprisonment, or having your illegalities found out; most people don't really have any. The worry is about other things. Your rep is the big one. We're loath to do things because we don't know what will be done with the data and we fear that unknown. That's a chilling effect; something which isn't a ban, but discourages people anyway.</p>

<p>âFreedoms are not being taken away, we are just afraid to use themâ</p>
<p>The Social Cooling people summarise it like this:</p>
<p>âIf you feel you are being watched, you change your behaviour.â</p>
<p>Ideally people really would dance like nobody's watching. But hardly anyone does.</p>
<p class="url"><a href="https://www.socialcooling.com/">https://www.socialcooling.com/</a></p>

<p>But everyone's still involved because they've got no choice.</p>
<p>but what if there were a choice?</p>
<p>Whoever gets this right, whoever works out how to tell this story, will define the next ten years. Mobile changed everything; it changed how we look at the world, put power in your hands, made billionaires and made industries. Everything old was new again; viewed through a new lens. Social networking changed everything: it changed how we look at the world, it put power in your hands, it made billionaires and made industries and everything changed when we viewed it through a new lens. And that's what privacy could be. Go back in time and tell someone with one of those phones from the Matrix that everything will be done on mobile phones in twenty years. Everything will be done only on mobiles. Go back in time and tell someone on Six Degrees -- anyone remember Six Degrees? First social network. -- that everything will be done on social media in twenty years. It'll elect presidents. Now go forward in time and see a world where your data is <em>yours</em> and everything still works, and tell them that there was a point where we felt like we had to give that stuff up. And they'll laugh at you and ask where your penny farthing is.</p>

<p>People want this fixed. 82% of people are not comfortable with the sale of their data to third-parties in exchange for speed or convenience or product range.</p>
<p class="url"><a href="https://home.kpmg.com/sg/en/home/media/press-releases/2016/11/companies-that-fail-to-see-privacy-as-a-business-priority-risk-crossing-the-creepy-line.html">https://home.kpmg.com/sg/en/home/media/press-releases/2016/11/companies-that-fail-to-see-privacy-as-a-business-priority-risk-crossing-the-creepy-line.html</a></p>

<p>Half of all people have avoided doing some basic stuff online because they have concerns about how their data will be used.</p>
<p class="url"><a href="https://www.washingtonpost.com/news/the-switch/wp/2016/05/13/new-government-data-shows-a-staggering-number-of-americans-have-stopped-basic-online-activities/">https://www.washingtonpost.com/news/the-switch/wp/2016/05/13/new-government-data-shows-a-staggering-number-of-americans-have-stopped-basic-online-activities/</a></p>

<p>Here, finally, is an industry that truly needs disrupting.</p>

<p>And that's how you disrupt an industry. It has been said that if you build a better mousetrap, the world will beat a path to your door. This is a terrible lie and it ruins people's lives and if I could go back and pour a pot of coffee into Ralph Waldo Emerson's lap I'd do it in an instant. According to Wikipedia, there have been 4,400 patents awarded in the US... for mousetraps. And nobody can name a mousetrap inventor. It's rubbish. The way you overcome an incumbent business is by doing battle on a field that they can't compete on. Not that they don't, or won't. Can't. How did Apple beat Microsoft? Not by making a better desktop OS. They did it by shifting the goalposts. By creating a whole new field of competition where Microsoftâs massive entrenched advantage didnât exist: mobile. How did Microsoft beat Digital and the mainframe pushers? By inventing the idea that every desktop should have a real computer on it, not a terminal. How do you end up shaping the world? By inventing a thing that the current incumbents canât compete against. By making privacy your core goal. Because companies who have built their whole business model on monetising your personal information cannot compete against that. Theyâd have to give up on everything that they are, which they canât do. Facebook altering itself to ensure privacy for its usersâ¦ wouldnât exist. Canât exist. Thatâs how you win.</p>

<p>The beauty of this is that it's a weapon which only hurts bad people. A company who are currently doing creepy things with your data but don't actually <em>have</em> to can alter themselves to not be creepy, and then they're OK! A company who is utterly reliant on doing creepy things with your data and that's all they <em>can</em> do, well, they'll fail. But, y'know, I'm kinda OK with that.</p>

<p>So. People want this. Everyone finds all this data collection stuff to be at least a bit unnerving. And this is no longer a conversation which just has geeks like me in it. The Daily Mash tells jokes about this stuff.</p>
<p class="url"><a href="http://www.thedailymash.co.uk/news/society/privacy-experts-too-paranoid-even-for-lunch-2014082989998">http://www.thedailymash.co.uk/news/society/privacy-experts-too-paranoid-even-for-lunch-2014082989998</a></p>

<p>âFacebook do weird things with your dataâ is a mainstream opinion. Tin foil hats are a fashion item now.</p>
<p class="url"><a href="https://www.etsy.com/ca/listing/55473505/knit-tinfoil-hat-made-to-order">https://www.etsy.com/ca/listing/55473505/knit-tinfoil-hat-made-to-order</a></p> 

<p>The world is ready to be convinced. Eager to be convinced.</p>

<p>How do we do that? No idea. I wish I had an easy, glib answer here, and I don't.</p>

<p>Differential privacy is not a bad one. This is the thing that Apple were talking about last year, from the Dwork, McSherry, Nissim, Smith paper.</p>
<p class="url"><a href="https://link.springer.com/chapter/10.1007%2F11681878_14">https://link.springer.com/chapter/10.1007%2F11681878_14</a></p>
<p>The idea here is that you want to get aggregate information from your users, but you want to set things up so that you can't tell what anyone's answer actually is, or even if they participated. Here's how it works. I should be clear: this is kinda the Jackanory version of how this works; don't try this out on any cypherpunks you happen to know. But it gives a flavour. Read the paper and all the work since for the detail.</p>

<p>Let's say I want to know the proportion of people at Hackference who like chocolate. So, I give each person a card that says âYESâ, and one which says âNOâ. Then I say, flip a coin. If the coin comes up heads, you tell the truth, and put the true answer in the hat. If it comes up tails, then flip the coin again. If that second flip is heads, you say âYESâ, <em>regardless</em> of what your actual feelings are. If it's tails, you say âNOâ.</p>

<p>So you've got Alice, Bob, Cantrice, and Darsh. Alice and Bob like chocolate; Cantrice and Darsh don't. 2 do, 2 don't. Alice flips a coin, gets heads, tells the truth, and we get a YES in the box. Bob flips, gets tails, flips again, gets tails again, and puts NO in the box. Cantrice flips, gets heads, tells the truth, puts NO in the box. Darsh flips, gets tails, flips again, gets heads, puts YES in the box. So in the box, there's 2 YESes and 2 NOs, which is nice and accurate!</p>

<p>OK, this is the most rigged demo of all rigged demos ever. The point about this is that is does roughly work, though. You need to analyse the results more carefully than this, but I'm not gonna put up lots of equations about standard deviations here.</p>

<p>The thing is, what we're doing is adding noise to the answers. This is called the ârandomised response mechanismâ, and it was thought up in the sixties to help people answer questions about embarrassing or illegal behaviour in secret while still giving meaningful answers. And if you have lots of people answer, then people can just not add their answers at all and you still get a roughly accurate response. And the state of the art is much more advanced than this. You <em>can</em> do data science without being creepy about it. This is known stuff. The methods exist.</p>

<p>What we need to do is come up with a way to help people understand that there <em>are</em> ways to never be lost again, and to listen to any music you want, and to video chat with someone on the other side of the world, without them having to feel disquieted about it. That it's not OK that you're made to feel weirded out. That it's possible for there to be alternatives. That having to feel someone rooting around in your life is not a price you should have to pay.</p>

<p>What we're currently presented with is a false dilemma. It's been painted as a choice: you can opt out and cut yourself off from superpowers, or you can give this stuff up to pay for them, and that's it. What we need to do is change that story. Help people understand that it can be different.</p>

<p>These ideas, these alternatives, they'll come from us. People in this room and rooms like it. Who's building the next big company? You are. But when you do, talk about the story. About what will change all this. People are scared and they shouldn't have to be. When you're talking in the hallways, when you're building your companies, when you're hacking on projects, talk about the story that you want in people's heads. Those of you who are curators of the user experience know this -- that that's not really about the font you use or how round the buttons are. It's about the view of the world that you're making. Because the world we've got, people don't like, and so far nobody's managed to explain that it doesn't have to be like this. We can't shout at people about it; we can't tell them to opt out; we can't wait for government to save us or people to spontaneously learn. We need to explain. To teach. To help people to understand so that stuff which is really obvious to us becomes obvious to everybody. And when that happens, everyone responds. The world really does change then, because we shift away from âhey, this one weird thing over here protects me, but how important is that?â, and everyone starts saying âwhat do you mean, you can aggregate my data and make predictions and do what you want with it? why would I ever want that? nobody else does that!â The see-saw tips. The story changes.</p>

<p>Talk about how we change the story.</p>
</div>