title: « Blockchain & Beyond », Rapport sur la Blockchain
url: http://enmi-conf.org/wp/enmi15/blockchain-and-beyond-rapport-sur-la-blockchain/
hash_url: 0d94ebcdd7ee0e8fc67af26933738499

<p>Ce rapport d’étude sur la Blockchain a été réalisé par CELLABZ, un laboratoire d’innovation qui associe les technologies émergentes et la Blockchain autour d’une approche multidisciplinaire et multi-acteurs, réunissant des universités, des start-ups et des entreprises. Cofondé par Nicolas Loubet et Clément Epié, CELLABZ a mené une enquête de deux ans et interrogé une grande variété d’acteurs pour constituer ce document, à la fois descriptif et réflexif, particulièrement instructif pour une réflexion autour de « La Toile que nous voulons ».<br/>
<strong>Présentation.</strong> Comme l’indique la préface, la BlockChain a l’originalité de se présenter comme un « protocole distribué, transparent et consensuel permettant à des parties fiables d’échanger de l’information, sans intermédiaire ni autorité centrale (banque, entreprise, avocat ou gouvernement) pour le contrôler ou le réguler ». Si sa première application – et la plus célèbre – est financière (le Bitcoin), la Blockchain est pourtant loin de se limiter à cette dernière et se prête à d’innombrables extensions pratiques que le rapport s’attache à analyser en détail. Son potentiel est tel que cette technologie est souvent comparée, comme le souligne la préface, à la pensée des débuts de l’Internet et de son impact sur la société, les industries, les systèmes de gouvernance, l’implication individuelle dans des projets à grande échelle et les processus de prise de décision. Si la création du web au début des années 1990 a rendu possible un premier échange d’information à travers un réseau d’ordinateurs à l’échelle globale, la Blockchain ouvre la voie à une propriété plus avancée de l’information qu’est la transaction, en partageant celle-ci au sein d’un mécanisme distribué et peu coûteux qui s’affranchit du rôle des intermédiaires.<br/>
<strong>Définition.</strong> Une première grande partie du rapport s’intéresse à l’historique, à la définition et aux enjeux de la Blockchain. Elle souligne d’abord sa continuité avec deux éléments fondamentaux et très anciens dans l’histoire de l’humanité : le code (qui peut s’entendre au niveau à la fois génétique et culturel), et la comptabilité (dont le document retrace l’histoire depuis les civilisations anciennes de Mésopotamie jusqu’à la Renaissance avec la République de Venise). La spécificité de la Blockchain consiste pour sa part dans le fait qu’elle se présente comme un « moyen de stocker l’information d’une transaction de façon fiable entre de multiples parties » : l’enregistrement, le partage, le stockage et la redistribution du contenu information se fait de manière sécure et décentralisée, tout en évitant les « modifications et abus » que pourrait y introduire une autorité centrale. Comme on le sait, la première application historique de la Blockchain est le Bitcoin, dont le document retrace les origines et précurseurs, avant de présenter son évolution et la croissance qu’il a connue depuis 2010 jusqu’à aujourd’hui.<br/>
<strong>Applications.</strong> Mais outre cette application initialement financière, la Blockchain s’ouvre depuis 2014 à une série de « deuxièmes générations », basées comme les crypto-monnaies sur des mécanismes décentralisés et sécurisés. Le rapport en présente une liste d’une dizaine d’exemples, de Bitnation (visant à créer une gouvernance open-source) à OpenBazaar (la Blockchain appliquée à une nouvelle manière de vendre ou d’acheter des biens et services en lignes), en passant par Airlock (une sécurité électronique décentralisée), La Zooz (une version décentralisée d’Uber) et Cellz (le programme R&amp;D de CELLABZ, qui explore les applications pratiques de la Blockchain). Le document explore ensuite une pluralité de services particuliers qui se développent autour de la Blockchain. Ce sont notamment Ethereum (un projet open-source lancé le 30 juillet 2015 qui propose de « décentraliser le web » pour produire le premier véritable ordinateur mondial), les contrats intelligents (des programmes informatiques qui exécutent automatiquement les conditions et les termes d’un contrat, au profit d’un système légal équitable et abordable pour tous), la propriété intelligente (qui permet, en utilisant la Blockchain, d’enregistrer et de prouver la possession de certains biens par des personnes), ou l’Internet des objets. En combinant ces différents blocks, il est dès lors possible de créer des « organisations autonomes et décentralisées », que l’on peut définir comme des entreprises (composées de personnes libres et indépendantes) autonomes, distribuées (sans point de contrôle central), transparentes, confidentielles (les informations sont sécurisées et protégées), autorégulées, incorruptibles (personne ne peut exercer d’influence coercitive sur elles) et souveraines (sur leurs ressources numériques).<br/>
<strong>Conclusion.</strong> Le rapport se conclut sur les défis auxquels la Blockchain se confronte et sur les espoirs qu’elle ouvre. S’il est en effet nécessaire de faire progresser son stade de développement technique, et de résoudre des questions en suspens comme celle de son extensibilité et de sa compatibilité privée/publique, elle permet d’ores et déjà d’imaginer, « à une échelle globale, des organisations transparentes, fiables, autonomes et distribuées » et un « système où les idées peuvent se connecter entre elles par elles-mêmes, aidant les humains et les machines à semer leurs idées dans des projets et à les connecter à d’autres projets ».</p>
