title: Coronavirus : une nouvelle souche frappe l'Afrique du Sud
url: https://www.lepoint.fr/afrique/coronavirus-une-nouvelle-souche-frappe-l-afrique-du-sud-19-12-2020-2406551_3826.php
hash_url: 25817098300ef19aab6cd8c1be2b3830

<p>Sur les autoroutes sud-africaines qui filent vers les plages du sud-est, des milliers de voitures se sont agglutinées ces derniers jours : la période coïncide avec le début de l'été et les grandes vacances dans cette partie du monde. Mais dans ces zones touristiques où le virus se propage déjà avec une rapidité inquiétante, pas de longues journées sur la plage cette année : fermetures ponctuelles, limitation des rassemblements et couvre-feu élargi, le pays africain le plus touché par le virus avec près de 900 000 cas a redonné un tour de vis aux restrictions sanitaires.</p><p><span>Jusque très récemment les scientifiques sud-africains ne comprenaient pas pourquoi la deuxième vague de Covid-19 se propageait aussi rapidement surtout auprès des patients plus jeunes. Ce vendredi, sans qu'il n'y ait pour l'instant </span>aucune étude publiée par d'autres scientifiques ou dans une revue<span>, le ministre de la Santé a révélé l'existence d'une nouvelle souche de coronavirus </span>qui pourrait expliquer la rapidité des transmissions. Cette « variante 501.V2 » du virus a été identifiée par des chercheurs sud-africains et signalée à l'<a href="/tags/oms" class="surligner">Organisation mondiale de la santé</a> (OMS), a annoncé le ministre, Zwelini Mkhize, dans un communiqué.</p><p>Cette équipe a séquencé des centaines d'échantillons de tout le pays depuis le début de la pandémie en mars. « Ils ont remarqué qu'une variante particulière domine les résultats de ces deux derniers mois », a-t-il expliqué, après que l'<a href="/tags/afrique-du-sud" class="surligner">Afrique du Sud</a> a dépassé la barre des 10 000 nouveaux cas mercredi 16 décembre pour la première fois depuis août.</p><p><strong>Lire aussi <a class="underline" href="https://www.lepoint.fr/afrique/comment-le-covid-19-a-mis-l-afrique-du-sud-k-o-08-09-2020-2390840_3826.php" title="">Comment le Covid-19 a mis l'Afrique du Sud K.-O.</a></strong></p><h3>Une nouvelle variante qui semble se répandre plus rapidement</h3><p>Par ailleurs, des médecins sud-africains ont noté une évolution du paysage épidémiologique, notamment avec davantage de patients plus jeunes, sans comorbidités, qui développent des formes graves de la maladie. Tous les éléments « indiquent fortement que la deuxième vague que nous traversons est portée par cette nouvelle variante », a ajouté le ministre.</p><div class="mts"><div class="reset-text mtm mbm"><div class="art-twitter"><blockquote class="twitter-tweet" lang="fr">  <blockquote class="twitter-tweet"> <p dir="ltr" lang="en">We have convened this public briefing today to announce that a variant of the SARS-COV-2 Virus- currently termed 501.V2 Variant has been identified by our genomics scientists here in South Africa.<a href="https://twitter.com/hashtag/SARSCOV2MediaBriefing?src=hash&amp;ref_src=twsrc%5Etfw">#SARSCOV2MediaBriefing</a></p> — Dr Zweli Mkhize (@DrZweliMkhize) <a href="https://twitter.com/DrZweliMkhize/status/1339970259332325383?ref_src=twsrc%5Etfw">December 18, 2020</a> </blockquote>
</blockquote></div></div></div><p>L'équipe de chercheurs sud-africains, menés par le professeur Tulio de Oliveira (centre KRISP, université du Kwazulu-Natal), a partagé ses observations avec la communauté scientifique. Elle a aussi alerté le <a href="/tags/royaume-uni" class="surligner">Royaume-Uni</a> de l'identification de la variante sud-africaine, ce qui a permis aux chercheurs britanniques « d'étudier leurs propres échantillons et de trouver une variante similaire », potentiellement impliquée dans la transmission galopante observée dans certaines zones du pays, selon le ministre.</p><p>De précédentes mutations du Sars-CoV2 ont déjà été observées et signalées dans le monde. <span>En règle générale, ces changements, appelés mutations, ont peu d'impact et certaines lignées peuvent devenir plus courantes par hasard. Mais des scientifiques du monde entier les suivent pour évaluer s'ils affectent des caractéristiques telles que la transmissibilité, la gravité de la maladie et la réponse aux traitements et aux vaccins.</span></p><p><strong><span>Lire aussi <a class="underline" href="https://www.lepoint.fr/afrique/covid-19-l-afrique-du-sud-s-interroge-sur-sa-strategie-16-05-2020-2375728_3826.php" title="">Covid-19 : l'Afrique du Sud s'interroge sur sa stratégie</a></span></strong></p><h3>L'inquiétude monte quant à l'efficacité d'un vaccin</h3><p>Zwelini Mkhize a affirmé ne pas s'être attendu à une deuxième vague aussi rapidement. Outre l'éventuelle accélération des transmissions liée à cette variante – « pas une raison de paniquer », a-t-il assuré – l'arrivée de l'été austral et la lassitude issue de la première vague ont engendré un certain relâchement des gestes barrières, qui restent pourtant le meilleur frein au virus. Les autorités sud-africaines pensent que la nouvelle variante s'est propagée de la baie de Nelson-Mandela à travers le Cap-Oriental, jusqu'à la Garden Route et au KwaZulu-Natal.</p><p>Relativement épargnée jusqu'ici par la pandémie, <a class="underline" href="https://www.lepoint.fr/afrique/a-bas-bruit-le-covid-19-franchit-le-cap-du-million-de-contamines-en-afrique-07-08-2020-2387039_3826.php" title="">l'Afrique s'arme contre une deuxième vague de Covid-19</a>, qui force les pays les plus touchés du continent de plus de 1,2 milliard d'habitants à revenir vers des mesures sanitaires strictes. L'<a href="/tags/afrique" class="surligner">Afrique</a> du Sud, officiellement de loin le pays le plus touché du continent, comptait vendredi soir 24 285 morts pour plus de 900 000 cas positifs, dont plus de 8 700 détectés en 24 heures. Au pire de la première vague en juillet, le nombre de cas avait culminé à 12 000 par jour.</p><p><span>Une question préoccupe les autorités : savoir si les vaccins actuels fonctionneront toujours. Les scientifiques ont déjà révélé que d</span><span>eux des mutations de la nouvelle variante sud-africaine réduisent la sensibilité du virus à certains anticorps. Ces mutations n'ont pas été observées dans de nouvelles variantes au Royaume-Uni et en <a href="/tags/australie" class="surligner">Australie</a>. On sait aussi que l</span><span>es mutations sud-africaines peuvent avoir des conséquences sur l'efficacité des vaccins internationaux anti-Covid-19. Le ministre </span><span>Mkhize pense que les vaccins déjà développés devraient toujours être efficaces contre la nouvelle souche, mais ce n'est pas encore garanti.</span></p><div class="mts"><div class="reset-text mtm mbm"><div class="art-twitter"><blockquote class="twitter-tweet" lang="fr">  <blockquote class="twitter-tweet"> <p dir="ltr" lang="en">This new variant spreads faster but it is too early to tell its severity and whether the current vaccine will work against this variant. We should therefore not panic and continue using the current intervention to stop the spread of <a href="https://twitter.com/hashtag/COVID19?src=hash&amp;ref_src=twsrc%5Etfw">#COVID19</a>. <a href="https://twitter.com/hashtag/SARSCOV2MediaBriefing?src=hash&amp;ref_src=twsrc%5Etfw">#SARSCOV2MediaBriefing</a></p> — NICD (@nicd_sa) <a href="https://twitter.com/nicd_sa/status/1339979117417148417?ref_src=twsrc%5Etfw">December 18, 2020</a> </blockquote>
</blockquote></div></div></div><p><span>Les chercheurs suivront désormais de près les participants sud-africains aux essais de vaccins pour voir si les personnes exposées à la nouvelle variante tombent encore malades. </span><span>Contrairement au Royaume-Uni et en Australie, où leurs nouvelles variantes sont rares, la variante 501.V2 de l'Afrique du Sud est répandue, et les experts disent qu'elle est à l'origine de la deuxième vague de Covid-19 en Afrique du Sud.</span></p><p>Ailleurs, le tableau de l'épidémie sur le continent reste contrasté. Les nouveaux cas augmentent en Afrique de l'Est, du Nord et en Afrique australe mais ils ont plutôt tendance à baisser en Afrique de l'Ouest et du centre, selon le Centre de contrôle et de prévention des maladies (CDC) de l'Union africaine. « Au moins 25 pays africains ont enregistré une augmentation de plus de 20 % des cas » le mois dernier, avec désormais 11 000 nouveaux cas par jour, a alerté jeudi le D<sup>r</sup> Nsenga Ngoy de l'OMS, depuis Brazzaville. « De toute évidence, il reste encore beaucoup de travail à faire », a déclaré le D<sup>r </sup>John Nkengasong, directeur des centres africains pour le contrôle et la prévention des maladies, lors de la conférence de presse.</p><p class="BeOpWidget"/><p><strong>Lire aussi <a class="underline" href="https://www.lepoint.fr/afrique/afrique-du-sud-le-personnel-de-sante-devaste-par-le-covid-19--06-08-2020-2386951_3826.php" title="">Afrique du Sud : le personnel de santé dévasté par le Covid-19</a></strong></p>
</p>
