title: La Licence Contributive Commons
url: https://contributivecommons.org/la-licence-contributive-commons/
hash_url: abb215ff6b7cb9c876db622d42385aca

<h2 id="h.1slp6p8t9wn0" class="c31 c28">Introduction</h2>
<p class="c10">La question de la création et de la mise en circulation d’une licence à réciprocité basée sur les communs n’est pas nouvelle<a id="ref-1" class="side-matter side-matter-ref" href="#note-1"><sup class="side-matter side-matter-sup" title="Calimaq – Comprendre le principe des licences à réciprocité en 5 minutes">1</sup></a> mais elle se pose désormais avec encore plus d’acuité dans la mesure où de plus en plus de communautés se regroupent autour de communs (qu’ils soient informationnels ou tangibles). En effet, “<em><span class="c7">L’économie des communs est pour ainsi dire victime d’un paradoxe malthusien : les projets (et les besoins) se démultiplient à une vitesse exponentielle, à mesure que l’économie commerciale classique délègue de plus en plus d’activités aux communs.</span></em>”<a id="ref-2" class="side-matter side-matter-ref" href="#note-2"><sup class="side-matter side-matter-sup" title="Pierre-Carl Langlais – Rendre aux communs le produit des communs : la quête d’une licence réciproque">2</sup></a><span>. </span>Il devient donc important de qualifier les échanges de ces structures émergentes entre elles et avec les structures préexistantes. Nous proposons dans cet article d’analyser les raisons d’un déploiement qui peine à démarrer et d’envisager une façon efficiente de débloquer la situation. </p> 
<p class="c10">Notons, avant de démarrer, que : </p> 
<ul class="c18 lst-kix_ep1bbc4an4cy-0 start">
<li class="c10 c29">la <strong><span class="c21">réciprocité</span></strong> est l’état, la qualité, et le caractère de ce qui est <strong><span class="c21">réciproque</span></strong>.</li>
<li class="c10 c29"><span class="c21"><strong>réciproque</strong> </span>se dit en parlant de deux personnes ou de deux choses dont chacune exerce sur l’autre une action <span class="c21"><strong>équivalente</strong> </span>à celle qu’elle en reçoit.</li>
<li class="c10 c29"><span class="c21"><strong>équivalente</strong> </span>signifie qui est de même <strong><span class="c21">valeur</span></strong>.</li>
<li class="c10 c29">la <span class="c21"><strong>valeur</strong> </span>désigne à la fois la qualité ou justesse d’une chose, d’une idée, d’un ouvrage, la noblesse de caractère d’une personne, l’importance ou l’intérêt que l’on porte à un être, à une chose, à un phénomène ou événement, à une chose intellectuelle ou morale, l’idéologie ou règle morale d’une personne ou d’un groupe, la juste signification d’un terme suivant l’usage reçu, l’amplitude lumineuse définissant une couleur, la durée d’une note, la mesure d’une grandeur,… et parfois aussi le prix (monnaie, titre, action, obligation)<a id="ref-3" class="side-matter side-matter-ref" href="#note-3"><sup class="side-matter side-matter-sup" title="Définition issue de https://fr.wiktionary.org/">3</sup></a>.</li>
</ul>
<h2 id="h.auzxi5b69ln1" class="c26">De la dissémination unilatérale à la transaction réciproque</h2>
<p class="c10">Les licences à réciprocité ne cherchent pas à émerger dans un monde vierge de toute tentative d’utiliser des moyens standardisés visant à accorder des permissions de droits d’auteur supplémentaires à leurs œuvres. Avant elles, les <a href="https://fr.wikipedia.org/wiki/Licence_libre" target="_blank" rel="noopener noreferrer">licences dites libres</a>, et particulièrement les <a href="https://creativecommons.org/" target="_blank" rel="noopener noreferrer"><em><span class="c7">Licences Creative Commons</span></em></a> ont pris leur essor, proposant d’apporter “<em><span class="c7">un équilibre à l’intérieur du cadre traditionnel “tous droits réservés” créé par les lois sur le droit d’auteur</span></em>”. </p> 
<p class="c10">La particularité de ces licences, c’est qu’elles fonctionnent sur le mode de la <strong><span class="c21">dissémination</span></strong>. Une fois l’œuvre produite puis libérée par son auteur, celle-ci poursuit son chemin librement, simplement affublée d’une étiquette qui indique à l’utilisateur ce qu’il peut en faire ou non. Il n’y a généralement pas d’interaction directe entre l’auteur et l’utilisateur, sauf dans les cas avérés et portés devant la justice de litige sur le respect des conditions de la licence. Cela sous-entend par ailleurs que cette œuvre a une capacité de vie autonome, loin de son ou ses géniteurs, et que la mise en relation auteur-utilisateur n’intervient que dans l’éventualité d’un conflit. </p> 
<p class="c10">Une licence à réciprocité quant à elle viendrait introduire la notion de transaction entre l’auteur et l’utilisateur. On ne dissémine plus, on cherche à <strong><span class="c21">faire société</span></strong>, et c’est là toute la difficulté de la question. Dès lors que l’auteur et l’utilisateur doivent se mettre d’accord sur un <span class="c21"><strong>protocole de communication</strong> et d’évaluation<a id="ref-4" class="side-matter side-matter-ref" href="#note-4"><sup class="side-matter side-matter-sup" title="Rappelons ici qu’il s’agit de la définition même du P2P dans son acception originale">4</sup></a></span>, les notions de liberté individuelle et d’autonomie s’atténuent inévitablement. Il faut accepter une contrainte, fut-elle minimale, pour rendre possible le dialogue avec l’autre. </p> 
<p class="c10">En partant de ce constat, il devient évident qu’une licence à réciprocité effective ne peut plus s’inspirer directement des licences dites libres. Il lui faut trouver sa propre voie hybride, entre la fermeture du Copyright et l’ouverture du libre, tout en veillant à garder la possibilité d’une articulation avec ses grandes sœurs. </p> 
<h2 id="h.2sd5tedzs51c" class="c26">Le respect du pair comme condition de la réciprocité</h2>
<p class="c10">Si l’on observe les premières tentatives de définition de licences à réciprocité (<span class="c7">Peer Production License<a id="ref-5" class="side-matter side-matter-ref" href="#note-5"><sup class="side-matter side-matter-sup" title="John Magyar, B.A., J.D. et Dmytri Kleiner – Peer Production License">5</sup></a></span>, <a href="http://fosslawyers.org/the-fair-commons-generic-license-v0/" target="_blank" rel="noopener noreferrer"><span class="c7">Fair Common Generic License</span></a>, <a href="http://p2pfoundation.net/CopyFair_License" target="_blank" rel="noopener noreferrer"><span class="c7">Copyfair License</span></a><span class="c7">, <a href="http://fairlyshare.strikingly.com/" target="_blank" rel="noopener noreferrer">FairlyShare</a></span>), l’on constate que la proposition de réciprocité est tuée dans l’œuf dans la mesure où l’auteur.e cherche à imposer sa vision (morale, sociétale, commerciale…) au sein même de la licence (y compris jusque dans son nom) et parfois pour une durée éternelle après lui, sur le mode des <span class="c7">Creative Commons</span>. On ne peut pourtant pas à la fois chercher la réciprocité dans le lien et s’affranchir de toute interaction avec l’interlocuteur. En cherchant à maîtriser la qualité de la transaction (en général pour se prémunir d’un abus potentiel ou en imaginant anticiper une évaluation constamment et universellement mesurable), l’auteur s’éloigne immédiatement de la notion même de pair à pair chère à Michel Bauwens<a id="ref-6" class="side-matter side-matter-ref" href="#note-6"><sup class="side-matter side-matter-sup" title="Le peer to peer : nouvelle formation sociale, nouveau modèle civilisationnel">6</sup></a>, rompant du même coup avec la philosophie qu’il cherche à incarner. C’est là toute l’ambivalence implicite de ces licences. La question qui se pose-là est bien de définir si une licence qui se dit « pair à pair » a vocation à tenter de rétablir des rapports considérés comme structurellement déséquilibrés en insérant du « top down » pour agir volontairement sur cet état de fait et si, ce faisant, on reste dans l’esprit du pair à pair. </p> 
<p class="c10">Là où le Copyright, la gratuité ou l’interdiction d’utilisation commerciale, qui peuvent être considérés comme des choix radicaux, s’imposent aisément par la dissémination, la complexité ouverte par la transaction financière n’est plus réductible à une loi universelle et unilatérale. Il devient nécessaire d’établir des critères d’évaluation de la transaction, critères qui ne sont pas uniquement fondés sur le flux monétaire mais également sur un <strong><span class="c21">faisceau de </span><span class="c21">richesses</span></strong><a id="ref-7" class="side-matter side-matter-ref" href="#note-7"><sup class="side-matter side-matter-sup" title="Voir aussi les « matrices des richesses » selon ChezNous et le « 7D value » de Michel de Kemetter">7</sup></a> parfois difficilement quantifiables comme la satisfaction des parties ou la gratitude. Qui dit réciprocité, dit écoute des besoins de l’interlocuteur à la même mesure que ceux de l’auteur dans un échange de pair à pair (pour mémoire, dans un réseau informatique P2P, chaque ordinateur est à la fois client ET serveur). </p> 
<p class="c10">Notons d’ailleurs que cette question n’est pas nouvelle et fut soulevée déjà par la différence notable entre « Logiciel libre » et « Open source » qui a causé une controverse avec Richard Stallman et la Free Software Foundation. « <em><span class="c7">Le mouvement pour le logiciel libre a défini des règles sur des principes éthiques, celui pour l’open source (qui en découle) a proposé une traduction fonctionnelle. Cela a déclenché des différends relatifs au respect de ces principes. Les défenseurs du logiciel libre considèrent que le logiciel libre est une affaire de philosophie, tandis que les partisans de l’open source rejettent toute philosophie</span></em> »<a id="ref-8" class="side-matter side-matter-ref" href="#note-8"><sup class="side-matter side-matter-sup" title="Wikipedia –  « Logiciel libre » et « open source »">8</sup></a>. </p> 
<p class="c10">On constate que, là encore, éthique et commerce ont été considérés comme incompatibles avec d’un côté des personnes tentant d’imposer leur propre vision de ce qu’est l’éthique, et de l’autre des personnes refusant catégoriquement la régulation de la transaction proposée par cette éthique au nom de la liberté (notamment d’opinion). </p> 
<h2 id="h.qgkzu6kefsvi" class="c26">Des (biens) communs et des communautés à géométrie variable</h2>
<p class="c10">Par ailleurs, là où une œuvre de l’esprit peut être dite libre et où son auteur lui ouvre le chemin de l’autonomie en tant que bien commun universel, les communs qui cherchent à établir une réciprocité dans le lien n’ont souvent pas cette capacité d’autonomie intrinsèque. Ce sont généralement des projets gérés et protégés par une communauté, dans un cadre précis et avec des faisceaux de droits complexes permettant de qualifier chaque interaction avec le bien commun (qui a le droit d’accès, qui a le droit de gérer, qui a le droit de prélever dans le cas de biens tangibles, etc…). Nous ne sommes alors plus dans le cadre d’une œuvre créative qui voyage et dont le droit de propriété initial est définitivement libéré. </p> 
<p class="c10">Prenons l’exemple d’une base de données développée sous la forme d’un commun, ou d’un lieu urbain géré comme un commun, ou encore d’une bibliothèque d’œuvres mise à disposition en tant que commun : en aucun cas l’utilisation de ce commun ne donne lieu à un transfert de propriété. Et c’est bien aussi pour cette raison que la question de la réciprocité se pose : la communauté veut et doit veiller à ce que le bien commun soit préservé sur la durée. Ce type de bien commun appartient <em><span class="c7">de facto</span></em> à la communauté qui en prend soin, fut-elle à géométrie variable. </p> 
<p class="c10">Pourquoi crée-t-on un commun ? Quelle que soit sa nature, ce qui importe au fond c’est de <strong><span class="c21">préserver les conditions de sa multiplication et/ou de sa propre conservation en vue de garantir une jouissance collective pérenne, durable et renouvelable</span></strong>. Plutôt que d’opposer les ressources comme étant inépuisables ou ne l’étant pas, nous proposons donc de les considérer comme <strong><span class="c21">globalement inépuisables à condition de préserver localement les conditions de leur renouvellement</span> en maintenant des cycles dynamiques équilibrés</strong>. Peut-être est-il temps de sortir du tout ou rien de la rivalité en considérant par exemple un étang rempli de poissons comme une richesse renouvelable (donc pas si rare que cela si l’on s’en donne les moyens), et le savoir d’une bibliothèque, fut-elle numérique, comme un bien dont il faut prendre soin pour en assurer la pérennité (donc pas si inépuisable que cela si l’on n’y prend garde). </p> 
<p class="c10">A cet égard, il est assez significatif de constater que dans l’effort de définition du commun ce sont des couples sémantiques binaires qui s’opposent la plupart du temps (tangible/intangible, matériel/immatériel, rareté/profusion, exclusif/inclusif, appropriable/non appropriable, etc…), ce clivage allant même jusqu’à s’illustrer par l’opposition radicale et clairement revendiquée entre différents auteurs<a id="ref-9" class="side-matter side-matter-ref" href="#note-9"><sup class="side-matter side-matter-sup" title="Ne lisons pas les communs avec les clés du passé. Entretien avec Benjamin Coriat">9</sup></a> alors qu’en termes de mise en « communs », on pourrait supposer que la richesse est dans l’hybridation et la contextualisation dans le temps et l’usage. </p> 
<p class="c10">Là où, à la suite d’Elinor Ostrom<a id="ref-10" class="side-matter side-matter-ref" href="#note-10"><sup class="side-matter side-matter-sup" title="Elinor Ostrom, “prix Nobel d’économie” 2009">10</sup></a>, l’on s’accorde à dire que les communs ouvrent un espace de liberté entre bien privé et bien public en offrant la possibilité de déployer un ensemble de <strong><span class="c21">faisceaux de droits</span></strong><a id="ref-11" class="side-matter side-matter-ref" href="#note-11"><sup class="side-matter side-matter-sup" title="Elinor Ostrom et les faisceaux de droits : l’ouverture d’un nouvel espace pour penser la propriété commune">11</sup></a> variés relatifs à différents niveaux de propriété, on ne s’est peut-être pas encore attardé suffisamment sur l’analyse d’une taxonomie dynamique ouvrant un champ de libertés comparable sur le plan des transactions par la définition d’un ensemble de <strong><span class="c21">faisceaux de qualités</span></strong> non nécessairement opposables. C’est ainsi que nous proposons de créer collectivement une matrice de qualités qui permettrait de définir l’essence  du commun, son périmètre, et par voie de conséquence ses modes possibles d’interactions avec l’extérieur, c’est-à-dire sa fonction sociale, éventuellement monnayable. </p> 
<p class="c10">Considérons enfin que derrière chaque choix de licence, il existe, qu’on le veuille ou non, un choix politique, moral, social,… souvent implicites que l’on peut qualifier de <strong><span class="c21">faisceau de valeurs</span></strong>. Nous proposons d’expliciter ces valeurs pour les socialiser clairement et permettre des transactions sereines où chaque interlocuteur peut valablement décider de son implication contributive dans le commun. Cela aurait le mérite de sortir de la projection individuelle sur ce qu’est et n’est pas un commun (qui peut mener par exemple à confondre commun et inclusivité, ou commun et gratuité) ou sur ce qu’est une transaction équitable ou une rétribution juste (ce qui peut mener à une fièvre évaluatrice telle qu’elle provoque nécessairement l’apparition d’imposteurs<a id="ref-12" class="side-matter side-matter-ref" href="#note-12"><sup class="side-matter side-matter-sup" title="Roland Gori – « La Fabrique des Imposteurs »">12</sup></a>). </p> 
<h2 id="h.1s6xwud0ctn5" class="c26">Un faisceau de licences géré comme un commun</h2>
<p class="c10">Faisceaux de qualités, faisceaux de valeurs, faisceaux de richesses, et faisceaux de droits : on comprend bien là la difficulté de créer une licence qui rendrait compte de manière universelle d’une telle complexité ! C’est à partir de ce constat que nous proposons une façon différente d’envisager la licence à réciprocité dans le cadre des communs, en se remémorant que “<em><span class="c7">pour Garrett Hardin </span></em><span class="c7">[pourtant farouche opposant aux communs, ndl]</span><em><span class="c7">, la tragédie des biens communs ne peut être résolue que par l’imposition d’une réglementation admise par tous, autrement dit un pouvoir démocratique</span></em>”<a id="ref-13" class="side-matter side-matter-ref" href="#note-13"><sup class="side-matter side-matter-sup" title="François Roddier – Billet de blog “La tragédie des biens communs”">13</sup></a>. </p> 
<p class="c10"><img class="size-full wp-image-176 aligncenter" src="https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/logo-contributivecommons.png" alt="logo-contributivecommons"/> </p> 
<p class="c10">Plutôt que de la réduire à une tentative de maîtriser la transaction fondée sur la peur de l’iniquité ou la volonté d’imposer une philosophie ou un mode d’évaluation, nous proposons tout d’abord une solution qui s’ancre dans la confiance et l’autonomie, et qui prend en compte la dimension sociale de l’échange, y compris à l’intérieur du commun lui-même. C’est en socialisant la transaction qu’on tente de lui ôter son potentiel arbitraire donc violent. Et nous partirons donc du principe que <strong><span class="c21">tout interlocuteur étant autorisé à faire usage du commun est nécessairement un contributeur dont la contribution est accueillie avec bienveillance par la communauté</span></strong>, quelle que soit la forme de cette contribution, y compris si elle est monétaire. Précisons ici qu’exprimer sa gratitude par un remerciement ou un signe évident comme un clic sur un bouton “J’apprécie votre travail” ou participer à la notoriété d’une  oeuvre de l’esprit en la disséminant peut déjà être considéré comme une contribution. La licence serait donc idéalement constituée de <strong><span class="c21">règles d’inclusion</span></strong>, plus ou moins nombreuses permettant d’accéder au commun en tout ou partie. </p> 
<p class="c10">Plutôt que de faire porter à la licence elle-même la responsabilité de véhiculer un nombre de concepts quasiment indénombrables, nous proposons ensuite de déporter cette responsabilité sur les communautés en charge de la gestion et de la protection de leur commun (une communauté pouvant être constituée d’un seul individu). Il serait alors clairement écrit dans le texte de la licence que chaque commun souhaitant utiliser la <em><span class="c21 c7">Licence Contributive </span><span class="c21 c7">Commons</span></em> est individuellement responsable de mettre à la disposition des contributeurs un texte définissant clairement : ses qualités, ses valeurs, sa façon d’envisager le flux de richesses (y compris monétaire) et les droits qui se rattachent au commun (y compris les droits de propriété). Nous proposons d’appeler ce texte <strong><span class="c21">code social</span></strong><span class="c21"><a id="ref-14" class="side-matter side-matter-ref" href="#note-14"><sup class="side-matter side-matter-sup" title="Terminologie introduite par Mathieu Coste et utilisé sous une forme labellisée #CodeSocial notamment dans la SAS ChezNous">14</sup></a></span>, en référence au code logiciel qui sous-tend les applications numériques et au contrat social proposé par la communauté Debian<a id="ref-15" class="side-matter side-matter-ref" href="#note-15"><sup class="side-matter side-matter-sup" title="Le contrat social Debian est un contrat moral liant les développeurs du projet Debian à la communauté du logiciel libre.">15</sup></a>. </p> 
<p class="c10">Pour que cette licence soit applicable à tous les types de biens communs, y compris les plus labiles, les plus éphémères et les plus autonomes dans leur voyage, il conviendra de ne pas coller le code social sur le commun lui-même (au risque d’avoir une étiquette en circulation rapidement obsolète), mais de créer un lieu commun de stockage de ces codes sociaux, de manière à garantir au contributeur qu’il aura accès en permanence aux conditions précises d’utilisation du commun auquel il souhaite contribuer. Il s’agit tout simplement de faire appel à un <strong>tiers de confiance</strong>, ce qui est l’essence même de la socialisation puisque cela permet de mettre en jeu un élément extérieur à la transaction pour la réguler. </p> 
<p class="c10">La <em><span class="c7">Licence Contributive Commons</span></em> pourrait donc être gérée comme un commun par la communauté de ses contributeurs avec mise en circulation d’un identifiant unique du commun accolé à une adresse permettant d’accéder au lieu de stockage collectif de l’information détaillée (URL). Pour des raisons de lisibilité, les principaux points du code social pourraient apparaître sous forme résumée ou visuelle mais, à l’instar des licences <em><span class="c7">Creative Commons</span></em>, le texte faisant juridiquement foi serait clairement identifié comme celui étant disponible sur le site internet de référence de la communauté. </p> 
<p class="c10">Les conditions d’une transaction étant liée à l’instant T où celle-ci s’opère, il conviendra également de prévoir un système d’historisation du code social (dont la validité serait garantie par un notariat numérique) permettant de consulter les conditions à un temps donné s’il devait y avoir litige (par exemple on ne pourra pas être condamné <span class="c7">a posteriori</span> pour avoir fait usage commercial sans contribution monétaire d’un commun devenu monnayable après un temps de gratuité). A noter ici la différence fondamentale avec blockchain : ce protocole est un historique décentralisé des transactions elles-mêmes, or ici l’on souhaite simplement historiser des versions des <em><span class="c21">conditions</span></em> des transactions, sans obligation de corrélation avec un cryptage. </p> 
<p class="c10">En théorie, il y aurait donc une licence par commun, voire hypothétiquement une licence par transaction, mais dans la pratique, rien n’empêche la réplicabilité d’une  licence créée par un commun dans un contexte précis qui serait applicable dans un contexte similaire. Les différentes licences pourraient s’appliquer à différents types de structures : communautés, projets, objets, oeuvres de l’esprit,… dans un système sous formes de “poupées russes” : un individu pourrait par exemple choisir de relier son texte au code social d’un projet qui est lui même relié au code social d’une communauté, voire de le relier directement à une des licences globales proposée par la communauté-racine qui lui conviendrait<a id="ref-16" class="side-matter side-matter-ref" href="#note-16"><sup class="side-matter side-matter-sup" title="Voir les notions de phyles et de guildes qui sont des entités à la fois autonomes et reliées par des valeurs">16</sup></a>. </p> 
<p class="c10">On pourra donc travailler collectivement à l’élaboration de matrices faciles à partager et disponibles sous forme d’URL génériques pour les communs souhaitant s’en emparer. C’est ici un processus stigmergique<a id="ref-17" class="side-matter side-matter-ref" href="#note-17"><sup class="side-matter side-matter-sup" title="Voir la notion de stigmergie sur le blog de Lilian Ricaud">17</sup></a> qui finirait par établir quelles licences sont massivement utilisées et lesquelles tombent naturellement en déshérence pour diverses raisons (défaut de conception, etc…) </p> 
<h2 id="h.tsisfm1ztn4q" class="c26">Des exemples de matrices à jardiner collectivement</h2>
<h3 id="h.tsisfm1ztn4q" class="c26">Faisceau de qualités de la ressource</h3>
 <p> Les qualités d’un commun sont les caractéristiques principales de la ressource gérée (informationnel, tangible,…), son statut juridique (collectif informel, association, coopérative, entreprise, etc…), et la nature de la ressource mise en commun (biens, connaissances, pratiques,…). </p> 
 <p> <img class="alignnone size-full wp-image-365" src="https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/qualites.png" alt="" data-id="365" srcset="https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/qualites.png 579w, https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/qualites-300x149.png 300w, https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/qualites-450x224.png 450w" sizes="(max-width: 579px) 100vw, 579px"/> </p> 
<h3 class="c26">Faisceau de valeurs de la communauté</h3>
 <p> <a id="ref-18" class="side-matter side-matter-ref" href="#note-18"><sup class="side-matter side-matter-sup" title="Tous les projets entre pairs ne sont pas gérés de la même manière. C’est l’objectif du projet qui va déterminer le type de gouvernance et les règles du groupe. Dans les projets entre pairs, les formes d’autorité sont souples et adaptées. Solange St-Pierre – La théorie du pair à pair en bref">18</sup></a>. Le choix d’un type de gouvernance fait donc partie intégrante d’un projet global énoncé dans une série de valeurs considérées comme importantes et fondatrices pour la communauté, mais aussi mises en oeuvre dans les pratiques : la responsabilité commune ou les intérêts communs que la <br/> 
communauté entend préserver, son rapport à la nature, à l’art, à la formation, à la technologie, au partage, etc. </p> 
 <p> <img class="alignnone size-full wp-image-367" src="https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/valeurs.png" alt="" data-id="367" srcset="https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/valeurs.png 462w, https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/valeurs-300x248.png 300w, https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/valeurs-450x372.png 450w" sizes="(max-width: 462px) 100vw, 462px"/> </p> 
<h3 class="c10">Faisceau de droits du commun</h3>
<p class="c10"><a id="ref-19" class="side-matter side-matter-ref" href="#note-19"><sup class="side-matter side-matter-sup" title="« le pouvoir de concevoir le droit au niveau opérationnel est ce qui rend les droits de choix collectifs si puissants » – Elinor Ostrom citée par Fabienne Orsi">19</sup></a> . Pour chaque commun, on peut ainsi définir les droits d’accès, passage, usage, modification, etc…, la répartition de ces droits auprès des différentes catégories de contributeurs (usagers, partenaires, acteurs privés et publics…) et les conditions de modification de ces droits. </p> 
<p class="c10"><img class="alignnone size-full wp-image-364" src="https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/droits.png" alt="" data-id="364" srcset="https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/droits.png 515w, https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/droits-300x163.png 300w, https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/droits-450x245.png 450w" sizes="(max-width: 515px) 100vw, 515px"/> </p> 
<h3 class="c10">Faisceau de richesses du commun</h3>
 <p> Les externalités du commun sont prises en compte dans une matrice de richesses clairement établie. Il s’agit donc ici de formaliser les types de richesses reconnues par le commun (monétaires ou non), ses <br/> 
sources de financement, et comment il entend gérer leurs flux en fonction des différentes catégories de contributeurs, sous la forme de contrats de réciprocité ou de matrice de réciprocité (incluant possiblement le partage, le don et la gratuité) ainsi qu’une description de la redistribution des flux en interne. </p> 
 <p> <img class="alignnone size-full wp-image-366" src="https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/richesses.png" alt="" data-id="366" srcset="https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/richesses.png 459w, https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/richesses-300x224.png 300w, https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/richesses-450x336.png 450w" sizes="(max-width: 459px) 100vw, 459px"/> </p> 
<h3>Un label incitatif</h3>
 <p> L’explicitation des quatre types de faisceaux permet, si ce n’est de trouver une définition universelle des communs, du moins d’établir une liste de critères variés donnant une ʺcarte d’identitéʺ du commun considéré. C’est pourquoi, pour compléter le dispositif, nous proposons la mise en place d’un label incitatif qui permettrait à chaque commun de s’autodéterminer et de tracer des axes d’améliorations dans la gestion de la ressource. </p> 
 <p> Une première proposition de caractérisation de ce type a été réalisée par Simon Sarazin sur le site <a href="http://encommuns.org/" target="_blank" rel="noopener noreferrer">http://encommuns.org/</a> : </p> 
 <p> <img class="alignnone size-full wp-image-373 aligncenter" src="https://contributivecommons.org/wp-content/uploads/sites/5/2016/02/label-sarazin.png" alt="" data-id="373"/> </p> 
<h2 class="c26"/>
<h2 id="h.egfa35ny75bf" class="c26">Les conséquences d’une réciprocité réelle</h2>
 <p>   </p> 
<h3 id="h.flnhiqe1bck" class="c10 c28">Une licence qui demande à structurer une communauté autour d’elle</h3>
 <p> On l’a vu, plus qu’une licence, le dispositif proposé ici est composé de 4 outils articulés entre eux. </p> 
 <p> <img class="alignnone size-medium wp-image-274 aligncenter" src="https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/contributive-commons-outils-300x194.png" alt="" data-id="274" srcset="https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/contributive-commons-outils-300x194.png 300w, https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/contributive-commons-outils-450x291.png 450w, https://contributivecommons.org/wp-content/uploads/sites/5/2016/04/contributive-commons-outils.png 720w" sizes="(max-width: 300px) 100vw, 300px"/> </p> 
<p class="c10">Dans ce cadre, il est évident que cette proposition de licence gérée collectivement implique de lâcher prise sur l’idée d’une licence universelle qui s’auto-dissémine sans effort. La <em><span class="c7">Licence Contributive Commons</span></em> est, par essence, et comme son nom l’indique, une licence qui demande une contribution, c’est à dire une implication relationnelle fondée sur le pair à pair, notion qu’il ne faut pas confondre avec la résurgence d’un égalitarisme qui serait issu de la pensée anarchiste. Est localement et ponctuellement mon pair toute personne physique ou morale qui accepte une transaction relationnelle dont les règles du jeu sont explicitement fixées à l’avance, quelle que soit la nature, les compétences ou les qualités intrinsèques de ce pair dont j’accepte et respecte par ailleurs l’irréductible altérité. </p> 
<h3 id="h.doz8oslu7d1m" class="c10 c28">Une rédaction des faisceaux dévolue avec confiance à la communauté en charge du commun</h3>
<p class="c31">Chaque communauté sera en charge d’élaborer ses matrices (qualités, valeurs, droits, richesses), par exemple : </p> 
<ul class="c18 lst-kix_om451e139atu-0 start">
<li class="c10 c29">C’est à chaque communauté de déterminer quel degré d’implication elle trouve nécessaire pour désigner explicitement un utilisateur comme contributeur non financier et quelle grille tarifaire elle applique aux contributeurs financiers.</li>
<li class="c10 c29">C’est également à elle de définir clairement ses valeurs, celles qui seront accolées à l’objet de la transaction y compris quand cet objet sera sorti du commun.</li>
<li class="c10 c29">C’est à la communauté toujours de déterminer les conditions dans lesquelles elle souhaite recevoir les contributions, par exemple sous la forme d’une <strong><span class="c21">matrice de réciprocité</span></strong> explicite (incluse dans le code social) dont le contributeur ainsi éclairé peut s’emparer en toute connaissance de cause. C’est dans cette matrice (qui n’est rien d’autre qu’un grille tarifaire claire et éventuellement conditionnelle) que la communauté peut préciser les modalités pratiques du versement d’une contribution (compte Gratipay, Liberapay, RIB, plateforme, etc…).</li>
<li class="c10 c29">C’est à elle enfin de déterminer les conditions d’une redistribution éventuelle des richesses composant le commun.</li>
</ul>
<p class="c10">Une conséquence intéressante de cette licence est par exemple que même si un.e auteur.e décide de ne pas imposer de mention nominative, <a href="http://www.metronews.fr/blog/ovidie/2014/03/26/genre-par-quel-pronom-souhaitez-vous-etre-appele/" target="_blank" rel="noopener noreferrer">ille</a> peut tout de même définir une relation de son œuvre à un faisceau de valeurs ou un contexte historique dont ille souhaite favoriser la dissémination. Sans imposer cette philosophie au contributeur financier faisant usage de l‘oeuvre, l’auteur.e permet néanmoins à l’utilisateur final de connaître la <span class="c21">filiation</span> philosophique de l’objet. Charge à l’intermédiaire d’expliquer à un utilisateur final pourquoi il y a éventuellement incohérence entre les valeurs véhiculées et son propre comportement… </p> 
<p class="c10">L’auteur.e a également tout loisir de fixer un montant de contribution nulle s’ille le souhaite (ou sous la forme d’une bière comme dans la <a href="https://fr.wikipedia.org/wiki/Beerware" target="_blank" rel="noopener noreferrer">licence <span class="c7">Beerware</span></a>, d’un don à une oeuvre caritative comme dans la <a href="https://fr.wikipedia.org/wiki/Careware" target="_blank" rel="noopener noreferrer">licence <span class="c7">Careware</span></a>, etc…)etc.), ou de fixer des conditions de redistribution très légères (à l’instar de la <br/> 
<a href="https://fr.wikipedia.org/wiki/Licence_BSD" target="_blank" rel="noopener noreferrer">licence BSD</a> par exemple, qui « est l’une des moins restrictives dans le monde informatique et s’approche de la notion de “domaine public” »). Cette licence permet donc d’ouvrir un champ beaucoup plus riche de possibilités, adaptables à toutes les situations, et qui ne cherche pas à imposer telle ou telle manière de procéder. Une fois encore, c’est <strong>l’usage</strong>, éventuellement couplé à une <strong><span class="c21">évaluation par les pairs</span></strong>, qui feraient émerger les structures les plus efficaces. </p> 
<p class="c10">C’est là où nous pensons que les promoteurs d’une telle licence doivent probablement d’ores et déjà accepter qu’il est possible, à la toute fin du processus, que l’on s’aperçoive que ce ne sont pas les pratiques les plus vertueuses qui perdurent, même et y compris dans un système pair à pair et contributif… Un fonctionnement qui respecte le pair y compris lorsque l’identité de celui-ci va à l’encontre de toutes ses valeurs, c’est faire le pari d’une intelligence collective développée sur le long terme grâce à une structure pensée comme inconditionnellement bienveillante <span class="c7">a priori</span> et qui exprime explicitement ses valeurs sans jamais les rendre coercitives dans la transaction. <strong><span class="c21">Respecter ne signifie pas entrer en relation bien entendu</span>. <span class="c21">A tout moment, une communauté garde le droit inaliénable d’autoriser ou de ne pas autoriser la transaction selon des critères qui lui sont propres</span></strong> (arbitraires vus de l’extérieur donc), qui ne sont pas imposés par une structure extérieure, et qu’il conviendra d’expliciter clairement également. </p> 
<h3 id="h.okp9otg5q1a5" class="c10 c28">Un fonctionnement de pair à pair entre les communs eux-mêmes</h3>
<p class="c10">Pour pouvoir utiliser cette licence, la communauté en charge du commun doit avoir une maturité qui lui permet d’appliquer ces règles du jeu en interne. En effet, pour produire un code social ou une matrice de réciprocité, une communauté doit nécessairement passer par un processus garantissant la légitimité de ces textes à l’intérieur de sa communauté, dans le lieu de la transaction, mais aussi aux yeux du législateur si un appel à la loi devait se faire. </p> 
<p class="c10">On peut très bien envisager alors que la communauté en charge de la gestion et de la protection de la <em><span class="c7">Licence Contributive Commons</span></em> propose de l’aide aux communs qui en feraient la demande, dans un fonctionnement de pair à pair applicable aux structures et non plus seulement aux individus, et selon un mode de croissance organique. </p> 
<p class="c10">Un commun candidat à l’utilisation de la licence (c’est à dire qui souhaite faire valider son code social) pourrait bénéficier : </p> 
<ul class="c18 lst-kix_r4zkqsx9gx4s-0 start">
<li class="c10 c29">de préconisations quand au choix d’une licence existante</li>
<li class="c10 c29">d’une aide à la rédaction des matrices</li>
<li class="c10 c29">d’une aide juridique en cas de litige</li>
<li class="c10 c29">d’une auto-évaluation accompagnée par des pairs (label incitatif)</li>
</ul>
<p class="c10">Quand on y réfléchit, les <a href="http://www.chambredescommuns.org/" target="_blank" rel="noopener noreferrer">chambres des communs</a> seraient bien placées pour assurer localement ces missions d’accompagnement, dans un système distribué qui pourrait être holacratique en lien avec la communauté-racine et les <a href="https://assemblee.lescommuns.org/" target="_blank" rel="noopener noreferrer">assemblées des communs</a>. </p> 
<p class="c10">Pour mémoire : <em><span class="c1 c7">l’</span><span class="c1 c21 c7">holacratie</span><span class="c1 c7"> est un système d’organisation de la gouvernance, basé sur la mise en œuvre formalisée de l’intelligence collective. Opérationnellement, elle permet de disséminer les mécanismes de prise de décision au travers d’une organisation fractale d’équipes auto-organisées</span></em><span class="c1"><a id="ref-20" class="side-matter side-matter-ref" href="#note-20"><sup class="side-matter side-matter-sup" title="Définition Wikipedia">20</sup></a>. Ceci étant, la plupart des représentations graphiques de ce système d’organisation “aplatissent” les spécificités individuelles en représentant souvent les différents niveaux par des cercles de plus ou moins grande taille. Ce que nous tentons de faire comprendre ici, c’est l’infinie richesse d’un pair à pair socialisé dans la reconnaissance des spécificités individuelles à toutes les échelles.</span> </p> 
<h3 id="h.ex3wxwq714ce" class="c10 c28">Une monnaie décentralisée et basée sur une abondance mesurable</h3>
<p class="c10"><span class="c1">Proposer une </span><em><span class="c1 c7">Licence Contributive Commons</span></em><span class="c1"> ne peut sans doute pas se faire sans évoquer la question de la monnaie ou du moins de l’évaluation des transactions. Faire société, ce n’est pas seulement établir une gouvernance, c’est également trouver le moyen de quantifier la transaction de manière à ce que les deux parties se sentent satisfaites. A l’instar des monnaies locales, c’est également un moyen de protéger l’espace de transaction des communs et de favoriser la consommation à l’intérieur de cet espace.</span> </p> 
<p class="c10">Ainsi, si nous avons envisagé les flux entres les communs et leurs partenaires externes privés ou publics dans le cadre de la construction d’un dispositif de réciprocité, une véritable économie des communs se construit également sur le ʺmarché interneʺ, de commun à commun, tout particulièrement pour les communs numériques. Il n’est ainsi pas rare qu’un contributeur participe à plusieurs communs différents, créant des passerelles et des réciprocités plus ou moins explicites entre eux. Des compétences, des technologies, des connaissances, des contributions, mais aussi parfois de la monnaie sont échangés dans ce réseau encore largement informel, au point que la question se pose d’établir une certaine transparence à propos de ces flux afin de rendre mesurable cette abondance de <br/> 
réciprocités. </p> 
<p class="c10"><span class="c1">Nous dépassons là largement le champ d’expertise de l’auteure, mais nous aimerions tout de même soulever quelques questions pour les porter à la réflexion. </span> </p> 
<p class="c10"><span class="c1">Si l’on porte un bref regard à l’<a href="https://fr.wikipedia.org/wiki/Histoire_de_la_monnaie" target="_blank" rel="noopener noreferrer">histoire de la monnaie</a></span><span class="c1">, on est frappé par plusieurs points :</span> </p> 
<ul class="c18 lst-kix_wieheetamb7b-0 start">
<li class="c10 c29">avant même la mise en place de la réciprocité, le don inconditionnel était la norme dans les groupes de chasseurs cueilleurs et l’exigence d’un contre-don est apparu avec la mise en place de règles sociales de type claniques découlant de la possibilité de stocker des marchandises<a id="ref-21" class="side-matter side-matter-ref" href="#note-21"><sup class="side-matter side-matter-sup" title="Voir l’évolution des modes d’échange selon Kojin Karatani">21</sup></a>.</li>
<li class="c10 c29"><span class="c1">avant l’invention de la monnaie, lorsque les échanges de biens se suffisaient à eux-mêmes dans de petites communautés, et lorsque le bien matériel venait à manquer, il était possible d’échanger du </span><strong><span class="c1 c21">temps de travail</span></strong><span class="c1"> pour rendre la transaction équitable. Dans l’histoire de la monnaie, on a fini par confondre les échanges de monnaie avec des échanges de droits de propriété, mais cela n’a rien d’intrinsèque au medium et cela peut être questionné. On pourrait très bien considérer la monnaie comme un échange de temps ;</span></li>
<li class="c10 c29"><span class="c1">un medium tel que la monnaie sert essentiellement à déporter temporellement le troc. On ne troque plus directement deux biens, mais un bien contre sa valeur estimée d’un </span><strong><span class="c1 c21">commun accord </span></strong><span class="c1">(celui-ci pouvant être tacite : au moment même où la transaction a lieu, j’accepte le prix que tu as posé sur l’étiquette). La monnaie en circulation représenterait en quelque sorte l’ensemble des transactions de troc de biens non terminées </span><span class="c1">;</span></li>
<li class="c10 c29"><span class="c1">il est important de noter la distinction entre un </span><strong><span class="c1 c21">système d’historisation décentralisé</span></strong><span class="c1"> basé sur la confiance que se font mutuellement deux individus (avant l’invention de la monnaie, la mémoire de la valeur troquée déportée se trouvait dans la tête de chaque individu), et un système d’historisation centralisé (la mémoire de cette dette se trouve sur des documents écrits dont la légitimité est assurée par un tiers de confiance) ;</span></li>
<li class="c10 c29"><span class="c1">il </span><span class="c1">a </span><span class="c1">exist</span><span class="c1">é</span><span class="c1"> des monnaies efficientes qui n’étaient pas basées sur un principe de </span><span class="c1 c21"><strong>rareté</strong> </span><span class="c1">(grain de blé, graine de cacao, grain de poivre, feuille de tabac, peau de bêtes, morue séchée, feuilles de thé, etc). Ce qui importait c’était que l’étalon soit susceptible d’être </span><span class="c1 c21"><strong>crédible</strong> </span><span class="c1">et </span><strong><span class="c1 c21">accepté par tous</span></strong><span class="c1">. Curieusement,</span><span class="c1 c7"> « <em>les crypto-monnaies cherchent à imiter la rareté (et la valeur) des métaux précieux</em>« <a id="ref-22" class="side-matter side-matter-ref" href="#note-22"><sup class="side-matter side-matter-sup" title="Cf. Wikipedia">22</sup></a></span><span class="c1">: pour quelle raison ?</span></li>
</ul>
<p class="c10"><span class="c1">La communauté </span>en charge de la gestion et de la protection de la <em><span class="c1 c7">Licence Contributive Commons </span></em><span class="c1 c7">pourrait donc </span><span class="c1">adopter en interne une (ou des) monnaies décentralisées, abondantes, éventuellement basées sur le temps, en prenant soin d’expliciter la pluralité des valeurs (notamment humaines) qui s’échangent au moment de la transaction par une re-contextualisation des échanges via le code social notamment. On pourra sans doute s’inspirer valablement d’une démarche comme celle de la proposition de monnaie temporelle <a href="http://www.kronos.money/" target="_blank" rel="noopener noreferrer">Kronos</a><span> </span></span><span class="c1">ou de l’idée de « jobcoin » évoquée dans cette <a href="https://medium.com/@Pierre2M/la-revanche-des-communs-559c435f32e6#.7rv257iww" target="_blank" rel="noopener noreferrer">histoire prospective</a>.<a id="ref-23" class="side-matter side-matter-ref" href="#note-23"><sup class="side-matter side-matter-sup" title="Voir « Des exemples d’outils inspirants« ">23</sup></a></span> </p> 
<h3 class="c10">Faut-il rendre l’élan contributif mesurable ?</h3>
 <p> L’introduction d’une monnaie dans les flux contributifs n’est pourtant pas sans risque. L’expérimentation de la Wikimonnaie instaurée chez Wikipédia a montré qu’un tel système «<em> altérait</em> <br/> 
<em>profondément la nature de la motivation contributive et des relations intercommunautaires. La communauté encyclopédique tendait à se métamorphoser en marché de l’intérieur ; le wikipédien devenait un capitaliste, calculant rationnellement l’investissement des jetons et la pérennisation de son capital</em> » ce qui fut l’occasion de montrer à quel point « <em>cette colonisation interne peut altérer profondément les motivations des commoners</em> »<a id="ref-24" class="side-matter side-matter-ref" href="#note-24"><sup class="side-matter side-matter-sup" title="Voir l’article de Pierre-Carl Langlais – Rendre aux communs le produit des communs : la quête d’une licence réciproque">24</sup></a>. </p> 
 <p> En effet, « <em>toutes ces innovations autour de la construction de biens communs apportent de nouvelles formes de création de valeur</em> » et «<em> ces communautés s’appuient sur la confiance et la réciprocité sociale</em> »<a id="ref-25" class="side-matter side-matter-ref" href="#note-25"><sup class="side-matter side-matter-sup" title="Voir l’article de David Bollier : Les communs, ADN d’un renouveau de la culture politique">25</sup></a> qui sont des éléments subjectifs non mesurables. Vouloir les objectiver, n’est-ce pas déjà les faire disparaître ? Mais nous dépassons là largement le cadre de cet article, la question de la monétisation des contributions pouvant faire l’objet d’une étude à part entière… </p> 
<hr/>
<h2 id="h.73ttnt7v96jl" class="c10 c28">Conclusion</h2>
<p class="c10">La <em><span class="c7">Licence Contributive Commons</span></em> vise explicitement à diffuser largement (y compris, pourquoi pas, au-delà des communs) une vision de l’économie politique qui soit porteuse d’espoir. Le monde vit en ce moment même une transition de phase majeure<a id="ref-26" class="side-matter side-matter-ref" href="#note-26"><sup class="side-matter side-matter-sup" title="François Roddier – La thermodynamique des sociétés humaines">26</sup></a> : cette proposition de licence vient simplement tenter de formaliser une intelligence collective et un mode d’auto-organisation tendant vers une nouvelle homéostasie qui sont déjà en train de se déployer massivement dans les faits. Il nous paraît d’ailleurs important de souligner ici que ce travail est le fruit de réflexions et d’expérimentations collectives actuellement menées au sein <br/> 
de l’Assemblée des Communs de Lille et de la P2P Foundation France. </p> 
<p class="c10">La <em><span class="c7">Licence Contributive Commons</span></em> n’impose aucun mode de fonctionnement, elle tente de s’affranchir de tout positionnement arbitraire ou idéologique et propose avant tout un cadre de fonctionnement général visant à protéger les communs et à favoriser leur développement. Elle porte en elle une valeur forte qui, elle, est non négociable : celle de considérer le commerce comme non réductible à un échange monétaire<a id="ref-27" class="side-matter side-matter-ref" href="#note-27"><sup class="side-matter side-matter-sup" title="Bernard Stiegler – « L’emploi et le salaire ne peuvent plus être la seule voie de redistribution »">27</sup></a> mais comme <strong>le soin donné à la pérennisation d’un flux de richesses renouvelables entre des pairs</strong>. </p> 
<p class="c10">Outre le respect que l’on porte à nos pairs humains dans nos interactions avec eux via une socialisation explicite de ces interactions, cette philosophie nous ouvre également la voie vers la possibilité de considérer la nature et la vie comme des pairs à part entière<a id="ref-28" class="side-matter side-matter-ref" href="#note-28"><sup class="side-matter side-matter-sup" title="Voir Jean-François Noubel">28</sup></a>. La communauté en charge de leur préservation deviendrait alors le porte-parole de ce pair à l’intérieur d’une <strong><span class="c21">économie globale de la fécondité </span></strong>dans un faisceau permaculturel complexe d’interdépendances symbiotiques<a id="ref-29" class="side-matter side-matter-ref" href="#note-29"><sup class="side-matter side-matter-sup" title="Voir aussi la notion d’économie symbiotique et les théories symbiotiques de l’évolution">29</sup></a> où toute contribution devient fertilisante pour peu qu’on s’accorde à l’accueillir <em>a priori</em> comme telle. </p> 
<p class="c10"><em>Ce texte a été rédigé par <a href="http://maiadereva.semeoz.info/" target="_blank" rel="noopener noreferrer">Maïa Dereva</a> avec les contributions précieuses de Michel Bauwens, Simon Sarazin, Christian Dupuy, Julien Cantoni, Pierre Trendel, Nicolas Brun, Valérie Lafont, et beaucoup d’autres…</em> </p> 
