title: C’est pratique
url: http://blog.ecologie-politique.eu/post/C-est-pratique
hash_url: ce546b9ff3f6bce409c075b19c65d968

<p>Tous ces services se déploient dans une société de plus en plus
inégalitaire : d'un côté des gens qui méritent de bien bouffer après leur
journée de boulot ou une réunion exigeante (voir les pubs qui mettent en scène
le réconfort après l'effort), de l'autre des galériens qui sont payés une
misère pour leur livrer un <em>pad thai</em> ou un kit apéro (ici le témoignage
d'un livreur chez <a href="https://www.franceculture.fr/emissions/les-pieds-sur-terre/livreurs-le-droit-du-travail-en-roue-libre">
Frichti</a>). C'est surtout parce que le chômage reste massif et l'armée de
réserve importante, parce que les emplois ont été délibérément déqualifiés en
auto-entreprise que ces entreprises prolifèrent. Si les galériens en ont marre
de risquer leur vie et la vôtre en conduisant comme des dingues, ils trouveront
<a href="https://www.courrierinternational.com/article/vu-des-etats-unis-en-france-les-migrants-exploites-par-uber-eats-et-deliveroo">
un migrant à qui faire faire le boulot</a>. Mais le tout s'appuie sur un
mélange de paresse et de sens de ce qui lui est dû qui saisit l'individu en
régime libéral au moment de faire à bouffer ou de s'occuper de la dimension
matérielle de sa vie. Certes nous devons encore être quelques-un·es à cuire des
nouilles quand nous avons la flemme de cuisiner et qui apprécions de sortir au
restaurant pour nous changer les idées, découvrir un autre monde, des odeurs,
une ambiance (et je n'oublie pas que ces lieux aussi sont propices à
l'exploitation du travail). Mais la compétition économique pousse au cul tout
le monde pour inventer des services innovants – c'est à dire dont personne
n'avait vraiment besoin, qui étaient des rêves d'enfants gâtés mais qui,
intelligemment marketés, nous laissent imaginer que nos vies sont vachement
mieux avec. Ils constituent une <a href="http://cqfd-journal.org/Le-tourisme-est-une-industrie-de"><em>industrie de la
compensation</em></a> sur laquelle il faudra mettre le doigt un jour et qui en
attendant offre aux winners des vies de merde pleines de gratifications.</p>
<p>C'est pratique aussi, quand votre smartphone pense à votre place, que le
logiciel va chercher vos mots de passe sur une autre bécane, recueille et
transfère vos données à votre insu… Pratique, mais un peu inquiétant.
Qu'importe, c'est surtout bien pratique ! Je suis la première à ne pas
faire en matière de sécurité tous les efforts que me proposent des camarades
plus cultivés que moi sur ces questions. Mais malgré cette désinvolture, je
flippe quand je vois le niveau d'indépendance acquis par mon smartphone. Après
des années de résistance et bien qu'il soit encore possible d'acheter neufs des
téléphones bien conçus qui permettent de téléphoner (et d'avoir l'heure), j'ai
cédé pour le côté pratique (1) : plus besoin de m'inquiéter d'avoir une
connexion Internet régulière, de préparer mes déplacements et ma vie sociale
comme je le faisais, avec capture d'écran de plans, schémas dessinés dans
l'agenda, infos importantes notées sur papier, etc. Mais je me sens sous
tutelle, dépossédée, comme une gamine gâtée sauf que je sais ce que c'est que
l'autonomie et je regrette celle que j'avais avant.</p>
<p>Car c'est pratique mais c'est une dépossession : plus la peine de se
soucier de la dimension matérielle de sa vie (et de savoir cuire des nouilles),
pas besoin de garder la maîtrise de ses outils… Jusqu'ici, tout va bien, tant
qu'on fait encore partie de la petite bourgeoisie qui peut se payer tout ça,
tant que des pans entiers du macro-système technicien ne s'effondrent pas. Mais
tout cela nous déqualifie humainement et il est des menaces plus immédiates
encore que l'effondrement écologique ou une vraie crise de l'énergie : nos
libertés, individuelles et collectives.</p>
<p>Je côtoie beaucoup de personnes engagées, qui n'ont pas de mots assez durs
pour stigmatiser le capitalisme et le productivisme, qui éteignent la lumière
dans les pièces qu'elles n'utilisent pas et qui pourtant maintiennent des
comptes dans des réseaux sociaux devenus <a href="https://www.lecho.be/entreprises/technologie/quand-facebook-devient-un-etat/10139091.html">
plus gros que des États</a>, qui consomment un paquet de ressources et
d'énergie pour calculer ce qu'elles aiment et vendre le résultats à d'autres
boîtes, <a href="https://www.theguardian.com/technology/2019/jun/03/facebook-nude-nipple-protest-wethenipple">
censurent leurs images</a>, détournent leurs « ami·es » d'elles ou
réciproquement sur base algorithmique, <a href="https://www.numerama.com/tech/508425-pourquoi-facebook-naime-pas-le-mot-lesbienne.html">
censurent les noms de groupes pas assez familiaux</a>, gèrent leur
environnement social comme un pensionnat dans les années 1950 en attendant de
purement et simplement censurer leurs propos (2). Et ces personnes, parfois ces
collectifs et associations, restent parce que c'est « pratique »
(3).</p>
<p>J'ai toujours reçu un minimum d'écho dans des groupes anti-capitalistes,
écologistes ou féministes, quand j'ai suggéré que Facebook, Twitter, Google
Drive et autres n'étaient pas nos amis et proposé d'utiliser les outils créés
et maintenus par des groupes politiques plus proches de nous et soucieux de nos
libertés : les outils <a href="https://framasoft.org/fr/">Framasoft</a>
(qui vont du pad à l'agenda en ligne, en passant par l'interface de sondages et
la feuille de calcul), le Crabgrass de <a href="https://riseup.net/">Riseup</a>
qui offre des fonctionnalités magiques et je me désole de ne faire partie
d'aucun groupe qui l'utilise, etc. Et j'ai régulièrement mis en cause chez mes
correspondant·es l'idée saugrenue d'avoir un compte Gmail qui vous pousse à
garder dix ans de données en ligne plutôt que de ranger dans des fichiers
dédiés et régulièrement sauvegardés les images qui vous tiennent à cœur. Et
chaque fois, ce que j'entends, c'est que ce serait sympa de sauver la banquise
mais… quand même, c'est pratique. Et j'ai vu des bonnes volontés s'arrêter au
fait que Framacalc ne propose pas de mettre en couleur les cases, même quand
cette couleur contribue à la lisibilité de la feuille sans rajouter aucune
information digne d'intérêt. Aucune. Ces outils sont parfois moins bien que
leur concurrence commerciale mais ne peut-on arbitrer sur d'autres critères
?</p>
<p>Nous n'allons pas nous flageller, non : si ces entreprises prolifèrent,
de la start-up aux GAFA, c'est bien parce que les États leur laissent la bride
sur le col. Ils démontent le droit du travail au profit de la micro-entreprise,
ils votent des législations liberticides et laissent passer des <a href="https://gizmodo.com/apple-cofounder-steve-wozniak-says-most-people-should-g-1836178238">
pratiques intrusives</a> et des concentrations industrielles qui devraient
normalement tomber sous le coup de lois anti-trust (Messenger + <a href="https://seenthis.net/tag/facebook">Facebook</a> + WhatsApp + Instagram, what
else?). C'est bien simple : les <a href="https://www.theguardian.com/commentisfree/2019/jul/02/facebook-google-data-change-our-behaviour-democracy">
appels au contrôle des GAFA</a> viennent aujourd'hui <a href="https://www.lemonde.fr/economie/article/2019/05/30/le-grand-pouvoir-de-mark-zuckerberg-conteste-a-l-assemblee-generale-de-facebook_5469563_3234.html">
du sein des dits GAFA</a> (et pas forcément des concurrents !) autant que
des politiques. Visiblement, ça nous touche moins que la dernière vidéo de
pandas mignons qui fait le buzz. Mais ça devrait. Et bien que notre marge de
manœuvre soit limitée, bien qu'une défection individuelle ne signifie pas
grand-chose numériquement, même si c'est dur de se passer des centaines de
likes qui saluent vos traits d'esprit et vos indignations sur Twitter, même si
votre organisation a fait son trou sur Facebook, il me semble que la première
chose à faire, dans cette situation, c'est de quitter ces réseaux pour en faire
vivre de plus démocratiques, sobres et décentralisés. Votre engagement
anti-capitaliste, écologiste et anti-autoritaire le mérite bien…</p>
<p>Mauvaise nouvelle : il va falloir réapprendre à se faire un peu chier,
dans la vie.</p>
<p><strong>PS : Ceci est mon 300e billet sur ce blog, ouvert il y a exactement
dix ans.</strong> 300 billets, ça ne veut pas dire 300 textes, il y a quelques
annonces sur le lot. Mais oui, cela fait deux textes par mois en moyenne. Les
meilleurs ont été publiés ailleurs (notamment dans les journaux papier <em>L'An
02</em>, <em>CQFD</em>, <em>L'Âge de faire</em>, <em>Moins !</em> et d'autres
encore) ou reformulés dans le cadre des livres <em>Égologie</em> (Le Monde à
l'envers, 2007) et <em>La Conjuration des ego</em> (Syllepse, 2019). Je prépare
aussi la réédition de ma brochure sur le revenu garanti (aux éditions du Monde
à l'envers cet hiver). C'est un blog qui m'a aidée à écrire dans des formats
courts puis un peu plus longs (mais toujours pas très longs !) et à faire œuvre
malgré le chômage de longue durée et le manque de sollicitations. Je me fais
chier à payer le nom de domaine chaque année, ce qui permet de bénéficier d'un
hébergement offert par <a href="https://www.gandi.net/fr">Gandi.net</a> et de
ne pas livrer votre cerveau à la publicité.</p>
<p>(1) À vrai dire j'ai cédé dans la perspective d'un travail de terrain à
l'étranger, où les seuls accès à Internet se faisaient par mobile et où mes
informateurs utilisaient WhatsApp plus volontiers que des sms hors de prix. Et
j'y ai gagné un dictaphone de bien meilleure qualité. Mais au quotidien, en
France, je me laisse convaincre par le smartphone alors que j'ai encore le
choix tous les matins de mettre plutôt mon vieux Nokia dans ma poche.</p>
<p>(2) Ces réseaux sociaux hébergent vos propos, vous permettent de mettre en
ligne vos textes, images, fichiers vidéo et audio. Vous restez responsable de
vos publications. Tout va bien. Sauf que <a href="https://www.laquadrature.net/2019/07/09/lassemblee-nationale-adopte-et-aggrave-la-loi-haine/">
les dernières innovations en matière de libertés civiles</a> (qui
s'accompagnent de la remise en cause d'un droit de la presse qui fonctionne
très bien depuis 1881) font de ces réseaux vos éditeurs, lesquels partagent
avec vous la responsabilité pénale de vos publications. Devinez la peine que
vont prendre ces gros acteurs capitalistes à faire vérifier par des petites
mains rémunérées que vos propos sont en effet contraires à la loi,
diffamatoires, insultants ou appelant à la haine ? C'est moins cher de le
mettre à la poubelle dès qu'une personne qui ne vous aime pas les signale,
d'autant plus que vous ne représentez rien (à moins que vous ne soyez Donald
Trump, dans ce cas <a href="https://www.liberation.fr/planete/2019/07/17/pourquoi-twitter-ne-censure-pas-les-tweets-racistes-de-trump_1740327">
l'appel à la haine est acceptable</a>). Les organisations qui pourraient se
saisir de ce cas de censure pour le rendre public sont elles aussi sur ces
réseaux (qui contrôlent leur audience) ou ailleurs et plus personne ne les
entend crier parce que tout le monde est sur Facebook. Monde de rêve,
hein ?</p>
<p>(3) Moi aussi, je reste, tentant de limiter ma participation et préférant
socialiser dans des lieux plus proches de mes valeurs, <a href="http://seenthis.net/people/aude_v">Seenthis.net</a> ou <a href="https://mastodon.acc.sunet.se/@aude_v">Mastodon</a>.</p>
