title: “What can I do?” Anything.
url: https://heated.world/p/what-can-i-do-anything
hash_url: 5d9b6bdd174bb8e2a6fca95b6e68edb0

<figure><a class="image-link image2 image2-683-1024" target="_blank" href="https://cdn.substack.com/image/fetch/f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F946bbacf-99ef-4b1b-b7eb-6b00e74f4b4e_1024x683.jpeg"><img src="https://cdn.substack.com/image/fetch/w_1456,c_limit,f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F946bbacf-99ef-4b1b-b7eb-6b00e74f4b4e_1024x683.jpeg" data-attrs='{"src":"https://bucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com/public/images/946bbacf-99ef-4b1b-b7eb-6b00e74f4b4e_1024x683.jpeg","height":683,"width":1024,"resizeWidth":null,"bytes":178533,"alt":null,"title":null,"type":"image/jpeg","href":null}' alt=""></a><figcaption class="image-caption">A man stands in the center of the town of Khairpur Nathan Shah, Pakistan, which had been totally submerged by floodwaters. Pakistan is the fifth most climate-vulnerable country in the world, and has been experiencing catastrophic climate impacts for many, many years. Photo by Gideon Mendel For Action Aid/ In Pictures/Corbis via Getty Images.</figcaption></figure>
<p><br>If the true urgency of climate change was not clear to Americans before, it should be clear by now. The mind-bending <a href="https://www.nature.com/articles/d41586-021-01869-0">heat</a>, <a href="https://www.washingtonpost.com/weather/2021/06/17/heat-wave-southwest-fires-drought/">drought</a>, <a href="https://www.bbc.com/news/world-us-canada-57794263">fire</a> and <a href="https://www.theguardian.com/us-news/2021/jul/09/new-york-city-storm-flooding-climate-change">flood</a> sweeping the country are both nightmares and wake-up calls to the reality fossil fuels created. For over 40 years, our most powerful people and institutions collectively ignored climate scientists, and now the deadly consequences have arrived at all our doorsteps. Part of Jaweria Baig wishes they had arrived here sooner. Perhaps her life would be different if they had.</p><p><strong>“</strong>I have witnessed people suffering and dying since I was a child,” the 18-year-old from Pakistan told HEATED via phone. Her home town, located in the mountainous Hunza Valley, is surrounded by towering Himalayan glaciers that have <a href="https://apnews.com/article/climate-climate-change-courts-avalanches-india-7be7a76eea4d497b22609ff3d5194e69">been melting at an astonishing rate since before Baig was born</a>. These climate-fueled melts have formed more than 3,000 glacial lakes, which now regularly break their banks and rush through surrounding villages, <a href="https://www.thenews.com.pk/tns/detail/671886-the-new-normal">taking everything—and everyone—in their path with them</a>. More than 7 million people in the region are at risk from these floods, <a href="https://www.aljazeera.com/news/2020/6/9/millions-at-risk-as-melting-pakistan-glaciers-raise-flood-fears">according to UNDP</a>.</p><p>Baig now lives in the southern city of Karachi, but friends and family still live in Hunza. Eventually they’ll face a difficult choice: move south willingly, or let the mountain do it for them. Even if the world meets its most ambitious climate targets, one third of the Himalayan glaciers will melt by the end of the century, a 2019 International Centre for Integrated Mountain Development <a href="https://lib.icimod.org/record/34383">report</a> found. And even the south won’t provide much respite; the <a href="https://www.theatlantic.com/international/archive/2015/06/a-summer-of-fatal-weather/396710/">heat</a> and <a href="https://news.trust.org/item/20200922111419-3p1i8">monsoon rains</a> there are some of the most punishing in the world. The average daily temperature in Karachi this past week was 104 degrees*. Stepping outside “<a href="https://www.theguardian.com/environment/commentisfree/2021/jul/04/in-karachi-hot-weather-is-normal-but-44c-feels-like-youre-going-to-die">feels like you’re going to die.</a>” </p><p>After 18 years of life in the world’s <a href="https://www.nytimes.com/2020/09/27/opinion/pakistan-climate-change.html">fifth most climate-vulnerable nation</a>, Baig sees her family’s predicament for what it is: not just tragedy, but profound injustice. Pakistan contributes <a href="https://www.unep.org/gan/news/press-release/pakistan-develop-national-adaptation-plan-climate-change">less than 1 percent of the world’s carbon emissions</a>, and yet has been forced to <a href="https://www.usatoday.com/story/news/world/2018/07/24/pakistan-one-worlds-leading-victims-global-warming/809509002/">bear the brunt of the world’s carbon crisis</a>. “I’m angry about it. I’m sad about it. I don’t know how people have the audacity to prioritize money over humanity,” she said. And she can’t help but wonder if this would have happened if America—<a href="https://phys.org/news/2021-04-biggest-carbon-emitter-history-nations.html">which has put more carbon into the atmosphere than any other nation</a>—had felt these impacts first. </p><p>“I should be in university,” she said. But her life’s work is activism. “I have no choice,” she said, her voice breaking on the phone. Each day, Baig said, she’s fighting to secure the world’s future. And she wants to know, in this critical moment: are you doing anything to help secure hers?</p><p>In more than a dozen interviews over the last two weeks, activists from across the climate movement have issued a common call to arms: If you have ever thought of becoming more involved in the fight for climate justice, it’s time to stop thinking, and start doing. </p><p>“This is pretty much the biggest moment in climate politics in over a dozen years,” said Jamal Raad, the executive director of <a href="https://www.evergreenaction.com/mission">Evergreen Action</a>, a progressive climate group focused on federal legislation. “If anyone was considering climate activism at any level, from contacting their member of Congress to volunteering with an organization to attending a protest, now’s the time.”</p><p>The scientific case for urgency has never been clearer. Last month, a <a href="https://www.france24.com/en/live-news/20210623-crushing-climate-impacts-to-hit-sooner-than-feared-draft-un-report">draft of the latest U.N. IPCC report</a>—the gold standard summation of modern climate science—was leaked to Agence France-Presse in hopes it might serve as a wake-up call before the next round of international climate talks in November. <a href="https://www.theguardian.com/environment/2021/jun/23/climate-change-dangerous-thresholds-un-report">The report warned</a> that the dire impacts of global heating were materializing faster than most scientists expected. Several “tipping points”—major, rapid changes in climate conditions that once reached are near-impossible to reverse—are now likely to come sooner rather than later, and many impacts are already locked in. Significant and rapid decarbonization can still prevent further pain and suffering, but the longer we wait, the worse things will become. “Life on Earth can recover from a drastic climate shift by evolving into new species and creating new ecosystems,” it warned. “Humans cannot.”</p><p>The costs of inaction are also already playing out in American life. More than 100 people <a href="https://abcnews.go.com/US/oregons-heat-wave-death-toll-reaches-107-mass/story?id=78708448">were killed by the oppressive heat</a> in Oregon last month, part of a larger record-breaking heat dome event that cumulatively caused <a href="https://www.hindustantimes.com/world-news/canada-heatwave-toll-tops-800-101625334250895.html">more than 800 deaths</a> across the Pacific Northwest. Farmers and ranchers <a href="https://www.nationalgeographic.com/environment/article/historic-drought-in-west-forcing-ranchers-to-take-painful-measures">are suffering</a> under <a href="https://pacinst.org/the-2021-western-drought-what-to-expect-as-conditions-worsen/">historic drought conditions</a> in the West, where states <a href="https://www.nytimes.com/article/drought-california-western-united-states.html">are already limiting water supply</a> while fighting <a href="https://www.cbsnews.com/video/eye-opener-triple-digit-temperatures-drought-fuel-wildfires-in-the-west/">out-of-control wildfires</a>. <a href="https://www.freep.com/story/news/local/michigan/detroit/2021/06/28/gretchen-whitmer-calls-action-climate-change-infrastructure/7784557002/">Record rainfall in Michigan</a> is overwhelming Detroit’s aging sewage systems, part of <a href="https://newrepublic.com/article/144798/floridas-poop-nightmare-come-true">the growing pandemic of poop-filled floodwaters</a>. And on the East Coast, tropical storm Elsa signaled <a href="https://www.washingtonpost.com/weather/2021/07/09/tropical-storm-elsa-new-england/">a powerful start to yet another destructive hurricane season</a>, expected to be “above average” in activity for the sixth year in a row. </p><p>Fortunately, scientists are also more confident than ever about how to improve the situation. In May, the influential and notoriously conservative International Energy Administration <a href="https://yaleclimateconnections.org/2021/07/a-bombshell-report-from-closely-followed-international-energy-agency/">released a “bombshell” report</a> outlining how the world could still achieve the Paris Agreement’s goal of preventing a 1.5°C rise in global average temperatures. “As the major source of global emissions, the energy sector holds the key to responding to the world’s climate challenge,” <a href="https://www.iea.org/reports/net-zero-by-2050">the report</a> read. That sector must fully decarbonize by 2050, which requires not just a massive acceleration to renewables, electric vehicles, and energy efficient building retrofits, but “a huge decline in the use of fossil fuels,” it said. “There is no need for investment in new fossil fuel supply in our net zero pathway.”</p>
<p>The dire need to significantly decrease fossil fuel use, however, has still not sunk into the minds of the world’s biggest polluters. Take the United States. The Biden administration has taken some meaningful steps toward reducing carbon pollution, including suspending oil and gas leasing on federal land, cancelling the Keystone XL pipeline, and reinstating several EPA climate regulations. But his Justice Department is also currently defending at least three massive new fossil fuel projects: the <a href="https://www.theguardian.com/us-news/2021/may/27/biden-administration-alaska-oil-gas-drilling-project">Willow drilling project</a> in Alaska, <a href="https://www.nytimes.com/2021/06/24/climate/line-3-pipeline-biden.html">the Line 3 tar sands pipeline</a> in Minnesota, and <a href="https://earthjustice.org/news/press/2021/department-of-justice-defends-trump-era-wyoming-leases">millions of acres of oil and gas leasing in Wyoming</a>. </p><p>The massive infrastructure bill making its way through Congress is also a big opportunity to ensure meaningful climate investments in the energy sector—and may in fact be <a href="https://www.vox.com/22537509/democrats-climate-bill-biden-waxman-markey">the last chance to pass meaningful climate legislation</a> during Biden’s presidency. But the latest version was recently <a href="https://www.nytimes.com/2021/06/24/climate/biden-climate-infrastructure.html">stripped of most of its significant climate provisions</a>, including a Clean Energy Standard, tax credits for renewable energy, and a new civilian climate corps. </p><p>The draft IPCC report places the blame for such inaction directly on the fossil fuel industry. Specifically, “think tanks, foundations, trade associations and other third-party groups that represent fossil fuel companies for promoting ‘contrarian’ science that misleads the public and disrupts efforts to implement climate policies needed to address the rising threats,” <a href="https://www.politico.com/news/2021/07/02/climate-scientists-exxon-mobile-report-497805">Politico reported last week</a>. “Rhetoric on climate change and the undermining of science have contributed to misperceptions of the scientific consensus, uncertainty, unduly discounted risk and urgency, dissent, and, most importantly, polarized public support delaying mitigation and adaptation action, particularly in the U.S.”</p><p>The fossil fuel industry is indeed <a href="https://www.theguardian.com/us-news/2021/jul/08/north-dakota-sues-biden-administration-oil-gas-leases-public-lands">fighting</a> <a href="https://www.upstreamonline.com/finance/keystone-xl-developer-files-lawsuit-against-us-seeking-15bn-in-damages/2-1-1038568">very hard</a> <a href="https://www.cnbc.com/2021/03/24/14-states-sue-biden-administration-over-oil-and-gas-leasing-moratorium.html">to undo</a> <a href="https://www.channel4.com/news/revealed-exxonmobils-lobbying-war-on-climate-change-legislation">and prevent</a> further climate action in the U.S. But others are helping them, too. GOP states are using taxpayer dollars <a href="https://www.cnbc.com/2021/03/24/14-states-sue-biden-administration-over-oil-and-gas-leasing-moratorium.html">to file lawsuits on their behalf</a>. Advertising and marketing firms are creating <a href="https://gizmodo.com/i-hate-that-conoco-is-so-good-at-social-media-1847220996">sophisticated PR campaigns</a> to help them convince the public they’re green. News outlets, many of which routinely ignore the climate crisis, are <a href="https://www.thenation.com/article/environment/media-fossil-fuel-ads/">running those ad campaigns</a> and making a profit. Social media companies like Facebook and Twitter <a href="https://twitter.com/InfluenceMap/status/1413475420347973633?ref_src=twsrc%5Etfw">are doing the same</a>.</p><p>In other words, there’s a lot to do—and the IEA, which wrote the blueprint for effective action, says the key is people power. “A transition of the scale and speed described by the net zero pathway cannot be achieved without sustained support and participation from citizens,” <a href="https://www.iea.org/reports/net-zero-by-2050">the blueprint said</a>. That means more than just saying you’re for a healthy planet. It means taking a stand against the reason it’s sick. </p><p>The ability to participate in activism is a privilege. Many simply do not have the time, money, or emotional bandwidth to take on a global cause. Climate activism also has an unfortunate history of regressive finger-wagging, blaming relatively powerless individuals for not making “better” environmental choices. </p><p>The climate activism that is needed today is not that type of activism—especially since, according to the IEA, individual “behavior” changes will only account for around 4 percent of cumulative emissions reductions in the path to net zero. What’s needed today is sustained outrage at the powerful, by those with the time and resources to express it. </p><p>For 18-year-old Jaweria Baig in Pakistan, this means pushing for big changes at powerful corporations. Her latest campaign, launched with youth activists from climate vulnerable counties across the world, targets Microsoft. She’s asking the tech giant to significantly decrease its emissions from corporate flights, and use its own video conference platform “Teams” instead, as it did during pandemic-induced lockdown. Microsoft is currently “one of the world's top buyers” of flights, the <a href="https://justuseteams.com/">Just Use Teams</a> campaign says, its emissions comparable to some small countries. </p><p>Microsoft—which markets itself as <a href="https://heated.world/p/the-climate-deniers-microsoft-helped">a leader in the fight for climate justice</a>—has so far declined to respond to Baig’s campaign. A spokesperson for the tech giant sent HEATED only a link to its corporate sustainability and aviation plans in response to the group’s complaints. So in the meantime, Baig is asking for people power. She wants Microsoft staff to leave <a href="https://www.glassdoor.com/Reviews/Microsoft-Reviews-E1651.htm?countryRedirect=true">anonymous Glassdoor reviews</a> telling their bosses to use Teams instead of airplanes, and wants Microsoft customers to <a href="https://twitter.com/intent/tweet?text=.%40Microsoft%2C%20will%20you%20pledge%20to%20carry%20on%20using%20Teams%20instead%20of%20taking%20pointless%20flights%20for%20meetings%20-%20for%20the%20climate%2C%20your%20customers%2C%20and%20your%20employees%27%20welfare%3F%20%20What%27s%20your%20response%20%40satyanadella%20%40BradSmi%20%40lucasjoppa%3F%20Read%20more%20at%20justuseteams.com%20%23JustUseTeams&amp;related=satyanadella%2CBradSmi">tweet their support</a>. </p><p>If Microsoft’s flights don’t inspire you, though, there are plenty other campaigns in need of voices, resources, signatures, or bodies. Is the bipartisan infrastructure deal your thing? Perhaps you’d like <a href="https://www.evergreenaction.com/blog/no-climate-no-deal">No Climate No Deal</a>, a campaign launched by Evergreen Action and the youth-led Sunrise Movement last month. The campaign is pressuring Democratic members of Congress to reject any infrastructure legislation lacking “transformational investments in climate and environmental justice solutions.” They’ve already secured pledges from 14 Democratic Senators. They’re seeking support in the form of <a href="https://www.evergreenaction.com/blog/no-climate-no-deal">a petition, calls to Senators, and tweets</a>.   </p><p>Or maybe you’re really pissed at advertising agencies, marketing firms, and social media giants for helping promote fossil fuel company propaganda. If that’s the case, you might like <a href="https://cleancreatives.org/about">Clean Creatives</a>. Despite only launching less than a year ago, it has gotten 92 advertising agencies to sign a pledge against working with fossil fuel companies. It’s now spreading <a href="https://cleancreatives.org/news/climate-groups-launch-petition-pressuring-social-media-platforms-to-ban-fossil-fuel-ads">a petition</a> to get social media platforms like Twitter and Facebook to ban fossil fuel ads. (<a href="https://twitter.com/duncanwrites?ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Eauthor">Duncan Meisel,</a> one of the group’s co-founders, said in an interview that this newsletter was part of the inspiration for forming the group. So maybe you could also start a newsletter, if that’s your thing.)</p><p>Indigenous <a href="https://www.ienearth.org/">groups</a> also need <a href="https://www.facebook.com/giniwcollective/">help</a> opposing fossil fuel projects across the country. Most have action hubs with a range of potential ways to help, like <a href="https://www.stopline3.org/hub">this one for the Line 3 pipeline</a>. Environmental justice groups like <a href="https://www.weact.org/">We Act</a> and the <a href="https://climatejusticealliance.org/">Climate Justice Alliance</a> also need voices and resources. Perhaps Vice’s list of <a href="https://www.vice.com/en/article/jgx7xy/environmental-justice-climate-action-organizations-to-donate-time-and-money">12 environmental justice organizations to donate time and money to</a> would be of interest. </p><p>If straight-up activism isn’t your thing, maybe you’d like to support climate science education or communications projects like <a href="https://www.climatecentral.org/">Climate Central</a> or the <a href="https://acespace.org/">Alliance for Climate Education</a>. If you believe in the power of journalism, maybe you want to support accountability projects like <a href="https://www.floodlightnews.org/#:~:text=Floodlight%20is%20a%20nonprofit%20environmental,interests%20holding%20back%20climate%20action.&amp;text=Are%20you%20a%20journalist%20looking%20to%20partner%20on%20an%20investigation%3F">Floodlight</a> and <a href="https://drillednews.com/">Drilled News</a>, or regional publications like <a href="https://southerlymag.org/">Southerly Mag</a>. Maybe you’re into culture and want to donate to a place like the <a href="https://climatemuseum.org/donations">Climate Museum</a>. Maybe there’s a state climate policy you want to get involved with; or a local office you want to run for; or an opportunity to make a difference at the company you already work at. Maybe you just want to <a href="https://heated.world/p/drag-them">troll fossil fuel companies all day</a>. </p><p>The opportunities to get involved in the climate fight are endless, and that can be overwhelming. But the beauty of people power is that you don’t <em>have</em> to do everything.  “You don’t need to quit your job and become a climate activist,” said Genevieve Gunther, founder of the media-focused group <a href="https://www.endclimatesilence.org/">End Climate Silence</a>. “With enough people, one little thing every week, even a tweet, can make a huge difference.” </p><p>Some people may read this and believe it is pointless. That we are too late. That none of it matters. The fossil fuel industry knows this is not true. Their fear of a determined, pissed off public is why they promoted campaigns of climate denial and “individual responsibility” in the first place. They knew if people were unsure about the problem, they’d waste time fighting about it instead of mobilizing to fix it. They knew if people were confused about the solution, they’d waste time trying to change themselves and each other instead of the system. </p><p>However worse the climate crisis gets now depends on how quickly society transforms. How quickly society transforms depends on how many people demand it. The most harmful lie being spread about climate change today is not that it is fake. It’s that nothing you can do can help save the world. <br></p>
