title: Quelles technologies pour une société durable ?
url: https://atterrissage.org/technologies-societe-durable-65514b474700
hash_url: 2434c554346d2cc24b5897f5dfa18b31

<div class="section-content"><div class="section-inner sectionLayout--insetColumn"><p name="9a71" id="9a71" class="graf graf--p graf--leading">Connaissez-vous le proverbe “<em class="markup--em markup--p-em">L’enfer est pavé de bonnes intentions</em>” ?</p><p name="6d33" id="6d33" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">En général, on l’emploie pour désigner des idéologies qui, sous couvert de défendre un idéal, aboutissent à la mise en place des pires dictatures.</strong></p><p name="8ba0" id="8ba0" class="graf graf--p graf-after--p">Mais il peut parfaitement s’appliquer à d’autres domaines, comme celui des techniques.</p><p name="64d1" id="64d1" class="graf graf--p graf-after--p">Dans le domaine médical par exemple, <a href="https://fr.wikipedia.org/wiki/Saign%C3%A9e_%28m%C3%A9decine%29" data-href="https://fr.wikipedia.org/wiki/Saign%C3%A9e_(m%C3%A9decine)" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank"><em class="markup--em markup--p-em">la saignée</em></a> était considérée pendant longtemps comme une pratique efficace pour soigner les malades.</p><p name="b5b6" id="b5b6" class="graf graf--p graf-after--p">Apparue dans l’antiquité, elle a connu son apogée entre le XVIe et le XVIIe siècle (à l’époque du fameux <em class="markup--em markup--p-em">Medecin malgré lui</em> de Molière) avant d’être fortement critiquée au XVIIIe puis de disparaître au début du XIXe sauf dans le cas de maladies très particulières.</p><p name="d6dc" id="d6dc" class="graf graf--p graf-after--p">Avec le recul, cela parait aujourd’hui évident de ne pas vider un patient de son sang dès le moindre symptôme mais cela ne l’était malheureusement pas à l’époque.</p><p name="956d" id="956d" class="graf graf--p graf-after--p">Aussi quand, année après année, les problèmes écologiques (réchauffement climatique, chute de la biodiversité, érosion des sols, …) empirent et cela malgré les bonnes intentions et le travail acharné de millions d’ingénieurs, <strong class="markup--strong markup--p-strong">c’est peut-être qu’il est temps d’admettre que les remèdes proposés (et qu’on continue encore aujourd’hui à proposer) sont probablement pires que le mal.</strong></p><h3 name="5b82" id="5b82" class="graf graf--h3 graf-after--p">Les remèdes proposés</h3><p name="bd30" id="bd30" class="graf graf--p graf-after--h3">Dans les secteurs de l’énergie, des transports, de l’habitat et de l’agriculture, voici une liste de remèdes qu’on a tendance à célébrer:</p></div><div class="section-inner sectionLayout--outsetColumn"><figure name="e1cc" id="e1cc" class="graf graf--figure graf--layoutOutsetCenter graf-after--p"><figcaption class="imageCaption">Mosaïque des remèdes classiques proposés pour “sauver la planète”</figcaption></figure></div><div class="section-inner sectionLayout--insetColumn"><p name="1fa3" id="1fa3" class="graf graf--p graf-after--figure">On va vous parler de:</p><ul class="postList"><li name="ab02" id="ab02" class="graf graf--li graf-after--p">Panneaux photovoltaïques,</li><li name="8a69" id="8a69" class="graf graf--li graf-after--li">Batteries pour stocker l’électricité,</li><li name="816f" id="816f" class="graf graf--li graf-after--li">Grille électrique intelligente (“<em class="markup--em markup--li-em">smart grid</em>”),</li><li name="7da2" id="7da2" class="graf graf--li graf-after--li">Voitures électriques et autonomes</li><li name="8388" id="8388" class="graf graf--li graf-after--li">Thermostats intelligents</li><li name="ca9c" id="ca9c" class="graf graf--li graf-after--li">Matériaux isolants “haute-performance” à base de fibres synthétiques</li><li name="83ca" id="83ca" class="graf graf--li graf-after--li">Ampoules LED à très basse consommation</li><li name="9532" id="9532" class="graf graf--li graf-after--li">Drones agricoles connectés</li><li name="e72e" id="e72e" class="graf graf--li graf-after--li">Viande conçue en laboratoire</li><li name="f80f" id="f80f" class="graf graf--li graf-after--li">Agriculture hors-sol, verticale, en containers, …etc</li></ul><p name="463c" id="463c" class="graf graf--p graf-after--li">Et d’une certaine façon, toutes ces technologies promettent en effet de consommer moins de ressources et de générer moins de pollution que les techniques actuelles pour répondre à nos besoins:</p><ul class="postList"><li name="34a0" id="34a0" class="graf graf--li graf-after--p">Produire de l’électricité à grande échelle et disponible en permanence,</li><li name="34d6" id="34d6" class="graf graf--li graf-after--li">Se déplacer confortablement et en sécurité,</li><li name="d407" id="d407" class="graf graf--li graf-after--li">Chauffer l’air de nos grandes maisons,</li><li name="364a" id="364a" class="graf graf--li graf-after--li">Nourrir 60 millions de Français avec des produits correspondant à leurs habitudes alimentaires.</li></ul><h4 name="f4a6" id="f4a6" class="graf graf--h4 graf-after--li">Discours commun</h4><p name="693a" id="693a" class="graf graf--p graf-after--h4">Si on devait résumer en une phrase le discours porté par les promoteurs de ces technologies, on pourrait le formuler de la manière suivante:</p><blockquote name="afc7" id="afc7" class="graf graf--blockquote graf-after--p">Du fait d’une plus grande sophistication, notre solution est plus efficace que les techniques actuelles pour répondre aux mêmes besoins.</blockquote><p name="3901" id="3901" class="graf graf--p graf-after--blockquote">La stratégie empruntée par ces technologies consiste donc à partir de nos besoins actuels et à investir dans ce qu’on pourrait appeler “<em class="markup--em markup--p-em">la complexité</em>”.</p><p name="cf62" id="cf62" class="graf graf--p graf-after--p">Autrement dit, ces technologies s’appuient sur des systèmes <strong class="markup--strong markup--p-strong">plus complexes</strong>, des matériaux <strong class="markup--strong markup--p-strong">plus complexes</strong>, des programmes <strong class="markup--strong markup--p-strong">plus complexes</strong> pour être à la fin plus efficaces.</p><p name="6d05" id="6d05" class="graf graf--p graf-after--p">Et cette efficacité doit en théorie permettre de:</p><ul class="postList"><li name="c1bf" id="c1bf" class="graf graf--li graf-after--p">Consommer moins de ressources (pétrole, eau, engrais, …)</li><li name="464b" id="464b" class="graf graf--li graf-after--li">Avoir moins d’impact sur l’environnement (pollution de l’air, eau, CO2, …)</li></ul><blockquote name="bfcf" id="bfcf" class="graf graf--blockquote graf-after--li">En théorie</blockquote><p name="d525" id="d525" class="graf graf--p graf-after--blockquote">Malheureusement en pratique, poursuivre une stratégie basée sur le couple “<em class="markup--em markup--p-em">complexité / efficacité</em>” pour réduire notre consommation de ressources est contradictoire pour 2 raisons.</p><h4 name="a337" id="a337" class="graf graf--h4 graf-after--p">L’impact de la complexité</h4><p name="7084" id="7084" class="graf graf--p graf-after--h4">Tout d’abord, <strong class="markup--strong markup--p-strong">en augmentant la complexité de nos technologies, on se retrouve à tirer une partie de notre système technique dans la direction inverse de celle que l’on poursuit</strong> puisque la complexité a un coût écologique important.</p><p name="cc9f" id="cc9f" class="graf graf--p graf-after--p">Concrètement, pour fabriquer, entretenir ou gérer la fin de vie de technologies complexes, cela demande nécessairement plus de ressources que pour fabriquer, entretenir ou gérer la fin de vie de technologies simples.</p><p name="a8f1" id="a8f1" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Et c’est pourquoi il est régulièrement reproché à ces technologies de ne pas “<em class="markup--em markup--p-em">résoudre les problèmes”</em> mais de les “<em class="markup--em markup--p-em">déplacer”</em>.</strong></p><p name="472a" id="472a" class="graf graf--p graf-after--p">Pour avoir moins de coûts en aval, on va déporter ces coûts en amont.</p><p name="6d70" id="6d70" class="graf graf--p graf-after--p">Pour être plus efficace en aval, on va dépenser plus “<em class="markup--em markup--p-em">d’énergie grise</em>” (énergie nécessaire à la fabrication d’une technologie) en amont, en pariant sur le fait que la baisse à un endroit compensera la hausse à un autre.</p><p name="6943" id="6943" class="graf graf--p graf-after--p">Prenez n’importe quelle technologie qu’on vous présente comme “<em class="markup--em markup--p-em">verte</em>”, qu’elle soit “<em class="markup--em markup--p-em">incrémentale</em>” (dans le prolongement de l’existant) ou qu’elle représente une “<em class="markup--em markup--p-em">rupture</em>” par rapport à la technologie précédente.</p><p name="9b6c" id="9b6c" class="graf graf--p graf-after--p">Vous pourrez constater cette hausse de la complexité.</p><p name="f8c6" id="f8c6" class="graf graf--p graf-after--p">Pour le confirmer je vous propose de prendre 2 exemples représentatifs de ces 2 types de technologie dans le domaine du transport — domaine qui sera notre fil rouge tout au long de cette conférence:</p><ul class="postList"><li name="c325" id="c325" class="graf graf--li graf-after--p">La voiture hybride comme technologie “<em class="markup--em markup--li-em">incrémentale</em>”</li><li name="12d7" id="12d7" class="graf graf--li graf-after--li">La voiture électrique comme technologie “<em class="markup--em markup--li-em">de rupture</em>”</li></ul><p name="f8d6" id="f8d6" class="graf graf--p graf-after--li">Dans les 2 cas, nous allons voir que l’augmentation de complexité est indéniable mais concernant la voiture hybride, la démonstration est d’autant plus éclatante.</p><p name="6f72" id="6f72" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Technologie “<em class="markup--em markup--p-em">incrémentale”</em></strong></p></div><div class="section-inner sectionLayout--insetColumn"><p name="165b" id="165b" class="graf graf--p graf-after--figure">En effet, comme toutes les technologies “<em class="markup--em markup--p-em">incrémentales</em>”, le véhicule hybride repose sur <strong class="markup--strong markup--p-strong">l’ajout d’un nouveau système par-dessus un système existant</strong>, en l’occurrence une batterie et un moteur électrique au dessus d’un réservoir diesel, un moteur à combustion et un pot d’échappement.</p><p name="7b19" id="7b19" class="graf graf--p graf-after--p">Mécaniquement, cette nouvelle complexité va donc induire:</p><ul class="postList"><li name="aa72" id="aa72" class="graf graf--li graf-after--p">une plus forte consommation de ressources, en particulier de métaux nécessaires pour la batterie</li><li name="32dc" id="32dc" class="graf graf--li graf-after--li">une plus forte “<em class="markup--em markup--li-em">énergie grise</em>”, pour la fabrication de la batterie, et des différents systèmes qu’on ajoute (comme le moteur électrique en plus du moteur à combustion)</li><li name="648d" id="648d" class="graf graf--li graf-after--li">un plus fort impact sur l’environnement lié aux rejets de ces nouveaux procédés</li></ul><p name="56ad" id="56ad" class="graf graf--p graf-after--li">Cet impact se visualise d’ailleurs très bien quand on compare le CO2 émis lors de la fabrication d’un véhicule hybride par rapport à un véhicule diesel classique.</p></div><div class="section-inner sectionLayout--insetColumn"><p name="72fa" id="72fa" class="graf graf--p graf-after--figure">Parce qu’un véhicule hybride est plus complexe qu’un véhicule diesel <strong class="markup--strong markup--p-strong">le CO2 émis lors de sa fabrication est 20% supérieur</strong> [1] <strong class="markup--strong markup--p-strong">à celui émis lors de la fabrication d’un véhicule diesel</strong>.</p><p name="0e2d" id="0e2d" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Technologie “<em class="markup--em markup--p-em">de rupture</em>”</strong></p><p name="351f" id="351f" class="graf graf--p graf-after--p">Concernant le véhicule électrique, il est moins évident de dire au premier abord si sa complexité est supérieure au véhicule thermique car il ne s’agit pas d’un système qu’on ajoute mais qui vient entièrement remplacer l’existant.</p><p name="1fcc" id="1fcc" class="graf graf--p graf-after--p">Le réservoir de carburant devient une batterie et le moteur thermique devient électrique.</p></div><div class="section-inner sectionLayout--insetColumn"><p name="1b6f" id="1b6f" class="graf graf--p graf-after--figure">Or, le fait de basculer radicalement d’un mode de propulsion à un autre peut localement être source de grandes simplifications.</p><p name="ad15" id="ad15" class="graf graf--p graf-after--p">Dans le domaine mécanique par exemple, le véhicule électrique est beaucoup plus simple que le véhicule thermique.</p><p name="49a6" id="49a6" class="graf graf--p graf-after--p">Là où un moteur thermique moderne est constitué de plus de 150 pièces mobiles (pistons, courroies, valves d’admission, …etc) un moteur électrique en possède au maximum une trentaine, soit <strong class="markup--strong markup--p-strong">5x moins</strong>. [2]</p><p name="0244" id="0244" class="graf graf--p graf-after--p">Dans le domaine électronique en revanche, c’est l’inverse: un véhicule électrique va embarquer en moyenne <strong class="markup--strong markup--p-strong">10x plus d’électronique de puissance</strong> que son concurrent thermique [2] pour stocker et distribuer l’énergie:</p><ul class="postList"><li name="c6f5" id="c6f5" class="graf graf--li graf-after--p">Alimenter le moteur en courant alternatif à partir de courant continu</li><li name="583e" id="583e" class="graf graf--li graf-after--li">Charger la batterie (potentiellement à très haute tension)</li><li name="854f" id="854f" class="graf graf--li graf-after--li">Optimiser sa température …etc.</li></ul><p name="b522" id="b522" class="graf graf--p graf-after--li">Avec la voiture électrique, la complexité migre en fait du moteur vers la batterie et sa gestion.</p><figure name="7547" id="7547" class="graf graf--figure graf-after--p"><figcaption class="imageCaption">Batterie d’une Chevrolet Bolt</figcaption></figure><p name="1cb3" id="1cb3" class="graf graf--p graf-after--figure">Là où un véhicule diesel se contente d’une simple coque en plastique pour stocker son énergie, une batterie d’un véhicule électrique a besoin de plus de 400kg de matériaux [2]:</p><ul class="postList"><li name="9c84" id="9c84" class="graf graf--li graf-after--p">1/4 d’aluminium, de fer et d’acier pour son armature, le système de refroidissement et sa coque de protection</li><li name="f8f3" id="f8f3" class="graf graf--li graf-after--li">3/4 de matériaux beaucoup moins abondants (lithium, cobalt, manganese, nickel, graphite) nécessaires <strong class="markup--strong markup--li-strong">aux centaines voire milliers de cellules</strong> qui la constituent (la cellule est l’unité élémentaire de la batterie)</li></ul><p name="5865" id="5865" class="graf graf--p graf-after--li">Au final, cette complexité accrue se traduit à nouveau par un impact plus important sur l’environnement.</p></div><div class="section-inner sectionLayout--insetColumn"><p name="fbea" id="fbea" class="graf graf--p graf-after--figure">En effet, une voiture électrique émet lors de sa fabrication presque <strong class="markup--strong markup--p-strong">2 fois plus de CO2 qu’une voiture thermique</strong> [1].</p><p name="fad8" id="fad8" class="graf graf--p graf-after--p">Cette différence est naturellement liée à la batterie et à “<em class="markup--em markup--p-em">l’énergie grise</em>” nécessaire pour extraire, purifier, séparer et assembler les nombreux métaux qui la constituent.</p><p name="53d9" id="53d9" class="graf graf--p graf-after--p">De fait, même si la voiture électrique constitue une véritable rupture technologique, elle ne rompt malheureusement pas avec la tendance au “<em class="markup--em markup--p-em">toujours plus de complexité</em>” tout comme sa fabrication ne rompt pas avec le “<em class="markup--em markup--p-em">toujours plus d’impact sur l’environnement</em>”.</p><p name="52e0" id="52e0" class="graf graf--p graf-after--p">Et ce n’est pas la seule.</p><p name="82ef" id="82ef" class="graf graf--p graf-after--p">Qu’elles soient “<em class="markup--em markup--p-em">incrémentales</em>” ou “<em class="markup--em markup--p-em">de rupture</em>”, toutes les innovations “<em class="markup--em markup--p-em">vertes</em>” qu’on nous vend sont en général orientées vers davantage de complexité.</p><blockquote name="e9b7" id="e9b7" class="graf graf--blockquote graf-after--p">Vous pensez que couper automatiquement le moteur lorsque le véhicule est à l’arrêt est une super innovation pour économiser du carburant ?</blockquote><p name="415b" id="415b" class="graf graf--p graf-after--blockquote">Peut-être mais pour redémarrer la voiture sans trop d’inertie et conserver la clim’ lorsque le moteur est coupé, ce “<em class="markup--em markup--p-em">stop-start automatique</em>” nécessite aussi de surdimensionner la batterie et d’installer un système de récupération d’énergie au freinage.</p><blockquote name="1522" id="1522" class="graf graf--blockquote graf-after--p">Vous pensez que les voitures autonomes sont l’invention du XXIe siècle pour mieux optimiser le taux d’occupation des véhicules ?</blockquote><p name="0f49" id="0f49" class="graf graf--p graf-after--blockquote">Peut-être mais pour remplacer l’être humain, cette technologie nécessite aussi de multiples capteurs (radars laser, sonores, ultrasonores, caméras, détecteurs de lignes blanches) et une quantité importante d’électronique pour traiter le <a href="https://www.networkworld.com/article/3147892/internet/one-autonomous-car-will-use-4000-gb-of-dataday.html" data-href="https://www.networkworld.com/article/3147892/internet/one-autonomous-car-will-use-4000-gb-of-dataday.html" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">volume massif de données</a> (~4 To) qu’elle génère quotidiennement.</p><figure name="d982" id="d982" class="graf graf--figure graf-after--p"/><p name="a23b" id="a23b" class="graf graf--p graf-after--figure">Par ailleurs, cette complexité supplémentaire et le coût écologique qui l’accompagne ne s’arrête pas aux objets technologiques en eux-mêmes.</p><p name="0d3a" id="0d3a" class="graf graf--p graf-after--p">Elle se diffuse également à tous les processus autour.</p><p name="fbbd" id="fbbd" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Concrètement: réparer ou recycler un objet plus complexe est également plus complexe que réparer ou recycler un objet simple.</strong></p><p name="4443" id="4443" class="graf graf--p graf-after--p">Donc que se passe-t-il en général quand de nouvelles technologies plus complexes que les précédentes arrivent sur le marché ?</p><p name="030d" id="030d" class="graf graf--p graf-after--p">Réponse: lorsqu’elles connaissent des dysfonctionnements ou atteignent leur fin de vie, elles ne sont en général ni réparées ni recyclées. Cela coûte trop cher et on préfère les remplacer par du neuf ou les déposer en décharge.</p><p name="bcfb" id="bcfb" class="graf graf--p graf-after--p">Ainsi en 2012, sur l’ensemble des batteries au lithium-ion commercialisées en Europe (dans les téléphones, ordinateurs portables et voitures électriques) <a href="http://www.amisdelaterre.org/IMG/pdf/lithium.pdf" data-href="http://www.amisdelaterre.org/IMG/pdf/lithium.pdf" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">seules 5% étaient recyclées</a>.</p><p name="28b4" id="28b4" class="graf graf--p graf-after--p">Puis le volume augmentant, sous la pression des consommateurs, des associations et des politiques, les industriels mettent au point de nouveaux systèmes. <strong class="markup--strong markup--p-strong">Plus élaborés et énergivores que les précédents, ces nouvelles “<em class="markup--em markup--p-em">filières</em>” permettent de réparer des objets plus complexes ou de séparer des métaux plus mélangés et dispersés dans des composants plus miniaturisés qu’auparavant.</strong></p><p name="15e3" id="15e3" class="graf graf--p graf-after--p">Problème: le jour où ces filières sont déployées et opérationnelles à grande échelle, de nouvelles technologies encore plus efficaces et complexes que les précédentes sont entretemps apparues…</p><p name="1127" id="1127" class="graf graf--p graf-after--p">A nouveau, nous pouvons nous rendre compte à quel point <strong class="markup--strong markup--p-strong">la dynamique technologique actuelle est à l’envers de ses propres prétentions.</strong></p><p name="e144" id="e144" class="graf graf--p graf-after--p">Alors que l’on veut un monde plus “<em class="markup--em markup--p-em">vert</em>”, fait d’objets plus réparables, plus recyclables, <strong class="markup--strong markup--p-strong">les nouvelles technologies qu’on nous présente comme “<em class="markup--em markup--p-em">vertes</em>” sont intrinsèquement moins réparables et recyclables que les précédentes en raison de leur plus grande complexité</strong>.</p><p name="54fe" id="54fe" class="graf graf--p graf-after--p">Maintenant l’objection que vous pourriez me faire, c’est:</p><blockquote name="6842" id="6842" class="graf graf--blockquote graf-after--p">Ok mais si les effets néfastes de la complexité (moindre réparabilité, moindre recyclabilité, énergie grise plus élevée) sont compensés par les bénéfices de l’efficacité, où est le problème en fait ?</blockquote><p name="34f8" id="34f8" class="graf graf--p graf-after--blockquote"><strong class="markup--strong markup--p-strong">Où est le problème ?</strong></p><p name="3efe" id="3efe" class="graf graf--p graf-after--p">En effet, l’argument a l’air de pas trop mal se tenir.</p><p name="f2df" id="f2df" class="graf graf--p graf-after--p">Jusqu’à maintenant, on se focalisait sur l’empreinte carbone liée à la fabrication des véhicules mais si on considère l’intégralité de leur cycle de vie, la conclusion a l’air sensiblement différente.</p></div><div class="section-inner sectionLayout--insetColumn"><p name="6abd" id="6abd" class="graf graf--p graf-after--figure">En France, avec une électricité produite à partir de nucléaire, donc très peu carbonée, un véhicule électrique produit sur toute sa durée de vie (estimée à 150 000 km) 50% d’émission en moins qu’un véhicule diesel [1][3].</p><p name="9e0d" id="9e0d" class="graf graf--p graf-after--p">Pour un véhicule hybride, c’est un peu moins, mais c’est toujours 20% de gagné [1].</p><p name="02db" id="02db" class="graf graf--p graf-after--p">Donc en voyant cela, vous devez vous dire:</p><blockquote name="b2c4" id="b2c4" class="graf graf--blockquote graf-after--p">C’est quoi le problème avec la complexité ? Du moment que le total est meilleur, on s’en fout un peu non ?</blockquote><p name="8263" id="8263" class="graf graf--p graf-after--blockquote">Et bien pas tout à fait pour 2 raisons.</p><p name="1fee" id="1fee" class="graf graf--p graf-after--p">Tout d’abord, si on considère que notre consommation globale de ressources est insoutenable, <strong class="markup--strong markup--p-strong">comment voulez-vous un jour la réduire si dans tous les domaines, les technologies qui émergent sont systématiquement plus complexes donc plus coûteuses écologiquement que les précédentes ?</strong></p></div><div class="section-inner sectionLayout--insetColumn"><p name="4906" id="4906" class="graf graf--p graf-after--figure">Même si elles sont plus efficaces, <strong class="markup--strong markup--p-strong">cela pousse le système à chaque itération technologique à un niveau de consommation et d’impact plus élevé</strong>.</p><p name="d93f" id="d93f" class="graf graf--p graf-after--p">Même les consommateurs sobres qui sont d’accord pour avoir une utilisation modérée de leur outil technologique sont forcés d’avoir une empreinte élevée dès qu’ils renouvellent leur équipement.</p><p name="a048" id="a048" class="graf graf--p graf-after--p">Enfin, <strong class="markup--strong markup--p-strong">cela empêche le système technique de redescendre au-dessous d’un certain niveau</strong>.</p><p name="5f5d" id="5f5d" class="graf graf--p graf-after--p">Mais la principale raison pour laquelle associer l’efficacité théorique d’une technologie avec une économie de ressources est une idée fragile, si ce n’est fumeuse, c’est qu’en pratique une meilleure efficacité a systématiquement tendance à doper notre consommation, jamais l’inverse.</p><h4 name="df54" id="df54" class="graf graf--h4 graf-after--p">L’impact de l’efficacité</h4><p name="7b73" id="7b73" class="graf graf--p graf-after--h4">Dit comme cela, cela peut paraître étonnant car quand on pense à une technologie plus efficace, on se dit:</p><blockquote name="b836" id="b836" class="graf graf--blockquote graf-after--p">Pour le même besoin, les mêmes actions, je consomme moins qu’avant</blockquote><p name="6187" id="6187" class="graf graf--p graf-after--blockquote">Malheureusement dans la réalité, cela ne se passe jamais ainsi.</p><p name="f9d6" id="f9d6" class="graf graf--p graf-after--p">Dans le domaine énergétique par exemple, quand une machine devient plus efficace, cela équivaut à dire que “<em class="markup--em markup--p-em">le coût du service énergétique qu’elle rend diminue</em>”.</p><p name="d7be" id="d7be" class="graf graf--p graf-after--p">Concrètement, vous devez faire 50 bornes pour vous rendre à votre travail tous les jours. Si votre voiture devient plus efficace, cela vous coûtera moins cher de vous rendre au boulot tous les jours.</p><p name="7457" id="7457" class="graf graf--p graf-after--p">Or, <strong class="markup--strong markup--p-strong">d’après la loi de l’offre et de la demande, lorsque le coût d’un service diminue, la quantité de service demandé augmente, </strong>ce qui va entrainer une augmentation de la consommation d’énergie (et non une baisse comme il était prévu).</p><p name="b67a" id="b67a" class="graf graf--p graf-after--p">C’est ce qu’on appelle <a href="https://thebreakthrough.org/blog/Energy_Emergence.pdf" data-href="https://thebreakthrough.org/blog/Energy_Emergence.pdf" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">l’effet rebond</a> [4], soit le fait qu’<strong class="markup--strong markup--p-strong">une</strong> <strong class="markup--strong markup--p-strong">baisse au niveau de la consommation unitaire des machines entraîne une hausse de la consommation globale à cause d’un changement de comportement des agents économiques</strong>.</p><p name="5c9f" id="5c9f" class="graf graf--p graf-after--p">Cela peut paraitre paradoxal et c’est un effet trop peu connu du grand public mais celui-ci est parfaitement documenté dans la communauté scientifique depuis plus d’un siècle et demi.</p><p name="a579" id="a579" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Le paradoxe de Jevons</strong></p><p name="5127" id="5127" class="graf graf--p graf-after--p">Le premier à l’avoir mis en évidence est un économiste anglais, <a href="https://fr.wikipedia.org/wiki/William_Stanley_Jevons" data-href="https://fr.wikipedia.org/wiki/William_Stanley_Jevons" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">William Stanley Jevons</a>, dans son ouvrage majeur: “<em class="markup--em markup--p-em">The Coal Question</em>”.</p><figure name="8d9f" id="8d9f" class="graf graf--figure graf--startsWithDoubleQuote graf-after--p"><figcaption class="imageCaption">“The Coal Question” / William Stanley-Jevons</figcaption></figure><p name="6c09" id="6c09" class="graf graf--p graf-after--figure">En 1865, il écrit:</p><blockquote name="69f7" id="69f7" class="graf graf--blockquote graf-after--p">It is a confusion of ideas to suppose that the economical use of fuel is equivalent to diminished consumption. The very contrary is the truth.</blockquote><p name="2df6" id="2df6" class="graf graf--p graf-after--blockquote">Et plus loin, il donne l’explication suivante:</p><blockquote name="6638" id="6638" class="graf graf--blockquote graf-after--p">Whatever […] conduces to increase the efficiency of coal, and to diminish the cost of its use, directly tends to […] enlarge the field of its operations.</blockquote><p name="0884" id="0884" class="graf graf--p graf-after--blockquote">Concrètement, <strong class="markup--strong markup--p-strong">en augmentant l’efficacité des machines, on diminue le coût des services qu’elles nous rendent et de fait, cela crée de nouvelles possibilités d’utilisation qui à la fin aboutissent à une hausse de la consommation globale de ressources</strong>.</p><p name="0784" id="0784" class="graf graf--p graf-after--p">A l’époque, les chiffres parlent d’eux mêmes.</p></div><div class="section-inner sectionLayout--outsetColumn"><figure name="2fce" id="2fce" class="graf graf--figure graf--layoutOutsetCenter graf-after--p"><figcaption class="imageCaption">Consommation des machines à vapeur / Consommation de charbon au Royaume-Uni</figcaption></figure></div><div class="section-inner sectionLayout--insetColumn"><p name="7e75" id="7e75" class="graf graf--p graf-after--figure">Suite aux améliorations de 2 ingénieurs britanniques (<a href="https://en.wikipedia.org/wiki/John_Smeaton" data-href="https://en.wikipedia.org/wiki/John_Smeaton" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">John Smeaton</a> dans la décennie 1760-1770 et surtout <a href="https://en.wikipedia.org/wiki/James_Watt" data-href="https://en.wikipedia.org/wiki/James_Watt" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">James Watt</a> dans la décennie 1770–1780) <strong class="markup--strong markup--p-strong">la consommation des machines à vapeur est divisée par 10 en un siècle</strong>. [5]</p><p name="47f5" id="47f5" class="graf graf--p graf-after--p">Conséquence: les usages du charbon explosent. Il est préféré au bois pour le chauffage et à la traction animale pour le pompage de l’eau (notamment dans les mines). <strong class="markup--strong markup--p-strong">Au cours de la même période, la consommation de charbon est ainsi multipliée par 22 au Royaume-Uni</strong>. [5]</p><p name="5ae9" id="5ae9" class="graf graf--p graf-after--p">Voilà pour l’exemple historique mais les exemples modernes ne manquent pas.</p><p name="c16e" id="c16e" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Les nombreux exemples d’effet rebond</strong></p><p name="c1a0" id="c1a0" class="graf graf--p graf-after--p">Si on revient au domaine des transports, l’automobile a connu depuis le début du XXème siècle de nombreuses inventions améliorant la consommation en carburant des véhicules.</p><p name="8ddd" id="8ddd" class="graf graf--p graf-after--p">On a déjà mentionné les 2 dispositifs suivants:</p><ul class="postList"><li name="3d94" id="3d94" class="graf graf--li graf-after--p">L’hybridation du moteur</li><li name="60b5" id="60b5" class="graf graf--li graf-after--li">Le “stop-start” automatique</li></ul><p name="801a" id="801a" class="graf graf--p graf-after--li">Mais on aurait pu également parler:</p><ul class="postList"><li name="bec8" id="bec8" class="graf graf--li graf-after--p">Des systèmes de suralimentation comme <a href="https://fr.wikipedia.org/wiki/Turbocompresseur" data-href="https://fr.wikipedia.org/wiki/Turbocompresseur" class="markup--anchor markup--li-anchor" rel="noopener" target="_blank">le turbocompresseur</a> qui récupèrent l’énergie en sortie du moteur pour améliorer le rendement de la réaction de combustion,</li><li name="641a" id="641a" class="graf graf--li graf-after--li">Du système <a href="https://fr.wikipedia.org/wiki/Injection_%28moteur%29" data-href="https://fr.wikipedia.org/wiki/Injection_(moteur)" class="markup--anchor markup--li-anchor" rel="noopener" target="_blank">d’injection directe</a> (pilotée mécaniquement puis grâce à un calculateur électronique) qui permet de doser finement la quantité de carburant introduite dans le moteur.</li></ul><p name="3c51" id="3c51" class="graf graf--p graf-after--li">Sans parler des progrès au niveau de:</p><ul class="postList"><li name="d685" id="d685" class="graf graf--li graf-after--p">l’aérodynamique des véhicules</li><li name="4200" id="4200" class="graf graf--li graf-after--li">leur poids, grâce notamment à l’ajout de matériaux plus légers (comme l’aluminium à la place de l’acier)</li></ul><p name="c195" id="c195" class="graf graf--p graf-after--li">Malheureusement pour la planète, ces progrès en termes d’efficacité ont jusqu’à présent été en grande partie (si ce n’est totalement) compensés par des améliorations de type “<em class="markup--em markup--p-em">fonctionnel</em>” (puissance, confort, sécurité).</p></div><div class="section-inner sectionLayout--outsetColumn"><figure name="4b0f" id="4b0f" class="graf graf--figure graf--layoutOutsetCenter graf-after--p"><figcaption class="imageCaption">Citroën 2CV (1968) / Citroën C1 (2018)</figcaption></figure></div><div class="section-inner sectionLayout--insetColumn"><p name="5e88" id="5e88" class="graf graf--p graf-after--figure">Par exemple, pour une voiture adaptée aux petits budgets, de la Citroën 2CV de 1968 à la Citroën C1 de 2018, <strong class="markup--strong markup--p-strong">la consommation de carburant est restée inchangée en 50 ans à ~5L/100km.</strong></p><p name="2746" id="2746" class="graf graf--p graf-after--p">Pour quelles raisons ? Tout simplement parce qu’au cours de la même période, sa masse a été multipliée par 1.7 (de ~500kg à ~865kg), sa vitesse de pointe par 1.5 (de 110km/h à 170km/h) et sa puissance par 2.4 (de 21 à 50 kW).</p><p name="7f12" id="7f12" class="graf graf--p graf-after--p">Un autre progrès qu’on cite souvent en matière d’efficacité dans le transport automobile, c’est aussi le “<em class="markup--em markup--p-em">covoiturage</em>”.</p><figure name="0f4f" id="0f4f" class="graf graf--figure graf-after--p"/><p name="2163" id="2163" class="graf graf--p graf-after--figure">Chez BlaBlaCar où j’ai eu la chance de travailler pendant plus de 2 ans, le taux de remplissage de nos covoitureurs était de 2.8 personnes par voiture alors que sur les mêmes distances (un trajet BlaBlaCar fait en moyenne ~300km), il est plus proche de 1.7. <strong class="markup--strong markup--p-strong">En théorie, cela permet donc un réduction de 65% des émissions de gaz à effet de serre.</strong></p><p name="64f2" id="64f2" class="graf graf--p graf-after--p">Or en pratique, les personnes voyageant en plus du conducteur ne sont que très rarement des propriétaires de voiture ayant décidé de la laisser au garage pour réduire leurs émissions de CO2 et sauver la planète.</p><p name="d726" id="d726" class="graf graf--p graf-after--p">En général, ce sont plutôt des passagers qui auraient voyagé avec un autre moyen de transport (train et bus), généralement moins polluant. En tenant compte de ces reports modaux, <a href="https://www.20minutes.fr/magazine/economie-collaborative/perspectives/le-covoiturage-est-meilleur-pour-le-porte-monnaie-que-pour-lenvironnement-339484/" data-href="https://www.20minutes.fr/magazine/economie-collaborative/perspectives/le-covoiturage-est-meilleur-pour-le-porte-monnaie-que-pour-lenvironnement-339484/" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">les réductions de CO2 ne sont déjà plus que de 8 à 14%</a>.</p><p name="c818" id="c818" class="graf graf--p graf-after--p">Mais c’est à nouveau sans compter l’effet rebond car, d’après une étude de l’ADEME, 21% des covoitureurs se déplaceraient moins souvent sans le covoiturage. [6] <strong class="markup--strong markup--p-strong">Au final le bilan écologique du covoiturage est donc moins évident qu’il n’y parait…</strong></p><p name="b76b" id="b76b" class="graf graf--p graf-after--p">Alors bien sûr, certains pourront me dire que le covoiturage longue-distance actuel, c’est du “<em class="markup--em markup--p-em">bricolage</em>” par rapport au potentiel d’optimisation des futures voitures autonomes. Alors que le taux de remplissage est de seulement <a href="https://www.futura-sciences.com/planete/questions-reponses/automobile-taux-occupation-voiture-1019/" data-href="https://www.futura-sciences.com/planete/questions-reponses/automobile-taux-occupation-voiture-1019/" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">1.2 personne par voiture sur les trajets domicile-travail</a>, <strong class="markup--strong markup--p-strong">les voitures autonomes, connectées et partagées permettraient en théorie de le tripler</strong>.</p><figure name="3816" id="3816" class="graf graf--figure graf-after--p"><figcaption class="imageCaption">Vision futuriste de la voiture autonome</figcaption></figure><p name="b515" id="b515" class="graf graf--p graf-after--figure">Malheureusement, ce genre de récit a tendance à passer encore une fois à côté de la dure réalité de l’effet rebond:</p><ul class="postList"><li name="9f22" id="9f22" class="graf graf--li graf-after--p">Plus une technologie de transport sera “<em class="markup--em markup--li-em">disruptive</em>”</li><li name="7181" id="7181" class="graf graf--li graf-after--li">Plus le coût relatif au km va baisser</li><li name="4030" id="4030" class="graf graf--li graf-after--li"><strong class="markup--strong markup--li-strong">Et plus les inductions de trafic seront grandes</strong></li></ul><p name="5e2c" id="5e2c" class="graf graf--p graf-after--li">Pour anticiper de manière fiable les conséquences de nouvelles technologies, il est intéressant de calculer la moyenne entre:</p><ul class="postList"><li name="66fd" id="66fd" class="graf graf--li graf-after--p">d’un côté, les discours marketing hyper-positifs des entreprises qui les inventent,</li><li name="7c4b" id="7c4b" class="graf graf--li graf-after--li">de l’autre, les idées plus noires des auteurs de science-fiction et scénaristes d’Hollywood.</li></ul><p name="e776" id="e776" class="graf graf--p graf-after--li">Or pour moi, le meilleur film pour interpeler sur le potentiel effet rebond qui se cache derrière les voitures autonomes, c’est le film d’animation <em class="markup--em markup--p-em">Wall-E</em>.</p><figure name="4db1" id="4db1" class="graf graf--figure graf-after--p"><figcaption class="imageCaption">Scène du film d’animation Wall-E</figcaption></figure><p name="8d31" id="8d31" class="graf graf--p graf-after--figure">Dans ce film, les humains ne se déplacent plus que sur des fauteuils autonomes, les yeux rivés à leur écrans et un soda en permanence à la bouche. <strong class="markup--strong markup--p-strong">Ils sont devenus tellement obèses et dépendants de la technologie qu’ils en ont presque perdu la faculté de marcher.</strong> Quand ils tombent de leur fauteuil, ce sont des robots qui les aident à s’y replacer.</p><p name="4b72" id="4b72" class="graf graf--p graf-after--p">Alors bien sûr, c’est un imaginaire extrême et on en est encore très loin !</p><p name="5ab9" id="5ab9" class="graf graf--p graf-after--p">Mais ce film permet d’illustrer le potentiel effet rebond qui nous guette avec les voitures autonomes: <strong class="markup--strong markup--p-strong">en plus d’induire de nouveaux trajets, ces navettes vont très certainement cannibaliser des trajets effectués aujourd’hui à pied.</strong></p><p name="2870" id="2870" class="graf graf--p graf-after--p">Or à observer la situation induite par l’arrivée de l’application Uber, il n’est pas exagéré d’envisager de telles conséquences.</p><figure name="f36f" id="f36f" class="graf graf--figure graf-after--p"><figcaption class="imageCaption">File de voitures Uber</figcaption></figure><p name="85de" id="85de" class="graf graf--p graf-after--figure">En fin de compte, Uber, c’est une sorte de voiture autonome pour CSP+ et fils de CSP+. Il faut payer ces braves chauffeurs qui n’ont pas été remplacés par des robots mais globalement “<em class="markup--em markup--p-em">ce sont les mêmes fonctionnalités</em>”.</p><p name="bac0" id="bac0" class="graf graf--p graf-after--p">Je ne sais pas si vous avez dans votre entourage des gens qui utilisent beaucoup Uber mais dans le mien, j’ai vu les changements de comportement que cela avait provoqué. Pour des trajets qu’on faisait régulièrement à pied ou en métro, mes potes se sont mis à les faire en Uber alors que les mêmes ne prenaient que très rarement le taxi.</p><p name="9901" id="9901" class="graf graf--p graf-after--p">Une étude de l’université UC Davis m’a d’ailleurs confirmé cette intuition puisque sur les milliers d’utilisateurs qu’ils ont interrogés dans les grandes villes américaines où Uber est présent (villes qui ne sont pas éminemment connues pour leurs infrastructures de transport alternatives à la voiture), <em class="markup--em markup--p-em">60% d’entre eux déclaraient qu’ils n’auraient pas fait leur dernier trajet ou l’auraient fait à pied, en vélo ou en transport en commun si Uber n’avait pas existé</em>.<strong class="markup--strong markup--p-strong"> </strong>[7]</p><p name="8034" id="8034" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">De là, les chercheurs en concluent qu’Uber crée plus de trafic dans les villes américaines qu’ils n’en suppriment.</strong></p><p name="79fc" id="79fc" class="graf graf--p graf-after--p">Donc pour en revenir aux voitures autonomes, si celles-ci se généralisent, certains critiqueront cette innovation parce qu’elle rendra l’humanité plus paresseuse, d’autres la célèbreront car elle permettra à des personnes à mobilité réduite aujourd’hui (personnes âgées, en mauvaise santé, en surpoids …etc) de se déplacer.</p><p name="10c0" id="10c0" class="graf graf--p graf-after--p">Mais dans tous les cas, tous s’accorderont sur le fait <strong class="markup--strong markup--p-strong">qu’une amélioration de l’efficacité est toujours suivie d’une hausse de la mobilité et jamais d’une baisse de la consommation de ressources.</strong></p><p name="a618" id="a618" class="graf graf--p graf-after--p">Quelle que soit la façon dont se matérialise l’effet rebond, celui-ci est inévitable en l’état actuel de nos technologies.</p><p name="c14e" id="c14e" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Les types d’effet rebond</strong></p><p name="ae88" id="ae88" class="graf graf--p graf-after--p">Au niveau micro-économique, on distingue 3 effets principaux. [4]</p><p name="f4be" id="f4be" class="graf graf--p graf-after--p">Tout d’abord: “<em class="markup--em markup--p-em">l’effet de revenu</em>”.</p><p name="3601" id="3601" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Parce qu’une machine est plus efficace, donc moins chère à l’usage, elle va être utilisée davantage.</strong> Dans le cas des transports, les usagers vont par exemple parcourir plus de kilomètres.</p><p name="79ab" id="79ab" class="graf graf--p graf-after--p">Ensuite: “<em class="markup--em markup--p-em">l’effet de substitution</em>”.</p><p name="443a" id="443a" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Parce qu’une machine est plus efficace, donc moins chère à l’usage, elle va être préférée à d’autres procédés.</strong> C’est Uber qui remplace la marche à pied ou les robots qui sont préférés aux humains par les industriels.</p><p name="2a18" id="2a18" class="graf graf--p graf-after--p">Enfin: “<em class="markup--em markup--p-em">l’effet de ré-investissement</em>”.</p><p name="2dda" id="2dda" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Parce qu’une machine est plus efficace, donc moins chère à l’usage, l’argent économisé va être ré-alloué à d’autres usages.</strong> Si par exemple, j’économise tous les jours sur ma facture de carburant grâce au covoiturage, je peux à la fin de l’année me payer des vacances à l’autre bout du monde en avion.</p><p name="d166" id="d166" class="graf graf--p graf-after--p">Par ailleurs, ces différents effets micro-économiques peuvent s’agréger pour créer des effets macro-économiques qui vont aussi doper la consommation de ressources. On pourra notamment relever:</p><ul class="postList"><li name="e22a" id="e22a" class="graf graf--li graf-after--p">la baisse du prix des matières premières,</li><li name="6bbf" id="6bbf" class="graf graf--li graf-after--li">la croissance des acteurs et des secteurs gourmands en ressources au détriment des acteurs et des secteurs sobres en ressources,</li><li name="5857" id="5857" class="graf graf--li graf-after--li">la stimulation de la croissance économique.</li></ul><p name="01c3" id="01c3" class="graf graf--p graf-after--li">Et même si au niveau micro-économique, les gains d’efficacité sont parfois supérieurs aux effets rebond directs que l’on observe, les études qui utilisent un périmètre élargi montrent plutôt que <strong class="markup--strong markup--p-strong">l’effet rebond final excède les gains initiaux.</strong> [4]</p><p name="8bdc" id="8bdc" class="graf graf--p graf-after--p">Ainsi au niveau mondial, on retrouve pour l’énergie un graphique similaire à celui relatif à la consommation de charbon au Royaume-Uni au XIXe siècle.</p></div><div class="section-inner sectionLayout--outsetColumn"><figure name="a946" id="a946" class="graf graf--figure graf--layoutOutsetCenter graf-after--p"><figcaption class="imageCaption">Intensité énergétique du PIB / Consommation énergétique mondiale</figcaption></figure></div><div class="section-inner sectionLayout--insetColumn"><p name="9617" id="9617" class="graf graf--p graf-after--figure">De 1965 à 2015, l’intensité énergétique mondiale, c’est-à-dire la quantité d’énergie consommée pour générer 1$ de PIB, a été divisée par 1.5.</p><p name="eec1" id="eec1" class="graf graf--p graf-after--p">Or dans le même temps, la consommation mondiale d’énergie triplait car la taille de l’économie était multipliée par 5.</p><p name="0f38" id="0f38" class="graf graf--p graf-after--p">Encore une fois, <strong class="markup--strong markup--p-strong">cette courbe est une simple illustration de la loi de l’offre et de la demande</strong>: dans le temps, l’efficacité augmente, le coût unitaire baisse et la consommation totale explose.</p><h4 name="983b" id="983b" class="graf graf--h4 graf-after--p">Quel bilan pour nos fameux remèdes ?</h4><p name="bfdb" id="bfdb" class="graf graf--p graf-after--h4">Quand on récapitule:</p><ul class="postList"><li name="10f1" id="10f1" class="graf graf--li graf-after--p">Si plus de complexité correspond à plus de coûts écologiques en amont</li><li name="ed08" id="ed08" class="graf graf--li graf-after--li">Si plus d’efficacité correspond à plus de coûts écologiques en aval</li></ul><p name="ddd3" id="ddd3" class="graf graf--p graf-after--li">On peut donc en conclure que:</p><p name="6011" id="6011" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Étant à la fois plus sophistiquées et plus efficaces, la plupart des technologies “<em class="markup--em markup--p-em">vertes</em>”qu’on nous vend sont en fait porteuses de coûts écologiques supérieurs aux technologies actuelles.</strong></p><p name="5a61" id="5a61" class="graf graf--p graf-after--p">Malgré les nobles intentions affichées par leurs promoteurs (entrepreneurs, ingénieurs, …etc), la dure réalité des faits les contredit. Permettre aux individus ou aux entreprises de répondre à leurs besoins d’aujourd’hui de manière plus efficace n’a jamais permis de réduire notre consommation de ressources ou notre impact sur l’environnement.</p><p name="c030" id="c030" class="graf graf--p graf-after--p">Au contraire: <strong class="markup--strong markup--p-strong">proposer des objets aussi performants que les précédents mais plus efficaces permet justement aux individus de consommer plus ou aux entreprises de produire plus. </strong>Notre société les y incitant fortement, c’est naturellement ce qu’ils vont se mettre à faire.</p><p name="051d" id="051d" class="graf graf--p graf-after--p">Dans ces conditions: “<em class="markup--em markup--p-em">que faire ?</em>”</p><p name="9952" id="9952" class="graf graf--p graf-after--p">Il est clair qu’<strong class="markup--strong markup--p-strong">au niveau sociétal nous devons supprimer les mécanismes qui incitent à consommer et produire toujours plus mais nous devons aussi apporter une réponse spécifique au niveau technologique.</strong></p><h3 name="dff7" id="dff7" class="graf graf--h3 graf-after--p">Quels remèdes alternatifs ?</h3><p name="61fb" id="61fb" class="graf graf--p graf-after--h3">Faut-il alors laisser les inefficacités en place prospérer ? En tant qu’ingénieur, faut-il ne rien faire face par exemple aux taux de remplissage désespérément faibles de nos voitures ?</p><p name="2b14" id="2b14" class="graf graf--p graf-after--p">Voire pire: faut-il concevoir des technologies volontairement inefficaces ? Faut-il revenir aux voitures qui consomment 20L/100km ?</p><figure name="5e32" id="5e32" class="graf graf--figure graf-after--p"><figcaption class="imageCaption">Buick Eight dans les rues de Trinidad (Consommation 15 à 20L/100km)</figcaption></figure><p name="0989" id="0989" class="graf graf--p graf-after--figure">Évidemment non.</p><p name="d9b7" id="d9b7" class="graf graf--p graf-after--p">Ce n’est pas parce que l’efficacité (ou son autre petit nom: la productivité) pousse la consommation de ressources vers le haut qu’il faudrait jeter toute amélioration de ce type à la poubelle.</p><p name="aa30" id="aa30" class="graf graf--p graf-after--p">Une technologie plus efficace, c’est une technologie qui nous permet d’obtenir plus avec autant de ressources. <strong class="markup--strong markup--p-strong">Même si cela ne nous permet pas de réduire notre empreinte matérielle, c’est évidemment un progrès qu’il faut conserver.</strong></p><p name="21e4" id="21e4" class="graf graf--p graf-after--p">Pour réduire notre empreinte, il faut donc toucher à une variable que nous n’avons pas évoquée jusque là mais qui conditionne de manière beaucoup plus directe notre consommation de ressources.</p><p name="ea52" id="ea52" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Je veux parler du niveau de besoins qu’on attend de nos technologies en termes de puissance, vitesse, confort, …etc.</strong></p><h3 name="9547" id="9547" class="graf graf--h3 graf-after--p">Les véritables remèdes</h3><p name="8b3a" id="8b3a" class="graf graf--p graf-after--h3">Dans le domaine automobile, il suffit de jeter un coup d’oeil aux caractéristiques de la voiture moyenne de 2017 par rapport à celle de 1967 pour <strong class="markup--strong markup--p-strong">mesurer l’opulence dans laquelle nous nageons actuellement.</strong></p><figure name="2890" id="2890" class="graf graf--figure graf-after--p"><figcaption class="imageCaption">Un SUV pesant ~1,3 tonne (poids moyen des voitures achetées en France en 2017)</figcaption></figure><p name="8af9" id="8af9" class="graf graf--p graf-after--figure">En 50 ans, <a href="http://pro.largus.fr/actualites/voiture-moyenne-neuve-2016-la-hausse-du-prix-se-poursuit-8504398.html" data-href="http://pro.largus.fr/actualites/voiture-moyenne-neuve-2016-la-hausse-du-prix-se-poursuit-8504398.html" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">la voiture moyenne des Français a en effet gagné 500kg</a> (de 800kg à 1260kg), 33cm de large (1m78 contre 1m55) et 10cm de haut (1m55 contre 1m45). Son moteur fait désormais 115ch ce qui correspond à une vitesse de pointe de ~190km/h contre seulement 50ch et 130km/h il y a 50 ans.</p><p name="7c06" id="7c06" class="graf graf--p graf-after--p">Donc au lieu de poser des questions tordues du style “<em class="markup--em markup--p-em">Comment augmenter le taux d’occupation de nos tanks d’1,3 tonne ?</em>” ou “<em class="markup--em markup--p-em">Comment améliorer le rendement de nos moteurs de 115ch ?</em>” (ce qui nous ramène à la stratégie contreproductive précédente), la bonne question à se poser, c’est plutôt:</p><blockquote name="1d5c" id="1d5c" class="graf graf--blockquote graf-after--p">Comment répondre à moins de besoins avec des solutions plus économes en ressources par rapport aux techniques actuelles ?</blockquote><p name="d1d3" id="d1d3" class="graf graf--p graf-after--blockquote">Cela ne veut pas dire qu’on ne répond plus à aucun besoin mais simplement qu’on se concentre sur nos besoins les plus importants en essayant d’y répondre de la manière la plus efficace possible.</p><p name="6198" id="6198" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Cette approche s’appuie donc à nouveau sur “<em class="markup--em markup--p-em">l’efficacité</em>” mais elle lui ajoute un second pilier: “<em class="markup--em markup--p-em">la sobriété</em>”.</strong></p><p name="5ac6" id="5ac6" class="graf graf--p graf-after--p">Dans le domaine des transports, cela se traduirait par:</p><blockquote name="86c2" id="86c2" class="graf graf--blockquote graf-after--p">Comment permettre aux gens de se déplacer sur courtes, moyennes, longues distances avec des véhicules beaucoup moins grands, moins puissants, moins équipés et donc beaucoup plus économes en ressources ?</blockquote><p name="6121" id="6121" class="graf graf--p graf-after--blockquote">Et à ce titre, je souhaiterais vous présenter une technologie de transport qui s’inscrit plutôt bien dans cette approche.</p><figure name="f0a5" id="f0a5" class="graf graf--figure graf-after--p"><figcaption class="imageCaption">Un exemple de technologie sobre et efficace</figcaption></figure><p name="dec6" id="dec6" class="graf graf--p graf-after--figure">A l’issue d’un intense “<em class="markup--em markup--p-em">brainstorm</em>”, les concepteurs de ce véhicule se sont aperçus que s’ils faisaient preuve d’un peu de minimalisme, s’ils retiraient les <em class="markup--em markup--p-em">lève-vitres électriques</em>, la <em class="markup--em markup--p-em">climatisation</em>, les <em class="markup--em markup--p-em">airbags latéraux</em>, la <em class="markup--em markup--p-em">caméra de recul pour l’aide au stationnement</em>, ils arrivaient à fortement réduire son empreinte écologique:</p><ul class="postList"><li name="736d" id="736d" class="graf graf--li graf-after--p">Sa masse était divisée par 130 (de ~1300 à ~10kg)</li><li name="2bd2" id="2bd2" class="graf graf--li graf-after--li">Ses émissions de CO2 liées à sa fabrication par 27 (de 6.4t à <a href="http://www.slate.fr/story/42539/velo-vraiment-vert-empreinte-carbone" data-href="http://www.slate.fr/story/42539/velo-vraiment-vert-empreinte-carbone" class="markup--anchor markup--li-anchor" rel="noopener" target="_blank">0.24t</a> CO2eq)</li><li name="c566" id="c566" class="graf graf--li graf-after--li">Sa consommation d’énergie au km par 22 (<a href="https://www.agoravox.fr/actualites/environnement/article/gourmandise-energetique-des-131312" data-href="https://www.agoravox.fr/actualites/environnement/article/gourmandise-energetique-des-131312" class="markup--anchor markup--li-anchor" rel="noopener" target="_blank">de 540 à 25 Wh/km</a>)</li></ul><p name="c7bc" id="c7bc" class="graf graf--p graf-after--li">Alors il est vrai que cette technologie a un inconvénient majeur: sa vitesse maximale ne peut égaler celle des voitures actuelles (ce qui est fâcheux pour les trajets un peu longs) mais, aussi surprenant que cela puisse paraitre, <a href="https://twitter.com/NicolasMeilhan/status/827533734761086980" data-href="https://twitter.com/NicolasMeilhan/status/827533734761086980" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">sa vitesse moyenne est équivalente en ville</a> (~15km/h).</p><p name="15d0" id="15d0" class="graf graf--p graf-after--p">Comme vous pouvez le constater, cette technologie s’inscrit dans une démarche très différente par rapport à celles qu’on a vues jusqu’à présent.</p><p name="b555" id="b555" class="graf graf--p graf-after--p">Tout d’abord, il s’agit d’une technologie <strong class="markup--strong markup--p-strong">moins complexe, plus simple</strong>, ce qui se constate au niveau du nombre d’éléments qui la composent. Logiquement, elle engendre moins de coûts écologiques lors de sa fabrication, comme nous le confirme son empreinte carbone.</p><p name="90b4" id="90b4" class="graf graf--p graf-after--p">Ensuite, <strong class="markup--strong markup--p-strong">elle est plus sobre en termes de fonctionnalités: </strong>sa vitesse est notamment plus faible, le confort y est moindre …etc. Donc même si elle est plus efficace qu’une voiture actuelle à l’usage, même si elle consomme moins d’énergie par kilomètre parcouru, <em class="markup--em markup--p-em">elle n’aura pas tendance à générer de nouveaux trajets mais plutôt à limiter les trajets existants</em>.</p><p name="1871" id="1871" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Contrairement aux technologies pseudo-vertes qui créent de l’effet rebond parce qu’elles améliorent l’efficacité à fonctionnalités équivalentes, la réduction du nombre de fonctionnalités empêche et/ou compense ici tout effet pervers de ce type.</strong></p><p name="afed" id="afed" class="graf graf--p graf-after--p">Générant moins de coûts écologiques lors de sa phase de fabrication mais aussi de son utilisation, je suis donc heureux de vous annoncer (au cas où vous ne le sauriez pas) que <strong class="markup--strong markup--p-strong">si cette technologie qu’on appelle <em class="markup--em markup--p-em">le vélo</em> était généralisée à la place de nos voitures actuelles, le coût écologique global de nos déplacements serait largement inférieur à ce qu’il est aujourd’hui</strong>.</p><p name="7d96" id="7d96" class="graf graf--p graf-after--p">Alors bien sûr, cet exemple est extrême.</p><p name="b4af" id="b4af" class="graf graf--p graf-after--p">Je pense comme vous, que le vélo ne peut pas remplacer la voiture sur l’ensemble de nos trajets contraints (rejoindre tous les jours son travail à 50 km de chez soi, conduire à l’hôpital un malade de toute urgence …etc).</p><p name="b44b" id="b44b" class="graf graf--p graf-after--p">Néanmoins, plus que l’exemple, c’est surtout la démarche qu’il faut retenir:</p><blockquote name="cda8" id="cda8" class="graf graf--blockquote graf-after--p">Se concentrer sur nos besoins essentiels et essayer d’y répondre avec le moins de ressources possibles.</blockquote><p name="267e" id="267e" class="graf graf--p graf-after--blockquote">Pour imaginer des technologies répondant à une telle approche, une des pistes est de se projeter dans des temps ou des lieux où la sobriété n’était pas seulement un objectif comme aujourd’hui mais une contrainte.</p><h4 name="8cee" id="8cee" class="graf graf--h4 graf-after--p"><strong class="markup--strong markup--h4-strong">Sobriété ancienne</strong></h4></div><div class="section-inner sectionLayout--outsetColumn"><figure name="0043" id="0043" class="graf graf--figure graf--layoutOutsetCenter graf-after--h4"><figcaption class="imageCaption">VéloSolex (1946) / Citroën 2CV (1968)</figcaption></figure></div><div class="section-inner sectionLayout--insetColumn"><p name="5129" id="5129" class="graf graf--p graf-after--figure">On a déjà parlé de la <em class="markup--em markup--p-em">2CV</em> qui égalait il y a plus de 50 ans, les performances de nos voitures actuelles en termes de consommation parce que sa masse était tout simplement 2.5x plus faible.</p><p name="7228" id="7228" class="graf graf--p graf-after--p">Alors bien sûr, le confort n’était pas le même. Il n’y avait pas de climatisation ni de régulateur de vitesse, mais elle faisait le job et permettait aux gens de se déplacer, en ville comme à la campagne.</p><p name="523c" id="523c" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Une autre technologie extrêmement sobre qui existait à la même époque, c’était le </strong><a href="https://fr.wikipedia.org/wiki/V%C3%A9loSoleX" data-href="https://fr.wikipedia.org/wiki/V%C3%A9loSoleX" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank"><strong class="markup--strong markup--p-strong">VéloSolex</strong></a><strong class="markup--strong markup--p-strong">.</strong></p><p name="5008" id="5008" class="graf graf--p graf-after--p">Alors qu’un scooter moderne pèse entre 80 et 200 kg, le VéloSolex était un gros vélo de seulement 30 kg muni d’un moteur qui consommait un peu plus d’1L/100 km pour une vitesse max de 35 km/h.</p><p name="7848" id="7848" class="graf graf--p graf-after--p">La chaîne de transmission du moteur était d’ailleurs tellement rudimentaire qu’il s’agissait d’un simple galet posé sur le pneu qui entrainait la roue.</p><p name="d65f" id="d65f" class="graf graf--p graf-after--p">Malheureusement pour nous, cette hyper-sobriété technologique a depuis disparu. Pour la retrouver, il faut partir dans les pays “<em class="markup--em markup--p-em">émergents</em>” où ces technologies ont été recyclées.</p><h4 name="95dc" id="95dc" class="graf graf--h4 graf-after--p">Sobriété lointaine</h4></div><div class="section-inner sectionLayout--outsetColumn"><figure name="90ef" id="90ef" class="graf graf--figure graf--layoutOutsetCenter graf-after--h4"><figcaption class="imageCaption">Tricycle indien (aujourd’hui) / Tricycle italien (années 50)</figcaption></figure></div><div class="section-inner sectionLayout--insetColumn"><p name="4ebb" id="4ebb" class="graf graf--p graf-after--figure">En Inde par exemple, la majorité des taxis sont des tricycles motorisés qui furent initialement commercialisés par Piaggio en Italie dans les années 50.</p><p name="791e" id="791e" class="graf graf--p graf-after--p">Alors qu’en France, il est obligatoire pour un chauffeur VTC de transporter ses clients dans une voiture de <a href="https://www.legalstart.fr/fiches-pratiques/chauffeur-vtc-transport/reglementation-loi-vtc/" data-href="https://www.legalstart.fr/fiches-pratiques/chauffeur-vtc-transport/reglementation-loi-vtc/" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">plus de 4 mètres 50 de long</a> (donc en pratique une berline d’1.5 tonne, ce qui est une aberration d’un point de vue environnemental), <strong class="markup--strong markup--p-strong">les caractéristiques de ces tricycles (poids: 400kg, vitesse max: 70km/h) sont optimales en termes de consommation pour transporter 1 ou 2 personnes en ville sur des trajets courts.</strong></p><p name="b68c" id="b68c" class="graf graf--p graf-after--p">Pour les longues distances, leurs voitures sont également beaucoup plus légères.</p></div><div class="section-inner sectionLayout--outsetColumn"><figure name="3cfd" id="3cfd" class="graf graf--figure graf--layoutOutsetCenter graf-after--p"><figcaption class="imageCaption">Renault Kwid en Inde (aujourd’hui) / Citroën AX en France (années 80)</figcaption></figure></div><div class="section-inner sectionLayout--insetColumn"><p name="30bf" id="30bf" class="graf graf--p graf-after--figure">Lancée il y a 2 ans, la <em class="markup--em markup--p-em">Renault Kwid</em> est un SUV de seulement 660kg qui connait là-bas <a href="https://www.capital.fr/entreprises-marches/la-kwid-pourrait-faire-de-renault-le-numero-un-mondial-1237860" data-href="https://www.capital.fr/entreprises-marches/la-kwid-pourrait-faire-de-renault-le-numero-un-mondial-1237860" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">un énorme succès</a>. Or elle reprend plus ou moins les mêmes propriétés que les citadines françaises des années 80.</p><p name="b474" id="b474" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">De ces 6 exemples, devons nous-en conclure que pour mettre au point une technologie sobre, il faille obligatoirement ressortir du placard des technologies obsolètes depuis 30, 50 ans voire plus ?</strong></p><p name="11d7" id="11d7" class="graf graf--p graf-after--p">Étant donnée l’exceptionnelle sobriété de ces technologies passées, il est légitime qu’elles nous inspirent.</p><p name="f366" id="f366" class="graf graf--p graf-after--p">Néanmoins, le contexte n’étant plus le même (de nouvelles connaissances ont été acquises depuis, de nouvelles infrastructures comme Internet ont émergé, des ressources autrefois abondantes se sont raréfiées, …etc), il est probable que les technologies sobres qui émergent aujourd’hui (et émergeront demain) présentent des caractéristiques totalement nouvelles.</p><p name="e0fc" id="e0fc" class="graf graf--p graf-after--p">Par exemple, si précédemment j’ai crucifié la voiture électrique extrêmement énergivore et vorace en métaux à cause de son énorme batterie, <strong class="markup--strong markup--p-strong">mon intention n’était pas de dire qu’il faille rejeter toute technologie de transport basée sur la propulsion électrique</strong>.</p><p name="8e83" id="8e83" class="graf graf--p graf-after--p">Si cette nouvelle technologie permet de créer des véhicules plus simples et plus sobres que les tanks actuels, il faut évidemment la considérer.</p><h4 name="e57a" id="e57a" class="graf graf--h4 graf-after--p">Sobriété moderne</h4><p name="8d29" id="8d29" class="graf graf--p graf-after--h4">2 technologies qui correspondent à ce schéma sont <em class="markup--em markup--p-em">le vélo à assistance électrique</em> et le <a href="http://mypodride.com/" data-href="http://mypodride.com/" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank"><em class="markup--em markup--p-em">podride</em></a>.</p></div><div class="section-inner sectionLayout--outsetColumn"><figure name="9f7d" id="9f7d" class="graf graf--figure graf--layoutOutsetCenter graf-after--p"><figcaption class="imageCaption">Vélo à assistance électrique (20kg) / Podride (70kg)</figcaption></figure></div><div class="section-inner sectionLayout--insetColumn"><p name="7dac" id="7dac" class="graf graf--p graf-after--figure">Si le vélo à assistance électrique a permis ces dernières années d’ouvrir à un public plus large l’usage du vélo, le potentiel de démocratisation est encore plus important concernant le <em class="markup--em markup--p-em">podride</em>.</p><p name="7227" id="7227" class="graf graf--p graf-after--p">En effet, en plus d’offrir une assistance électrique, le podride permet à son conducteur de rouler par tous les temps (pluie, neige, …etc). Sa position assise est également le compromis parfait entre aérodynamisme et sécurité. <strong class="markup--strong markup--p-strong">Grâce à elle, le <em class="markup--em markup--p-em">podride</em> requiert 2x moins d’énergie au pédalage qu’un vélo classique tout en restant visible des voitures dans la circulation contrairement aux vélos couchés</strong>.</p><p name="8f86" id="8f86" class="graf graf--p graf-after--p">Malgré la petite taille de sa batterie (~3kg), il est possible que la complexité et l’empreinte carbone du <em class="markup--em markup--p-em">podride</em> soient encore supérieures à celles du <em class="markup--em markup--p-em">vélosolex</em>. Néanmoins, si grâce aux effets d’échelle actuels, cette technologie est meilleur marché et convainc plus facilement les gens de délaisser leur tank habituel, on aurait tort de la rejeter.</p><p name="979b" id="979b" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Plus généralement, ces 2 exemples nous montrent que sobriété peut parfaitement rimer avec modernité</strong>.</p><p name="7a39" id="7a39" class="graf graf--p graf-after--p">Maintenant la question importante devient:</p><blockquote name="c858" id="c858" class="graf graf--blockquote graf-after--p">Si on déployait toutes ces technologies sobres, est-ce que ce serait suffisant ?</blockquote><p name="e840" id="e840" class="graf graf--p graf-after--blockquote">En France, l’ordre de grandeur qu’on a souvent en tête, c’est le “<em class="markup--em markup--p-em">Facteur 4</em>”, c’est à dire le fait qu’il faille diviser par 4 nos émissions de gaz à effet de serre d’ici à 2050 pour limiter à 2°C la hausse des températures d’ici à 2100.</p><h4 name="a050" id="a050" class="graf graf--h4 graf-after--p">Potentiel de la sobriété</h4><p name="69df" id="69df" class="graf graf--p graf-after--h4">Or, dans le domaine automobile, l’impact de nos trajets se répartit de la manière suivante:</p><ul class="postList"><li name="6185" id="6185" class="graf graf--li graf-after--p">15% des émissions sont générées sur les trajets de moins de 5km [8]</li><li name="f1ee" id="f1ee" class="graf graf--li graf-after--li">65% sur ceux entre 5 et 80km</li><li name="223c" id="223c" class="graf graf--li graf-after--li">20% sur ceux de plus de 80km [9]</li></ul><p name="f1c4" id="f1c4" class="graf graf--p graf-after--li">Petite statistique au passage pour mesurer à nouveau l’opulence dans laquelle nous nageons: <strong class="markup--strong markup--p-strong">même si les trajets de moins de 5km ne représentent que 15% des émissions de CO2, ils correspondent à ~50% de tous les trajets effectués en voiture.</strong></p><p name="ca7c" id="ca7c" class="graf graf--p graf-after--p">Or, étant donnée la présence de nombreuses alternatives sur ces distances, si nous nous lançons demain dans un grand programme de sobriété, ces trajets seront potentiellement réformés en premier.</p><p name="af38" id="af38" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">1ère hypothèse: mobilité active</strong></p><p name="8d96" id="8d96" class="graf graf--p graf-after--p">Imaginons un instant qu’un grand dispositif d’incitations (infrastructure, fiscalité, …etc) se mette en place pour favoriser la mobilité dite “<em class="markup--em markup--p-em">active</em>” (marche à pied, vélo, vélo à assistance électrique, podride, …etc) pour remplacer la voiture sur la majorité des trajets de moins de 5km et sur une partie des trajets de plus de 5km.</p><p name="3f9e" id="3f9e" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Grâce à ces moyens de transport alternatifs, il n’est pas délirant de parier sur le fait qu’on puisse supprimer 15% des émissions actuelles.</strong></p><p name="47e9" id="47e9" class="graf graf--p graf-after--p">Ensuite, pour s’attaquer au reste des émissions, il devient nécessaire de toucher aux caractéristiques de nos voitures.</p><p name="db39" id="db39" class="graf graf--p graf-after--p">Or, quand on fait le bilan énergétique des trajets automobiles, on peut considérer que [10]:</p><ul class="postList"><li name="edd0" id="edd0" class="graf graf--li graf-after--p">75% de l’énergie dépend de leur masse. Cette part de l’énergie sert à vaincre les forces de frottement au sol et monter les côtes.</li><li name="a32c" id="a32c" class="graf graf--li graf-after--li">Le reste (25%) est consacré à vaincre les forces de frottement de l’air qui interviennent à grande vitesse. Cette part dépend du carré de la vitesse et de l’aérodynamique du véhicule (largeur, hauteur, coefficient de trainée).</li></ul><p name="07c0" id="07c0" class="graf graf--p graf-after--li"><strong class="markup--strong markup--p-strong">2ème hypothèse: masse</strong></p><p name="c5b8" id="c5b8" class="graf graf--p graf-after--p">Imaginons à nouveau qu’une politique normative forte limite la masse des véhicules. On peut raisonnablement espérer que celle-ci passe de 1260kg actuellement à 600kg dans un futur proche,<strong class="markup--strong markup--p-strong"> ce qui économiserait 34% des émissions actuelles.</strong></p><p name="5a36" id="5a36" class="graf graf--p graf-after--p">Une <em class="markup--em markup--p-em">2CV</em> faisant 500kg et une <em class="markup--em markup--p-em">Renault Kwid</em> un peu moins de 700kg, ce chiffre est assez ambitieux mais pas du tout irréaliste.</p><p name="7ded" id="7ded" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">3ème hypothèse: aérodynamique</strong></p><p name="4dd9" id="4dd9" class="graf graf--p graf-after--p">Des véhicules plus légers étant logiquement plus petits, on peut également s’attendre à une amélioration de leur aérodynamique.</p><p name="e405" id="e405" class="graf graf--p graf-after--p">Actuellement aux environs de 0.8m2 [11], leur résistance moyenne a l’air (SCx) pourrait diminuer jusqu’à 0.45m2.</p><p name="9f96" id="9f96" class="graf graf--p graf-after--p">Ce chiffre ne parait pas déraisonnable au vu des performances atteints dans les années 80 par la <a href="https://fr.wikipedia.org/wiki/Citro%C3%ABn_Eco_2000" data-href="https://fr.wikipedia.org/wiki/Citro%C3%ABn_Eco_2000" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">Citroën Eco 2000</a> ou la <a href="https://fr.wikipedia.org/wiki/Renault_VESTA_2" data-href="https://fr.wikipedia.org/wiki/Renault_VESTA_2" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">Renault Vesta 2</a>. Pour ces 2 prototypes, les ingénieurs de Renault et Citroën avaient été chargés de privilégier l’aérodynamique à l’esthétique et ils parvinrent sans peine à atteindre une résistance moyenne à l’air de 0.3m2.</p></div><div class="section-inner sectionLayout--outsetColumn"><figure name="dd4f" id="dd4f" class="graf graf--figure graf--layoutOutsetCenter graf-after--p"><figcaption class="imageCaption">Citroën Eco 2000 (SCx ~ 0.32m2) / Renault Vesta 2 (SCx ~ 0.30m2)</figcaption></figure></div><div class="section-inner sectionLayout--insetColumn"><p name="b224" id="b224" class="graf graf--p graf-after--figure"><strong class="markup--strong markup--p-strong">4ème hypothèse: vitesse</strong></p><p name="be2e" id="be2e" class="graf graf--p graf-after--p">Dernière hypothèse réglementaire: on abaisse les limites de vitesse de 20% sur toutes les portions de route (sur autoroute on passe de 130 à 105km/h, sur nationales de 90 à 75km/h et dans les villes de 50 à 40km/h).</p><p name="1bf0" id="1bf0" class="graf graf--p graf-after--p">Nos trajets deviennent “<em class="markup--em markup--p-em">20% plus longs</em>” mais <strong class="markup--strong markup--p-strong">combinée à l’amélioration de l’aérodynamique, cette baisse de la vitesse permet d’économiser encore 14% sur nos émissions actuelles.</strong></p><p name="3e67" id="3e67" class="graf graf--p graf-after--p">On est tous d’accord que c’est frustrant mais ce n’est pas un drame non plus.</p><p name="cbf1" id="cbf1" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">5ème hypothèse: moins de trajets</strong></p><p name="772e" id="772e" class="graf graf--p graf-after--p">Enfin, si nos véhicules sont un peu moins rapides, un peu moins confortables, il ne parait pas stupide d’anticiper une réduction du nombre des trajets (ou de la distance parcourue).</p><p name="5342" id="5342" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Si 10% des trajets non remplacés par de la “<em class="markup--em markup--p-em">mobilité active</em>” sont abandonnés, cela permettrait de grignoter à nouveau 4% sur nos émissions actuelles.</strong></p></div><div class="section-inner sectionLayout--insetColumn"><p name="5533" id="5533" class="graf graf--p graf-after--figure">Au final, une fois l’ensemble de nos technologies sobres déployées, <strong class="markup--strong markup--p-strong">on arrive à diviser par 3 l’impact causé par nos voitures actuelles sans faire appel à une quelconque percée technologique miraculeuse mais seulement grâce à quelques compromis sur notre niveau de besoin</strong> (poids des véhicules, vitesse, taille, …etc).</p><p name="6da6" id="6da6" class="graf graf--p graf-after--p">Le fameux “<em class="markup--em markup--p-em">Facteur 4</em>” n’est pas encore atteint mais on s’en rapproche tout de même très fortement, et cela sans aucune hypothèse sur:</p><ul class="postList"><li name="19e4" id="19e4" class="graf graf--li graf-after--p">Un remplacement de la voiture individuelle par des transports en commun (ou du covoiturage sur les trajets domicile-travail)</li><li name="48fd" id="48fd" class="graf graf--li graf-after--li">Une réorganisation du territoire rapprochant au maximum les lieux de vie (travail, école, commerçants …etc) des habitations et diminuant en conséquence le besoin de transports</li></ul><p name="ca16" id="ca16" class="graf graf--p graf-after--li">J’espère donc que ces calculs de coin de table vous auront convaincu.</p><p name="7c3b" id="7c3b" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Loin d’être un retour à la marche à pied pour tous, la sobriété est une approche équilibrée permettant de réduire considérablement notre consommation de ressources tout en conservant le meilleur de nos technologies.</strong></p><p name="289f" id="289f" class="graf graf--p graf-after--p">Or si elle fonctionne pour le transport automobile, elle peut également s’appliquer à tous les autres secteurs énergivores de nos vies: l’agriculture, le chauffage, Internet, …etc.</p><p name="3c24" id="3c24" class="graf graf--p graf-after--p">La sobriété, ce n’est pas: “<em class="markup--em markup--p-em">on arrête de bouffer</em>”, “<em class="markup--em markup--p-em">on se les pèle en hiver</em>” ou “<em class="markup--em markup--p-em">on arrête de s’informer</em>”.</p><p name="52ce" id="52ce" class="graf graf--p graf-after--p">Dans l’agriculture, la sobriété ce serait:</p><blockquote name="1c40" id="1c40" class="graf graf--blockquote graf-after--p">Comment me nourrir à ma faim, peut-être avec moins de choix, mais surtout en évitant que ma nourriture ne fasse 500 km avant d’arriver dans mon assiette ?</blockquote><p name="c2a7" id="c2a7" class="graf graf--p graf-after--blockquote">Le développement récent des AMAPs montrent que c’est parfaitement possible.</p><p name="c4ff" id="c4ff" class="graf graf--p graf-after--p">Dans le chauffage, la sobriété ce serait:</p><blockquote name="9b54" id="9b54" class="graf graf--blockquote graf-after--p">Comment me sentir à l’aise thermiquement, peut-être avec un peu moins de liberté de mouvement mais surtout en évitant de chauffer chaque molécule d’air de mon appartement à 22°C ?</blockquote><p name="7e1d" id="7e1d" class="graf graf--p graf-after--blockquote">Concrètement, enfiler un pull et baisser son thermostat de 2°C, c’est 15% d’économies immédiates sur sa facture de chauffage.</p><p name="5ab8" id="5ab8" class="graf graf--p graf-after--p">Plus généralement l’idée pour être sobre tout en maintenant un bon confort thermique, c’est que <a href="http://www.lowtechmagazine.com/2015/02/heating-people-not-spaces.html" data-href="http://www.lowtechmagazine.com/2015/02/heating-people-not-spaces.html" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">la technologie doit chauffer une zone la plus locale possible (de préférence uniquement nos corps) et non tout l’air ambiant</a> qui, quand on y pense, est une méthode effroyable en termes de gaspillage énergétique.</p><p name="cdac" id="cdac" class="graf graf--p graf-after--p">Enfin pour Internet, la sobriété ce serait par exemple:</p><blockquote name="e5f3" id="e5f3" class="graf graf--blockquote graf-after--p">Comment m’informer correctement, peut-être de manière moins visuelle, mais surtout en évitant de télécharger 100 Mo de données à chaque connexion ?</blockquote><p name="98e9" id="98e9" class="graf graf--p graf-after--blockquote">Wikipédia est ainsi un très bon exemple de service Web qui rend énormément de services pour très peu de coûts écologiques.</p><p name="b70b" id="b70b" class="graf graf--p graf-after--p">Bien qu’il fasse parti du top 10 mondial, tout le texte anglais de Wikipédia ne représentait en 2015 <a href="https://en.wikipedia.org/wiki/Wikipedia:Size_of_Wikipedia" data-href="https://en.wikipedia.org/wiki/Wikipedia:Size_of_Wikipedia" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">que 11.5 Go de données</a>, de quoi tenir dans le téléphone portable de chacun d’entre vous…</p><h3 name="dd56" id="dd56" class="graf graf--h3 graf-after--p">Bilan</h3><p name="11a8" id="11a8" class="graf graf--p graf-after--h3">Au cours de cet exposé, nous avons passé en revue 2 approches radicalement différentes sur le plan technologique.</p><p name="0a01" id="0a01" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">La première approche consiste à apporter une réponse purement technique aux problèmes matériels auxquels nous sommes confrontés</strong>. Elle ne remet pas en cause la légitimité des besoins auxquels la technologie répond mais se concentre sur le fait de répondre à ces besoins de la manière la plus efficace possible.</p><p name="ad65" id="ad65" class="graf graf--p graf-after--p">En faisant cela, elle augmente mécaniquement la complexité du système technique et contrairement à ce que ses promoteurs prétendent, une meilleure efficacité entraînant une plus grande demande de services, <strong class="markup--strong markup--p-strong">cette approche n’a pas pour effet de réduire le coût écologique de nos activités mais stimule au contraire leur croissance.</strong></p><p name="b885" id="b885" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">A l’inverse, la deuxième approche n’a pas peur de considérer toutes les variables déterminant notre empreinte écologique</strong>, et donc en particulier notre niveau de besoins en faisant la promotion de technologies plus sobres.</p><p name="0522" id="0522" class="graf graf--p graf-after--p">En plus de n’entrainer aucun effet rebond, des technologies plus sobres étant mécaniquement plus simples, cette approche a également comme atout de ne pas déplacer le coût écologique de nos technologies de leur phase d’utilisation à leur phase de fabrication.</p><p name="d985" id="d985" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">En le réduisant au global, c’est la seule des 2 approches qu’on peut qualifier de véritablement écologique et donc durable.</strong></p><h3 name="4d82" id="4d82" class="graf graf--h3 graf-after--p">Pour aller plus loin</h3><p name="8aac" id="8aac" class="graf graf--p graf-after--h3">Si vous souhaitez en savoir plus sur cette 2e approche, je vous recommande de lire l’ouvrage du centralien Philippe Bihouix: “<a href="https://www.amazon.fr/gp/product/2021160726/ref=as_li_qf_sp_asin_il_tl?ie=UTF8&amp;tag=atterrissage-21&amp;camp=1642&amp;creative=6746&amp;linkCode=as2&amp;creativeASIN=2021160726&amp;linkId=4d22ed5ee4ee9b2c0b9552d3474097f5" data-href="https://www.amazon.fr/gp/product/2021160726/ref=as_li_qf_sp_asin_il_tl?ie=UTF8&amp;tag=atterrissage-21&amp;camp=1642&amp;creative=6746&amp;linkCode=as2&amp;creativeASIN=2021160726&amp;linkId=4d22ed5ee4ee9b2c0b9552d3474097f5" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank"><em class="markup--em markup--p-em">l’âge des low-tech</em></a>”.</p><figure name="3b06" id="3b06" class="graf graf--figure graf-after--p"><figcaption class="imageCaption">L’âge des low-tech / Philippe Bihouix</figcaption></figure><p name="934a" id="934a" class="graf graf--p graf-after--figure">En plus de proposer comme moi une critique des “<em class="markup--em markup--p-em">high-tech</em>” et un éloge des “<em class="markup--em markup--p-em">low-tech</em>”, Philippe Bihouix expose dans ce livre:</p><ul class="postList"><li name="1722" id="1722" class="graf graf--li graf-after--p">Une description très fine d’un monde “<em class="markup--em markup--li-em">low-tech</em>” qui ne se limite pas au secteur des transports mais aborde tous les domaines</li><li name="781d" id="781d" class="graf graf--li graf-after--li">De nombreuses pistes pour amorcer une transition</li></ul><p name="e278" id="e278" class="graf graf--p graf-after--li graf--trailing">L’autre référence que je vous recommande est un site Internet qui s’appelle “<a href="http://www.lowtechmagazine.com/" data-href="http://www.lowtechmagazine.com/" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">Low-tech Magazine</a>” et qui est une véritable mine d’or pour redécouvrir des technologies exceptionnellement sobres aujourd’hui disparues.</p></div></div>