title: L’inégalité est-elle au cœur des problèmes de société ?
url: http://www.internetactu.net/2019/03/12/linegalite-est-elle-au-coeur-des-problemes-de-societe/
hash_url: 84cd2922becf4293ad27dca2c17c57e4

<p><img src="http://www.internetactu.net/wp-content/uploads/2019/03/pourvivreheureuxvivonsegaux-198x300.png" alt="" class="alignright size-medium wp-image-34100" srcset="http://www.internetactu.net/wp-content/uploads/2019/03/pourvivreheureuxvivonsegaux-198x300.png 198w, http://www.internetactu.net/wp-content/uploads/2019/03/pourvivreheureuxvivonsegaux.png 528w" sizes="(max-width: 198px) 100vw, 198px"/>Les épidémiologistes britanniques Kate Pickett (<a href="https://twitter.com/profkepickett">@profkepickett</a>) et Richard Wilkinson (<a href="https://twitter.com/ProfRGWilkinson">@ProfRGWilkinson</a>), cofondateurs de <a href="https://www.equalitytrust.org.uk">Equality Trust</a> (<a href="https://twitter.com/equalitytrust">@equalitytrust</a>), publient <em>Pour vivre heureux vivons égaux !</em> (Les liens qui libèrent, 2019), un imposant recueil d’arguments et d’études sur les effets de l’inégalité. </p>
<p>C’est un livre qu’il faut certainement lire comme en contrepoint aux ouvrages de <a href="https://stevenpinker.com/">Steven Pinker</a> (cf. <a href="http://www.internetactu.net/2017/10/12/le-progres-na-pas-encore-tout-a-fait-disparu/">« Le progrès n’a pas encore tout à fait disparu »</a>) dont le plus récent, <em>Le triomphe des Lumières</em> nous montrait que le monde allait bien mieux qu’on pouvait le penser. Certes, comme le dit Pinker, la violence et la grande pauvreté ont été globalement éradiquées, mais pour Pickett et Wilkinson, les inégalités sociales se sont accrues et la violence s’est transformée. Leur livre semble aussi un complément à celui de l’économiste <a href="http://piketty.blog.lemonde.fr/">Thomas Piketty</a>, <em>Le Capital au XXIe siècle</em>, qui montrait justement la formidable explosion des inégalités depuis les années 1970. Alors que Piketty faisait une démonstration économique du phénomène, Kate Pickett et Richard Wilkinson s’intéressent aux effets sociaux de l’explosion des inégalités. </p>
<p>Pour Pickett et Wilkinson, l’essentiel des maux dont souffrent nos sociétés est profondément lié aux inégalités. <em>« Dans leur immense majorité, avec une grande constance, (nombres d’études) confirment que les sociétés inégalitaires font moins bien que les autres. Et la force des preuves en ce sens nous oblige à conclure que, au-delà de la simple corrélation statistique, nous sommes en présence d’un lien de nature causale. L’accroissement de l’inégalité nuit aux sociétés : il dégrade la santé et le bien-être humains. »</em> L’inégalité expliquent-ils, agit notamment sur tous les problèmes dotés d’un gradient social, <em>« c’est-à-dire ceux qui deviennent plus fréquents lorsqu’on descend l’échelle sociale »</em>, comme nombre de problèmes de santé (obésité, alcoolisme, diabète…), la violence, le mal-être des enfants, le taux d’incarcération, les maladies mentales et les problèmes psychologiques, la toxicomanie… Les effets de l’inégalité n’affectent pas qu’une minorité la plus pauvre, insistent les chercheurs : là où les disparités de revenus sont plus marquées, la population dans son ensemble souffre plus fortement de la compétition sociale et du déficit de confiance en soi. Pour les auteurs, les problèmes de santé, les tendances aux comportements violents ou les performances aux tests scolaires des élèves ne résultent pas seulement du classement social. Le poids des disparités s’accroît dans les sociétés où les différences de statut social sont plus marquées. </p>
<h2>L’épidémie de phobie sociale</h2>
<p>Notre inquiétude du jugement et du regard des autres, qui se traduit parfois par un complexe d’infériorité, un déficit de confiance en soi, ou un stress social sont plus répandus qu’on ne le pense. Ils ne nécessitent pas tant que nous nous endurcissions pour les surmonter, que de comprendre que les faiblesses psychologiques qui détériorent la qualité de vie et son expérience proviennent de la montée de la menace d’évaluation sociale permanente à laquelle nous sommes confrontés. Les phobies sociales, le stress, l’anxiété, la dépression, les comportements addictifs… naissent de notre perception de l’inégalité, avancent les auteurs (voir par exemple <a href="https://onlinelibrary.wiley.com/doi/full/10.1002/ejsp.2275">cette synthèse de leurs recherches</a>). </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2019/03/The-enemy-between-us-The-psychological-and-social-costs-of-inequality-Wilkinson-2017-European-Journal-of-Social-Psychology-Wiley-Online-Library.png" alt="" class="aligncenter size-full wp-image-34101" srcset="http://www.internetactu.net/wp-content/uploads/2019/03/The-enemy-between-us-The-psychological-and-social-costs-of-inequality-Wilkinson-2017-European-Journal-of-Social-Psychology-Wiley-Online-Library.png 529w, http://www.internetactu.net/wp-content/uploads/2019/03/The-enemy-between-us-The-psychological-and-social-costs-of-inequality-Wilkinson-2017-European-Journal-of-Social-Psychology-Wiley-Online-Library-300x220.png 300w" sizes="(max-width: 529px) 100vw, 529px"/><br/>
<em>Image : exemple de diagrammes qui peuplent le livre de Kate Pickett et Richard Wilkinson, montrant, selon des courbes d’inégalités, le niveau des problèmes qui affectent les pays, ici un index des problèmes sociaux et de santé relié aux inégalités.</em> </p>
<p>Les pays les plus riches sont les plus affectés par les maladies mentales et les troubles psychologiques, rappellent les deux épidémiologistes : <em>« l’anxiété s’est donc aggravée en dépit de l’amélioration du niveau de vie »</em>. Dans nos sociétés dites méritocratiques, où l’on pense que les individus gravissent l’échelle sociale grâce à leurs mérites et à leurs efforts personnels (ce que renforce la compétition scolaire), le souci social est omniprésent. Le statut est perçu comme le reflet des aptitudes. Un statut inférieur est donc interprété comme un échec ce qui renforce l’évaluation à l’aune de la position sociale. L’accroissement des écarts de revenus rend la pyramide sociale <em>« plus haute et plus pentue »</em>. </p>
<p>Les écarts de revenus plus marqués se traduisent par des différences de statuts plus manifestes et renforcent l’inégalité comme élément déterminant du statut social, alors que l’éventail des biens permettant d’afficher son statut s’élargit à son tour. </p>
<p>Les épidémiologistes s’intéressent beaucoup à nos maux psychologiques liés aux troubles sociaux. Dépression et anxiété sont les maladies des sociétés inégalitaires, tout comme le narcissisme et l’autoglorification. La dépression touche 350 millions de personnes sur la planète selon l’OMS. Elle frappe majoritairement les femmes et particulièrement les jeunes. Les troubles mentaux sont plus courants chez les plus pauvres, mais ils ne leur sont pas réservés – la dépression est dotée d’un fort gradient social ! Mais c’est également le cas d’autres troubles psychotiques : <em>« un accroissement de la part du revenu qui finit dans les poches du 1 % le plus fortuné se traduit par un gonflement du nombre de victimes d’hallucinations, d’états délirants ou d’illusions de contrôle mental… »</em> L’inégalité détériore la santé mentale et affecte notre état psychique et la qualité de nos relations sociales. <a href="http://science.sciencemag.org/content/344/6186/862">Une étude souligne même</a> que les habitants des sociétés inégalitaires estiment, assez naturellement, avoir globalement moins de contrôle sur leur vie, même si bien sûr les plus riches ont un plus fort sentiment de contrôle que les plus pauvres. </p>
<h2>Des effets de l’inégalité sur la cohésion sociale</h2>
<p> <a href="https://www.sciencedirect.com/science/article/pii/S0276562412000285">Plusieurs études soulignent que dans les pays les plus inégalitaires</a>, riches comme pauvres sont moins disposés à aider leurs prochains. <a href="https://www.sciencedirect.com/science/article/pii/S0049089X12000725">La participation citoyenne à des associations sportives comme politiques ou professionnelles est nettement plus faible dans les sociétés inégalitaires</a>. Pour les chercheurs, l’intensification de la menace d’évaluation sociale nous coupe de la vie sociale, car celle-ci produit un trop grand stress. <em>« Les sociétés inégalitaires se fragmentent davantage à mesure que les distances sociales s’accroissent. Les individus se mettent en retrait, sont moins amicaux avec leurs voisins, plus soucieux des apparences et inquiets de faire mauvaise impression… »</em> L’inégalité affecte directement la vie politique et la vie sociale. <a href="http://bruegel.org/2016/11/income-inequality-boosted-trump-vote/">Donald Trump a réalisé ses meilleurs scores dans les États où les problèmes de santé étaient les plus forts</a>… des États marqués par les plus fortes inégalités de revenus ! </p>
<p><a href="https://www.narcissismepidemic.com/">L’épidémie de narcissisme</a> qu’avaient constaté les psychologues <a href="http://www.jeantwenge.com/">Jean Twenge</a> et <a href="http://wkeithcampbell.com/">Keith Campbell</a> dans leur livre paru en 2009 soulignent combien <a href="http://www.internetactu.net/2016/12/09/du-mythe-de-la-maitrise-de-soi-a-celui-du-bien-etre-et-de-la-reussite-individuelle/">l’estime de soi, si valorisée dans nos sociétés</a>, est à la pointe de la lutte pour la survie sociale. Et avec elle, son lot de consumérisme débridé… Mais ce narcissisme vire vite au défaut d’empathie, voire au mépris, comme le pointait la sociologue <a href="https://fiske.socialpsychology.org/">Susan Fiske</a> dans <em><a href="https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3825032/">Envy Up, Scorn Down</a></em>. Les gens au statut social plus élevé se comportent moins bien avec les autres. Et la moindre générosité des plus riches est encore plus forte dans les États les plus inégalitaires. <em><a href="https://pabloservigne.com/entraide/">L’entraide</a></em> qu’évoquaient Pablo Servigne et Gauthier Chapelle n’est pas également distribuée. </p>
<p>Mais pourquoi alors ne nous opposons-nous pas plus à l’inégalité ? Certainement parce que nos stéréotypes sociaux sont ambivalents et que nous avons besoin d’excuses pour rendre le monde tolérable, avancent les chercheurs. Plus l’inégalité se creuse, plus nous avons tendance à la justifier. Plus les statuts sociaux se différencient et plus nous avons tendance à penser que notre statut relève de notre seule responsabilité.  </p>
<p>Nous avons également démultiplié les fausses solutions pour supporter cette pression sociale. Alcool, shopping, travail, drogue, chirurgie esthétique… Nous sommes dans ce que le psychologue <a href="http://www.brucekalexander.com/">Bruce Alexander</a> appelle, <em>la globalisation de l’addiction</em>, ce moment où les comportements excessifs sont plus fréquents et les objets d’addiction plus nombreux, comme autant de réponses à ce sentiment de dislocation, d’aliénation et de déconnexion sociale. <a href="https://www.huffingtonpost.fr/johann-hari/causes-addictions-drogues_b_6643266.html">Les comportements addictifs sont profondément liés à la perte du lien social</a>. Nous fuyons notre moi (<em><a href="http://www.roybaumeister.com/books/escaping-the-self-alcoholism-spirituality-masochism-and-other-flights-from-the-burden-of-selfhood">Escaping the self</a></em>), comme le soulignait le psychologue <a href="http://www.roybaumeister.com/">Roy Baumeister</a> dès les années 90. Les formes mêmes de nos sociabilités qu’il nous reste semblent prendre des aspects de plus en plus délétères, comme l’illustre l’alcoolisation excessive qui précède nos sorties, nos compulsions alimentaires ou commerciales. Les dépenses publicitaires elles-mêmes semblent corrélées aux inégalités ! <em>« Le matérialisme nous rend malheureux. Mais la réciproque est aussi vraie : être malheureux nous rend matérialistes. »</em> La boucle de rétroaction de l’inégalité ressemble à la roue d’une cage de hamster ! </p>
<h2>Aux origines de nos anxiétés</h2>
<p>Dans les sociétés où règnent de grands écarts de revenus, la vie locale est indigente. Nous ne vivons plus au sein de communautés solidement ancrées, parmi des gens qui se connaissent depuis toujours. Nous vivons majoritairement au milieu de personnes qui nous sont étrangères ce qui explique que les apparences et les premières impressions deviennent déterminantes. </p>
<p>Les deux chercheurs reviennent également longuement sur les raisons qui déterminent notre sensibilité sociale. Ils soulignent que notre environnement et nos relations ont été de puissants facteurs de sélection. Contrairement aux primates, nos cerveaux sont beaucoup plus gros, et notamment le néocortex, la couche externe celle dont l’expansion est la plus récente à l’échelle de l’évolution. Or, ce néocortex est plus développé chez les espèces les plus sociales expliquait l’anthropologue Robin Dunbar dès 2002 dans <a href="http://www.hup.harvard.edu/catalog.php?isbn=9780674010048&amp;content=toc">un livre collectif dirigé par le primatologue Frans de Waal</a>. Les relations sociales exigent un effort mental d’autant plus grand que la taille du groupe social augmente. Mais, les chasseurs-cueilleurs, contrairement aux préhumains, s’organisaient en sociétés égalitaires et non pas au sein de hiérarchies de dominance. La nourriture y était partagée. L’accès aux partenaires sexuels n’y était pas un droit lié au rang, comme chez les primates. En s’appuyant notamment sur les travaux de l’anthropologue et primatologue <a href="http://www.christopher-boehm.com/">Christopher Boehm</a>, les chercheurs rappellent que nous avons vécu pendant 200 à 250 000 ans dans des sociétés bien plus égalitaires qu’on le pense, où les individus agissaient de concert face à la moindre menace d’autoritarisme (c’est aussi l’une des thèses des anthropologues David Graeber et David Wengrow dans leur article <a href="https://www.eurozine.com/comment-changer-le-cours-de-lhistoire/">« Comment changer le cours de l’histoire »</a> qui soulignent que, contrairement à ce que l’on pense, les humains ont longtemps vécus en groupes égalitaires plutôt qu’en bande sous l’autorité de chefs). Pour Boehm, le passage de relations hiérarchiques à des relations fondées sur l’égalité aurait donné naissance à la moralité telle que nous l’entendons aujourd’hui, faite d’un côté d’entraide et de partage et aussi de stratégies de contre-domination à l’encontre des comportements antisociaux. </p>
<p>L’économie comportementale souligne elle aussi combien nous avons une préférence pour le partage et la coopération (<a href="https://www.nature.com/articles/nature05651">et une aversion pour l’injustice et l’inégalité</a>). Nos motivations sont profondément sociales. Si nous cherchons l’approbation d’autrui, c’est avant tout pour montrer que nous sommes quelqu’un avec qui coopérer. L’inégalité, les hiérarchies et la compétition ne sont donc pas des caractéristiques humaines. Le désintéressement, la générosité et la gentillesse ne sont donc pas les tares d’individus inadaptés, mais au contraire, des caractéristiques prosociales qui nous distinguent. Notre vulnérabilité à l’anxiété sociale puise à la fois dans le legs des hiérarchies de dominance préhumaines et de notre passé égalitaire préhistorique. </p>
<h2>La méritocratie</h2>
<p>L’OCDE, le FMI, tout comme le prix Nobel d’économie Joseph Stiglitz (notamment dans son bestseller, <em>Le prix de l’inégalité</em>) ont souligné que l’inégalité ne stimulait pas la croissance économique. Au contraire. <a href="https://editionsladecouverte.fr/catalogue/index-Le_mythe_de_la_a__th__orie_du_ruissellement_a_-9782348036347.html">Le ruissellement n’existe pas</a>. Elle ne stimule pas non plus la mobilité sociale <em>« qui décline là où les écarts de revenus sont les plus grands »</em>, ni l’innovation (le nombre de brevets par habitant est en fait légèrement plus élevé dans les pays égalitaires). Le fait que nous n’ayons pas les mêmes aptitudes, intelligences, talents… est un puissant argument pour justifier l’organisation hiérarchique de la société. Or, rappellent étude après étude les sociologues, psychologues et anthropologues, la réalité est inverse. Ce ne sont pas les aptitudes qui assignent une place dans la hiérarchie sociale, c’est la position sociale qui détermine les capacités, les intérêts et talents d’un individu. Là encore, Pickett et Wilkinson accumulent les références : <a href="https://www.tandfonline.com/doi/abs/10.1080/03054985.2016.1240672?journalCode=core20">la scolarité précoce a plus d’impact que la génétique sur le devenir des enfants</a>. Et la position sociale des parents a bien plus d’importance sur le statut social de leurs enfants que n’importe quelle aptitude innée. <a href="https://www.cambridge.org/core/journals/journal-of-social-policy/article/poverty-maternal-depression-family-status-and-childrens-cognitive-and-behavioural-development-in-early-childhood-a-longitudinal-study/246EDA5324B918B737369A7B01E358BA">Le revenu du foyer a un impact plus puissant sur le développement cognitif d’un enfant de 3 ans que le fait d’avoir une mère dépressive ou que le type de configuration familiale du foyer</a>. Le stress de la pauvreté et l’absence de stimulation mentale qui caractérisent les familles pauvres ont bien plus d’impacts sur le développement cognitif des enfants que tous les autres critères. <em>« Les inégalités scolaires sont bien plus une conséquence qu’une cause des inégalités socioéconomiques »</em>. L’éducation accroît les performances initiales des enfants nés dans des familles plutôt favorisés, la pauvreté fait chuter les bonnes performances initiales des enfants nés dans des familles défavorisées.   </p>
<h2>Comment construire une société plus égalitaire ?</h2>
<p>Pour Pickett et Wilkinson, notre lutte contre nombre de maux sociaux auxquels nous peinons à faire échec, échoue du fait qu’on ne s’attaque pas aux bonnes causes. <a href="https://www.ncbi.nlm.nih.gov/pubmed/22048059">Des chercheurs ont souligné qu’améliorer le revenu par habitant avait peu d’effets sur les performances scolaires</a>. Privilégier l’éducation dans l’allocation des dépenses publiques également. Ni la croissance économique ni une meilleure redistribution de ses fruits au profit de l’éducation ne parviennent à régler le problème de l’échec scolaire. Preuve que le problème n’est peut-être pas là où on l’on croit ! Certains systèmes scolaires parviennent néanmoins à limiter mieux que d’autres les ravages de l’inégalité sociale, à l’image de la Finlande où la compétition et la sélection sont bien moins exacerbées qu’ailleurs. </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2019/03/GDP2-260x300.jpg" alt="" class="alignright size-medium wp-image-34102" srcset="http://www.internetactu.net/wp-content/uploads/2019/03/GDP2-260x300.jpg 260w, http://www.internetactu.net/wp-content/uploads/2019/03/GDP2.jpg 500w" sizes="(max-width: 260px) 100vw, 260px"/>Mais quelle égalité faut-il atteindre ? <a href="https://fr.wikipedia.org/wiki/Indicateur_de_progr%C3%A8s_v%C3%A9ritable">L’indicateur de progrès véritable</a> (IPV), l’une des nombreuses mesures du bien-être qui repose sur des critères économiques, souligne que croissance économique et croissance du bien-être ne vont plus de de pair. <a href="https://www.sciencedirect.com/science/article/pii/S0921800913001584">A partir du moment où les courbes du PIB et du bien-être se séparent</a>, la poursuite de la croissance économique perd toute justification rationnelle. Comme le pointe l’économiste écologique <a href="https://timjackson.org.uk/">Tim Jackson</a> dans son livre <a href="https://www.deboecksuperieur.com/ouvrage/9782807301603-prosperite-sans-croissance"><em>Prospérité sans croissance</em></a>, l’enjeu est désormais de faire progresser la qualité de vie sans croissance et ce d’autant que celle-ci a largement accompli sa mission d’amélioration de la qualité de vie. Pour Pickett et Wilkinson, notre organisation sociale fondée sur l’inégalité systématique ressemble à un absurde vestige du passé. La hausse du niveau de vie matériel n’accroîtra plus notre bien-être : il faut désormais améliorer nos relations et le contexte social dans lesquelles elles s’inscrivent. Une évolution parfaitement compatible avec le défi environnemental avancent-ils.<br/>
<em>« Le choix auquel nous sommes confrontés est simple. Nous pouvons développer nos sociétés dans leur dimension verticale et hiérarchique, ou bien dans leur dimension horizontale et égalitaire. Nous pouvons renforcer les inégalités et les divisions de statut qui nous séparent, ou bien les réduire. Nous pouvons accentuer les signes extérieurs de supériorité et d’infériorité, ou bien les atténuer pour améliorer la qualité de nos relations sociales et le bien-être général. »</em></p>
<p>Pour les chercheurs, les pays les plus égalitaires ont un ratio où les revenus des 20 % les plus riches représentent entre 3 et 4 fois ceux des 20 % les plus pauvres. Ce pourrait être un bon objectif pour les pays les moins égalitaires. Ils soulignent que les variations des niveaux d’inégalités au XXe siècle n’ont pas été le fait de forces de marchés hors de contrôle, mais bien de processus idéologiques et politiques. Le problème est que l’inégalité se traduit aussi par une polarisation politique accrue. Paul Krugman soulignait qu’il n’était pas rare dans les années 60 et 70 d’assister à un chevauchement des votes républicains et démocrates au Congrès américain. Depuis que les inégalités sont reparties à la hausse, cela ne se produit plus jamais. La résurgence des extrêmes tient pour beaucoup à la progression des valeurs antisociales des sociétés inégalitaires. </p>
<p>Pour les deux chercheurs, il est tant de redistribuer mieux les revenus. Mais pour l’instant, cette redistribution a trop reposé sur des actions fiscales et des ajustements de prestations sociales. Pour modifier structurellement l’inégalité, il faut pouvoir développer la démocratie économique, insistent-ils. Si le secteur public a su très bien contenir les écarts de revenus, ce n’est pas le cas du secteur privé, où les écarts ont explosé. Pour inverser ce processus, avancent-ils, nous avons besoin de garde-fous plus efficaces favorisant la représentation salariale au sein des conseils d’administration, des comités de rémunération, développer les structures économiques démocratiques comme les coopératives de salariés (où les écarts de revenus sont bien plus réduits), à faire entrer des membres de la société civile et des consommateurs dans les conseils d’administration… Les entreprises intégrant une représentation salariale pourraient bénéficier de taux d’imposition plus faibles et ces conditions être intégrées aux marchés publics par exemple.</p>
<p>Pour les deux auteurs, l’enjeu pour demain est de créer un environnement social de qualité, ce qui est loin d’être un projet de société dénué d’intérêt, au contraire.  </p>
<blockquote><p>« En réduisant les écarts de situation matérielle au sein d’une population nous pouvons améliorer le bien-être et la qualité des relations sociales à grande échelle. Les faits l’attestent : plus une société est égalitaire, plus la vie locale et associative est intense, et plus la confiance grandit entre ses membres. L’angoisse du statut recule, en même temps que le consumérisme et la violence, tandis que les relations sociales se font moins tendues. </p>
<p>Tant que nous refuserons de reconnaître ce lien causal, nos appels à l’avènement d’une société meilleure où régneraient la bienveillance et la tolérance mutuelle resteront des voeux pieux. Ce n’est pas à fore d’exhortations que les gens vont cesse de se juger les uns les autres en fonction de leur apparence, ou de penser que la richesse d’une personne révèle sa valeur intrinsèque. Nos réponses à la hiérarchie sont trop profondément inscrites en nous pour pouvoir être simplement désactivées, en faisant fi de l’ampleur des inégalités. Lorsque vous avez des gens qui sont littéralement pétrifiés par leur sentiment d’infériorité, les encourager à se prendre en main, à reprendre confiance, à se faire des amis et à participer à la vie commune n’aura guère d’effets. Il est tout aussi vain d’espérer briser la connexion entre les disparités de revenus et certaines tendances que nous avons décrites – par exemple, la conviction d’être supérieur ou inférieur aux autres, ou le dédain affiché pour « ceux d’en bas ». Si nous voulons changer les choses, nous devons nous attaquer aux facteurs qui déclenchent toutes ces réactions en nous. »</p></blockquote>
<p/><center>*</center>
<p>Pickett et Wilkinson livrent un ouvrage éminemment politique. Certes, cette démonstration paraîtra à beaucoup à charge, mais l’accumulation d’études interroge. Si l’inégalité n’est peut-être pas la mère de tous les maux, leur ouvrage a l’intérêt de poser une question que beaucoup négligent ou minimisent. L’inégalité est-elle la part structurelle et invisible des problèmes de nos sociétés nanties – la corrélation qui explique tout ? </p>
<p>Pour les deux chercheurs, nous sommes face à un choix de société, et cela semble encore plus vrai pour les Français que pour les Britanniques tant nous sommes souvent, dans les graphiques qu’ils présentent, au milieu, comme à la croisée des chemins, hésitants entre devenir un pays plus inégalitaire comme le Royaume-Uni ou les États-Unis, ou plus égalitaire comme le Japon ou les pays scandinaves. Ici, le seul ruissellement qu’on constate dans la compétition plutôt que la coopération, c’est bien le délitement du social. Or, s’attaquer aux inégalités pour redonner du sens à la vie sociale est assurément une perspective bien plus stimulante que prolonger la voie sans fin de l’individualisme… Assurément, l’analyse comme le remède que pointent les chercheurs sont assurément des pistes pour transformer le monde bien plus stimulantes que la perspective de voir s’épanouir et se renforcer les inégalités. </p>
<p>Hubert Guillaud</p>
