title: Extreme Athleticism Is the New Midlife Crisis
url: https://elemental.medium.com/extreme-athleticism-is-the-new-midlife-crisis-d87199a18bed
hash_url: 883b64b3ccd364314a36dd6fc1602eac

<p><span class="graf-dropCapText">T</span></span>he last thing I remember before passing out was the pain. It had overtaken everything, hunching my back, and curling my fingers into claws pecking out incoherent thoughts on my laptop before finally collapsing. It was 3 a.m. on the morning of my 43rd birthday, and depression had finally consumed me.</p><p name="15d5" id="15d5" class="graf graf--p graf-after--p">There was no clear reason as to why it was happening. Objectively, my life was good. I had a beautiful family, I owned my house, and I had a dream job covering the NBA. But I have lived with a form of mild chronic depression since I was a teenager, and depression has a way of taking everything that’s good and turning it against you. My job was a pressure cooker with endless travel and sleepless nights in hotels. My house felt like a 30-year millstone. My family tried to give me space, but all I really wanted to do was escape. That a lot of people would eagerly trade places with me only added to the feelings of guilt and negativity. I spiraled. Things had to change. I had to change.</p><p name="50fe" id="50fe" class="graf graf--p graf-after--p graf--trailing">I had been a runner for years, and it had long provided a rare respite from stress and anxiety, though it was paying diminishing returns. One day about a year ago, I noticed a trailhead that I had run by countless times without so much as a passing glance. It beckoned me to enter, and I did, plunging deep into the cool shadows of the forest. I ran until I was two towns over from where I began. I felt rejuvenated, at peace. I kept going. When I found my way out of the woods hours later, I told my wife that I was now a trail runner. Nine months later, I ran my first 50K on a cold, raw April day over 5,000 feet of vertical gain on a rugged, unmarked course.</p>

<p><span class="graf-dropCapText">In</span></span> 1957, a Canadian psychologist named Elliot Jacques presented a paper to the British Psychoanalytical Society on what he called the mid-life crisis. There it sat until 1965 when “Death and the Mid-life Crisis” was published in <em class="markup--em markup--p-em">The International Journal of Psychoanalysis</em>. Jacques’ theory was that as we approach middle age we begin to realize our own mortality, and then, consequently, we begin to freak out.</p><blockquote name="5c49" id="5c49" class="graf graf--pullquote graf-after--p">The focus is less on what happened before the crisis and more on what happens after.</blockquote><p name="a056" id="a056" class="graf graf--p graf-after--pullquote">There’s much debate over whether the phenomenon actually exists as a matter of science, but the idea makes intuitive sense. Getting older can trigger a kind of introspection, and often that introspection focuses on how much time has passed, how much is left, and what to do with it. That can create anxiety, and that anxiety can be multiplied by depression, stress, or good old-fashioned existential ennui.</p><p name="e06e" id="e06e" class="graf graf--p graf-after--p">For decades, the midlife crisis has been expressed in tired pop-culture tropes in which (usually) white men buy sports cars and carry on affairs with younger women in a doomed and desperate bid to feel young again. But increasingly, people are responding to the anxieties of middle age not by clinging to the last vestiges of expiring youth but to taking on challenges that seem to belong to the young alone: by pushing the limits of what they’re physically capable of through endurance athletics and extreme fitness. The focus is less on what happened before the crisis and more on what happens after. Call it the midlife correction.</p><p name="d794" id="d794" class="graf graf--p graf-after--p">Today, almost a third of all triathlon participants in the United States are between the ages of 40 and 49, according to the U.S. Triathlon organization. That’s the largest age demographic by decade and one of the most competitive. The same holds true for the Boston Marathon, where more than 8,200 runners in their 40s crossed the finish line in April, a little more than 31 percent of the total field. The largest field of competitors at the 2017 New York Marathon was between the ages of 40 and 44. In London in 2015, those 40–49 runners had faster overall times than the 20–29-year-olds.</p><p name="07eb" id="07eb" class="graf graf--p graf-after--p">The trail runners, bless their hippie souls, don’t keep as detailed records, but as the number of races has more than doubled over the last decade, so have the ranks of graybeards. <a href="https://www.wser.org/wp-content/uploads/research/Hoffman-Fogard.-Res-Sports-Med-2012.pdf" data-href="https://www.wser.org/wp-content/uploads/research/Hoffman-Fogard.-Res-Sports-Med-2012.pdf" class="markup--anchor markup--p-anchor" rel="noopener" target="_blank">A research paper</a> by Martin D. Hoffman and Kevin Fogard found that the average age of participants in 100-mile ultras was 44.</p><p name="2818" id="2818" class="graf graf--p graf-after--p graf--trailing">Of course, there’s no telling what motivates all people to push themselves like this, but from my experience and the experience of many athletes I’ve spoken to, extreme fitness is less about being young again and more about building yourself up for the years ahead. In other words, getting better at getting older.</p>
<p><span class="graf-dropCapText">F</span></span>or some, a midlife crisis arises from a fear that the weaknesses that have dogged you are not just temporary challenges to cope with, but a permanent part of who you are. The chance to confront those weaknesses and recognize the hold they have over us is a key benefit of ultra-marathons, Cross-Fit, or whatever other endurance sports people turn to.</p><p name="3ecb" id="3ecb" class="graf graf--p graf-after--p">Christine Cassara was one of these people. She and her husband were struggling with fertility issues, and at one appointment the doctor told her he’d rather treat a 40-year-old than someone who was obese. The cruelty of the comment took her aback. Cassara was pushing 40 and weighed 340 pounds.</p><p name="884a" id="884a" class="graf graf--p graf-after--p">After a couple of false starts, Cassara lost over 200 pounds with the help of a diet, but she worried about backsliding, so she tried running. Beginning with a couch-to-5K plan, she worked her way up to half marathons and signed up for a full marathon only to realize she didn’t actually like running all that much. A friend suggested triathlon, and she started small with pool laps, short bike rides, and mile runs. Cassara fell in love with the sport and completed Sprint and Olympic triathlons. In late August she traveled from her home in St. Petersburg, Florida, to Copenhagen for her first Iron Man.</p><p name="e299" id="e299" class="graf graf--p graf--startsWithDoubleQuote graf-after--p">“In the back of my mind I always considered myself a quitter,” Cassara says. “The most important thing it’s done in all aspects is to give me the will to continue and not quit.”</p><p name="1cc8" id="1cc8" class="graf graf--p graf-after--p">Others experience a midlife crisis as a sense of slackening, of lost focus, or ambition. That’s what Lisimba Patilla, a 44-year-old sales manager from Medina, Ohio, by way of Flint, Michigan, felt when he discovered triathlons. Three years ago,<strong class="markup--strong markup--p-strong"> </strong>the former Division-II college football player and track athlete worried he had grown complacent in life and was losing his edge.</p><p name="5056" id="5056" class="graf graf--p graf-after--p">On a business trip to Reno, a cousin recommended a book on triathlons, and Patilla was so inspired he called his wife and told her he was going to be a triathlete. There was one significant problem. He nearly drowned when was 12 and the experience left him so traumatized he wouldn’t let water from the shower hit his face.</p><p name="cd0c" id="cd0c" class="graf graf--p graf--startsWithDoubleQuote graf-after--p">“If you fall off your bike and get a wound on your leg, you can still get on that bike,” Patilla says. “When you have a traumatic experience, it puts a wound on your mind, and it becomes a recurring nightmare.”</p><p name="4ddc" id="4ddc" class="graf graf--p graf-after--p">Patilla bought the thickest wetsuit he could find and experimented with a half-dozen snorkels. In his first triathlon attempt, he made it 500 meters before being pulled out of the water. From that point on he told himself that he was going to swim like everyone else. Patilla went to a pool twice a day and learned how to swim in the shallow end. He competed again a few months later and completed his first sprint triathlon.</p><blockquote name="2cdd" id="2cdd" class="graf graf--pullquote graf-after--p">Extreme fitness is less about being young again and more about building yourself up for the years ahead.</blockquote><p name="cc89" id="cc89" class="graf graf--p graf--startsWithDoubleQuote graf-after--pullquote">“I can’t tell you I didn’t panic,” he says. “I can’t tell you a grown man didn’t cry. But I got through it. When I got done, I was exhausted, but I knew at that point I could do this.” He did, and in doing it, he gained a measure of clarity about what he’s capable of. “Triathlons don’t lie,” he says. “At 44 years old I need that.”</p><p name="3759" id="3759" class="graf graf--p graf-after--p">When Suzanna Smith-Horn burned out on the corporate lifestyle in her 40s, she sold her shares in her startup and quit her job. Her friends thought it sounded fantastic to have all that free time, but Smith-Horn struggled with the loss of identity. “The reality was that’s a really tough place to be,” she says. “Because you’re trying to figure out, what should I be doing in life? Who am I? What’s my purpose? I went into these places in life where I was pretty depressed.”</p><p name="d824" id="d824" class="graf graf--p graf-after--p">She started running, and her existential question was answered. She ran a marathon and then advanced from there to 100-mile races. With a career in tech sales, Smith-Horn, now 51, is able to work from her home in the Upper Valley of Vermont where she has access to a wide assortment of trail systems. There are days when it’s hard to get out the door, especially in the bitter cold of winter, she says, but after a few miles, her mind clears.</p><p name="743a" id="743a" class="graf graf--p graf--startsWithDoubleQuote graf-after--p">“Sometimes you’ll be like, where am I?” Smith-Horn says. “You’re in the zone. Nothing else really matters and you’re just there. It doesn’t come overnight. You learn every race, every trail. You’re constantly learning. You have to learn how do you take care of yourself. You really have to learn how to manage yourself for hours on end without a lot of support.”</p><p name="b8d2" id="b8d2" class="graf graf--p graf-after--p">This realization was hard-earned. During the winter of 2016, Smith-Horn slipped on a patch of ice and broke her neck. Her doctor told her that running was off limits and so was hiking, but she had the Grindstone 100, an ultramarathon, on her schedule that fall and that was non-negotiable. She walked every day for 4–5 hours with her neck brace to maintain her fitness.</p><p name="034c" id="034c" class="graf graf--p graf-after--p">Eight months after her fall, the 51-year-old finished the 100-mile race in the Allegheny Mountains, in just over 31 hours, beating half the field of finishers and coming in 10th among all female runners. Not that place has much relevance to her.</p><p name="7c62" id="7c62" class="graf graf--p graf--startsWithDoubleQuote graf-after--p graf--trailing">“I’m a 50-year-old middle of the pack,” she says before catching herself. “<em class="markup--em markup--p-em">Ehhhh</em>, I hold my own. Everyone has a story and there’s an importance to everyone who’s out there, whether they’re finishing a course in record time or the last one finishing. We’re all doing the same thing.”</p>
<p><span class="graf-dropCapText">T</span></span>here’s a moment in 100-mile races that ultrarunners call “the dark place.” It’s usually late in the race when everything goes to hell and you experience the greatest pain you will ever feel. When you arrive there, there’s nothing left to do but, “embrace the suck,” as sports psychologist Dolores Christensen put it.</p><blockquote name="9042" id="9042" class="graf graf--pullquote graf-after--p">A midlife crisis is a response to a dark place of a different kind.</blockquote><p name="fcd0" id="fcd0" class="graf graf--p graf-after--pullquote">For her dissertation, Christensen conducted a field study of 100 milers as they went through the race. She tracked their emotions and their levels of confidence as they journeyed through the various stages. What she found is that runners who were able to accept their pain and not see it as a threat were able to succeed on the trail.</p><p name="4a29" id="4a29" class="graf graf--p graf--startsWithDoubleQuote graf-after--p">“There’s really something transcendental about that experience,” she says. “People need to go to the edge. Somehow that’s good for us, to be reminded of our mortal limits.</p><p name="fc53" id="fc53" class="graf graf--p graf-after--p">When we push our body to that end it creates such a sense of compassion and gratitude for what your body can do. In doing that it honors the work and the energy and effort which drives us to do it again. That process regenerates itself.”</p><p name="01ee" id="01ee" class="graf graf--p graf-after--p">This, to me, cuts to the heart of the matter. A midlife crisis is a response to a dark place of a different kind. It could be the fear of mortality, or aimlessness, or futility, or obsolescence, or loss of self. You could view these things as threats, or you could accept them as part of your existence, and move forward.</p><p name="23de" id="23de" class="graf graf--p graf-after--p">What am I doing getting up with the sun and pushing my body farther than I ever thought possible? That question has been at the heart of my journey and I’ve had to confront hard truths along the way.</p><p name="9592" id="9592" class="graf graf--p graf-after--p">What I’ve come to understand is that depression has always defined me, even if very few people knew it was there. When those moods take over, I wrapped myself in a protective shell to keep them at bay. More often than not, I simply retreated from view where I could be alone with my inner turmoil. It’s an exhausting way to live and ultrarunning has focused my intentions beyond simply managing my symptoms.</p><p name="41ab" id="41ab" class="graf graf--p graf-after--p">The routine keeps me balanced, and I have gradually expanded it to include better nutrition and smarter strength training, along with yoga and meditation practice. Outside of family and work responsibilities, my life revolves around my training schedule.</p><p name="2d81" id="2d81" class="graf graf--p graf-after--p graf--trailing">If any of that gets out of whack, I start to feel the pull of the abyss. When it all locks into place, I feel like a modern day warrior. Achieving a healthier balance is what training is all about and no matter how far I go, I’ve finally accepted that I can’t outrun my depression, and I can’t live passively with them. So, I’m making it my training partner. It keeps me motivated to avoid the lows and grounded when I get too high. It will be with me for the rest of my life. All I can do is keep moving.</p>
