title: Carbon Ironies
url: https://thebaffler.com/latest/carbon-ironies-stephenson
hash_url: a8b9b40fbf4319b50732148b867f8537

<blockquote>
<p><em>I’ve not yet given up believing both that the world ought to be better and that we have a duty to construct methods of improvement.</em></p>
<p style="text-align: left;">—William T. Vollmann, “Introduction,” <em>Rising Up and Rising Down</em> (2003)</p>
<hr class="ns-section-break" />
<p><em>I did my arithmetic. . . . I threw up my hands.</em></p>
<p style="text-align: left;">—William T. Vollmann, “About Batteries and Fuel Cells,” <em>Carbon Ideologies, Volume II: No Good Alternative</em> (2018)</p>
</blockquote>
<hr class="ns-section-break" />
<p><span class="first-selection">Addressing an imagined reader </span>in the all-too-likely “hot dark world” of our all-too-near human future, William T. Vollmann begins his two-volume, twelve-hundred-plus-page <em>Carbon Ideologies</em> (the second volume of which was published last week) with a curious and characteristically audacious gambit. In the opening pages of <em>Volume I: No Immediate Danger</em>, as he sets out upon this tome concerning fossil fuels and nuclear energy, Vollmann explains: “I do my best to look as will the future upon the world in which I lived—namely, as surely, safely <em>vanished</em>. Nothing can be done to save it; therefore, nothing need be done. Hence this little book scrapes by without offering solutions. There were none; we had none.”</p>
<p>Some twelve hundred pages later, near the end of <em>Volume II: No Good Alternative</em>—having heard from coal miners and refinery workers, oil executives and nuclear engineers, fracking enthusiasts and carbon lobbyists, politicians and industry-captured regulators, residents of variously poisoned communities and even a few beleaguered activists—Vollmann beseeches his future reader to go easy on him and us. “If you could end up saying, ‘well, yes, we might have made the same mistakes as you, if we’d been lucky enough to live when you did,’ I’d feel that <em>Carbon Ideologies</em> had accomplished some of its purpose,” Vollmann writes. “How you judge us can mean nothing to us who are dead, but to <em>you</em> it might mean something, to accept that we were not all monsters; and forgiveness benefits the forgiver, so why wouldn’t I prefer you to call our doings mistakes instead of crimes?” But Vollmann suspects this is a bit much to ask. “Most likely,” he wearily admits, “you are a hard, angry person. . . . Beset by floods, droughts, diseases and insect plagues . . . fearing for your children in the face of multiplying perils, how can you feel anything better than impatient contempt for my daughter and me, who lived so wastefully for our own pleasure?”</p>
<p>Now, perhaps this is unfair, but it occurs to me that Vollmann’s imagined reader, sweating and hungry beside a dead, acidic ocean, may be entitled to ask why the author spent years of his comfortable (as he never tires of confessing) carbon-powered life writing a twelve-hundred-page book about energy and global warming without offering more than a dismissive hand-wave in the direction of “solutions” like solar, wind, geothermal, batteries, smart grids, etc.—at the very moment in history when such renewable energy technologies and their economics were beating all expectations. Well, it seems Mr. Vollmann simply doesn’t believe there’s anything we humans can do about a problem as big and complicated as climate change—after all, as a friendly pastor in West Virginia said to him<em>, the Earth is so large!</em> And even if there were, it would almost certainly require people like himself to engage politically and make some kind of sustained collective effort, which would be tedious and boring and difficult. And while it’s possible that the logically fallacious (see <em>tu quoque</em>) obsession with his own carbon complicity and supposed “hypocrisy” may offer him a convenient excuse for not lifting a finger, it may also be the case that he simply doesn’t want to look like the sentimental chump who falls for some hope-mongering twaddle about <em>fighting for humanity</em> and <em>not giving up on each other</em>, and all of that. Whatever the reason, he tells his misfortunate reader: “I am sorry.”</p>
<blockquote class="pullquote"><p>For all the darkly comic ironies and over-the-top absurdities, Vollmann is engaged in an earnest work of documentary reportage.</p></blockquote>
<p>I’m no Vollmannologist, no connoisseur of Vollmanniana, and thus unqualified to judge this book’s place within the monumental Vollmann <em>oeuvre</em>—whether, for example, it deserves mention alongside his National Book Award-winning novel, <em>Europe Central </em>(2005)—so please don’t consider this a serious assessment of its literary merits. I’ll leave that to the experts. However, I do feel compelled to say that, as much as I may quibble with Vollmann’s pre-ordained conclusions about our climate future and attendant responsibilities, I quite enjoyed these volumes—honestly! he’s a damn good writer!—and I heartily recommend nearly all twelve-hundred-some-odd pages to those who may actually have the time and inclination to read them.</p>
<p>One of the enjoyable things about this massive work is the way Vollmann employs irony, and that bluntest implement of irony called sarcasm, throughout the volumes. He can be quite humorous. You might even call this the <em>Infinite Jest</em> of climate books. Indeed, at some point deep into the weeds of <em>Carbon Ideologies</em>—perhaps a hundred and fifty pages into the first volume’s two-hundred-page data- and table-filled “Primer” on our carbon-fueled industrial economy and lifestyles—I had to stop and ask myself whether Vollmann was not simply fucking with me (duh!), and whether I’d missed some grand joke and was gamely, gullibly soldiering on through his forest of tables with their technical definitions and calculations and the countless footnotes with their lengthy caveats and sharp asides and erudite literary-historical citations. (Perhaps a small sampling from the Primer’s table of contents will convey the texture of this book’s computational adventures: “Power Wastage by Group-Driven Machine Tools, <em>ca.</em> 1945 . . . Power Wastage During Machining Operations at an Unspecified Toyota Factory, <em>ca.</em> 2000 . . . Power Wastage by Devices in Standby Mode, 2000-2010 . . . Per Capita Power Consumption, <em>ca.</em> 1925 and <em>ca.</em> 2014, <em>in multiples of the 1925 Japanese average</em> . . . Carbon Dioxide Emissions from Fuel Consumption, World and Selected Countries, 1971 and 2004, <em>in multiples of the U.S. percentage increase over that period</em> . . . Power Generation’s Share of Greenhouse Gas Emissions for Selected Countries, 2007-14, <em>in multiples of the 2012 European Union value</em> . . .” <em>et cetera ad absurdum</em>, you get the picture.)</p>
<p>Surely, I said to myself, Vollmann is not so cynical as to make an elaborate literary entertainment, a kind of ironic parlor game, out of the greatest human catastrophe of all time.</p>
<figure id="attachment_18415" style="width: 838px;" class="wp-caption aligncenter"><img class="wp-image-18415 size-large" src="http://48ic4g3gr5iyzszh237mlfcm-wpengine.netdna-ssl.com/wp-content/uploads/2018/06/Vollmann3-838x534.jpg" alt="" width="838" height="534" srcset="https://48ic4g3gr5iyzszh237mlfcm-wpengine.netdna-ssl.com/wp-content/uploads/2018/06/Vollmann3-838x534.jpg 838w, https://48ic4g3gr5iyzszh237mlfcm-wpengine.netdna-ssl.com/wp-content/uploads/2018/06/Vollmann3-400x255.jpg 400w, https://48ic4g3gr5iyzszh237mlfcm-wpengine.netdna-ssl.com/wp-content/uploads/2018/06/Vollmann3-768x489.jpg 768w, https://48ic4g3gr5iyzszh237mlfcm-wpengine.netdna-ssl.com/wp-content/uploads/2018/06/Vollmann3-700x446.jpg 700w, https://48ic4g3gr5iyzszh237mlfcm-wpengine.netdna-ssl.com/wp-content/uploads/2018/06/Vollmann3-350x223.jpg 350w, https://48ic4g3gr5iyzszh237mlfcm-wpengine.netdna-ssl.com/wp-content/uploads/2018/06/Vollmann3-450x287.jpg 450w, https://48ic4g3gr5iyzszh237mlfcm-wpengine.netdna-ssl.com/wp-content/uploads/2018/06/Vollmann3-500x319.jpg 500w, https://48ic4g3gr5iyzszh237mlfcm-wpengine.netdna-ssl.com/wp-content/uploads/2018/06/Vollmann3.jpg 1546w" sizes="(max-width: 838px) 100vw, 838px" /><figcaption class="wp-caption-text">Vollmann, Strand Bookstore, New York City, 2018. | <a href="https://www.youtube.com/watch?v=sAY3N1J5Iyc" target="blank">YouTube</a></figcaption></figure>
<p>Well, no, not exactly. With some relief, I came to realize that for all the darkly comic ironies and over-the-top absurdities, Vollmann was actually engaged in an earnest work of documentary reportage—with many of his own striking photographs to accompany the text—having traveled from the radioactive environs of Fukushima, Japan, to the oil-soaked towns of Oklahoma, the coal fields of West Virginia and Bangladesh, the fracked plains of Colorado, and the Persian Gulf refineries and migrant worker camps of Dubai, interviewing people of all classes and degrees of complicity at this precipitous moment for human civilization. This is the longest and nerdiest book about climate and energy I’ve ever read (and trust me, I’ve read a few), as well as the most useless (as Vollmann would no doubt admit), but in truth there’s something admirable, even noble, about the sheer amount of time and effort—and the sheer <em>humanity</em>—that went into these volumes. (Personally, as one whose own father worked as a roughneck in the West Texas oil patch putting himself through a small Christian college in the late-1940s, I have sincere respect for the way Vollmann genuinely and empathetically humanizes his subjects, warts—to put it kindly—and all.)</p>
<p>And yet, for all that I find enjoyable and admirable in Vollmann’s project, I’m also sharply opposed to his brand of climate fatalism, which seems to be symptomatic, a kind of irresistible temptation, among intellectuals and other expensively educated types these days. And it’s this sense of utter futility and resignation in the face of our human emergency which would seem to warrant a reply. Because Vollmann is correct on some important level, but only up to a point. To borrow the phrase he used in <em>Rising Up and Rising Down </em>(2003), his seven-volume moral treatise on violence—which, along with <em>Poor People</em> (2007), he considers a companion to <em>Carbon Ideologies</em>—his “moral calculus” here is fundamentally flawed, based as it is on a common misunderstanding or mischaracterization of the climate catastrophe.</p>
<hr class="ns-section-break" />
<p>Climate change has a way of bringing out the moralist in the most hardened cynic and the most complacent fatalist (believe me, friends, I have some experience in this area), so it should be no surprise that Vollmann—who, after all, is the author of the aforementioned seven-volume treatise—is concerned with the moral quandaries and complexities of our planetary predicament. (In fact, there’s even a section of <em>Rising Up and Rising Down</em>, referenced in <em>Carbon Ideologies</em>, in which he considers the possible justifications for violence in “defense of the Earth.” It’s complicated.)</p>
<p>And there’s a good bit that Vollmann gets right, or so it seems to me, in terms of the moral calculus on climate. This is especially the case in his vivid, often affecting, unerringly humane portraits of ordinary people caught up in the carbon system—and nowhere more so than in West Virginia, where the people he meets, at all social levels, have been literally poisoned by that system, indoctrinated and deceived by its ideologues, sacrificed on the altar of limitless profits and the so-called patriotic duty to “keep the lights on.” He knows there’s no moral equivalence between these folks and the executives, lobbyists, politicians, and revolving-door regulators who do everything in their considerable power—including pitiful appeals to victimhood—to keep the system humming along. So it’s satisfying when he drops all sarcasm near the end of the book and lays it on the line:</p>
<blockquote>
<p>Those who found themselves compelled by economics to be complicit in the production, distribution and consumption of harmful energies . . . were not especially at fault. For them, fossil fuels constituted sheer subsistence. . . . Even less could I accuse those who had not been educated to understand the almost invisibly approaching misery.</p>
<p>However, I began to believe that those who selfishly, maliciously or with gross negligence did harm ought to be singled out, shamed and maybe even . . . punished.—What constituted gross negligence? A parent who left a loaded gun in reach of a baby was surely responsible for the result. Those West Virginia officials, Colorado lobbyists and Oklahoma Chamber of Commerce types who publicly advanced the agendas of their chosen fossil fuels but refused to even acknowledge questions about global warming stood convicted, in my mind at least, of authoritarian partisanship. I would have heard their side; they were not even willing to <em>tell me</em> theirs, much less ask about mine. And they had power. . . . <em>These</em> are the ones, my friend. These are the ones who laid you low.</p>
</blockquote>
<p>(Given such exemplary moral clarity, I found it puzzling that Vollmann let one of his most important interviewees, former ConocoPhillips CEO Archie Dunham, entirely off the hook, failing to mention that Dunham—though apparently a very warm and courteous man who welcomed Vollmann into his home overlooking the Pacific Ocean—served as a director of the American Petroleum Institute. The API, if you don’t know, is one of the principal arms of <a href="https://insideclimatenews.org/news/22122015/exxon-mobil-oil-industry-peers-knew-about-climate-change-dangers-1970s-american-petroleum-institute-api-shell-chevron-texaco">the carbon lobby</a> and the <a href="https://insideclimatenews.org/news/22122017/big-oil-heartland-climate-science-misinformation-campaign-koch-api-trump-infographic">decades-long campaign</a> to mislead the public on climate science and obstruct any useful policies to rein in emissions. At the very least, it would seem that Mr. Dunham, no doubt a very nice person, was a willing accessory or onlooker to these unprecedented political crimes against humanity.)</p>
<p>Nevertheless, for a writer so finely attuned to the nuances of moral reasoning, Vollmann displays a surprisingly simplistic and binary view of the climate catastrophe.</p>
<blockquote class="pullquote"><p>Just how fucked &#8216;we&#8217; or &#8216;they&#8217; will be—that is, what kind of civilization, or any sort of social justice, will be possible in the coming centuries or decades—depends on many things.</p></blockquote>
<p>Yes, of course, we’re fucked. (Though it’s important to specify the “we” in this formulation, because the global poor, the disenfranchised, the young, and the yet-to-be-born are certifiably <em>far more fucked</em> than such affluent, white, middle-aged Americans as Vollmann and myself.) But here’s the thing: with climate change as with so much else, <em>all fuckedness is relative</em>. Climate catastrophe is not a binary <em>win</em> or <em>lose</em>, <em>solution</em> or <em>no-solution</em>, <em>fucked</em> or <em>not-fucked</em> situation. Just <em>how</em> <em>fucked</em> we/they will be—that is, what kind of civilization, or any sort of social justice, will be possible in the coming centuries or decades—depends on many things, including all sorts of historic, built-in systemic injustices we know all too well, and any number of contingencies we can’t foresee. But most of all it depends on <em>what we do right now</em>, in our lifetimes. And by that I mean: what we do <em>politically</em>, not only on climate but across the board, because large-scale political action—the kind that moves whole countries and economies in ways commensurate with the scale and urgency of the situation—has always been the only thing that matters here. (I really don’t care about your personal carbon footprint. I mean, please do try to lower it, because that’s a good thing to do, but fussing and guilt-tripping over one’s <em>individual</em> contribution to climate change is neither an intellectually nor a morally serious response to a <em>global systemic crisis</em>. That this still needs to be said in 2018 is, to say the least, somewhat disappointing.)</p>
<p>As experts (and other people, like me) have been saying for years now, it is almost certainly too late to prevent highly disruptive and, in many places, catastrophic climate change within this century, with all the human misery and death that will bring. But it’s also the case that <a href="https://www.vox.com/energy-and-environment/2017/4/7/15159034/100-renewable-energy-studies">rigorous analyses</a> (though you won’t find them in <em>Carbon Ideologies</em>) show how most of the world’s energy systems could in fact be <a href="https://www.vox.com/energy-and-environment/2018/5/7/17306008/global-warming-climate-change-scenarios-ambition">radically decarbonized</a> in the coming decades; that the barriers are not technological or economic; and that <a href="https://www.nature.com/magazine-assets/d41586-018-04931-6/d41586-018-04931-6.pdf">there are now signs</a> of the political and economic winds shifting globally, in spite of (and in response to) Donald Trump’s election. Are they shifting fast enough? Not even close. Is the carbon lobby still doing everything it can to obstruct and delay? Yes, by all means. And even if the world somehow miraculously moves as fast as possible between now and mid-century, as scientists are calling for, will it <em>prevent</em> dangerous and destabilizing climate disruption for centuries and possibly millennia to come? Probably not. In fact, achieving the vaunted Paris Agreement goals would actually require <a href="https://www.newyorker.com/magazine/2017/11/20/can-carbon-dioxide-removal-save-the-world">“negative emissions”</a> technologies, capable of pulling carbon dioxide out of the atmosphere on a vast scale, which remain largely speculative (not to say <a href="https://www.nature.com/news/talks-in-the-city-of-light-generate-more-heat-1.19074">fantasy</a>).</p>
<p>So, yes, Vollmann and other doomists are right that it’s a no-win situation—depending on what you mean by “win.” If you mean “stopping” or “solving” climate change and preserving the world as we’ve known it, then the climate fight was “lost” a long time ago, maybe before it began. And yet science also tells us that, even at this late date, some versions of “losing” could look far worse than others. <em>We can still lose less badly!</em> Not the most inspiring battle cry, perhaps, but when you understand the stakes—<a href="http://nymag.com/daily/intelligencer/2017/07/climate-change-earth-too-hot-for-humans.html">human survival</a>—still a cause worth lifting a finger for.</p>
<p>Scientists don’t really know with precision (which means William T. Vollmann doesn’t really know) where the atmospheric tipping points actually are, and whether we’ve already crossed some of them or soon will—see, for example, the accelerating collapse of Arctic sea ice and the melting permafrost—making worst-case scenarios unstoppable. Climate experts will tell you that every fraction of a degree of warming we prevent could be well worth the effort. So is it too late to prevent many catastrophic impacts across much of the world? Almost certainly. Is it too late to prevent the worst-case scenarios and thus <em>even greater suffering of billions more human beings?</em> Maybe. Maybe not. We don’t know. And that’s the point. As for the politics, maybe the obstacles really are insurmountable. <em>But maybe they’re not.</em> History shows that revolutionary change, both political and technological, is almost never foreseen—or even believed possible—by those living in the historical moment. Again, that’s the point. We <em>don’t know</em> exactly when it will be “too late” (“too late <em>for</em> <em>what</em>?,” we should always ask), or what may be possible if we <a href="https://www.thenation.com/article/dispatches-from-the-front-lines-of-the-climate-justice-movement/">keep pushing</a> <a href="https://www.thenation.com/article/climate-disobedience-in-the-time-of-trump/">hard</a> <a href="https://www.thenation.com/article/what-will-it-take-to-force-a-real-conversation-about-climate-change/">enough</a>.</p>
<p>If you’re comfortable throwing up your hands and doing nothing in the face of this kind of uncertainty, very well; it’s your choice. Vollmann won’t think any less of you, and quite honestly, neither will I. Political action, sustained commitment, sacrifice—these are a lot to ask of anyone. But please don’t take moral comfort from assurances that there is nothing to be done. There’s plenty.</p>
<blockquote class="pullquote"><p>Scientists don’t really know with precision (which means William T. Vollmann doesn’t really know) where the atmospheric tipping points actually are, and whether we’ve already crossed some of them or soon will.</p></blockquote>
<p>Which is one reason it’s too bad that Vollmann, though he does profile a few seemingly isolated activists fighting the Carbon Goliaths in West Virginia and Colorado and Bangladesh, never acknowledges the existence of the global grassroots climate movement that has become a serious force over the past decade. In case you’re unaware, this is the bottom-up movement that has not only stopped fossil-fuel mega-projects like the Keystone XL pipeline, Pacific Northwest coal export terminals, and regional fracked-gas infrastructure in the Northeast, with thousands of ordinary citizens putting their bodies on the line—and hundreds of thousands coming into the streets—to do so. It’s also the movement that’s pushed global institutions with <a href="https://gofossilfree.org/divestment/commitments/">more than $6 trillion in assets</a> to divest from the fossil-fuel industry, fundamentally altering the conversation on climate and carbon—bringing concepts like <a href="https://www.carbontracker.org/bank-of-england-warns-stranded-assets-pose-threat-to-financial-stability/">“stranded assets”</a> and <a href="https://www.theguardian.com/environment/2018/jun/04/carbon-bubble-could-spark-global-financial-crisis-study-warns">“carbon bubble”</a> into the mainstream (but not into <em>Carbon Ideologies</em>)—putting the industry’s political culpability and its criminally reckless business model front and center, even beginning to <a href="https://theconversation.com/how-divesting-of-fossil-fuels-could-help-save-the-planet-88147">hurt its bottom line</a>. These are no small accomplishments.</p>
<p>But there’s plenty to be done, too, for those who can’t see themselves as climate activists—because the <a href="https://www.poorpeoplescampaign.org/demands/">basic political struggles</a> for democracy and human rights, in this country and around the world, are as central to our climate future as the fights to keep carbon in the ground. For those who must try to adapt and live through what’s coming—including Vollmann’s daughter and my own kids—there won’t be any climate justice, or any justice at all, no matter what the global temperature may be, if we lose our democracy.</p>
<p>Unfortunately, many of the sort of educated, literate folks Vollmann is writing for don’t seem to understand all this. Or maybe they don’t want to understand. Perhaps they prefer to look away. It’s so much easier to tell oneself the game is up, that nothing can be done, that nothing ever could have been done, so why bother? It’s perversely comforting to wallow in tragic-ironic guilt over one’s carbon complicity, using it as a pathetic excuse.</p>
<p>The fact that there’s no purity and no “solution” (a word that should be struck from the climate lexicon) in the simplistic binary sense doesn’t mean that nothing can or should be done, even at this late date, even in the face of catastrophe on some unknowable schedule and scale—<em>especially</em> if you care at all about your fellow human inhabitants of this planet, as William T. Vollmann most clearly, and unironically, does. If nothing else, just <a href="https://lareviewofbooks.org/article/learning-to-live-in-the-dark-reading-arendt-in-the-time-of-climate-change/">holding onto our humanity</a> as we sweat in the dark ought to keep us busy.</p>
