title: Enquête. Ce que veut vraiment l’Etat islamique
url: http://www.courrierinternational.com/article/enquete-ce-que-veut-vraiment-letat-islamique
hash_url: adafe14a4658334499021bb9bfc43406

<p>Qu’est-ce que l’Etat islamique [<span class="caps">EI</span>, Daech en arabe] ? D’où vient cette organisation et quelles sont ses intentions ? La simplicité de ces questions peut être trompeuse, et rares sont les dirigeants occidentaux qui connaissent les réponses. En décembre 2014, <em>The</em> <em>New York Times</em> a publié des remarques confidentielles du général Michael K. Nagata, commandant des opérations spéciales pour les Etats-Unis au Moyen-Orient, qui admettait être encore très loin de comprendre l’attrait exercé par l’Etat islamique. “Nous ne comprenons pas cette idéologie.”</p>
<p>L’organisation s’est emparée de Mossoul, en Irak, en juin 2014 et règne déjà sur une zone plus vaste que le Royaume-Uni. A sa tête depuis mai 2010, Abou Bakr Al-Baghdadi est monté le 5 juillet 2014 à la chaire de la Grande Mosquée Al-Nour, à Mossoul, en se présentant comme le premier calife depuis des générations. Il s’en est suivi un afflux mondial de djihadistes, d’une rapidité et dans des proportions sans précédent.</p>
<p>Nos lacunes sur l’<span class="caps">EI</span> sont d’une certaine façon compréhensibles : l’organisation a fondé un royaume isolé et peu de gens en sont revenus. Abou Bakr Al-Baghdadi ne s’est exprimé qu’une seule fois devant une caméra. Mais son discours ainsi que d’innombrables vidéos et brochures de propagande de l’<span class="caps">EI</span> sont accessibles sur Internet et les sympathisants du califat se sont donné beaucoup de mal pour faire connaître leur projet.</p><p>
Nous avons mal compris la nature de l’</p><span class="caps">EI</span><p> pour deux raisons. Tout d’abord, nous avons tendance à appliquer la logique d’Al-Qaida à une organisation qui l’a clairement éclipsé. Les sympathisants de l’</p><span class="caps">EI</span><p> avec qui j’ai discuté font toujours référence à Oussama Ben Laden sous le titre honorifique de “cheikh Oussama”, mais le djihadisme a évolué depuis l’âge d’or d’Al-Qaida (de 1998 à 2003) et nombreux sont les djihadistes qui méprisent les priorités et les dirigeants actuels de l’organisation.
</p><p>Oussama Ben Laden considérait le terrorisme comme un prologue au califat, qu’il ne pensait pas connaître de son vivant. Son organisation était informelle, constituée d’un réseau diffus de cellules autonomes. L’<span class="caps">EI</span>, au contraire, a besoin d’un territoire pour asseoir sa légitimité, ainsi que d’une structure hiérarchisée pour y régner.</p>
<p>En second lieu, nous avons été induits en erreur à cause d’une campagne bien intentionnée mais de mauvaise foi visant à nier la nature religieuse médiévale de l’<span class="caps">EI</span>. Peter Bergen, qui a produit la première interview avec Ben Laden en 1997, a intitulé son premier ouvrage <em>Guerre sainte, multinationale</em> [éd. Gallimard, 2002], notamment pour affirmer que le leader d’Al-Qaida était un produit du monde laïc moderne.</p>
<p>Ben Laden a organisé la terreur sous la forme d’une entreprise comptant des franchises. Il exigeait des concessions politiques précises, comme le retrait des troupes américaines d’Arabie Saoudite. Le dernier jour de sa vie, Mohamed Atta [l’un des responsables des attentats du 11 septembre 2001] a fait des courses à Walmart et dîné à Pizza Hut.</p>
<p><strong>Mahomet à la lettre</strong></p>
<p>Il est tentant de reprendre cette observation – les djihadistes sont issus du monde laïc moderne, avec des préoccupations politiques de leur temps, mais déguisés avec des habits religieux – pour l’appliquer à l’<span class="caps">EI</span>. Pourtant, beaucoup de ses actions paraissent insensées si on ne les envisage pas à la lumière d’une détermination sincère à faire revenir la civilisation à un régime juridique du <span class="caps">VII</span><sup>e</sup> siècle et à faire advenir, à terme, l’apocalypse.</p>
<p>La vérité est que l’<span class="caps">EI</span> est islamique. Très islamique. Certes, le mouvement a attiré des psychopathes et des gens en quête d’aventures, souvent issus des populations défavorisées du Moyen-Orient et d’Europe. Mais la religion que prêchent les plus fervents partisans de l’<span class="caps">EI</span> est issue d’interprétations cohérentes et même instruites de l’islam.</p>
<p>Presque chaque grande décision ou loi proclamée par l’<span class="caps">EI</span> obéit à ce qu’il appelle la “méthodologie prophétique”, qui implique de suivre la prophétie et l’exemple de Mahomet à la lettre. Les musulmans peuvent rejeter l’<span class="caps">EI</span>, comme le fait l’écrasante majorité d’entre eux. Néanmoins, prétendre que ce n’est pas une organisation religieuse millénariste dont la théologie doit être comprise pour être combattue a déjà conduit les Etats-Unis à sous-estimer l’organisation et à soutenir des plans mal pensés pour la contrer.</p>
<p>Nous devons apprendre à mieux connaître la généalogie intellectuelle de l’<span class="caps">EI</span> si nous voulons réagir non pas de façon à le rendre plus fort, mais plutôt de façon à faire qu’il s’immole lui-même dans un excès de zèle.</p>
<p><strong>I. Dévotion</strong></p>
<p>En novembre 2014, l’<span class="caps">EI</span> a diffusé une vidéo de promotion retraçant ses origines jusqu’à Ben Laden. Le film mentionnait Abou Moussab Al-Zarqaoui, le violent dirigeant d’Al-Qaida en Irak de 2003 jusqu’à sa mort, en 2006, faisant de lui un mentor plus direct. Il citait également deux autres chefs de guérillas ayant précédé Abou Bakr Al-Baghdadi, le calife. Aucune mention en revanche du successeur de Ben Laden et dirigeant actuel d’Al-Qaida, le chirurgien ophtalmologiste égyptien Ayman Al-Zawahiri.</p>
<p>Al-Zawahiri n’a pas fait allégeance à Abou Bakr Al-Baghdadi et il est de plus en plus haï par ses confrères djihadistes. Son isolement est renforcé par son manque de charisme. Mais la rupture entre Al-Qaida et l’<span class="caps">EI</span> est amorcée depuis longtemps.</p>
<p>Une autre figure importante est aujourd’hui en disgrâce : Abu Muhammad Al-Maqdisi, un religieux jordanien de 55 ans qui est l’un des grands architectes intellectuels d’Al-Qaida. Sur presque toutes les questions de doctrine, Al-Maqdisi et l’<span class="caps">EI</span> sont d’accord. Ils sont étroitement liés à l’aile djihadiste d’une branche du sunnisme appelée le salafisme, d’après l’expression arabe <em>al salaf al salih,</em> “les pieux devanciers”. Ces “devanciers” sont le Prophète lui-même et ses premiers disciples, que les salafistes honorent et imitent.</p>
<p>Al-Maqdisi a été le mentor d’Al-Zarqaoui, qui est allé en Irak avec ses conseils en tête. Avec le temps, l’élève a toutefois surpassé son maître, qui a fini par le critiquer. Leur contentieux concernait le penchant d’Al-Zarqaoui pour les spectacles sanglants – et, d’un point de vue doctrinaire, sa haine des musulmans non salafistes, qui allait jusqu’à les excommunier et les exécuter.</p>
<p>Dans l’islam, le <em>takfîr</em>, ou excommunication, est une pratique dangereuse d’un point de vue théologique. Si l’accusateur a tort, alors il est lui-même apostat car il s’est rendu coupable d’une fausse accusation – un acte puni de mort. Et pourtant, Abou Moussab Al-Zarqaoui a imprudemment allongé la liste des comportements pouvant rendre les musulmans infidèles.</p><em>Abou Bakr Al-Baghdadi, chef de l’organisation Etat islamique dans une capture d’écran d’une vidéo diffusée le 5 juillet 2014 et tournée à la mosquée de Mossul, en Irak, quelques jours auparavant, le 29 juin - </em><span class="caps">AL</span><p>-</p><span class="caps">FURQAN</span> <span class="caps">MEDIA</span><p>/</p><span class="caps">HO</span><p>/</p><span class="caps">AFP</span>
<p>Abu Muhammad Al-Maqdisi a écrit à son ancien élève qu’il devait se montrer prudent et ne pas “émettre de larges proclamations de <em>takfîr</em>” ou “déclarer des personnes coupables d’apostasie en raison de leurs péchés”. La distinction entre apostat et pécheur est un des désaccords fondamentaux entre Al-Qaida et l’<span class="caps">EI</span>.</p>
<p>Nier la sainteté du Coran ou les prophéties de Mahomet relève clairement de l’apostasie. Mais Abou Moussab Al-Zarqaoui et l’organisation qu’il a créée estiment que de nombreux actes peuvent justifier d’exclure un musulman de l’islam, comme vendre de l’alcool et des drogues, porter des vêtements occidentaux, se raser la barbe ou encore voter lors d’une élection.</p>
<p>Etre chiite est aussi un motif d’exclusion, car l’<span class="caps">EI</span> estime que le chiisme est une innovation, or innover par rapport au Coran revient à nier sa perfection initiale. Ainsi quelque 200 millions de chiites sont menacés de mort. Il en va de même pour les chefs d’Etat de tous les pays musulmans, qui ont élevé le droit des hommes au dessus de la charia en se présentant à des élections ou en appliquant des lois qui ne viennent pas de Dieu.</p>
<p>Conformément à sa doctrine sur l’excommunication, l’<span class="caps">EI</span> s’engage à purifier le monde en exterminant de larges groupes de personnes. Les publications sur les réseaux sociaux laissent penser que les exécutions individuelles se déroulent plus ou moins en continu et que des exécutions de masse sont organisées à quelques semaines d’intervalle. Les “apostats” musulmans sont les victimes les plus nombreuses. Il semble en revanche que les chrétiens qui ne résistent pas au nouveau pouvoir échappent à l’exécution automatique. Abou Bakr Al-Baghdadi les laisse vivre tant qu’ils paient un impôt spécial, appelé <em>jizya,</em> et qu’ils se soumettent.</p>
<p><strong>Retour à un islam “ancien”</strong></p>
<p>Des siècles se sont écoulés depuis la fin des guerres de religion en Europe. Depuis, les hommes ont cessé de mourir en masse pour d’obscurs différends théologiques. C’est peut-être pour cette raison que les Occidentaux ont accueilli la théologie et les pratiques de l’<span class="caps">EI</span> avec tant d’incrédulité et un tel déni.</p>
<p>De nombreuses organisations musulmanes traditionnelles sont même allées jusqu’à affirmer que l’<span class="caps">EI</span> était “contraire à l’islam”. Toutefois, les musulmans qui emploient cette expression sont souvent “embarrassés et politiquement corrects, avec une vision naïve de leur religion” qui néglige “ce qu’elle a impliqué, historiquement et juridiquement”, suggère Bernard Haykel, chercheur de Princeton d’origine libanaise et expert de premier plan sur la théologie de l’<span class="caps">EI</span>.</p>
<p>Tous les universitaires à qui j’ai posé des questions sur l’idéologie de l’<span class="caps">EI</span> m’ont renvoyé vers Bernard Haykel. Selon ce dernier, les rangs de l’<span class="caps">EI</span> sont profondément imprégnés d’ardeur religieuse. Les citations du Coran sont omniprésentes. Pour lui, l’argument selon lequel l’<span class="caps">EI</span> a déformé les textes de l’islam est grotesque et on ne peut le soutenir que par ignorance volontaire. “Les gens veulent absoudre l’islam, explique-t-il, d’où le mantra affirmant que ‘l’islam est une religion pacifique’. Comme s’il existait un ‘islam’ ! Ce qui compte, c’est ce que font les musulmans et comment ils interprètent leurs textes. Les membres de l’<span class="caps">EI</span> ont la même légitimité que n’importe qui d’autre.”<br/>
Tous les musulmans reconnaissent que les premières conquêtes de Mahomet ont été chaotiques et que les lois de la guerre transmises par le Coran et les récits sur le règne du Prophète étaient adaptées à une époque troublée et violente. Bernard Haykel estime que les combattants de l’<span class="caps">EI</span> représentent un authentique retour à un islam ancien et qu’ils reproduisent fidèlement ses pratiques guerrières. Cela englobe un certain nombre de pratiques que les musulmans modernes préfèrent ne pas reconnaître comme faisant partie intégrante de leurs textes sacrés.</p>
<blockquote><p>
“L’esclavage, la crucifixion et les décapitations ne sont pas des éléments que des [djihadistes] fous sélectionneraient dans la tradition médiévale”, affirme Bernard Haykel. Les combattants de l’<span class="caps">EI</span> sont “en plein dans la tradition médiévale et ils la transposent dans son intégralité à l’époque contemporaine”.
</p></blockquote>
<p>
Le Coran précise que la crucifixion est l’une des seules sanctions permises contre les ennemis de l’islam. La taxe imposée aux chrétiens est clairement légitimée par la sourate At-Tawbah, neuvième chapitre du Coran, qui intime aux musulmans de combattre les chrétiens et les juifs “jusqu’à ce qu’ils versent la capitation [la taxe] de leurs propres mains, après s’être humiliés”.</p>
<p>Lorsque l’<span class="caps">EI</span> a commencé à réduire des gens en esclavage, même certains de ses sympathisants ont renâclé. Néanmoins, le califat a continué à pratiquer l’asservissement et la crucifixion. “Nous conquerrons votre Rome, briserons vos croix et asservirons vos femmes, a promis Mohamed Al-Adnani, porte-parole de l’<span class="caps">EI</span>, dans l’un des messages qu’il a adressés à l’Occident. Si nous n’y parvenons pas, nos enfants et nos petits-enfants y parviendront. Et ils vendront vos fils sur le marché aux esclaves.”</p>
<p><strong><span class="caps">II</span>. Territoire</strong></p>
<p>En novembre 2014, je me suis rendu en Australie pour rencontrer Musa Cerantonio, un trentenaire identifié comme l’une des deux plus importantes “nouvelles autorités spirituelles” guidant les étrangers pour qu’ils rejoignent l’<span class="caps">EI</span>. Pendant trois ans, il a été télévangéliste sur Iqraa <span class="caps">TV</span>, au Caire, mais il est parti quand la chaîne a contesté ses appels fréquents à la création d’un califat. Maintenant, il prêche sur Facebook et Twitter.</p>
<p>Musa Cerantonio, un homme grand et avenant à l’air studieux, raconte qu’il blêmit à la vue des vidéos de décapitations. Il déteste voir la violence, même si les sympathisants de l’<span class="caps">EI</span> sont contraints de la soutenir. Il a une barbe broussailleuse qui rappelle certains fans du <em>Seigneur des anneaux,</em> et son obsession pour l’idéologie apocalyptique de l’islam m’était familière.</p>
<p>En juin 2014, Musa Cerantonio et son épouse ont tenté d’émigrer – il n’a pas précisé où (“Il est illégal de partir en Syrie”, précise-t-il méfiant) – mais ils ont été arrêtés en route, aux Philippines, et expulsés vers l’Australie. En Australie, chercher à rejoindre l’<span class="caps">EI</span> ou se rendre sur son territoire est une infraction ; le gouvernement a donc confisqué le passeport de Musa Cerantonio. Jusqu’à présent, toutefois, il est libre. C’est un idéologue sans affiliation officielle, mais dont la parole fait autorité auprès des autres djihadistes pour ce qui touche à la doctrine de l’<span class="caps">EI</span>.</p>
<p>Nous nous sommes donné rendez-vous pour déjeuner à Footscray, une banlieue multiculturelle très peuplée de Melbourne. Musa Cerantonio a grandi là, dans une famille italo-irlandaise.</p><em>Musa Cerantonio, prédicateur de l’Etat islamique - </em><p>Capture d’écran de YouTube
</p><p>Il me raconte sa joie lorsque Abou Bakr Al-Baghdadi a été déclaré calife, le 29 juin 2014, ainsi que l’attraction que l’Irak et la Syrie ont commencé à exercer sur lui et ses amis. “J’étais dans un hôtel [aux Philippines] et j’ai vu la déclaration à la télévision. J’étais ébahi et je me disais ‘Qu’est-ce que je fais coincé dans cette foutue chambre ?’”</p>
<p>Le dernier califat historique est l’Empire ottoman, qui a connu son âge d’or au <span class="caps">XVI</span><sup>e</sup> siècle, avant de subir un long déclin jusqu’à sa disparition en 1924. Mais Musa Cerantonio, comme de nombreux sympathisants de l’<span class="caps">EI</span>, met en doute la légitimité de ce califat, car il n’appliquait pas intégralement la loi islamique, qui requiert lapidation, esclavage et amputations, et parce que ses califes ne descendaient pas de la tribu du Prophète, les Quraychites.</p>
<p>Abou Bakr Al-Baghdadi a longuement insisté sur l’importance du califat dans le sermon qu’il a prononcé à Mossoul. Il a expliqué que faire renaître l’institution du califat – qui n’a existé que de nom pendant environ mille ans – était une obligation commune. Lui et ses fidèles s’étaient “empressés de déclarer le califat et de nommer un imam” à sa tête, a-t-il déclaré. “C’est le devoir des musulmans, un devoir qui a été négligé pendant des siècles… Les musulmans commettent un péché en l’oubliant et ils doivent constamment chercher à l’établir.”</p>
<p>Comme Oussama Ben Laden avant lui, Abou Bakr Al-Baghdadi s’exprime avec emphase, utilisant de nombreuses allusions coraniques et en affichant une grande maîtrise de la rhétorique classique. Mais contrairement à Ben Laden et aux faux califes de l’Empire ottoman, il est Quraychite.</p>
<p>Le califat, m’a expliqué Musa Cerantonio, n’est pas uniquement une entité politique mais également un véhicule du salut. La propagande de l’<span class="caps">EI</span> relaie régulièrement les serments de <em>bay’a</em> (allégeance) des autres organisations djihadistes. Musa Cerantonio m’a cité un proverbe attribué au Prophète selon lequel mourir sans avoir fait vœu d’allégeance revient à mourir <em>jahil</em> (ignorant) et donc à “mourir hors de la foi”.</p><em>Le prédicateur Musa Cerantonio - </em><p>Capture d’écran de YouTube 
</p><p>Pour être calife, il faut remplir les conditions précisées par le droit sunnite : être un homme musulman adulte descendant de Quraych, manifester une probité morale, une intégrité physique et mentale, et faire preuve de <em>’amr</em>, c’est-à-dire d’autorité. Ce dernier critère, selon Musa Cerantonio, est le plus difficile à remplir, et il exige que le calife ait un territoire sur lequel faire régner la loi islamique.</p>
<p>Après le sermon d’Abou Bakr Al-Baghdadi, les djihadistes ont commencé à affluer quotidiennement en Syrie, plus motivés que jamais. Jürgen Todenhöfer, auteur allemand et ancienne figure politique qui s’est rendu dans les territoires contrôlés par l’<span class="caps">EI</span> en décembre 2014, a déclaré avoir vu affluer, en deux jours seulement, 100 combattants au poste de recrutement installé sur la frontière turque.</p>
<p>A Londres, une semaine qui a précédé mon déjeuner avec Musa Cerantonio, j’ai rencontré trois anciens membres d’un groupe islamiste interdit appelé Al-Muhajiroun (Les émigrés) : Anjem Choudary, Abu Baraa et Abdul Muhid. Tous trois souhaitaient émigrer pour rejoindre l’<span class="caps">EI</span>, mais les autorités ont confisqué leurs passeports. Comme Musa Cerantonio, ils considéraient le califat comme le seul gouvernement légitime. Dans nos entretiens, leur principal objectif était de m’expliquer ce que représente l’<span class="caps">EI</span> et en quoi sa politique reflète la loi de Dieu.</p>
<p>Anjem Choudary, 48 ans, est l’ancien chef du groupe. Il apparaît souvent dans les émissions d’information sur le câble car il est l’une des seules personnes que les producteurs peuvent inviter en étant assurés qu’il défendra l’<span class="caps">EI</span> avec véhémence – jusqu’à ce qu’on coupe son micro. Au Royaume-Uni, il a une réputation de détestable fanfaron, mais lui et ses disciples croient sincèrement en l’<span class="caps">EI</span> et ils diffusent sa doctrine. Anjem Choudary et consorts sont très présents sur les fils Twitter des habitants des territoires contrôlés par l’<span class="caps">EI</span> et Abu Baraa gère une chaîne YouTube pour répondre aux questions sur la charia.</p>
<p><a href="http://production.courrierinternational.com/sites/ci_master/files/styles/ci_cropped_original_size/public/assets/images/1271-daechsyrieirak.jpg?itok=pHEFwQXn" target="_blank"> Cliquer sur la carte pour l’agrandir</a></p><p>
Depuis septembre 2014, les autorités mènent une enquête sur ces trois hommes, qui sont soupçonnés d’apologie du terrorisme. En raison de cette enquête, ils ont dû me rencontrer un par un : toute communication entre eux aurait enfreint les termes de leur liberté conditionnelle. Anjem Choudary m’a donné rendez-vous dans une confiserie de la banlieue d’Ilford, à l’est de Londres.
</p><p><strong>Logement gratuit pour tous</strong></p>
<p>Avant le califat, “environ 85 % de la charia n’était pas appliquée, m’explique-t-il. Ces lois étaient en suspens jusqu’à ce que nous ayons un <em>khilafa</em> [un califat], et c’est maintenant le cas”. Sans califat, par exemple, il n’y a pas d’obligation d’amputer les mains des voleurs pris en flagrant délit. Avec l’établissement d’un califat, cette loi ainsi que toute une jurisprudence reprennent soudain vie. En théorie, tous les musulmans sont obligés d’émigrer vers  le territoire où le calife applique ces lois.</p>
<p>Anjem Choudary affirme que la charia est mal comprise en raison de son application incomplète par des régimes comme l’Arabie Saoudite, qui décapite les meurtriers et ampute les mains des voleurs.</p>
<blockquote><p>
<br/>
“Le problème, explique-t-il, c’est que des pays comme l’Arabie Saoudite appliquent uniquement le code pénal et ne mettent pas en œuvre la justice socio-économique de la charia. Et ils ne font qu’engendrer de la haine pour la loi islamique.”
</p></blockquote>
<p>
Cet ensemble de mesures, selon lui, inclut la gratuité pour tous du logement, de la nourriture et des vêtements, même si tout le monde a bien sûr le droit de travailler pour s’enrichir.</p>
<p>Abdul Muhid, 32 ans, a prolongé cette réflexion. Il portait une élégante tenue moudjahidine lorsque je l’ai retrouvé dans un restaurant local : barbe broussailleuse, chapeau afghan et portefeuille porté dans ce qui ressemblait à un étui de revolver à l’épaule. Il avait à cœur d’aborder la question des aides sociales. L’<span class="caps">EI</span> applique peut-être des sanctions médiévales contre les crimes moraux, mais son programme d’aides sociales est, du moins à certains égards, suffisamment progressiste pour plaire à des commentateurs de gauche. Les soins de santé, affirme-t-il, sont gratuits. Fournir des aides sociales n’était pas selon lui un choix politique, mais une obligation en vertu de la loi de Dieu.</p>
<p><strong><span class="caps">III</span>. L’apocalypse</strong></p>
<p>Tous les musulmans reconnaissent que Dieu est le seul à savoir de quoi sera fait l’avenir. Ils s’accordent aussi à dire qu’il nous en a offert un aperçu dans le Coran et les récits du Prophète. L’<span class="caps">EI</span> s’écarte cependant de presque tous les autres mouvements djihadistes actuels car il pense être le personnage central des textes sacrés.</p>
<p>Oussama Ben Laden mentionnait rarement l’apocalypse et, quand c’était le cas, il semblait partir du principe qu’il serait mort depuis longtemps quand le glorieux châtiment divin se produirait enfin. “Ben Laden et Al-Zawahiri sont issus de familles sunnites appartenant à l’élite, qui méprisent ces spéculations et les voient comme une préoccupation des masses”, affirme Will McCants, qui travaille pour la Brookings Institution et écrit un livre sur la pensée apocalyptique de l’<span class="caps">EI</span>.</p>
<p>Pendant les dernières années de l’occupation américaine en Irak, les fondateurs directs de l’<span class="caps">EI</span> voyaient, au contraire, de nombreux signes de la fin des temps. Ils s’attendaient à l’arrivée sous un an du Mahdi, la figure messianique destinée à conduire les musulmans vers la victoire avant la fin du monde.</p>
<p>Pour certains croyants – ceux qui rêvent de batailles épiques entre le bien et le mal – les visions de massacres apocalyptiques répondent à un profond besoin psychologique. Parmi les sympathisants de l’<span class="caps">EI</span> que j’ai rencontrés, c’est Musa Cerantonio, l’Australien, qui a exprimé le plus grand intérêt pour l’apocalypse. Certains aspects de cette prédiction lui sont propres et n’ont pas encore le statut de doctrine. D’autres éléments viennent de sources sunnites traditionnelles et apparaissent partout dans la propagande de l’<span class="caps">EI</span>. Il s’agit notamment de la croyance qu’il n’y aura que 12 califes légitimes (Abou Bakr Al-Baghdadi étant le huitième), que les armées de Rome se rassembleront pour affronter les armées de l’islam dans le nord de la Syrie et que la grande bataille finale de l’islam contre un anti-messie se déroulera à Jérusalem après une dernière période de conquête islamique.</p>
<p><strong>La bataille de Dabiq</strong></p>
<p>L’<span class="caps">EI</span> accorde une importance cruciale à la ville syrienne de Dabiq, près d’Alep. Il a nommé son magazine de propagande d’après elle et il a organisé de folles célébrations après avoir conquis (non sans mal) les plaines de Dabiq, qui sont inutiles d’un point de vue stratégique. C’est ici, aurait déclaré le Prophète, que les armées de Rome installeront leur camp. Les armées de l’islam les y affronteront et Dabiq sera pour Rome l’équivalent de Waterloo.</p>
<p>Les propagandistes de l’<span class="caps">EI</span> se pâment à cette idée et sous-entendent constamment que cet événement se produira sous peu. Le magazine de l’<span class="caps">EI</span> cite Abou Moussab Al-Zarqaoui, qui aurait déclaré : “L’étincelle a été allumée ici, en Irak, et sa chaleur continuera de s’intensifier jusqu’à brûler les armées des croisés à Dabiq.” Maintenant qu’il s’est emparé de Dabiq, l’<span class="caps">EI</span> y attend l’arrivée d’une armée ennemie, dont la défaite déclenchera le compte à rebours précédant l’apocalypse. “Nous enterrons le premier croisé américain à Dabiq et nous attendons avec impatience l’arrivée du reste de vos armées”, a proclamé un bourreau masqué dans une vidéo de novembre 2014 montrant la tête tranchée de Peter Kassig, travailleur humanitaire qui était retenu en otage depuis 2013.</p>
<p>Après la bataille de Dabiq, explique Musa Cerantonio, le califat s’agrandira et ses armées pilleront Istanbul. Certains pensent qu’il se lancera ensuite à la conquête de la Terre entière, mais Musa Cerantonio estime qu’il ne dépassera jamais le Bosphore. Dajjal, un anti-messie de la littérature musulmane apocalyptique, arrivera de la région du Khorasan, à l’est de l’Iran, et tuera un grand nombre des combattants du califat jusqu’à ce qu’il n’en reste que 5 000, piégés à Jérusalem. Alors que Dajjal se préparera à les éliminer, Jésus – le deuxième Prophète le plus vénéré dans l’islam – reviendra sur Terre, transpercera Dajjal d’une lance et conduira les musulmans jusqu’à la victoire.</p>
<p>Selon cette théorie, même les revers essuyés par l’<span class="caps">EI</span> n’ont pas d’importance. Dieu a de toute façon ordonné d’avance la quasi destruction de son peuple.</p>
<p><strong><span class="caps">IV</span>. La lutte</strong></p>
<p>A Londres, Anjem Choudary et ses étudiants m’ont décrit en détail la façon dont l’<span class="caps">EI</span> doit mener sa politique étrangère maintenant qu’il est a fondé un califat. Il a déjà entrepris le “djihad offensif”, conformément à la charia, soit l’expansion par la force dans des pays qui ne sont pas gouvernés par des musulmans. “Jusqu’à présent, nous ne faisions que nous défendre”, déclare Anjem Choudary. Sans califat, le djihad offensif est un concept inapplicable. En revanche, faire la guerre pour agrandir le califat est un devoir crucial du calife.</p>
<p>Abu Baraa, confrère d’Anjem Choudary, m’a expliqué que la loi islamique n’autorisait des traités de paix temporaires que durant une décennie. De la même manière, accepter des frontières est anathème, comme l’a déclaré le Prophète et comme le répètent les vidéos de propagande de l’<span class="caps">EI</span>. Si le calife consent à une paix à plus long terme ou à une frontière permanente, il sera dans l’erreur. Les traités de paix temporaires sont renouvelables, mais ils ne peuvent s’appliquer à tous les ennemis en même temps : le calife doit mener le djihad au moins une fois par an.</p><em>Anjem Choudary s’adressant à des manifestants musulmans regroupés devant l’ambassade des Etats-Unis à Londres le 14 septembre 2012. Ils protestaient contre un film prétendument insultant pour la foi musulmane </em><p>- Leon Neal/</p><span class="caps">AFP</span>
<p>Il faut insister sur le fait que l’<span class="caps">EI</span> pourrait être paralysé par son radicalisme. Le système international moderne, né de la paix de Westphalie, en 1648, repose sur la disposition de chaque Etat à reconnaître des frontières, même à contrecœur. D’autres organisations islamistes, comme les Frères musulmans et le Hamas, ont succombé aux flatteries de la démocratie et à la perspective d’une invitation au sein de la communauté des nations. Pour l’<span class="caps">EI</span>, ce n’est pas envisageable : ce serait une apostasie.</p>
<p>Les Etats-Unis et leurs alliés ont réagi contre l’<span class="caps">EI</span> tardivement et avec stupéfaction. Les ambitions de l’organisation et les grandes lignes de sa stratégie étaient manifestes dans ses déclarations et sur les réseaux sociaux dès 2011, quand l’<span class="caps">EI</span> n’était qu’un mouvement parmi les nombreux groupes terroristes présents en Syrie et en Irak. En 2011, Abou Bakr Al-Baghdadi s’était déjà qualifié de “commandeur des croyants”, un titre habituellement réservé aux califes.</p>
<p>Si nous avions identifié les intentions de l’<span class="caps">EI</span> plus tôt et compris que le vide politique en Syrie et en Irak lui donnerait tout l’espace nécessaire pour les mettre en œuvre, nous aurions au minimum poussé l’Irak à renforcer sa frontière avec la Syrie et à négocier des accords avec sa population sunnite. Et pourtant, début 2014, Barack Obama a déclaré au <em>New Yorker</em> qu’il voyait l’<span class="caps">EI</span> comme un partenaire plus faible d’Al-Qaida. “Si une équipe de basketteurs junior enfile des maillots de la <span class="caps">NBA</span>, ça ne fait pas d’eux Kobe Bryant”, a-t-il ironisé.</p>
<p><strong>Les dessous de l’exécution de Peter Kassig</strong></p>
<p>Notre incapacité à comprendre la rupture entre l’<span class="caps">EI</span> et Al-Qaida, ainsi que les différences cruciales qui les séparent, a entraîné de dangereuses décisions. A l’automne 2014, le gouvernement américain a accepté un plan désespéré pour sauver l’otage Peter Kassig. Ce plan requérait l’interaction de figures fondatrices de l’<span class="caps">EI</span> et d’Al-Qaida.</p>
<p>L’objectif était qu’Abu Muhammad Al-Maqdisi, mentor d’Al-Zarqaoui et haute figure d’Al-Qaida, contacte Turki Al-Binali, principal idéologue de l’<span class="caps">EI</span> et ancien étudiant d’Al-Maqdisi. Les deux hommes s’étaient brouillés car ce dernier avait critiqué l’<span class="caps">EI</span>. L’érudit jordanien avait déjà appelé l’<span class="caps">EI</span> à se montrer clément envers le Britannique Alan Henning. En décembre 2014, <em>The Guardian</em> a révélé que le gouvernement américain, en utilisant un intermédiaire, avait demandé à Al-Maqdisi d’intervenir auprès de l’<span class="caps">EI</span> en faveur de l’otage Peter Kassig.</p>
<p>Al-Maqdisi vivait librement en Jordanie, mais il lui était interdit de communiquer avec des terroristes à l’étranger et il était étroitement surveillé. Quand la Jordanie a autorisé les Etats-Unis à organiser une rencontre avec Turki Al-Binali, le Jordanien a acheté un téléphone avec de l’argent américain et il a pu correspondre à son aise avec son ancien étudiant pendant quelques jours avant que le gouvernement jordanien ne mette un terme à la conversation et ne se serve de ce prétexte pour l’incarcérer. Quelques jours plus tard, la tête tranchée de Peter Kassig est apparue dans une vidéo filmée à Dabiq.</p>
<p><strong>Intentions génocidaires</strong></p>
<p>La mort du travailleur humanitaire était une tragédie, mais le succès du plan des Etats-Unis aurait été une catastrophe. La réconciliation d’Abu Muhammad Al-Maqdisi avec Turki Al-Binali aurait réduit le fossé entre les deux plus importantes organisations djihadistes au monde. Il est possible que la Maison-Blanche ait seulement voulu faire parler Turki Al-Binali pour obtenir des renseignements ou pour l’assassiner. De multiples tentatives visant à obtenir une réponse du <span class="caps">FBI</span> à ce sujet sont restées infructueuses. Quoi qu’il en soit, vouloir rabibocher les deux principaux ennemis terroristes des Etats-Unis révèle un manque de discernement lamentable.</p>
<p>Punis de notre indifférence initiale, nous attaquons maintenant l’<span class="caps">EI</span> sur le champ de bataille en soutenant Kurdes et Irakiens, ainsi qu’au moyen de frappes aériennes régulières. Certains observateurs ont appelé à une intensification de la riposte, parmi lesquels plusieurs porte-parole de la droite interventionniste qui se sont exprimés en faveur du déploiement de dizaines de milliers de soldats américains.</p>
<p>Ces appels ne doivent pas être rejetés précipitamment : une organisation qui ne cache pas ses intentions génocidaires se trouve à deux pas de ses victimes potentielles et commet quotidiennement des atrocités sur le territoire qui est déjà sous son contrôle. En outre, si l’<span class="caps">EI</span> perd son emprise sur les territoires syrien et irakien, il cessera d’être un califat. Celui-ci ne pourra plus être au cœur de sa propagande, ce qui fera disparaître le supposé devoir religieux d’émigrer pour le servir.Et pourtant, les risques d’une escalade de la violence sont considérables. Une invasion représenterait une grande victoire pour la propagande des djihadistes du monde entier, qui pensent tous que les Etats-Unis veulent s’embarquer dans une croisade des temps modernes pour tuer les musulmans. A quoi s’ajoute notre maladresse lors de nos précédentes tentatives d’occupation. La montée de l’<span class="caps">EI</span>, après tout, n’a été possible que parce que notre occupation [de l’Irak] a ouvert un espace pour Zarqaoui et ses successeurs.</p>
<p>Etant donné tout ce que nous savons sur l’<span class="caps">EI</span>, continuer de le saigner peu à peu au moyen de frappes aériennes et de batailles par alliés interposés semble la moins mauvaise solution. Le coût humanitaire de l’<span class="caps">EI</span> est élevé, mais la menace qu’il représente pour les Etats-Unis est limitée. Le noyau d’Al-Qaida fait figure d’exception parmi les organisations djihadistes en raison de son intérêt pour “l’ennemi lointain” (l’Occident). Les principales préoccupations de la majorité des organisations djihadistes concernent des questions plus proches de chez eux. C’est particulièrement vrai pour l’<span class="caps">EI</span>. Abou Bakr Al-Baghdadi a demandé à ses agents saoudiens de “régler la question des <em>rafida</em> [chiites] d’abord, puis des Al-Sulul [sympathisants sunnites de la monarchie saoudienne], avant de s’attaquer aux croisés et à leurs bases”.</p>
<p>Les combattants étrangers (ainsi que leurs femmes et leurs enfants) se rendent dans le califat avec un aller simple : ils veulent vivre selon la véritable charia et nombre d’entre eux cherchent à devenir des martyrs.</p><p>
Quelques “loups solitaires” soutenant l’</p><span class="caps">EI</span><p> ont attaqué des cibles occidentales et d’autres attentats se produiront. Toutefois, la plupart des agresseurs se sont avérés des amateurs frustrés, incapables d’émigrer vers le califat. Même si l’</p><span class="caps">EI</span><p> se réjouit de ces attentats, notamment dans sa propagande, il n’a planifié ni financé aucun d’entre eux. (L’attaque contre </p><em>Charlie Hebdo</em><p> à Paris était principalement une opération d’Al-Qaida.)
</p><p>S’il est contenu, il est probable que l’<span class="caps">EI</span> cause lui-même sa chute. Il n’est allié à aucun autre pays et son idéologie garantit que cela ne changera pas. Les terres qu’il contrôle, certes vastes, sont pour l’essentiel inhabitées et arides. A mesure qu’il stagnera ou que son territoire rétrécira lentement, sa prétention d’être le moteur de la volonté de Dieu et l’agent de l’apocalypse perdra de sa valeur. A mesure qu’augmenteront les informations sur la misère qui y règne, les autres mouvements islamistes radicaux seront discrédités : personne n’a jamais cherché à ce point à appliquer strictement la charia en faisant appel à la violence. Voilà à quoi cela ressemble.</p>
<p><strong>V. Dissuasion</strong></p>
<p>Il serait facile d’évoquer, concernant l’<span class="caps">EI</span>, un “problème avec l’islam”. La religion autorise de nombreuses interprétations et les sympathisants de l’<span class="caps">EI</span> sont moralement responsables de celle qu’ils ont choisie. Et pourtant, en faire une institution contraire à l’islam peut être contreproductif, notamment si ceux qui entendent ce message ont lu les textes sacrés et vu que de nombreuses pratiques du califat y sont clairement décrites.</p>
<p>Les musulmans peuvent affirmer que l’esclavage n’est plus légitime aujourd’hui, et que la crucifixion est condamnable à ce stade de l’Histoire. Nombre d’entre eux tiennent précisément ce discours. En revanche, ils ne peuvent condamner l’esclavage et la crucifixion dans l’absolu sans contredire le Coran et l’exemple donné par le Prophète.</p>
<p>L’idéologie de l’<span class="caps">EI</span> exerce un attrait puissant sur une certaine population. Les hypocrisies et les incohérences de la vie s’évanouissent face à elle. Musa Cerantonio et les salafistes que j’ai rencontrés à Londres sont incollables : aucune de mes questions ne les a pris de court. Volubiles, ils m’ont exposé leurs idées – et même de manière convaincante si l’on accepte leurs postulats. Juger celles-ci contraires à l’islam revient selon moi à les inviter à un débat qu’ils gagneraient.</p>
<p>Les non-musulmans ne peuvent dicter aux musulmans la manière correcte de pratiquer leur religion. Mais les musulmans ont lancé ce débat depuis longtemps dans leurs rangs. Il existe une autre branche de l’islam qui offre une solution radicale à l’<span class="caps">EI</span> : elle est tout aussi intransigeante, mais aboutit à des conclusions opposées.</p>
<p><strong>“Ce n’est pas mon califat”</strong></p>
<p>Abou Bakr Al-Baghdadi est salafiste. Le terme “salafiste” est devenu péjoratif, notamment parce que de véritables criminels ont lancé des batailles au nom de cette école de pensée. Mais la plupart de ses partisans ne sont pas djihadistes et ils adhèrent généralement à des mouvances religieuses qui rejettent l’<span class="caps">EI</span>. Ils sont déterminés, comme le note Bernard Haykel, à agrandir le Dar Al-Islam, la terre de l’Islam, y compris au moyen de pratiques monstrueuses comme l’esclavage et l’amputation – mais pas tout de suite. Leur priorité est la purification personnelle et l’observance religieuse. Pour eux, tout ce qui menace ces objectifs est interdit, comme provoquer une guerre ou des troubles risquant de perturber les vies, la prière et les études.<br/>
 </p><em>Image issue du site djihadiste Welayat Salahuddin et montrant des membres du l’Etat islamique dans un véhicule volé aux forces de sécurité iraquiennes, le 14 juin 2014 dans la province de Salah ad-Din, province natale de Saddam Hussein -</em><p>Welayat Salahuddin/</p><span class="caps">HO</span><p>/</p><span class="caps">AFP</span>
<p>A l’automne 2014, je suis allé à Philadelphie dans la mosquée dirigée par Breton Pocius, 28 ans, un imam salafiste qui se fait appeler Abdullah. Il s’est converti au début des années 2000 après avoir été élevé dans une famille polonaise catholique à Chicago. Tout comme Musa Cerantonio, il parle comme un livre et montre une grande familiarité avec les textes anciens.</p>
<p>Lorsque Abou Bakr Al-Baghdadi a fait son apparition, Breton Pocius a adopté le slogan “Ce n’est pas mon califat”. “L’époque du Prophète était baignée de sang, m’a-t-il expliqué, et il savait que les pires conditions de vie pour n’importe quel peuple étaient le chaos, notamment pour l’<em>umma</em> [communauté musulmane].” Pour cette raison, poursuit Breton Pocius, le bon choix pour les salafistes n’est pas de semer la discorde en créant des factions et en réduisant les autres musulmans à des apostats.</p><p>
Au contraire, Breton Pocius pense – comme une majorité de salafistes – que les musulmans devraient se retirer de la vie politique. Ces salafistes “quiétistes”, comme ils sont qualifiés, sont d’accord avec l’</p><span class="caps">EI</span><p> pour affirmer que la loi de Dieu est la seule valable. Ils rejettent aussi les pratiques comme les élections et la création de partis politiques. Toutefois, la haine du Coran pour la discorde et le chaos signifie pour eux qu’ils doivent se soumettre à quasiment n’importe quel dirigeant, même si certains sont manifestement pécheurs.
</p><blockquote><p>
“Le Prophète a dit : tant que le dirigeant ne s’abandonne pas clairement au <em>kufr</em> [mécréance], obéissez-lui”, m’a expliqué Breton Pocius.
</p></blockquote>
<p>
Et tous les “livres de principes” classiques mettent en garde contre les troubles sociaux. Vivre sans prêter serment, affirme Breton Pocius, rend effectivement ignorant ou ignare. Mais la <em>bay’a</em> n’implique pas de faire allégeance à un calife, et certainement pas à Abou Bakr Al-Baghdadi. Cela signifie, dans une perspective plus large, adhérer à un contrat social religieux et s’engager pour une société de musulmans, qu’elle soit dirigée ou non par un calife.</p>
<p>Breton Pocius ressent beaucoup d’amertume contre les Etats-Unis à cause de la façon dont il y est traité – “moins qu’un citoyen”, selon ses termes (il affirme que le gouvernement a payé des espions pour infiltrer sa mosquée et a harcelé sa mère à son travail pour savoir s’il était un terroriste). Pourtant son salafisme quiétiste est un antidote islamique au djihadisme selon la méthode d’Abou Bakr Al-Baghdadi.</p>
<p>Les dirigeants occidentaux devraient sans doute s’abstenir de donner leur avis sur les débats théologiques islamiques. Barack Obama lui-même a presque tenu les propos d’un mécréant lorsqu’il a affirmé [l’an dernier] que l’<span class="caps">EI</span> n’[était] “pas islamique”. Je soupçonne que la plupart des musulmans ont apprécié l’intention du président américain : il était à leurs côtés contre Abou Bakr Al-Baghdadi et les chauvins non musulmans qui cherchent à les impliquer dans les crimes de l’<span class="caps">EI</span>. La majorité des musulmans ne sont toutefois pas susceptibles de rejoindre le djihad. Ceux qui le sont auront vu leurs suspicions confirmées : les Etats-Unis mentent sur la religion pour servir leurs intérêts.</p>
<p><strong>Ne pas sous-estimer l’attrait de l’organisation</strong></p>
<p>Dans le cadre limité de sa théologie, l’<span class="caps">EI</span> bourdonne d’énergie et même de créativité. En dehors de ce cadre, il pourrait difficilement être plus austère et silencieux : sa vision de la vie est faite d’obéissance, d’ordre et de soumission au destin. Dans la conversation, Musa Cerantonio et Anjem Choudary sont capables de passer de la question des massacres et des tortures à une discussion sur les vertus du café vietnamien et des pâtisseries sirupeuses – affichant un intérêt identique pour les deux. J’ai pu apprécier leur compagnie, en tant qu’exercice intellectuel et avec mauvaise conscience, mais seulement jusqu’à un certain point.</p>
<p>Lorsqu’il a fait la critique de <em>Mein Kampf</em>, en mars 1940, George Orwell a confessé qu’il n’avait “jamais été capable de détester Hitler”. Quelque chose chez lui percevait l’image d’un outsider, même si ses objectifs étaient lâches ou détestables.</p>
<p>Le fascisme, poursuivait George Orwell, est “psychologiquement bien plus solide que n’importe quelle conception hédoniste de la vie. […] Le socialisme et même le capitalisme, à contrecœur, ont affirmé au peuple : ‘Je peux vous offrir du bon temps.’ De son côté, Hitler a déclaré : ‘Je vous propose la lutte, le danger et la mort’, à la suite de quoi une nation tout entière s’est jetée à ses pieds. […] Nous ne devons pas sous-estimer son attrait émotionnel.”</p>
<p>Dans le cas de l’<span class="caps">EI</span>, il ne faut pas non plus sous-estimer son attrait religieux ou intellectuel. Le fait que l’<span class="caps">EI</span> tienne pour un dogme la réalisation imminente d’une prophétie nous indique au moins la trempe de notre ennemi. Les outils idéologiques peuvent convaincre certains candidats à la conversion que son message est erroné. Les outils militaires peuvent limiter les horreurs que l’<span class="caps">EI</span> commet. Mais sur une organisation aussi imperméable à la persuasion, il n’y a pas d’autres mesures susceptibles d’avoir un impact. Même si elle ne dure pas jusqu’à la fin des temps, la guerre risque d’être longue.</p>
<p>
<strong><span class="caps">POUR</span> <span class="caps">EN</span> <span class="caps">SAVOIR</span> <span class="caps">PLUS</span> <br/>
Les coulisses de l’article</strong></p>
<p>C’est en août 2014 que Graeme Wood a commencé à travailler sur cet article paru dans l’édition de mars du menuel américain <em>The Atlantic. </em>“C’était devenu presque un cliché de dire que [l’Etat islamique] est un mouvement laïc qui utilise l’islam”, explique-t-il à <em>Courrier international. </em>Pourtant, à mesure qu’il lisait davantage sur Daech et sa propagande, le mouvement lui semblait bien plus informé que ce qu’il imaginait. C’est ce qui l’a poussé à rechercher “ce qui fondait sa prétention d’être islamique” et quelle était son interprétation de l’islam.<br/>
Interrogé sur <a href="http://www.courrierinternational.com/article/reactions-non-letat-islamique-nest-pas-tres-islamique" target="_blank">les nombreuses critiques</a> qu’a suscitées l’article - et en particulier la formule selon laquelle “l’Etat islamique est très islamique” - Graeme Wood déclare qu’il “s’attendait aux critiques”, mais qu’il “ne s’attendait pas à ce qu’elles soient, pour beaucoup, aussi détachées des faits relatifs à l’Etat islamique”. Il déplore que beaucoup des réactions “ne s’intéressent pas à l’article lui-même (…) mais à la question de savoir si l’<span class="caps">EI</span> est la meilleure représentation de l’islam, une question qui ne m’intéresse pas du tout”.</p>
