title: Emmanuel Macron et le " peuple de bâtisseurs " (par Nicolas Casaux)
url: http://partage-le.com/2019/04/emmanuel-macron-et-le-peuple-de-batisseurs-par-nicolas-casaux/
hash_url: b90ecdc1c52fc36259fc0dc43d34c8c2

<p>Dans son allocution du mardi 16 avril, Emmanuel Macron a vanté la grandeur de « notre » nation, en faisant référence à « un peuple » et « son histoire millénaire », au cours de laquelle « nous avons bâti des villes, des ports, des églises ».</p>
<p>Bien évidemment, il passait sous silence ce que l’historien Howard Zinn rappelle dès l’introduction de son livre <em>Une histoire populaire des États-Unis De 1492 à nos jours </em>:</p>
<blockquote>
<p>« Les nations ne sont pas des communautés et ne l’ont jamais été. L’histoire de n’importe quel pays, présentée comme une histoire de famille, dissimule les plus âpres conflits d’intérêts (qui parfois éclatent au grand jour et sont le plus souvent réprimés) entre les conquérants et les populations soumises, les maîtres et les esclaves, les capitalistes et les travailleurs, les dominants et les dominés, qu’ils le soient pour des raisons de race ou de sexe. Dans un monde aussi conflictuel, où victimes et bourreaux s’affrontent, il est, comme le disait Albert Camus, du devoir des intellectuels de ne pas se ranger aux côtés des bourreaux. »</p>
</blockquote>
<p>Si la France a effectivement une histoire millénaire, c’est celle d’une oligarchie qui est parvenue à créer et imposer ce que l’on appelle France, à façonner la <em>nation française</em>, à travers un « projet d’homogénéisation », ainsi que le formule l’anthropologue James C. Scott<sup><a id="post-10547-endnote-ref-1" href="#post-10547-endnote-1">[1]</a></sup> :</p>
<blockquote>
<p>« Une fois en place, l’État (nation) moderne a entrepris d’homogénéiser sa population et les pratiques vernaculaires du peuple, jugées déviantes. Presque partout, l’État a procédé à la fabrication d’une nation : la France s’est mise à créer des Français, l’Italie des Italiens, etc. […]</p>
<p>Une grande diversité de langues et de dialectes, souvent mutuellement inintelligibles, a été, principalement par la scolarisation, subordonnée à une langue nationale, qui était la plupart du temps le dialecte de la région dominante. Ceci a mené à la disparition de langues, de littératures locales, orales et écrites, de musiques, de récits épiques et de légendes, d’un grand nombre d’univers porteurs de sens. Une énorme diversité de lois locales et de pratiques a été remplacée par un système national de droit qui était, du moins au début, le même partout.</p>
<p>Une grande diversité de pratiques d’utilisation de la terre a été remplacée par un système national de titres, d’enregistrement et de transfert de propriété, afin d’en faciliter l’imposition. Un très grand nombre de pédagogies locales (apprentissage, tutorat auprès de « maîtres » nomades, guérison, éducation religieuse, cours informels, etc.) a généralement été remplacé par un seul et unique système scolaire national, dont un ministre français de l’Éducation s’est un jour vanté en affirmant que, puisqu’il était précisément 10 h 20, il connaissait le passage précis de Cicéron que tous les étudiants de tel niveau étaient actuellement en train d’étudier partout en France. La vision utopique d’uniformité fut rarement réalisée, mais ces projets ont néanmoins réussi à abolir une multitude de pratiques vernaculaires.</p>
<p>Aujourd’hui, au-delà de l’État-nation comme tel, les forces de la standardisation sont représentées par des organisations internationales. L’objectif principal d’institutions comme la Banque mondiale, le FMI, I’OMC, l’Unesco et même l’Unicef et la Cour internationale est de propager partout dans le monde des standards normatifs (des « pratiques exemplaires ») originaires, encore une fois, des nations de l’Atlantique Nord. Le poids financier de ces agences est tel que le fait de ne pas se conformer à leurs recommandations entraîne des pénalités considérables qui prennent la forme d’annulations de prêts et de l’aide internationale. Le charmant euphémisme « harmonisation » désigne maintenant ce processus d’alignement institutionnel. Les sociétés multinationales jouent également un rôle déterminant dans ce projet de standardisation. Elles aussi prospèrent dans des contextes cosmopolites familiers et homogénéisés où l’ordre légal, la réglementation commerciale, le système monétaire, etc. sont uniformes. De plus, elles travaillent constamment, par la vente de leurs produits et services et par la publicité, à fabriquer des consommateurs, dont les goûts et les besoins sont leur matière première.</p>
<p>[…]<strong> Le résultat est une sévère réduction de la diversité culturelle, politique et économique, c’est-à-dire une homogénéisation massive des langues, des cultures, des systèmes de propriété, des formes politiques et, surtout, des sensibilités et des mondes vécus qui leur permettent de perdurer.</strong> <strong>Il est maintenant possible de se projeter avec angoisse au jour, dans un avenir rapproché, où l’homme d’affaires de l’Atlantique Nord, en sortant de l’avion, trouvera partout dans le monde un ordre institutionnel (des lois, des codes de commerce, des ministères, des systèmes de circulation, des formes de propriétés, des régimes fonciers, etc.) tout à fait familier.</strong> Et pourquoi pas ? Ces formes sont essentiellement les siennes. Seuls la cuisine, la musique, les danses et les costumes traditionnels demeureront exotiques et folkloriques… bien que complètement commercialisés. »</p>
</blockquote>
<p>C’est-à-dire qu’en vantant « cette grande continuité qui fait la nation française », Macron vantait ce processus autoritaire et séculaire<sup><a id="post-10547-endnote-ref-2" href="#post-10547-endnote-2">[2]</a></sup> de standardisation <em>nationale</em>, et internationale, de fabrication d’une <em>nation</em> par l’État (monarchiste, initialement, puis impérialiste, puis républicain, puis républicain et soi-disant démocratique) et l’oligarchie qui le dirige et le dirigeait, cette « homogénéisation massive des langues, des cultures, des systèmes de propriété, des formes politiques et, surtout, des sensibilités et des mondes vécus ».</p>
<p>Par ailleurs, en affirmant que « nous sommes ce peuple de bâtisseurs » — au-delà du mensonge selon lequel <em>nous</em> sommes en quelque sorte un peuple uni, <em>une</em> <em>nation</em>, une grande famille, une communauté humaine soudée et existant par choix, volontairement, qui serait le produit d’un consensus (voir la citation d’Howard Zinn, plus haut) — de bâtisseurs qui construisent « des villes, des ports, des églises », notre cher monarque met le doigt sur le problème qu’il cherche (supposément) à résoudre  en affirmant vouloir <em>make the planet great again</em>. C’est précisément cette pulsion d’une certaine culture humaine (la <em>civilisation</em><sup><a id="post-10547-endnote-ref-3" href="#post-10547-endnote-3">[3]</a></sup>, désormais industrielle, résultat de l’homogénéisation et de la standardisation dont parle Scott) à inlassablement construire « des villes, des ports, des églises » (mais pas seulement, mais aussi, et plus récemment, des autoroutes, des aéroports, des centres commerciaux, etc.), et à s’étendre, encore et encore, qui est en train de ravager la planète. L’urbanisation, l’expansion du mode de vie urbain — qui implique celle de l’agriculture<sup><a id="post-10547-endnote-ref-4" href="#post-10547-endnote-4">[4]</a></sup>, de l’élevage et d’autres activités destructrices du monde naturel (extractions minières, etc.) — constitue le troisième principal facteur de la destruction massive des espèces vivantes actuelle (qualifiée de manière déresponsabilisante de sixième <em>extinction</em> de masse des espèces). L’urbanisation a toujours été synonyme de destructions environnementales.</p>
<div class="caption"><img class="aligncenter size-large wp-image-6015" src="http://partage-le.com/wp-content/uploads/2016/12/kill-1-1024x563.png" alt="" srcset="http://partage-le.com/wp-content/uploads/2016/12/kill-1-1024x563.png 1024w, http://partage-le.com/wp-content/uploads/2016/12/kill-1-300x165.png 300w, http://partage-le.com/wp-content/uploads/2016/12/kill-1-768x422.png 768w, http://partage-le.com/wp-content/uploads/2016/12/kill-1-600x330.png 600w, http://partage-le.com/wp-content/uploads/2016/12/kill-1-120x67.png 120w, http://partage-le.com/wp-content/uploads/2016/12/kill-1-800x440.png 800w, http://partage-le.com/wp-content/uploads/2016/12/kill-1-573x315.png 573w, http://partage-le.com/wp-content/uploads/2016/12/kill-1.png 1600w" sizes="(max-width: 900px) 100vw, 900px"/></div>
<p>L’écrivain états-unien John Perlin, auteur du monumental <em>A Forest Journey: The Story of Wood and Civilization</em> (Périple de forêt : L’histoire du bois et de la civilisation) note que :</p>
<blockquote>
<p>« Les écrivains des temps passés remarquaient que les forêts reculent lorsque les civilisations se développent et croissent. Le poète romain Ovide a écrit qu’avant l’avènement de la civilisation, “on n’avait pas encore vu le pin arraché des montagnes”. Mais avec son avènement “les arbres qui, depuis si longtemps, couronnaient immobiles le sommet des montagnes, allèrent, transformés en navires, insulter des flots inconnus”. »</p>
</blockquote>
<p>Les civilisations se caractérisaient également bien souvent par d’imposantes constructions en pierre. Ainsi que James C. Scott le rappelle dans son livre <em>Homo Domesticus</em> :</p>
<blockquote>
<p>« Le fait que l’État ait fini par dominer les grands récits archéologiques et historiques n’a rien de très étonnant. Pour nous — <em>Homo Sapiens</em> — qui considérons habituellement les choses du point de vue d’une seule ou de quelques générations, la permanence de l’État et de son espace administré apparaît comme une constante indissociable de notre condition. Au-delà de l’hégémonie complète dont jouit actuellement l’organisation étatique, une grande partie des études archéologiques et historiques du monde est financée par l’État, et se résume souvent à un exercice narcissique de réalisation d’autoportrait. La tradition archéologique qui, jusqu’à récemment, consistait à exhumer et à analyser les ruines historiques majeures, aggrave encore ce travers. Ainsi, si vous construisiez de manière monumentale, en pierre, et en concentrant opportunément vos décombres en un seul endroit, il était assez probable que vous soyez “découverts” et par-là même amenés à dominer les pages de l’histoire ancienne. Si, au contraire, vous construisiez en bois, en bambou, ou en roseaux, vous risquiez fort d’échapper aux annales de l’archéologie. Et si vous étiez des chasseurs-cueilleurs ou des nomades, même nombreux, ne laissant derrière vous qu’une fine couche clairsemée de déchets biodégradables, il était assez probable que vous soyez totalement absents des archives archéologiques. »</p>
</blockquote>
<p>Au lieu de continuer à trimer pour la « start-up nation » de l’oligarchie macroniste, ou plus généralement pour la machine de mort mondialisée que constitue la civilisation industrielle, nous ferions bien de chercher à démanteler ces structures sociales autoritaires et destructrices de la vie sur Terre, afin de (re-)créer une multitude de <em>cultures</em>, de <em>formes politiques</em>, de <em>sensibilités</em> et de <em>mondes vécus</em>, démocratiques et fondés sur cet art perdu qui consiste à vivre sur Terre avec humilité, sans laisser de trace, sans chercher à construire toutes sortes de monuments gigantesques en espérant laisser une marque (quelle mégalomanie), mais plutôt en nous inspirant de ceux d’entre nous qui savaient — et de ceux qui savent encore — ne laisser derrière eux « qu’une fine couche clairsemée de déchets biodégradables ».</p>
<p><strong>Nicolas Casaux</strong></p>
<hr/>
<ol>
<li id="post-10547-endnote-1"><a href="http://partage-le.com/2015/01/la-standardisation-du-monde-james-c-scott/">http://partage-le.com/2015/01/la-standardisation-du-monde-james-c-scott/</a> <a href="#post-10547-endnote-ref-1">↑</a></li>
<li id="post-10547-endnote-2">Voir : « De la royauté aux démocraties modernes : un continuum antidémocratique » : <a href="http://partage-le.com/2018/08/de-la-royaute-aux-democraties-modernes-un-continuum-antidemocratique-par-nicolas-casaux/">http://partage-le.com/2018/08/de-la-royaute-aux-democraties-modernes-un-continuum-antidemocratique-par-nicolas-casaux/</a> <a href="#post-10547-endnote-ref-2">↑</a></li>
<li id="post-10547-endnote-3"><a href="http://partage-le.com/2017/10/7993/">http://partage-le.com/2017/10/7993/</a> <a href="#post-10547-endnote-ref-3">↑</a></li>
<li id="post-10547-endnote-4">« L’agriculture ou la pire erreur de l’histoire de l’humanité » (Jared Diamond) : <a href="http://partage-le.com/2016/09/lagriculture-ou-la-pire-erreur-de-lhistoire-de-lhumanite-par-jared-diamond-clive-dennis/">http://partage-le.com/2016/09/lagriculture-ou-la-pire-erreur-de-lhistoire-de-lhumanite-par-jared-diamond-clive-dennis/</a> <a href="#post-10547-endnote-ref-4">↑</a></li>
</ol>
