title: Numérique : la taille, cet impensé
url: http://www.internetactu.net/2016/05/04/numerique-la-taille-cet-impense/
hash_url: c0d076aa2ed33a6c7bfc991abdb0a091

<p>A l’heure où, sur internet, l’important semble n’être plus que de devenir <a href="http://aurialiej.tumblr.com/post/143420085487/startup-a-la-recherche-du-nouveau-dahu">une licorne</a> – c’est-à-dire une chimère, un animal qui n’existe pas – et d’imposer un monopole de fait par l’importance du nombre d’utilisateurs de son service, force est de constater qu’on ne regarde pas beaucoup les implications des effets de seuils et de taille… A l’heure des réseaux sociaux mondiaux, des méthodes d’analyse de données sans limites (Big Data), permettant, au moins théoriquement, de calculer ou de mettre en relation des centaines de millions voir des milliards de personnes… on ne s’intéresse pas beaucoup aux limites des effets de masse. Comme si ce gigantisme, l’organisation de ce gigantisme, ses effets et impacts étaient un impensé de la réflexion sur le numérique. La fameuse <a href="https://fr.wikipedia.org/wiki/Scalability">“scalabilité”</a>, c’est-à-dire la capacité d’un produit ou d’un service à s’adapter aux changements d’ordre de grandeur de la demande, tout en maintenant ses fonctionnalités et ses performances, si chère aux startups, fait de la croissance en volume, en nombre, en vitesse le moteur même de leur performance et de leur puissance. </p>
<p>Même si la personnalisation algorithmique permet de dépasser bien des effets de taille, ramenant les utilisateurs à la taille de leurs propres réseaux de relations interpersonnelles (pour chacun d’entre nous FB n’a que la taille de ce avec qui et avec quoi nous sommes en relation), ce n’est pas pour autant que les effets de taille n’existent pas. D’abord parce que les métriques utilisées nous poussent à élargir toujours plus notre cercle relationnel. Ensuite parce que nous sommes pris dans les rets de plateformes qui ont des objectifs de croissance en volume d’utilisateurs et que nous sommes nous-mêmes souvent poussés à vouloir toucher plus de monde en fournissant le moins d’effort possible. <a href="http://alireailleurs.tumblr.com/post/143153301713/facebook-sinquiète-que-les-utilisateurs-partagent">Comme le soulignait la chercheuse Anna Lauren Hoffmann dans le <i>Guardian</i></a>, le succès des réseaux sociaux, comme Facebook, a pour corolaire une dépersonnalisation des contenus liée au fait que le réseau pousse ses participants, pour atteindre toujours plus de public, au marketing de soi (<i>personal branding</i>). </p>
<p>Or, comme le soulignait le célèbre anthropologue <a href="https://fr.wikipedia.org/wiki/Robin_Dunbar">Robin Dunbar</a> dans <a href="http://rsos.royalsocietypublishing.org/content/3/1/150292">son dernier article de recherche</a> : même outillés par le numérique, les réseaux sociaux ont des limites cognitives. Nous avons également vu récemment que la taille était l’un des paramètres des limites <a href="http://www.internetactu.net/2016/04/08/de-lethique-des-systemes-a-celle-des-organisations/">des systèmes éthiques</a> et <a href="http://www.internetactu.net/2016/03/31/pourquoi-les-medias-sociaux-ne-changent-ils-pas-le-monde/">de la mobilisation via les réseaux sociaux</a>. Et que la question des limites à la taille, à la performance, à la vitesse  devient encore plus pressant <a href="http://www.internetactu.net/2015/12/01/avons-nous-besoin-dune-vitesse-limitee-sur-linternet/">si on l’observe avec une approche liée à la durabilité</a>.</p>
<p>Récemment, <a href="https://www.facebook.com/notes/hubert-guillaud/jaime-instagram/10154092174754910">quand je confessais mon amour d’Instagram</a>, par rapport à Twitter ou Facebook, je soulignais que la taille humaine des relations et le fait que la communication ne l’ait pas encore trop dénaturé, étaient essentiels à son équilibre et au plaisir qu’il procure encore. </p>
<p><a href="http://www.internetactu.net/wp-content/uploads/2016/05/Capture-d’écran-2016-05-03-à-22.40.38.png"><img src="http://www.internetactu.net/wp-content/uploads/2016/05/Capture-d’écran-2016-05-03-à-22.40.38.png" alt="Capture d’écran 2016-05-03 à 22.40.38"/></a></p>
<h3>Nos réseaux doivent-ils demeurer à “l’échelle de nos possibilités d’action” ?</h3>
<p><a href="http://www.internetactu.net/wp-content/uploads/2016/05/arton3345.jpg"><img src="http://www.internetactu.net/wp-content/uploads/2016/05/arton3345.jpg" alt="arton3345" hspace="6" vspace="6" align="right"/></a>Dans son livre publié en 2014, <i><a href="http://www.amazon.fr/gp/product/B00N1RPF2M/ref=as_li_tl?ie=UTF8&amp;camp=1642&amp;creative=19458&amp;creativeASIN=B00N1RPF2M&amp;linkCode=as2&amp;tag=internetnet-21">Une question de taille</a></i>, le mathématicien et philosophe Olivier Rey (<a href="https://fr.wikipedia.org/wiki/Olivier_Rey_%28philosophe%29">Wikipédia</a>) interrogeait justement ces questions de taille. Il n’évoque pas vraiment le numérique, mais interroge la question de la mesure et de la démesure. Dans son livre, comme un sage antique, il défend un monde qui demeure à la mesure des personnes – rappelant qu’<i>“un spectacle doit demeurer à l’échelle de nos possibilités d’action”</i>. </p>
<p>Rey s’intéresse à la taille, à la mesure, à l’équilibre. <i>“Partout où quelque chose ne va pas, quelque chose est trop gros”</i>, explique-t-il en reprenant les arguments de <a href="https://fr.wikipedia.org/wiki/Leopold_Kohr">Leopold Kohr</a>.  <i>“Pour paraphraser le principe de population de Malthus, les problèmes sociaux ont la tendance malheureuse à croître exponentiellement avec la taille de l’organisme qui les porte, tandis que la capacité des hommes à y faire face, si tant est qu’elle puisse augmenter, croît seulement linéairement. Ce qui veut dire que si une société dépasse sa taille optimale, les problèmes qu’elle rencontre doivent croître plus vite que les moyens humains qui seraient nécessaires pour les traiter.”</i></p>
<p>Pour Khor, expliqué par Rey, les enjeux ne tiennent pas à la nature de nos difficultés, mais à leur échelle, à leur taille. L’enjeu n’est pas le chômage, mais le chômage de masse, l’oppression, mais son amplitude, la pauvreté, mais sa multitude… </p>
<p>Dans son livre, Rey dénonce <a href="http://www.internetactu.net/2014/06/04/la-demesure-est-elle-le-seul-moyen-pour-changer-doutil-de-mesure/">la frénésie de la mesure</a>, des chiffres, de la quantification, partout, tout le temps, au détriment de la notion de <i>“juste mesure”</i>. Pour <a href="https://fr.wikipedia.org/wiki/Ivan_Illich">Ivan Illich</a>, référence incontournable de la réflexion d’Olivier Rey, <i>“en chacune de ses dimensions l’équilibre de la vie humaine correspond à une certaine échelle naturelle. Lorsqu’une activité outillée dépasse un certain seuil défini par l’échelle ad hoc, elle se retourne d’abord contre sa fin, puis menace de destruction le corps social tout entier. [...] Si nous voulons pouvoir dire quelque chose du monde futur, dessiner les contours théoriques d’une société à venir qui ne soit pas hyperindustrielle, il nous faut reconnaître l’existence d’échelles et de limites naturelles”</i>. Illich, comme Rey, ne défend pas le petit, mais le proportionné. </p>
<p>Pour Rey et Illich, il n’y a pas de réponse univoque à la question de la taille, car elle est déterminée par le type d’activité qu’elle concerne. L’enjeu est de réélaborer un rapport au monde inspiré par le proportionné, entre les moyens et les fins, entre les fins poursuivies et les facultés de l’être humain… pour permettre à la fois le respect et la possibilité de l’émancipation. </p>
<p>Or, avec les réseaux sociaux notamment, l’économie n’est plus encastrée dans les relations sociales. Désormais, le monde obéit à notre volonté. Nous ne consentons plus aux limites, individuellement comme collectivement. <i>“Les débats non seulement n’aident pas à dégager le consensus qu’ils sont censés produire, mais interdisent sa formation, exacerbent les antagonismes, font progresser l’incompréhension mutuelle”</i>.</p>
<p><i>“La science se présente aujourd’hui, dans son objectivité, comme la seule pourvoyeuse de vérités susceptibles d’être reçues par tous ; mais, en même temps, le réel tel que la science moderne l’appréhende, et la connaissance qu’elle en dispense, ne fournissent aucun enseignement quant aux fins qu’il vaut la peine de poursuivre.”</i> Chacun tente d’imposer des valeurs, plutôt que le bien, la mesure, la proportion… L’intérêt public se confond avec la prospérité, le bon gouvernement avec l’établissement des meilleures conditions pour cette prospérité, l’intervention étatique avec le désarmement de ceux qui voudraient mettre des entraves au laisser-faire et à la libre concurrence… </p>
<h3>La taille détermine des types d’organisation possibles</h3>
<p>Or, rappelle Rey, le monde est non linéaire. C’est-à-dire que les grandeurs ne varient pas proportionnellement les unes par rapport aux autres. Une araignée ne peut pas être géante, car, si c’était le cas, ses pattes se briseraient sous son poids. Lorsque certains seuils sont atteints, il y a des ruptures. La taille détermine des types d’organisation possible. La dimension n’est pas un paramètre secondaire. Les choses sont liées à des ordres de grandeur. L’effet d’échelle ne dépend pas d’un objet lui-même, mais de sa relation avec son environnement, son milieu. </p>
<p>Or, regrette Rey, on a une grande indifférence à ces questions quantitatives, à ces questions d’échelles. Et notamment dans la pensée politique. La démocratie pensée par les Grecs avait une taille (la Cité) constituée d’un nombre idéal de citoyens (5040 pour être précis, soit quelques dizaines de milliers d’individus). Or le développement des démocraties modernes a peu posé ces questions de taille. Il n’y a bien eu que les utopistes et les expérimentateurs pour comprendre qu’une organisation est solidaire d’une échelle, alors que nos démocraties nationales ont gonflé avec les populations sans se poser vraiment la question de savoir si les outils étaient adaptés à la croissance démographique des Nations. </p>
<p><a href="http://www.internetactu.net/wp-content/uploads/2016/05/social-apps-03-1024x601-600x352.jpg"><img src="http://www.internetactu.net/wp-content/uploads/2016/05/social-apps-03-1024x601-600x352.jpg" alt="social-apps-03-1024x601-600x352" class="alignnone size-full wp-image-25301"/></a><br/>
<i>Image : <a href="http://meta-media.fr/2016/04/09/liens-vagabonds-facebook-twitter-la-guerre-de-la-video-live.html">De la taille des Applications sociales en nombre d’utilisateurs</a>. Via l’excellente revue de liens vagabonds d’<a href="http://meta-media.fr/">Eric Scherer</a>.</i> </p>
<p>Il n’est finalement pas surprenant, si on le lit, que les très grandes échelles permises par le numérique notamment, ne se projettent que dans l’individualisme, que dans la personnalisation, sans parvenir très bien à poser les questions de seuils et d’échelles des collectifs. Les plateformes de partage, “les outils de l’intelligence collective” posent assez peu la question de la taille ou du nombre idéal de participants. Combien de personnes peut-on faire participer activement et ensemble aux outils de la démocratie liquide, de l’intelligence collective permettant potentiellement de faire discuter de grandes communautés comme <a href="http://liquidfeedback.org/">Liquid Feedback</a>, <a href="http://www.appgree.com/">Appgree</a> ou <a href="http://assembl.org/">Assembl</a> – ou son équivalent citoyen, <a href="http://citizen99.org/">Citizen99</a>… ? Peut-on faire des collectifs à très grande échelle et qu’elles sont leurs limites d’action ? Y’a-t-il des seuils, des planchers, des plafonds qui induisent des contraintes comme le soulignaient les travaux du groupe <a href="http://ic.fing.org/">Intelligence collective de la Fing (2007)</a> et ceux que leur initiateur, <a href="http://www.cornu.eu.org/">Jean-Michel Cornu</a> – qui a longtemps été le directeur scientifique de la <a href="http://www.fing.org">Fing</a>, éditeur d’<a href="http://www.internetactu.net">internetactu.net</a> – a largement continué depuis ?</p>
<p>Et le philosophe Olivier Rey de nous interroger. L’essence de la démocratie peut-il être la même dans l’Athènes du Ve siècle av. J.-C. et dans l’Inde contemporaine et ses 700 millions de votants ? Pour <a href="https://fr.wikipedia.org/wiki/Georg_Simmel">Georg Simmel</a>, les régimes démocratiques nécessitent une taille limitée. Dans le monde du travail, l’extrême division des tâches et la perte de sens qui en découle ne sont permises que par le nombre sans fin des travailleurs. Pour Khor, un État de trop grande taille ne peut être démocratique. Comment penser la démocratie ou l’intelligence collective de grande taille ? Comment l’organiser ? Comment y participer ? Et comment la limiter quand le seuil est atteint ?</p>
<p>La question du nombre pose aussi des questions morales, estime Olivier Rey. Comment aimer son prochain comme soi-même quand il est légion ? Pour lui, l’altruisme, la morale fondée sur l’attention portée à l’autre, n’est pas très compatible avec le grand nombre, qui favorise des comportements mécaniques, l’inaction et l’indifférence plutôt que la compassion (voir <a href="http://alireailleurs.tumblr.com/post/140332781073/vers-un-monde-altruiste-arte"> “Vers un monde altruiste ?”</a>). Les grands nombres sont “décivilisateurs”, parce qu’ils immunisent contre l’horreur, parce qu’ils atrophient la sensibilité, comme l’a montré Hannah Arendt dans <a href="https://fr.wikipedia.org/wiki/Banalit%C3%A9_du_mal">la banalité du mal</a>. La taille humaine, la tempérance… ne sont plus des vertus dans une modernité qui prône la démesure et le dépassement. Nous sommes dans une hypertrophie des systèmes, des organisations, des techniques que nous soignons par une surenchère systémique, organisationnelle et technique… souligne Olivier Rey. La complexité des problèmes est renvoyée à une organisation d’échelle supérieure. Le vivant est assimilé à une machine qui permet alors toute manipulation, alors que dans la nature, beaucoup d’organismes cessent de grandir en taille ou en nombre, une fois une certaine taille atteinte. Ce n’est pourtant pas ce qui est arrivé à l’espèce humaine, rappelle le journaliste <a href="https://en.wikipedia.org/wiki/Alan_Weisman">Alan Weisman</a> dans <i><a href="http://www.amazon.fr/gp/product/2081240823/ref=as_li_tl?ie=UTF8&amp;camp=1642&amp;creative=19458&amp;creativeASIN=2081240823&amp;linkCode=as2&amp;tag=internetnet-21">Compte à rebours : jusqu’où pouvons-nous être trop nombreux sur terre ?</a></i>, en montrant et en analysant qu’avec bientôt 10 milliards d’humains sur Terre, nous avons depuis longtemps dépassé les limites optimales du nombre d’humains que notre planète peut porter…</p>
<p><a href="http://www.internetactu.net/wp-content/uploads/2016/05/Capture-d’écran-2016-05-03-à-22.42.56.png"><img src="http://www.internetactu.net/wp-content/uploads/2016/05/Capture-d’écran-2016-05-03-à-22.42.56-1024x580.png" alt="Capture d’écran 2016-05-03 à 22.42.56"/></a></p>
<p>Pour Rey, inverser le mouvement est difficile. Le développement technique, par nature, est un facteur d’illimitation. <i>“Toute borne est un défi à la science et à la technique”</i>. La limite n’est que ce qu’on ne parvient pas (encore) à dépasser techniquement. Or, souligne Rey, il y a un enjeu à comprendre les limites, à explorer les seuils, c’est-à-dire les moments où les tailles induisent une bascule. Son invitation à la convivialité, à la mesure, à la limite, à redécouvrir les choses de taille humaine est aussi une adresse au monde de la technologie, nous invitant à imaginer des systèmes qui soient à notre dimension. </p>
<p>Derrière ces questions de taille se joue bien sûr des questions d’investissement et de financement, des jeux de pouvoir, de monopole, de puissance. La taille n’est qu’un élément d’une équation complexe… Mais les <a href="http://civictechno.fr/">civictechs</a> comme <a href="https://nuitdebout.fr/">le mouvement des nuits debouts</a> en <a href="http://www.liberation.fr/france/2016/04/28/grace-au-numerique-le-mouvement-perpetuel_1449290">ses outillages</a> et en ses limites (si semblables à celles de l’internet lui-même, <a href="http://an-2000.blogs.liberation.fr/2016/04/29/nuit-debout-le-processus-est-le-message/">rappelle très justement le journaliste Vincent Glad</a>) nous montrent le désir, le besoin, l’envie d’un retour à la taille humaine. </p>
<p>Et désormais, c’est aussi une question technique. </p>
<p>Hubert Guillaud</p>
