title: A Future Without Fossil Fuels?
url: https://www.nybooks.com/articles/2019/04/04/future-without-fossil-fuels/
hash_url: ee7dde7d07810eece83a58342d2f182f

<p>&ldquo;Kingsmill Bond&rdquo; certainly sounds like a proper name for a City of London financial analyst. He looks the part, too: gray hair expertly trimmed, well-cut suit. He&rsquo;s lived in Moscow and Hong Kong and worked for Deutsche Bank, the Russian financial firm Troika Dialog, and Citibank. He&rsquo;s currently &ldquo;new energy strategist&rdquo; for a small British think tank called Carbon Tracker, and last fall he published a short paper called &ldquo;2020 Vision: Why You Should See the Fossil Fuel Peak Coming.&rdquo; It asks an interesting question: At what point does a new technology cause an existing industry to start losing significant value?</p><p>This may turn out to be the most important economic and political question of the first half of this century, and the answer might tell us much about our chances of getting through the climate crisis without completely destroying the planet. Based on earlier technological transitions&mdash;horses to cars, sails to steam, land lines to cell phones&mdash;it seems possible that the fossil fuel industry may begin to weaken much sooner than you&rsquo;d think. The British-Venezuelan scholar Carlota Perez has observed that over a period of twenty years, trains made redundant a four-thousand-mile network of canals and dredged rivers across the UK: &ldquo;The canal builders&hellip;fought hard and even finished a couple of major canals in the 1830s, but defeat was inevitable,&rdquo; as it later was for American railroads (and horses) when they were replaced by trucks and cars.</p><p>Major technological transitions often take a while. The Czech-Canadian academic Vaclav Smil has pointed out that although James Watt developed the coal-powered steam engine in 1776, coal supplied less than 5 percent of the planet&rsquo;s energy until 1840, and it didn&rsquo;t reach 50 percent until 1900. But the economic effect of those transitions can happen much earlier, Bond writes, as soon as it becomes clear to investors that a new technology is accounting for all the growth in a particular sector.</p><p>Over the last decade, there has been a staggering fall in the price of solar and wind power, and of the lithium-ion batteries used to store energy. This has led to rapid expansion of these technologies, even though they are still used much less than fossil fuels: in 2017, for instance, sun and wind produced just 6 percent of the world&rsquo;s electric supply, but they made up 45 percent of the growth in supply, and the cost of sun and wind power continues to fall by about 20 percent with each doubling of capacity. Bond&rsquo;s analysis suggests that in the next few years, they will represent all the growth. We will then reach peak use of fossil fuels, not because we&rsquo;re running out of them but because renewables will have become so cheap that anyone needing a new energy supply will likely turn to solar or wind power.</p><p>Bond writes that in the 2020s&mdash;probably the early 2020s&mdash;the demand for fossil fuels will stop growing. The turning point in such transitions &ldquo;is typically the moment when the impact is felt in financial markets&rdquo;&mdash;when stock prices tumble and never recover. Who is going to invest in an industry that is clearly destined to shrink? Though we&rsquo;ll still be using lots of oil, its price should fall if it has to compete with the price of sunshine. Hence the huge investments in pipelines and tankers and undersea exploration will be increasingly unrecoverable. Precisely how long it will take is impossible to predict, but the outcome seems clear.</p><p class="initial">This transition is already obvious in the coal markets. To understand, for example, why Peabody, the world&rsquo;s largest private-sector coal-mining company, went from being on <i>Fortune</i>&rsquo;s list of most admired companies in 2008 to bankrupt in 2016, consider its difficulties in expanding its market. India, until very recently, was expected to provide much of the growth for coal. As late as 2015, its coal use was expected to triple by 2030; the country was resisting global efforts like the Paris Accords to rein in its carbon emissions. But the price of renewable energy began to fall precipitously, and because India suffered from dire air pollution but has inexhaustible supplies of sunlight, its use of solar power started to increase dramatically.</p><p>&ldquo;In 2017, the price in India of wind and solar power dropped 50 percent to $35&ndash;40 a megawatt hour,&rdquo; said Tim Buckley, who analyzes Australasia/South Asia for the Institute for Energy Economics and Financial Analysis. &ldquo;Fifty percent in one year. And a zero inflation indexation for the next twenty-five years. Just amazing.&rdquo; This price drop occurred not because India subsidizes renewable energy (it doesn&rsquo;t), but because engineers did such a good job of making solar panels more efficient. The cost of power from a newly built coal plant using Indian coal is, by comparison, about $60 a megawatt hour. If you have to import the coal, the price of power is $70/megawatt hour. And solar&rsquo;s $40/megawatt hour price is guaranteed not to rise over the thirty-year life of the contract the suppliers sign&mdash;their bids are based on building and then running a facility for the life of the contract. No wonder that over the first nine months of 2018, India installed forty times more capacity for renewable than for coal-fired power.<div id="article-p1"></div></p><p>Much the same is happening around the world. President Trump has spared no effort to help the coal industry, but more coal-fired power plants shut down during the first two years of his presidency than during President Obama&rsquo;s entire first term. American coal consumption fell 4 percent in 2018. In 2017 Kentucky&rsquo;s coal-mining museum installed solar panels on its roof in order to save $10,000 a year on electric costs.</p><p>And it&rsquo;s not just coal that&rsquo;s on the way out. Natural gas was supposed to be the planet&rsquo;s next big fuel source, since it produces less carbon than coal (although its production releases great clouds of methane, another potent greenhouse gas). While fracking has produced high volumes of natural gas&mdash;especially in the US, where it was pioneered&mdash;wells tend to dry out quickly, and despite enormous investment, the International Energy Agency estimates that between 2010 and 2014 the shale industry operated with negative cash flows of more than $200 billion.</p><p>Even &ldquo;cheap&rdquo; natural gas is now starting to look expensive compared to the combination of sun, wind, and batteries. In an essay for <i>Vox</i>, the energy reporter David Roberts listed all the natural gas plants&mdash;many of them designed to provide quick bursts of &ldquo;peaking power&rdquo; on heavy demand days&mdash;whose planned construction has been canceled in recent months, as utilities and banks began to figure out that over the projected forty-year life of a new plant, there was a good chance it would become an uncompetitive &ldquo;stranded asset&rdquo; producing pointlessly expensive electricity. The chief executive of one US solar company said in January, &ldquo;I can beat a gas peaker anywhere in the country today with a solar-plus-storage power plant. Who in their right mind today would build a new gas peaker? We are a factor of two cheaper.&rdquo;</p><p>You get some sense of the future from the stunning fall of General Electric. &ldquo;They were the world leader, the thought leader, the finance leader, the <abbr>IT</abbr> leader,&rdquo; said Buckley. &ldquo;And their share price is down 70 percent in the last two and a half years, in a market that&rsquo;s up 50 percent. It&rsquo;s a thermal power&ndash;reliant basket case.&rdquo; That&rsquo;s in large measure because manufacturing turbines for coal- and gas-fired power plants was a significant part of the company&rsquo;s business; in 2015, it hugely expanded that capacity by buying its largest European competitor, Alstom. But then the bottom dropped out of the industry as proposed new generating plants couldn&rsquo;t find financing. <abbr>GE</abbr> makes wind turbines, too, but that&rsquo;s a lower-margin business with many more competitors. The fall in <abbr>GE</abbr>&rsquo;s stock has meant &ldquo;hundreds of billions of dollars of shareholder value reduction,&rdquo; according to Buckley. Last June, after more than a century, General Electric was dropped from the Dow Industrial Index, replaced by a drugstore chain.</p><p class="initial">Oil was believed to be better protected than coal and gas from competition because cars have long needed liquid fuel to run. But electric cars are becoming affordable for more and more consumers. In 2017 only three million out of a worldwide total of 800 million cars were electric, but they accounted for 22 percent of the growth in global car sales. The world&rsquo;s leading car companies have become convinced that electric vehicles will account for all the growth in demand by the early 2020s. That&rsquo;s why, by January 2018, they had committed $90 billion to developing electric vehicles&mdash;and why, by 2017, Tesla was worth more than <abbr>GM</abbr> or Ford. And for every Tesla that rolls off the assembly line, Chinese manufacturers are producing five electric cars. Auto analysts are already warning consumers to think twice before buying a gas-powered car, since its resale value may fall dramatically over just the next three years.</p><p>The oil companies tell investors not to worry. In mid-February Exxon announced that it had found huge new deepwater oil deposits off the coast of Guyana, and that overall it planned to pump 25 percent more oil and gas in 2025 than it had in 2017, which, it claimed, would triple its profits. In September, <abbr>OPEC</abbr> released a report predicting higher oil demand due to increases in jet travel and the production of plastics, which are made from petrochemicals. Analysts like Bond are skeptical of such claims. Although oil has been the planet&rsquo;s most important industry for over a century, over the last five years it&rsquo;s been the slowest-growing sector of the stock market. Petrochemicals and jet fuel are indeed harder to replace with renewable energy, but they make up a relatively small part of the market for oil&mdash;even if demand for them grows, it can&rsquo;t offset the losses in core uses like pumping gas for cars.</p><p>The recent history of European utilities may provide a more realistic preview of what will happen in the rest of the world. In the early years of this century the German government increased the pace of decarbonization, subsidizing solar and wind energy. As more and cheaper renewable supplies became available, the existing utilities were slow to react. They had built new gas plants to account for what they assumed would be rising demand, but solar and wind cut into that demand, and the price of electricity began to fall. So far, European utilities have written down about $150 billion in stranded assets: fossil fuel installations that are no longer needed. &ldquo;In the Netherlands, by the time the last three coal plants were turned on, their owners had already written them down by 70 percent,&rdquo; said Buckley. And they&rsquo;re scheduled to close by 2030.</p><p>One obvious question is why the fossil fuel companies don&rsquo;t simply transform themselves into renewable energy companies and use the huge cash flows they still have to gain control of future markets. &ldquo;They&rsquo;re putting under ten percent of capital expenditures into renewables,&rdquo; says Bond, which translates into about one percent of their balance sheets. As Exxon&rsquo;s <abbr>CEO</abbr> recently told <i>The Economist</i>, &ldquo;we have much higher expectations for the returns on the capital we invest&rdquo; than sun and wind can provide. From their point of view, there&rsquo;s some money to be made from putting up solar panels, but once they&rsquo;re on the roof the sunshine is free. For corporations that made vast profits by selling their customers fuel every day for a century, that&rsquo;s not an attractive business model.</p><p class="initial">Another important question is whether this transition will crash the world economy. Investors have money at risk, and not just in fossil fuel shares: a shift of this size will affect car companies, machinery companies, and many others. But as the climate activist and billionaire investor Tom Steyer has pointed out, most technological transitions damage existing industries without wrecking the economy because they create value even as they destroy it. &ldquo;Look at the communications industry over the last two decades, as the Internet came of age,&rdquo; Steyer said. &ldquo;Some of the most valuable businesses on the planet that had been around for more than a century got decimated. I mean, <i>Newsweek</i> sold for a dollar. But a lot of new businesses got created that were worth more.&rdquo;</p><p>And banks have had at least some warning to prepare for this enormous shift. In 2015 Mark Carney, the governor of the Bank of England, began issuing strident warnings about stranded fossil fuel assets, urging the banks he regulated to begin taking close account of their exposure. He gave a memorable speech on the trading floor of Lloyds of London, pointing out that if countries made serious efforts to meet climate targets, vast amounts of money spent on oil wells, pipelines, coal mines, and tankers would be written off. He had to issue the warnings, he said, because the normal time horizon for financiers was too short. &ldquo;Once climate change becomes a defining issue for financial stability, it may already be too late,&rdquo; he said, noting that &ldquo;the exposure of UK investors, including insurance companies, to these shifts is potentially huge.&rdquo; He urged them to start preparing for a lower-carbon world. Companies, he said, should &ldquo;disclose not only what they are emitting today, but how they plan their transition to the net-zero world of the future.&rdquo;</p>
<p>Carney&rsquo;s warning&mdash;which reverberated out from the financial center of London&mdash;seems to have spurred a reevaluation of fossil fuel exposure by many big financial institutions. &ldquo;The major banks are now addressing this risk, whereas three years ago they were asleep to it,&rdquo; Buckley said. &ldquo;Now in Australia all our banks have climate policy, where they didn&rsquo;t three years ago. We didn&rsquo;t even have data.&rdquo; A report in late February from the Institute for Energy Economics and Financial Analysis showed that since 2013 a hundred major banks had restricted coal lending or gotten out of the business altogether.<sup id="fnr-1"><a href="#fn-1">1</a></sup></p><figure data-id="65636" data-usage-terms="3,12,2019-3-7" class="wp-caption aligncenter"><a href="https://cdn.nybooks.com/wp-content/uploads/2019/03/mckibben_2-040419.jpg"><img class="size-full wp-image-65636" src="https://cdn.nybooks.com/wp-content/uploads/2019/03/mckibben_2-040419.jpg" alt="Robert Rauschenberg's Earth Day, 1970" width="1600" height="2238" srcset="https://cdn.nybooks.com/wp-content/uploads/2019/03/mckibben_2-040419.jpg 1600w, https://cdn.nybooks.com/wp-content/uploads/2019/03/mckibben_2-040419-89x125.jpg 89w, https://cdn.nybooks.com/wp-content/uploads/2019/03/mckibben_2-040419-768x1074.jpg 768w" sizes="(max-width: 1600px) 100vw, 1600px"></a><figcaption class="wp-caption-text">Robert Rauschenberg: <i>Earth Day</i>, 1970; from the exhibition &lsquo;Nature&rsquo;s Nation: American Art and Environment,&rsquo; on view at the Peabody Essex Museum, Salem, Massachusetts, through May 5. The catalog is published by the Princeton University Art Museum, which organized the exhibition.</figcaption></figure><p>A far more important question, of course, is whether the changes now underway will happen fast enough to alter our grim climatic future. Here, the answers are less positive. Scientists, conservative by nature, have routinely underestimated the pace of planetary disruption: the enormous melt now observed at the poles was not supposed to happen until late in the century, for instance, and the galloping pace of ocean acidification wasn&rsquo;t even recognized as a threat two decades ago. That means that we have very little time to act&mdash;not enough, certainly, for business cycles to do the job alone. The latest report of the Intergovernmental Panel on Climate Change, released last autumn, laid out a strict timeline: we need to effectively halve our use of fossil fuels within a dozen years to prevent the worst damage, which is why activists and politicians have called for dramatic government interventions like the Green New Deal recently proposed by Representative Alexandria Ocasio-Cortez and her Democratic colleagues.<sup id="fnr-2"><a href="#fn-2">2</a></sup></p><p>Government action is required because, for one thing, there&rsquo;s vast inertia in the energy system. Plants are built to last decades, and even if plants that use fossil fuels aren&rsquo;t built today, banks will insist that existing ones operate long enough to pay back their investments. And in some parts of the world, fossil fuel expansion continues: China, for instance, is trying to close down its own coal-fired power plants because its cities are choked in smog, but Chinese companies are using their expertise to build coal-powered plants abroad. Buckley noted that the opportunities for bribes on colossal projects mean, among other things, that a number of developing countries may indeed continue down the fossil fuel path.</p><p>In countries like the US or Canada, the political power of the fossil fuel industry is still considerable. Barack Obama boasted to a Texas audience last year that during his administration the US had passed Russia and Saudi Arabia as the biggest producer of hydrocarbons; even the progressive Canadian prime minister Justin Trudeau recently spent billions in tax dollars to finance a pipeline designed to increase exports from the country&rsquo;s environmentally ruinous tar sands.</p><p>That&rsquo;s why the most important aspect of the decline of fossil fuel companies might be a corresponding decline in their political influence. The coal, oil, and gas industries have been the architects of the disinformation campaigns that kept us from responding earlier to scientists&rsquo; warnings about climate change, and they are using every trick they know to keep us from making a quick transition. History indicates that &ldquo;the oil majors&mdash;and those who invest in them&mdash;will&hellip;bribe and fund Trump-type candidates and use their money in any other way&rdquo; to slow down change, Carlota Perez said.</p><p class="initial">But change is here. While engineers are doing their part by making renewable energy cheaper, activists are mounting efforts to weaken the companies directly, and there are some signs that the pressure is working. An effort that I helped launch beginning in 2012 to persuade universities and churches to divest their fossil fuel shares has spread rapidly and become the largest divestment campaign in history. Over the last five years, insurance companies and sovereign wealth funds have joined in, raising the total value of endowments and portfolios involved to over $8 trillion, and prompting Shell to declare the campaign a material risk to its future business. (Early last year, the governments of New York City and London pledged to divest their pension funds, and the entire nation of Ireland joined in midsummer.) Campaigns have also targeted banks like Wells Fargo and JP Morgan Chase to force them to stop supporting particular pipelines.</p><p>The bottom line is clear: to the degree that the fossil fuel industry is weakened by some combination of technological change and furious activism, the chances for serious change increase. If energy barons like the Koch Brothers and Exxon remain flush with cash, they can probably delay or undermine initiatives like the Green New Deal. But if their businesses are under strong pressure from a rapidly changing energy economy, polities around the world would be freer to take the steps that scientists insist are necessary with the speed required to prevent global catastrophe. Should these changes happen quickly, they could do more than save us from planetary peril.</p><p>&ldquo;A New World,&rdquo; the January report on the geopolitics of energy transformation from the International Renewable Energy Agency (<abbr>IRENA</abbr>), is one of the most hopeful documents I&rsquo;ve read in a long time: it points out that for the 80 percent of the world&rsquo;s population that lives in countries that are net importers of fossil fuels, the transition to renewable energy means the end of a crushing import burden. &ldquo;The long-term consequences of a switch to renewables are very positive,&rdquo; said Bond, who helped write the report. &ldquo;Fossil fuels are produced by a small number of companies and countries and the benefits flow to a small number of people. With solar and wind you get a lot more local jobs, a lot more local investment. You get a whole new geopolitics.&rdquo;</p><p>Take India, the poorest large nation on earth. It imports 80 percent of its oil and 40 percent of its gas, along with much of its coal. Currently that costs the country $240 billion a year; if, as its leaders hope, its economy grows 7 percent annually, that figure would double in a decade&mdash;which is economically unsustainable. &ldquo;Renewables also offer developing economies an opportunity to leapfrog, not only fossil fuels, but, to some extent, the need for a centralized electricity grid,&rdquo; the <abbr>IRENA</abbr> report concludes.</p><blockquote><p>Countries in Africa and South Asia have a golden opportunity to avoid expensive fixed investments in fossil fuels and centralized grids by adopting mini-grids and decentralized solar and wind energy deployed off-grid&mdash;just as they jumped straight to mobile phones and obviated the need to lay expensive copper-wired telephone networks.</p></blockquote><p>The changeover, of course, would be rocky. Beyond the effects on the global economy or on particular companies and their investors, countries like Russia or Saudi Arabia (and increasingly parts of the US) are essentially oil companies themselves. As these petro-states face a fall in the value of their only real asset, there is a risk of destabilization on a vast scale; in fact, it&rsquo;s possible that we&rsquo;re in the early stages of this process, with mischief and cruelty increasingly on display as countries with no other source of economic power struggle to maintain profits while they can. The worst damage will, as usual, be inflicted on the poorest oil producers: Kuwait might be able to manage the transition, but could Angola?</p><p>Yet overall the benefits would be immeasurable. Imagine a world in which the tortured politics of the Middle East weren&rsquo;t magnified in importance by the value of the hydrocarbons beneath its sands. And imagine a world in which the greatest driver of climate change&mdash;the unrelenting political power of the fossil-fuel industry&mdash;had begun to shrink. The question, of course, is whether we can reach that new world in time.</p>
